FireCAD Overview

What is FireCAD?

FireCAD is an AutoCAD add-in designed for fire alarm and life safety system design. It extends AutoCAD with specialized tools for managing devices, circuits, wirepaths, and generating industry-standard reports — all directly within your AutoCAD environment.

Key Features

Project-Based Workflow

FireCAD organizes your work into projects. Each project contains one or more AutoCAD drawings, a device database, circuit configurations, and report settings. This project structure keeps all your fire alarm design data centralized and consistent across drawings.

Device Management

Place, configure, and manage fire alarm devices (smoke detectors, strobes, panels, etc.) using block definitions from a master database. Each device instance tracks its part number, location, circuit connections, and custom properties.

Circuit Design

Connect devices into circuits with automatic sequencing, addressing, and wire labeling. FireCAD supports complex circuit topologies including branches, passthrough devices, and hierarchical parent-child circuit relationships.

Wirepath Routing

Automatically draw and route wirepaths between circuit devices. FireCAD calculates wire fill, conductor counts, conduit fill percentages, and wirepath lengths — displaying this information directly on your drawings.

Automated Reports

Generate fire alarm industry reports directly from your design data:

  • Device Schedule — Complete device listing with circuit assignments
  • Point-to-Point — Wiring diagrams showing device connections
  • Battery Calculations — Standby and alarm current calculations per NFPA 72
  • dB Loss — Speaker circuit signal loss calculations
  • Lump Sum — Circuit summary reports
  • Speaker Schedule — Speaker device listings
  • Bill of Materials — Complete parts listing
  • Device Legend — Drawing legend with device symbols
  • Conduit Fill Schedule — Conduit capacity analysis
  • Panel Summary — Panel-level circuit summaries

Design Assistant

An automated validation system that checks your drawings for common issues:

  • Missing device connections
  • Exceeded current limits
  • Battery capacity problems
  • Out-of-date reports
  • Orphaned database records

Panel Layout & Riser Diagrams

Generate panel layout drawings and riser diagrams from your circuit data, with automatic device placement and labeling.

System Requirements

  • AutoCAD 2025 or later (including OEM variants)
  • Windows 10/11 (64-bit)
  • .NET 8.0 Runtime
  • SQL Server LocalDB (installed automatically)
  • Active internet connection for license activation (offline activation available)

How FireCAD Integrates with AutoCAD

FireCAD loads as a .NET add-in inside AutoCAD. Once loaded, it adds:

  1. FireCAD Ribbon — A dedicated ribbon tab with buttons for all major functions
  2. FireCAD Project Palette — A dockable panel with three tabs:
    • Project Tree — Navigate project drawings and structure
    • Device Palette — Browse and place device blocks
    • Circuits — View and manage circuit connections
  3. Command Line Commands — All FireCAD functions are accessible via AT commands typed in the AutoCAD command line (e.g., ATCONNECT, ATVALIDATE)

Getting Help

  • Type any AT command in the AutoCAD command line to access FireCAD functions
  • Use the Design Assistant (ATDESIGN_ASSISTANT) to check your work for issues
  • Contact support through the FireCAD help resources

Next Steps

  • Installation & Loading the Plugin — How to install and load FireCAD
  • Licensing — Activate and manage your FireCAD license
  • Options & Configuration — Configure FireCAD settings


Installation & Loading the Plugin

Overview

FireCAD integrates with AutoCAD as a .NET add-in. There are two ways to load FireCAD: automatic loading via the plugin installer (recommended for regular use) and manual loading via NETLOAD (for development or troubleshooting).

Plugin Installation (Recommended)

Installing FireCAD

  1. Run the FireCAD installer (.msi package)
  2. Follow the installation wizard prompts
  3. The installer places a .bundle folder in AutoCAD's plugin directory:
    %APPDATA%\Autodesk\ApplicationPlugins\FireCAD .NET Add-in.bundle\
  4. Restart AutoCAD

What Happens on Startup

When AutoCAD starts with the FireCAD plugin installed:

  1. AutoCAD detects the .bundle folder and loads amts.dll automatically
  2. FireCAD waits for AutoCAD to finish initializing (deferred initialization)
  3. Once AutoCAD is ready, FireCAD:
    • Loads application configuration
    • Initializes logging and telemetry
    • Registers all services and the entity cache
    • Validates your license (prompts for activation if needed)
    • Creates the FireCAD Project Palette
    • Checks for software updates
    • Shows any news notifications
  4. The FireCAD ribbon and menus load from the cgfcad.cuix file

Verifying the Installation

After AutoCAD starts:

  1. Look for the FireCAD ribbon tab at the top of AutoCAD
  2. Check for the FireCAD Project Palette docked on the side
  3. Type ATSHOW in the command line — this should display the project palette

Manual Loading (NETLOAD)

Use manual loading when:

  • Troubleshooting plugin loading issues
  • Testing a different version of the plugin
  • The automatic plugin loader isn't working

Steps

  1. Uninstall the plugin first (if installed) — see Uninstalling the Plugin below
  2. Open AutoCAD
  3. Type NETLOAD in the command line
  4. Browse to and select amts.dll:
    • Installed location: Check your FireCAD installation directory
    • Development builds: bin\Debug2026\net8.0-windows7.0\win-x64\amts.dll
  5. AutoCAD loads the assembly and FireCAD initializes

Loading the Ribbon and Menus

After using NETLOAD, you may need to load the FireCAD UI separately:

  1. Type CUILOAD in the command line
  2. Browse to and select cgfcad.cuix from the build output or installation directory
  3. The FireCAD ribbon tab, toolbars, and menu items appear

Note: AutoCAD locks the DLL in memory once loaded. You cannot reload an updated DLL without restarting AutoCAD entirely.

Uninstalling the Plugin

If you need to uninstall the FireCAD plugin (for example, to switch to manual loading):

  1. Close AutoCAD completely
  2. Navigate to the AutoCAD plugins directory:
    %APPDATA%\Autodesk\ApplicationPlugins\
  3. Delete the FireCAD .NET Add-in.bundle folder
  4. Restart AutoCAD

Important: If the plugin is installed and you try to use NETLOAD with a different copy of the DLL, you will get an error: Assembly with same name is already loaded. Always uninstall the plugin before using NETLOAD.

The FireCAD Project Palette

Once loaded, FireCAD provides a dockable palette with three tabs:

Project Tree

Navigate your project structure, including all drawings and their relationships.

Device Palette

Browse available device blocks from the master database. Select and place devices directly into your drawings.

Circuits

View circuit connections, device assignments, and circuit status. Manage circuit operations from this panel.

Showing the Palette

If the palette is not visible, type ATSHOW in the command line to display it. The palette can be docked to the left or right side of the AutoCAD window, or left floating.

Supported AutoCAD Versions

AutoCAD Version | Supported
AutoCAD 2025 | Yes
AutoCAD 2026 | Yes
AutoCAD 2025 OEM | Yes
AutoCAD 2026 OEM | Yes
AutoCAD LT 2026 | Yes (limited)
AutoCAD 2024 or earlier | No

Troubleshooting

Plugin doesn't load on startup

  • Verify the .bundle folder exists in %APPDATA%\Autodesk\ApplicationPlugins\
  • Check that the correct AutoCAD version folder (2025 or 2026) contains amts.dll
  • Ensure .NET 8.0 Runtime is installed

"Assembly with same name is already loaded" error

  • The plugin is already installed via the .bundle system
  • Either uninstall the plugin or use the installed version instead of NETLOAD

License prompt appears repeatedly

  • See Licensing for activation instructions
  • If your license is expired, contact your administrator

Palette is missing

  • Type ATSHOW in the command line
  • If that doesn't work, try NETLOAD to reload the plugin

Related Articles

  • Licensing
  • Options & Configuration


Licensing

Commands

Command | Description
ATLICENSE | Open the License Activation dialog
ATCHECK_LICENSE | Check license status against the remote server
ATCHECK_LOCAL_LICENSE | Check license status using local cache (no internet required)

Overview

FireCAD requires a valid license to operate. When you run any FireCAD command, the system checks your license status. If no valid license is found, the License Activation dialog opens automatically.

FireCAD supports several license types:

  • Perpetual — No expiration, permanent use
  • Subscription — Time-limited, renews periodically
  • Trial — Time-limited evaluation license
  • Floating — Shared license that is checked out when AutoCAD starts and released when it closes
  • Consumption — Usage-based licensing

License Activation Dialog

Access the dialog by typing ATLICENSE in the AutoCAD command line, or it will appear automatically when a valid license is not detected.

Dialog Layout

The License Activation dialog displays:

  • Licensed To — The name, company, and email associated with the license
  • License Status — Current license state and details:
    • License type (Perpetual, Subscription, Trial, etc.)
    • Validity status
    • Days remaining (for time-limited licenses)
    • Maintenance period expiration date
    • Licensed features list

Activating a License (Online)

  1. Type ATLICENSE in the command line (or wait for the automatic prompt)
  2. Enter your license key in the format XXXX-XXXX-XXXX-XXXX
    • A green checkmark appears when the key format is valid
    • A red X appears if the format is incorrect
  3. Click Activate/Renew License
  4. The system contacts the license server and activates your license
  5. The status display updates to show your license details

Deactivating a License

Use deactivation when transferring your license to a different machine:

  1. Open the License Activation dialog (ATLICENSE)
  2. Click Deactivate
  3. Confirm the deactivation

Floating Licenses: For floating licenses, deactivation is typically not required. Closing AutoCAD automatically releases the floating license for other users. A confirmation dialog will remind you of this when you attempt to deactivate a floating license.

Offline Activation

For machines without internet access:

Step 1: Generate an Activation Request

  1. Open the License Activation dialog (ATLICENSE)
  2. Click Activate/Deactivate Offline
  3. Save the generated .req (request) file to a removable drive

Step 2: Process the Request Online

  1. On a computer with internet access, go to: https://offline.licensespring.com
  2. Upload the .req file
  3. Download the resulting .lic (license) file

Step 3: Apply the License File

  1. Transfer the .lic file back to the offline machine
  2. Open the License Activation dialog (ATLICENSE)
  3. Click Apply Offline License File
  4. Browse to and select the .lic file
  5. The license is activated

Offline deactivation follows the same process — generate a deactivation request, process it online, and the license is released.

Checking License Status

ATCHECK_LICENSE — Remote Check

Command: ATCHECK_LICENSE

Contacts the license server to validate your current license. This performs a comprehensive check including:

  • License validity and expiration
  • Feature availability
  • Consumption tracking
  • Maintenance period status

Requires an active internet connection.

Use this command when:

  • You've renewed your subscription and want to confirm
  • You suspect your license status is out of sync
  • You need to verify feature availability

ATCHECK_LOCAL_LICENSE — Local Check

Command: ATCHECK_LOCAL_LICENSE

Validates your license using locally cached data. This is the same check that runs automatically before every FireCAD command.

Does not require an internet connection.

Use this command when:

  • You want to verify your license is working without contacting the server
  • You're working offline and want to confirm license status
  • Quick verification that doesn't need server-side data

How License Checking Works

Automatic Checking

Every time you run a FireCAD command, the system performs a local license check before executing. If the check fails:

  1. The License Activation dialog appears
  2. You can activate or troubleshoot your license
  3. If you cancel without a valid license, the command is aborted
  4. A message appears: "The FireCAD application is not licensed. FireCAD menu commands will not function until a license is available."

Startup Check

When FireCAD loads (on AutoCAD startup or via NETLOAD), it performs a local license check. If the license is invalid, the activation dialog appears before any commands become available.

Troubleshooting

"License not valid" after renewal

  • Run ATCHECK_LICENSE to sync with the server
  • This updates your local cache with the latest license data

Floating license not releasing

  • Ensure AutoCAD is fully closed (check Task Manager)
  • Floating licenses release automatically when the application closes
  • If the session didn't close cleanly, the license may take a few minutes to time out on the server

Offline machine — license expired

  • Generate a new offline activation request and process it online
  • Apply the new .lic file to refresh the license

Multiple machines

  • Deactivate the license on the old machine before activating on a new one
  • Floating licenses don't require manual deactivation — they auto-release

Related Articles

  • Installation & Loading the Plugin
  • Options & Configuration


Options & Configuration

Command

Command | Description
ATOPTIONS | Open the Options Editor dialog

Ribbon: FireCAD > Edit > Options

Prerequisites

  • A FireCAD project must be open

Overview

The Options Editor configures project-level settings that control how FireCAD displays labels, generates reports, handles circuits, and manages drawing elements. Changes made in the Options Editor apply to the current project.

Type ATOPTIONS in the AutoCAD command line to open the dialog.

Options Editor Tabs

The Options Editor contains seven tabs:

Text and Attributes

Controls text sizing and display for CAD elements.

Setting | Description | Default
Device Attribute Text Height | Height of text for device attributes in drawings | —
Scale Device Attribute With Block | When checked, attribute text scales proportionally with the block | —
Apply Dimscale To Device Blocks | Apply the drawing's dimension scale factor to device blocks | —
Wirepath Label Text Height | Height of wirepath label text | —
Report Text Height | Text height used in generated report tables | —
Riser Text Height | Text height used in riser diagrams | —
Riser Block Scale | Scale factor for riser diagram blocks | —
Hide Wirepath Labels On Short Segments | Minimum segment length (in drawing units) before a wirepath label is displayed. Segments shorter than this value will not show labels | —
Show Segment ID In Wirepath Labels Instead Of Wirefill | Replace wire fill information with segment IDs in wirepath labels | Off
Mask Device Label Text | Apply a background mask behind device label text for readability | —
Show Circuit Quantity In Wirepath Labels | Include the number of circuits in wirepath labels | —
Generate Line Types For Wirefill Instead Of Labels | Use AutoCAD line types to represent wire fill instead of text labels | —
Line Type Text Spacing | Spacing between text elements when using line type wire fill | —
Mask Wirepath Label Text | Apply a background mask behind wirepath label text | —
Default Delimiter | Character used to separate label components (e.g., -, /) | —

Tools

Configuration for specific FireCAD tools.

Setting | Description
ATPoly Fillet Radius | Default fillet radius used by the ATPOLY polyline drawing command

Block Replacement Options:

Setting | Description
Alignment Mode | How replacement blocks align to the original block position
Rotation Mode | How replacement blocks handle rotation relative to the original
Scale | Scale factor for replacement blocks. Set to 0 to use the existing block's scale

Layers

Controls which AutoCAD layers FireCAD uses for different element types.

Setting | Description
Riser Layer | Layer name for riser diagram objects
Report Layer | Layer name for report table objects
Wirepath Layer | Layer name for wirepath geometry
Wirepath Label Layer | Layer name for wirepath labels (disabled when "Apply Segment Layers" is checked)
Apply Segment Layers To Wirepath Labels | When checked, wirepath labels inherit the layer of their parent segment instead of using a dedicated label layer
Use True Colors for Device Layers | Use full RGB colors instead of AutoCAD indexed colors for device layers

Circuits

Settings that affect circuit behavior, display, and wirepath calculations.

Setting | Description
Additional Wire Length Factor % | Percentage added to calculated wire lengths to account for service loops, slack, and routing overhead
Add Wire Label To Circuit Devices Without Complete Wirepaths | Generate wire labels for devices even if their wirepath is not fully routed
Show Connection Status Icons In Model Space | Display icons on devices showing their circuit connection status
Connection Status Icon Size | Size of connection status icons (only available when icons are enabled)
Show Wirepath Status Icons In Model Space | Display icons showing wirepath routing status
Wirepath Status Icon Size | Size of wirepath status icons (only available when icons are enabled)
Wirepath Intersection Tolerance | Distance tolerance for detecting intersections between wirepaths
Add Virtual Wirepath Between Intersecting Devices | Automatically create a virtual wirepath connection between devices that intersect
Device Highlight Padding | Extra space around devices when highlighting them
Device Coverage Transparency | Transparency level (0–255) for device coverage display overlays

Reports

Controls report generation and formatting.

Setting | Description
Report Column Width Factor | Multiplier for column widths in generated report tables
Battery Calc Standby (hours) | Standby duration for battery calculations (per NFPA 72, typically 24 hours)
Battery Calc Alarm (minutes) | Alarm duration for battery calculations (per NFPA 72, typically 5 minutes)
Derating Factor | Battery derating multiplier applied to capacity calculations (typically 1.2)
Panel Summary Calculation Method | Choose between Point-to-Point or Lump Sum methods for panel summary reports
Only Show Circuit Totals on Battery Calculation | Collapse individual device rows and show only circuit-level totals
Don't Include Unused Circuits | Omit circuits with no connected devices from reports
Add Reports and Risers to Current Drawing | Place generated reports in the active drawing instead of a new drawing
Include Existing Devices in Legend | Include devices marked as "existing" in device legend reports
Include Existing Devices in BOM | Include devices marked as "existing" in Bill of Materials reports
Generate Legacy Reports | Use the older SQL-based report generation method instead of the optimized cache-based method
Length Precision | Number of decimal places for length values
Current Precision | Number of decimal places for current (amperage) values
Voltage Precision | Number of decimal places for voltage values
Watts Precision | Number of decimal places for wattage values

Drawing

Drawing-level configuration.

Setting | Description
Drawing Units | The unit system for the current drawing (inches, feet, millimeters, etc.)

Project

Project-wide settings.

Setting | Description
Project File Backup Quantity | Number of backup copies to maintain for the project file (0–255). Set to 0 to disable backups
Embed Project Backup In Drawings | Automatically embed a compressed project backup inside each drawing file on save. Enables recovery via ATRESTORE_FROM_DRAWING if the project file is lost. See Embedded Drawing Backup & Recovery

Saving and Loading Settings

The Options Editor includes buttons for managing settings profiles:

Button | Action
Apply | Save changes to the current project and update the drawing
Cancel | Discard changes and close the dialog
Load Settings | Import settings from a previously saved .xml file
Save Settings As | Export current settings to an .xml file for reuse across projects
Reset Settings | Reset all settings to factory defaults

What Happens When You Apply

When you click Apply, FireCAD:

  1. Saves the new settings to the project database
  2. Updates device labels in the active drawing (if label-related settings changed)
  3. Updates wirepath labels in the active drawing (if wirepath-related settings changed)
  4. Refreshes the cache with the new option values

A progress dialog shows the update status. You can cancel the label update if needed.

Tips

  • Save your settings before making experimental changes. Use Save Settings As to create a backup, then Load Settings to restore if needed.
  • Label settings (text heights, masking, delimiters) take effect after Apply updates the drawing. For large drawings, this may take a moment.
  • Battery calculation parameters (standby hours, alarm minutes, derating factor) directly affect battery calculation reports and Design Assistant validation. Ensure these match your project's NFPA 72 requirements.
  • Report precision settings affect how values are displayed in generated reports. Higher precision may be needed for dB loss calculations but unnecessary for general device schedules.

Related Articles

  • FireCAD Overview
  • Installation & Loading the Plugin
  • Licensing
  • News & Updates


News & Updates

Commands

Command | Description
ATNEWS | Show FireCAD news notifications
ATNEWS_RESET | Reset news tracking (show all notifications again)
ATCHECK_FOR_UPDATES | Check for FireCAD software updates

ATNEWS — Show News Notifications

Command: ATNEWS

Displays any unread FireCAD news notifications. Notifications may include information about new features, important updates, tips, or known issues.

News notifications appear in popup windows and are automatically shown when FireCAD loads. Once a notification has been displayed, it is marked as read and won't appear again on subsequent launches.

When to Use

  • You dismissed a notification too quickly and want to read it again
  • You want to check if there are any new announcements
  • After returning from an extended absence to catch up on updates

ATNEWS_RESET — Reset News Tracking

Command: ATNEWS_RESET

Resets the news tracking file, causing all previously read notifications to appear as unread. The next time ATNEWS runs (or on the next AutoCAD startup), all available notifications will be displayed again.

This command deletes the local tracking file at:

%LOCALAPPDATA%\FireCAD\shown-news.json

When to Use

  • You want to review all past notifications
  • The news tracking file has become corrupted
  • You want to share or re-read a specific announcement

ATCHECK_FOR_UPDATES — Check for Software Updates

Command: ATCHECK_FOR_UPDATES

Checks whether a newer version of FireCAD is available. If an update is found, you'll be prompted with update details and download options.

FireCAD also checks for updates automatically when the plugin loads, but this command lets you manually check at any time.

When to Use

  • You want to verify you're running the latest version
  • You heard about a new release and want to update
  • Troubleshooting an issue that may be fixed in a newer version

Related Articles

  • FireCAD Overview
  • Installation & Loading the Plugin


FireCAD Update - What's New

FireCAD 2026 — Built For the Future of Fire Design!

FireCAD 2026 Banner

The FireCAD Add-in for AutoCAD is now fully compatible with AutoCAD 2025 & 2026. Additionally, FireCAD 2026 Standalone is now available, built with the latest AutoCAD OEM 2026 engine.

For common installation issues see this article — FireCAD 2026 - Common Installation Issues

Update — March 2026

Riser Diagram V2

The riser diagram has been completely redesigned with a new options dialog, per-circuit layout controls, and improved algorithms. Highlights include:

  • Circuit selection TreeView — Circuits are organized under their parent panel in a collapsible tree with three-state checkboxes, block thumbnails, and device counts. Replaces the previous flat grid. Each circuit row has inline Wrap, Quantity, Draw Left, Priority, and Typical toggles. Switch between Grouped by Panel, Grouped by Part Number, and Compact views, and search or filter circuits by name or type. Select multiple circuits with Ctrl/Shift and bulk edit their settings in one operation.
  • Trunk options — Bundle inter-floor connections into a shared trunk that draws dynamic junction boxes at each floor level, with optional separate return paths. Split trunks by circuit type for clearer multi-discipline risers.
  • Typical circuit wiring — Mark circuits as "typical" to draw them with dashed lines without duplicating devices, ideal for showing standard wiring patterns.
  • Voltage at device — Display voltage values next to each device, with red warnings when voltage drops below the circuit minimum.
  • Dynamic panel boxes — Automatic panel grouping boxes around origin devices with configurable width.
  • Distributed label mode — Device information is split across four corners of each device block: addresses (lower-right), settings (upper-right), entity properties (upper-left), and markers (lower-left).
  • Entity properties on riser — Select custom entity properties to display on device labels across all layout styles.
  • MLeader labels — Use AutoCAD MLeader annotations instead of inline linetypes for better control over label placement in dense risers.
  • Settings table — Generate an AutoCAD Table alongside the riser showing all settings used, for documentation and QC.
  • Dynamic color preview — Circuit colors update in real time as you toggle color settings. Colors are assigned by circuit type (SLC = red, NAC = blue, Audio = magenta, etc.) with automatic assignment for uncolored circuits.

For full details, see Riser Diagram V2.

Embedded Drawing Backup & Recovery

FireCAD now automatically embeds a complete project backup inside every drawing file each time you save. If your project file (.atpx) is ever lost, corrupted, or inaccessible, you can recover your entire project from any saved drawing using ATRESTORE_FROM_DRAWING.

  • Automatic — Enabled by default, no extra steps needed. A full backup is compressed and stored inside the .dwg file on every save. Can be turned off in Options under the Project tab ("Embed Project Backup In Drawings").
  • Complete recovery — Restores the project database, block definitions, attachments, templates, and project images.
  • Crash recovery — If AutoCAD closes unexpectedly, FireCAD detects orphaned project data on next startup and offers to save a backup automatically.
  • Backup info — Use ATBACKUP_INFO to view the backup timestamp, compressed size, and contents of any drawing.

For full details, see Embedded Drawing Backup & Recovery.

Request Quote

A new Request Quote feature lets you send a parts quote request directly from your FireCAD project. Select a provider, review a summary of your project devices broken down by brand and category, and submit a quote request with your contact information — all without leaving AutoCAD.

Battery Calculation Improvements

  • Speaker watt-to-current conversion — A new "Show Speaker Currents (W ÷ V = A)" option converts speaker wattage to alarm current using the circuit voltage, so speakers appear in battery calculations alongside current-based devices.
  • Accurate child circuit totals — Fixed double-counting of devices in child circuits and improved multi-level hierarchy traversal for more accurate battery totals.
  • Card totals — Fixed card-level SUM calculations and TypeId filtering for correct subtotals.

Performance Improvements

  • Project Creation Wizard — Significantly faster when importing devices and templates.
  • Riser diagram generation — Large projects with hundreds of circuits no longer hang during elevation calculations and edge routing. Riser generation that previously stalled or timed out now completes in seconds.
  • Label updates — Formatting device labels and setting entity properties is much faster on large projects. Commands like ATFORMAT_DEVICE_LABELS and ATSET_ENTITY_PROPERTIES no longer cause long delays or timeouts.
  • Block loading — Device blocks are now cached after first use, eliminating repeated decompression. Dialogs and palettes that load block previews (device palette, riser options, assembly editor) open faster.
  • Report generation — Circuit hierarchy lookups no longer hang on projects with complex passthrough chains. Battery calculations, point-to-point, and speaker schedule reports generate faster.
  • Address lookups — Projects with large circuit quantities no longer experience slow address resolution.

Bug Fixes

  • OneDrive compatibility — Fixed .atpx project file save failures on OneDrive-synced paths. Project data is now embedded into the drawing backup before each QSAVE for additional safety.
  • License activation — The activation dialog now appears reliably even when the initial license check encounters an error.
  • Entity Properties Editor — Fixed a crash when the editor failed to load, and improved save behavior.
  • Duplicate palette — Fixed an issue where the FireCAD palette could appear twice after initialization.
  • Dialog improvements — All modal dialogs now properly prevent minimizing, and message boxes are centered on the AutoCAD window.

Previous Releases

See Previous Release Notes for updates from February 2026 and earlier.


Creating a project drawing using the FireCAD provided basic templates

Document Overview:

NOTE:

This article assumes you are familiar with the basics of creating a FireCAD project. If not please review the following Youtube video or some of the other getting started/training videos:

https://www.youtube.com/watch?v=mD5PMLgE8U0&list=PLYl_-kHTV0-ccRU1j8-ULECxaKfp7Qy7s&index=1

We have provided three downloadable AutoCAD .dwg files for your use. You may download these templates and modify/use them as you wish.

  • A D-size drawing (24in x 36in layout pages)
  • An E-size drawing (36in x 48in layout pages)
  • An E1-size drawing (30in x 42in layout pages)

Each drawing contains commentary and instructions for use in the model space.

  • Click the links below to download the .dwg template(s).
  • Open the file(s) in FireCAD.
  • Select the model space tab to view the instructions, then modify as needed including placing your own logo.
  • Once completed with your changes, rename and save the files to be used as templates for your projects.

YOU CAN DOWNLOAD THE TEMPLATES BELOW

We are providing the templates below in the form of AutoCAD drawings.

Click one or all of the links below to download the .dwg file(s) for your own use. Please use and/or duplicate it freely.

FireCAD Generic Template - ARCH D Size.dwg

FireCAD Generic Template - ARCH E1 Size.dwg

FireCAD Generic Template - ARCH E Size.dwg

FireCAD Generic Template - ARCH E1 Size Customizeable.dwg

FireCAD Generic Template - ARCH E Size Customizeable.dwg

FireCAD Ember Template - ARCH D Size Customizeable.dwg

After downloading the file you may copy it into any project folder and use it as a project drawing, substituting some of its content for your own project-specific content.

FireCad Basic Template Explanation:

Below is an image of the template's model space while open in FireCAD.

The NFPA 72 requirements for shop drawings:

We have placed information on the drawings model space as a guide to you in a yellow color. These yellow colors are placed on an AutoCAD non-plotting layer so that they are visible to you but will not plot to your published drawing if you use this template as we are showing you here.

The area on the left of the model space in yellow text is a listing of the 2019 NFPA 72 requirements for shop drawings. Most AHJs will look for this information when reviewing your plans.

If you are not familiar with how to use AutoCAD layers, a good tutorial is: https://www.youtube.com/watch?v=dcXqEppX93I

Relationship between what you draw in model space and your layout sheets:

MODEL SPACE Almost always, and especially when you are starting with AutoCAD you will be placing your objects in model space. Think of model space as a giant drawing board of an unlimited size. In this template we have drawn 10 yellow rectangles (on the no-plot layer).

Each rectangle is provided as an area for you to place objects/information which will then line up on the layout sheets.

PAPER SPACE Almost always, and especially when you are starting with AutoCAD you will be plotting your drawing to either a pdf file or to a printer by separating your model space content into "layout tabs", also known as paper space .

This template is provided with 10 layout tabs, each one corresponding with one of the 10 yellow rectangles which we have provided in model space.

Layout tab 1 example:

If you select layout tab 1 from the 10 layout tabs provided, the AutoCAD view will change to the one below. This view shows you not only the content from the model space which is is bordered by yellow rectangle 1 in model space but it also includes a "title block" which will be included on the published pdf or paper document you create.

We discuss title blocks and their usage in greater detail in a separate article. The basic concept, however, is that content from the model space is displayed in the area of the paper space (layout tab) within a "viewport". The viewport below is defined by a magenta rectangle.

Think of a viewport as a "porthole" or a "peephole" cut into the layout tab which reveals the content of the model space behind it.

PAPER SPACE VIEW OF LAYOUT TAB 1

MODEL SPACE VIEW OF WHAT IS IN THE VIEWPORT AREA OF LAYOUT TAB 1

Completing your project layout in model space:

For the rest of this article we will focus on completing the system layout in model space. Separating the content of model space into scaled layouts in paper space is covered in a separate article.

For most submittals you will want to include a title page similar to the one above. Edit the content as needed for your specific project.

FLOOR PLAN LAYOUTS

Your project may require one or more floor plan layouts. We have provided an example of three floor plans in this template.

Below is the area of the model space where you will draw your content showing the first floor.

Below is the area of the model space where you will draw your content showing the second floor.

Other information needed to complete your project layout in model space:

You will need to plan ahead to be sure you include all the content the AHJ will require. Below is a sample of content a basic project will require.


Previous Release Notes

For the latest features and fixes, see FireCAD Update — What's New.

Update — February 11th, 2026

Report Fixes

  • Point-to-Point voltage drop calculations — Fixed voltage drop calculations for branched circuits where branch devices were incorrectly inheriting cumulative drops from the trunk. Also fixed trunk devices not including downstream branch current in wattage calculations. Affects both Point-to-Point and Speaker Schedule reports.
  • Legend and Bill of Material sorting — Reports now always group devices by category first, even when the category column is not included or custom sorting is applied.
  • Battery Calculation totals — Totals now display correctly when the "Show Formula" option is disabled.
  • Speaker Schedule layout — Moved Max dB Loss below resistance values and removed empty row gap.
  • Point-to-Point layout — Fixed Wire Resistance disappearing when "Include Card Totals" is enabled.
  • Custom properties in report device blocks — Fixed custom properties on device blocks appearing blank in reports.

Circuit & Device Fixes

  • Device type template sync — Fixed an issue where resetting circuit templates could silently drop device type changes. Templates now correctly persist all modifications. Also adds support for syncing battery current values from the device database.
  • Panel label fallback — When a circuit origin device has no panel entity property, the panel name is now derived from the origin device's label on its parent circuit.
  • Device type validation — Fixed unintended extra device types being created during validation when a selection group is null.

Drawing & Stability

  • Wirepath trimming on locked layers — Fixed crashes when trimming wirepath segments on locked layers (particularly layer 0). Added a new atdelete_all_segments command for removing all wirepath segments at once.
  • Wipeout draw order — Fixed wipeout entities in device blocks covering block geometry instead of masking content behind it. Affects device insertion, riser diagrams, and report tables.
  • Riser diagrams — Fixed crash when encountering empty block definitions.
  • Read-only columns — Attribute Viewer, Conduit Selection, Device Selection, and Project Circuits Palette now correctly prevent editing of read-only columns.
  • AutoCAD OEM 2026 — Resolved startup failures preventing FireCAD from loading in AutoCAD OEM 2026.

Update — January 9th, 2026

Design Assistant — Automated Validation

The all-new Design Assistant brings automated validation and prechecks to your fire alarm designs. It runs a comprehensive set of rules against your project data and flags issues before they become problems in the field.

Validation Rules

The Design Assistant checks for:

  • Battery Capacity Exceeded — Verifies that required battery capacity does not exceed panel charging capacity per NFPA 72
  • Current Limits Exceeded — Validates standby and alarm current against manufacturer specs and NFPA 72 limits, with threshold warnings
  • Circuit Device Quantity Exceeded — Checks that circuits do not exceed their configured device limits, including devices on child circuits through passthrough devices
  • Max Circuit Length Exceeded — Flags wire runs that exceed maximum allowed length
  • Voltage Drop Exceeded — Calculates voltage drop across circuits and flags circuits below minimum voltage
  • Total Watt Limit Exceeded — Validates circuit wattage against configured limits
  • Decibel Loss Exceeded — Checks speaker circuit decibel loss calculations
  • Unconnected Devices — Finds devices that have possible circuit connections but are not fully connected
  • Device Location Validation — Verifies devices have required location properties set
  • Scale Validation — Checks drawing scale consistency
  • Report Validation — Detects out-of-date reports by comparing embedded fingerprints against current project data. Validates Battery Calculations, Voltage Drop, Decibel Loss, Device Legend, Device Schedule, and Title Block reports

Snap-To Feature

Devices flagged by the Design Assistant include a Snap-To button that zooms directly to the flagged device in the drawing for quick review and correction.

PDF Export

Export your Design Assistant validation results to a PDF report for documentation, review, or submission.

In-Place Report Refresh

Out-of-date reports identified by the Design Assistant can now be refreshed in place — regenerated without manually deleting and re-placing them. Supports Battery Calculation, Lump Sum, Point-to-Point, and their summary variants.

Dark Theme

FireCAD now defaults to a modern dark theme across all palettes, dialogs, and the Design Assistant. The theme is consistent with AutoCAD's dark UI for a seamless editing experience.

Bug Fixes

  • Conduit fill calculations — Fixed incorrect fill percentage threshold and formatting in the conduit fill schedule report.
  • Riser diagram device legend — Fixed device legend incorrectly using riser diagram blocks when a riser was generated before the legend.
  • Riser combined circuit labels — Risers with "combine multiple circuits" enabled now use the wirepath label format settings.
  • Riser crash — Fixed crash when circuit devices reference deleted circuits.
  • Project creation — Fixed an issue where selecting drawings already in the project folder would incorrectly trigger a conflict error.
  • Project drawings missing — Fixed an issue where project drawings could go missing due to folder validation issues.
  • Assembly card sync — Validation no longer re-adds default assembly parts that users intentionally removed.
  • EOL device cache — Adding or removing End-of-Line devices now properly updates circuit displays.
  • Battery Calculation report — Fixed display of power-limited current values when UsePowerLimitedCurrent is enabled.

Update — December 8th, 2025

Battery Calculation Report Improvements

Battery Calculation report generation has been moved off the UI thread for better responsiveness, with improved accuracy for child circuit totals and panel settings.

Update Notifications

FireCAD now notifies you when a new version is available, with an in-app news system that displays product updates and announcements.

Inspect Point Integration Enhancements

Polished and enhanced the Inspect Point integration with additional data exchange capabilities.

Bug Fixes

  • Duplicate addresses — Fixed duplicate device addresses when relocating panel circuits.
  • AutoCAD crash — Fixed a fatal exception that could occur during attribute visibility operations.
  • Copy to Local — Fixed a data reader error when using the "Copy to Local" function.
  • Export all device data — Fixed the export all device data command failing to export correctly.
  • Google Places API — Fixed an issue with the address autocomplete feature and added rate limiting.
  • Percentage formatting — Fixed percentage values displaying incorrectly in AutoCAD tables.

Initial Release — October 15th, 2025

AutoCAD 2025 & 2026 Compatibility

FireCAD 2026 has been completely rebuilt on .NET 8.0 for modern performance and compatibility. The add-in now natively supports AutoCAD 2025 and AutoCAD 2026, with dedicated AutoCAD OEM 2026 standalone builds.

Enhanced Project Creation Wizard

The project creation wizard has been completely redesigned with an expanded, step-by-step workflow:

  • Searchable device and project template selection for faster setup
  • Owner Information — Capture project owner details from the start
  • Scope of Work — Define the project scope during creation
  • Codes & Standards — Select applicable codes and standards
  • Customizable Drawing Templates — Create and save your own templates with preconfigured project properties, or start with the default FireCAD templates

Project Properties Editor

A new Project Information Editor lets you view and edit all project properties at any time after creation — including owner info, scope of work, codes & standards, and project classification. Changes sync automatically to title blocks across your project drawings.

Inspect Point Integration

For Inspect Point customers, you can now export devices and circuits directly into Inspect Point to set up inspections with devices, points, and locations from your FireCAD designs.

Google Autocomplete for Addresses

Project address fields now use Google Autocomplete to quickly fill in street, city, state, and zip code details.

Passthrough Device Support

Riser circuit features now support passthrough devices — devices connected through passthrough panels (control modules, isolators, relays) are properly addressed with flexible type matching. Circuit summaries and reports include devices from child circuits.

New Project File Format

FireCAD now uses the new .atpx project file format. Legacy .atp files are automatically upgraded when opened.

Additional Improvements

  • Bulk Circuit Editing — Select and edit properties across multiple circuits at once in the Project Circuits Editor
  • Analytics — Anonymous usage analytics generated on project close to help improve FireCAD

Older Updates

  • FireCAD Add-in for AutoCAD 2025-2026 Update - September 2025
  • FireCAD Update - September 2024
  • FireCAD 2024 Release Announcement
  • FireCAD Update - September 2023
  • FireCAD Update - March 2023
  • FireCAD Update - October 2022


Creating a New Project

Command

Command | Description
ATCREATE_PROJECT | Open the Project Creation Wizard

Ribbon: FireCAD > File > Create Project

Prerequisites

  • FireCAD must be loaded and licensed
  • If a project is currently open, you will be prompted to save and close it first

Overview

The ATCREATE_PROJECT command launches a two-page wizard that walks you through setting up a new FireCAD project. The wizard creates a project directory, copies drawing templates, imports devices and circuit templates from the master database, and registers everything in the project database.

Steps

Page 1: Project Setup

  1. Type ATCREATE_PROJECT in the AutoCAD command line
  2. If a project is already open, you'll be prompted to save and close it
  3. The Project Creation Wizard opens to the first page

On this page, configure:

Field | Description
Project Name | Name for your project (used as the folder name — cannot contain invalid file path characters)
Project Path | Directory where the project folder will be created
Master Database | Connection to the master database containing device and template definitions
Templates | Select which circuit templates to import into the project
Devices | Select which device definitions to import into the project
Drawing Files | Select one or more .dwg files to include in the project
  4. Select your templates, devices, and drawing files
  5. Click Next to proceed to Page 2

Page 2: Project Properties

Configure the project metadata:

Field | Description
Project Type | Type of project
Industry Type | Industry classification
Construction Type | Construction classification
Occupancy Class | Building occupancy class
City | Project city
State | Project state
Zip | Project ZIP code
  6. Fill in the project properties, or click Skip to use defaults
  7. Click Finish to create the project

What Happens Next

When you click Finish, FireCAD:

  1. Creates the project directory at the specified path
  2. Copies selected drawing files into the project folder
  3. Creates the .atpx project file
  4. Creates the project database (.mdf file)
  5. Imports selected templates and devices from the master database
  6. Registers all drawings in the project database
  7. Opens the new project and displays it in the Project Tree palette

Validation

  • The project name is checked for invalid file path characters
  • The project path must not contain conflicting files
  • At least one template or device must be selected
  • Drawing files are copied into the project directory (if they're located elsewhere)

Tips

  • Keep your project folder in a consistent location for easy access
  • Import only the templates and devices you need — you can add more later with ATUPDATE_PROJECT
  • Project properties can be edited later with ATEDIT_PROJECT_PROPERTIES

Related Commands

  • Opening a Project
  • Updating a Project
  • Editing Project Properties


Opening a Project

Command

Command | Description
ATOPEN_PROJECT | Open an existing FireCAD project

Ribbon: FireCAD > File > Open Project

Prerequisites

  • FireCAD must be loaded and licensed

Overview

The ATOPEN_PROJECT command opens an existing FireCAD project file (.atpx). This loads the project database, populates the Project Tree palette, and makes all FireCAD commands available for the project's drawings.

Steps

  1. Type ATOPEN_PROJECT in the AutoCAD command line
  2. A standard file browser dialog appears
  3. Navigate to your project folder and select the .atpx project file
  4. Click Open
  5. FireCAD loads the project and displays its drawings in the Project Tree palette

What Happens When You Open a Project

  • The project database (.mdf file) is attached and loaded
  • The Project Tree palette populates with all registered drawings
  • The Device Palette loads available device blocks
  • The Circuits palette becomes active
  • The entity cache initializes with project data

Tips

  • If another project is currently open, FireCAD will prompt you to save and close it first
  • The .atpx file must be in the same directory as the project's .mdf database file
  • If the project database is missing or corrupted, you may see an error during open

Related Commands

  • Creating a New Project
  • Closing a Project


Closing a Project

Command

Command | Description
ATCLOSE_PROJECT | Close the current FireCAD project

Ribbon: FireCAD > File > Close Project

Prerequisites

  • None (the command handles the case where no project is open)

Overview

The ATCLOSE_PROJECT command closes the currently open FireCAD project. You will be prompted to save any unsaved changes before the project is closed.

Steps

  1. Type ATCLOSE_PROJECT in the AutoCAD command line
  2. If there are unsaved changes, a save prompt appears
  3. The project database is detached
  4. The Project Tree, Device Palette, and Circuits palette are cleared

What Happens When You Close

  • Any unsaved changes can be saved or discarded (you'll be prompted)
  • The project database connection is closed
  • The entity cache is cleared
  • The FireCAD palettes reset to their empty state
  • AutoCAD drawings remain open but are no longer linked to the project

Tips

  • Always close your project before opening a different one (or FireCAD will prompt you automatically)
  • If AutoCAD crashes without closing the project, the database file may remain locked. Use SqlLocalDB stop MSSQLLocalDB to release it

Related Commands

  • Opening a Project
  • Creating a New Project


Updating a Project

Command

Command | Description
ATUPDATE_PROJECT | Open the Project Parts Update dialog to add or modify templates and devices

Ribbon: FireCAD > File > Update Project

Prerequisites

  • A FireCAD project must be open

Overview

The ATUPDATE_PROJECT command opens the Project Parts Update dialog, which allows you to add, remove, or modify device definitions, circuit templates, cables, and limit types in your project database. This is how you bring in new parts from the master database after project creation.

Steps

  1. Type ATUPDATE_PROJECT in the AutoCAD command line
  2. The Project Parts Update dialog opens
  3. Browse and select the templates, devices, cables, or limit types you want to add or modify
  4. Make your changes and click OK (or equivalent accept button)
  5. FireCAD applies the changes:
    • A progress dialog appears: "Applying Circuit and Device Type Templates..."
    • Circuit and device type validation runs
    • Device labels are updated on the active drawing
    • Wirepath labels are updated on the active drawing

What the Dialog Shows

The Project Parts Update dialog provides access to:

  • Device definitions from the master database
  • Circuit templates that define circuit types, wire configurations, and current limits
  • Cable types with conductor specifications
  • Limit types for circuit validation

Content may be filtered based on your license features.

What Happens After Apply

When you accept changes, FireCAD performs a full refresh:

  1. Cache reload — All cached data is cleared and reloaded from the database to reflect your changes
  2. Circuit validation — Circuit and device type templates are validated for consistency
  3. Device label update — All device labels on the active drawing are regenerated
  4. Wirepath label update — All wirepath labels on the active drawing are regenerated

A progress dialog tracks these steps. This process ensures that any template or device changes are immediately reflected in your drawings.

Tips

  • Use this command when you need devices or templates that weren't included during project creation
  • After updating, check the Design Assistant (ATDESIGN_ASSISTANT) to verify no validation issues were introduced
  • The full refresh after update may take a few seconds on large projects

Related Commands

  • Creating a New Project
  • Editing Project Properties
  • Managing Project Drawings


Editing Project Properties

Command

Command | Description
ATEDIT_PROJECT_PROPERTIES | Open the Edit Project Properties dialog

Prerequisites

  • A FireCAD project must be open

Overview

The ATEDIT_PROJECT_PROPERTIES command opens a dialog to edit metadata about your project, such as the project type, location, and construction details. These properties are stored in the project database and synced to AutoCAD custom drawing properties.

Steps

  1. Type ATEDIT_PROJECT_PROPERTIES in the AutoCAD command line
  2. The Edit Project Properties dialog opens with current values loaded
  3. Edit any of the following fields:
Field | Description
Project Name | Name of the project
Project Type | Type classification
Industry Type | Industry classification
Construction Type | Construction classification
Occupancy Class | Building occupancy class
City | Project city
State | Project state
Zip | Project ZIP code
  4. Click OK to save changes, or Cancel to discard

What Happens After Apply

When you save changes:

  1. Properties are written to the project database
  2. Custom drawing properties (prefixed with AMTS_) are updated on the active drawing
  3. The drawing display regenerates to reflect any changes

Tips

  • These are the same properties configured during project creation (Page 2 of the wizard)
  • Project properties appear in title block reports and other documentation
  • Changes sync to AutoCAD custom properties, which can be referenced in title blocks

Related Commands

  • Creating a New Project
  • Updating a Project


Managing Project Drawings

Command

Command | Description
ATEDIT_PROJECT_DRAWINGS | Open the Project Drawings editor

Ribbon: FireCAD > Edit > Project Drawings

Prerequisites

  • A FireCAD project must be open

Overview

The ATEDIT_PROJECT_DRAWINGS command opens the Drawings Editor dialog, where you can add, remove, or edit the drawings registered in your project. Each drawing in the project has a unique identifier in the database and tracks all devices, circuits, and segments placed on it.

Steps

  1. Type ATEDIT_PROJECT_DRAWINGS in the AutoCAD command line
  2. The Project Drawings editor opens
  3. Manage your project drawings:
    • Add new drawings to the project
    • Remove drawings from the project
    • Edit drawing properties (name, description, etc.)
  4. Click OK to apply changes, or Cancel to discard

What Happens After Apply

When you accept changes:

  1. A progress dialog appears with two steps:
    • "Updating Device Labels..." — Regenerates all device labels on the active drawing
    • "Updating Wirepath Labels..." — Regenerates all wirepath labels on the active drawing
  2. The list of active project drawing IDs is reloaded from the database
  3. The Project Tree palette refreshes to show the updated drawing list

Tips

  • Removing a drawing from the project does not delete the .dwg file — it only unregisters it from the project database
  • Adding a drawing registers it in the database so FireCAD can track devices and circuits on that drawing
  • After adding or removing drawings, verify the Project Tree reflects the correct list

Related Commands

  • Duplicating a Drawing
  • Restoring a Missing Drawing
  • Editing Project Properties


Duplicating a Drawing

Command

Command | Description
ATDUPLICATE_PROJECT_DRAWING | Duplicate an existing project drawing with all its data

Ribbon: FireCAD > Edit > Duplicate Project Drawing

Prerequisites

  • A FireCAD project must be open
  • A drawing must be selected in the Project Tree palette
  • The source drawing file must exist on disk
  • The source drawing must not be currently open in AutoCAD

Overview

The ATDUPLICATE_PROJECT_DRAWING command creates a complete copy of an existing project drawing, including all database records — devices, circuits, circuit devices, and segments. This is useful when creating similar floor plans or when you need a starting point based on an existing drawing.

Steps

  1. Select a drawing in the Project Tree palette
  2. Type ATDUPLICATE_PROJECT_DRAWING in the AutoCAD command line
  3. A Save As dialog appears — choose a filename for the new drawing
    • The file must be saved in the main project folder (not a subdirectory)
    • The filename must be unique (no existing file with that name)
  4. Click Save
  5. FireCAD copies the drawing file and duplicates all database records
  6. The new drawing opens automatically in AutoCAD
  7. Labels are refreshed with a full cache reload

What Gets Duplicated

Data | Duplicated?
Drawing file (.dwg) | Yes — full file copy
Entities (devices) | Yes — new database records with same properties
Circuits | Yes — new circuit records linked to new drawing
Circuit devices | Yes — new connection records
Segments (wirepaths) | Yes — new segment records
Device properties | Yes — all custom properties copied
Block definitions | Yes — included in the .dwg file copy

The duplicated drawing receives a new unique Drawing ID in the database. All entity handles are preserved from the source drawing.

Tips

  • The new file must be in the main project directory — subdirectories are not supported
  • After duplication, the new drawing is fully independent from the source
  • If you need to duplicate a drawing to a different project, export and re-import instead
  • Large drawings with many devices and circuits may take a moment to duplicate

Related Commands

  • Managing Project Drawings
  • Restoring a Missing Drawing


Restoring a Missing Drawing

Command

Command | Description
ATRESTORE_MISSING_DRAWING | Restore a drawing whose file has been deleted or lost

Prerequisites

  • A FireCAD project must be open
  • A drawing must be selected in the Project Tree palette
  • The drawing's .dwg file must not exist (it is missing — that's why you're restoring)

Overview

The ATRESTORE_MISSING_DRAWING command recreates a drawing file from the project database. When a .dwg file is lost or accidentally deleted but the project database still contains the drawing's device, circuit, and segment data, this command rebuilds the drawing from that data.

The restored drawing uses a template file as the base (for layers, styles, and settings), then places all devices and segments from the database into the new file.

Steps

  1. Select the missing drawing in the Project Tree palette
  2. Type ATRESTORE_MISSING_DRAWING in the AutoCAD command line
  3. FireCAD confirms that the drawing file is missing
  4. An Open File dialog appears — select a template (.dwt) or drawing (.dwg) file to use as the base
    • The dialog initially opens to the AutoCAD Templates folder
  5. Click Open
  6. FireCAD:
    • Copies the template file to the original drawing path
    • Recreates all devices and segments from the database
    • Refreshes all labels with a full cache reload
    • Reroutes all wirepaths
    • Updates segment layer colors
    • Zooms to the drawing extents

What Gets Restored

Data | Restored?
Devices (from EntitiesTable) | Yes — block references recreated from database
Segments (from SegmentTable) | Yes — wirepath geometry recreated
Circuits | Yes — connections preserved in database
Circuit devices | Yes — assignments preserved in database
Drawing layouts | No — uses the template's layouts
Title blocks | No — uses the template's title block
Custom layers/styles | No — uses the template's layers and styles
Non-FireCAD geometry | No — only FireCAD-managed objects are restored

Important Notes

  • This command only restores FireCAD-managed objects (devices and segments). Any custom geometry, notes, dimensions, or non-FireCAD objects from the original drawing are not recoverable.
  • The template you select provides the drawing's foundation (layers, text styles, dimension styles, layouts). Choose a template that matches your project standards.
  • After restoration, review the drawing to verify all devices are placed correctly and wirepaths are routed as expected.

Tips

  • Keep regular backups of your .dwg files to avoid needing this command
  • Use a project template file that has all your standard layers and styles pre-configured
  • After restoration, run ATVALIDATE to check for any data inconsistencies

Related Commands

  • Restoring Missing Devices
  • Restoring Missing Segments
  • Duplicating a Drawing


Restoring Missing Devices

Command

Command | Description
ATRESTORE_MISSING_DEVICES | Restore device block references that are missing from the active drawing

Prerequisites

  • A FireCAD project must be open
  • A drawing must be open in AutoCAD

Overview

The ATRESTORE_MISSING_DEVICES command scans the active drawing for devices that exist in the project database but are missing from the drawing geometry. This can happen if devices were accidentally erased from the drawing without using FireCAD's proper removal commands, leaving orphaned database records.

For each missing device, FireCAD recreates the block reference at the recorded location with the correct attributes and properties.

Steps

  1. Open the drawing that has missing devices
  2. Type ATRESTORE_MISSING_DEVICES in the AutoCAD command line
  3. A progress dialog appears: "Restoring Missing Devices..."
  4. FireCAD scans each entity in the database for the active drawing:
    • If the device block reference exists and matches — skipped
    • If the device is erased or missing — recreated from the device definition
    • If the device exists but is the wrong type — recreated with the correct block
  5. Restored devices appear in the drawing at their original locations

What Gets Restored

For each missing device, FireCAD:

  • Loads the correct block definition from the project database
  • Creates a new block reference at the original position
  • Applies all stored attributes (part number, labels, etc.)
  • Copies extended data (XData) from the entity record

Tips

  • After restoring devices, run ATVALIDATE to verify data integrity
  • Run ATREFRESH_LABELS to update all labels after restoration
  • If many devices are missing, consider using ATRESTORE_MISSING_DRAWING instead, which rebuilds the entire drawing
  • This command only restores devices — for missing wirepaths, use ATRESTORE_MISSING_SEGMENTS

Related Commands

  • Restoring Missing Segments
  • Restoring a Missing Drawing
  • Validating the Active Drawing


Restoring Missing Segments

Command

Command | Description
ATRESTORE_MISSING_SEGMENTS | Restore segment (wirepath) block references that are missing from the active drawing

Prerequisites

  • A FireCAD project must be open
  • A drawing must be open in AutoCAD

Overview

The ATRESTORE_MISSING_SEGMENTS command scans the active drawing for wirepath segments that exist in the project database but are missing from the drawing geometry. This can happen if segments were accidentally erased without using FireCAD's proper removal commands.

For each missing segment, FireCAD recreates the block reference at the recorded location.

Steps

  1. Open the drawing that has missing segments
  2. Type ATRESTORE_MISSING_SEGMENTS in the AutoCAD command line
  3. A progress dialog appears: "Restoring Missing Segments..."
  4. FireCAD scans each segment in the database for the active drawing:
    • If the segment block reference exists — skipped
    • If the segment is erased or missing — recreated from the segment definition
  5. Restored segments appear in the drawing at their original locations

What Gets Restored

For each missing segment, FireCAD:

  • Loads the correct segment block definition
  • Creates a new block reference at the original position
  • Restores the segment geometry

Tips

  • After restoring segments, run ATREROUTE_WIREPATHS to recalculate wirepath routing
  • Run ATREFRESH_LABELS to update wirepath labels after restoration
  • This command only restores segments — for missing devices, use ATRESTORE_MISSING_DEVICES
  • If both devices and segments are missing, restore devices first, then segments

Related Commands

  • Restoring Missing Devices
  • Restoring a Missing Drawing
  • Rerouting Wirepaths


Embedded Drawing Backup & Recovery

Command

Command | Description
ATRESTORE_FROM_DRAWING | Restore a complete project from backup data embedded in a drawing
ATBACKUP_INFO | View details about the backup data embedded in the current drawing

Prerequisites

  • FireCAD must be loaded in AutoCAD
  • A drawing file must be open

Overview

FireCAD can automatically embed a complete project backup inside every drawing file (.dwg) each time you save. If your project file (.atpx) is ever lost, corrupted, or inaccessible, you can recover your entire project from any drawing that was saved with the backup enabled.

The feature is enabled by default. To verify or change the setting, open the Options dialog (ATOPTIONS) and look for the checkbox labeled Embed Project Backup In Drawings.

What Gets Backed Up

The backup contains the same data stored in your .atpx project file — everything FireCAD needs to rebuild the project:

  • Device placements — All devices placed in your drawings, with their positions and properties
  • Circuit connections — Which devices are connected to which circuits, including addressing and sequencing
  • Circuit configuration — Circuit settings, current limits, voltage drop parameters, and cable assignments
  • Project settings — Options, label formats, and report configuration
  • Block definitions — Device symbols and preview images used in the project

The backup is compressed to minimize the impact on drawing file size. Block definitions and other static data are written once and reused on subsequent saves, keeping save times fast after the initial backup.

Steps: Restoring from a Drawing

  1. Open the drawing (.dwg) file in AutoCAD
  2. Type ATRESTORE_FROM_DRAWING in the command line
  3. FireCAD decompresses and validates the backup data
  4. A confirmation dialog shows the backup timestamp, original project filename, compressed size, and output path
  5. Click Yes to restore

The restored project file is saved as a new .atpx file in the same folder as the drawing, with a timestamped filename (e.g., MyProject-restored-20260316-143022.atpx).

The original drawing is not modified during the restore process.

Steps: Viewing Backup Information

  1. Open the drawing in AutoCAD
  2. Type ATBACKUP_INFO in the command line

This displays the main backup size (compressed), number of block definitions stored, metadata entries (timestamp, project name), and total recovery data size.

Automatic Crash Recovery

If AutoCAD or FireCAD closes unexpectedly (crash, power loss, forced shutdown), the project data in the working database may still be intact. The next time FireCAD starts, it automatically detects orphaned project data and prompts you to save a backup, discard the data, or keep the data for next time.

If you choose to save, the recovered project is saved with a timestamped filename (e.g., MyProject_26-03-16T14-30-45_recovered.atpx).

This crash recovery works independently of the embedded drawing backup — it recovers directly from the working database, even if the drawing backup feature is disabled.

Tips

  • Keep the embedded backup enabled (the default) for an always-available safety net
  • The backup is embedded in whichever drawing is active when you save — restore from the most recently saved drawing for the latest data
  • The backup is fully self-contained — you can open the drawing on any computer with FireCAD installed and run ATRESTORE_FROM_DRAWING
  • Typical projects add 1-5 MB to the drawing file size (compressed)
  • After restoring a project, run ATVALIDATE to verify data integrity
  • Use ATBACKUP_INFO to confirm that a drawing has current backup data before relying on it for recovery

Related Commands

  • Restoring a Missing Drawing
  • Restoring Missing Devices
  • Restoring Missing Segments


Editing Project Block Definitions

Command

Command | Description
ATEDIT_PROJECT_BLOCK_DEFINITIONS | Open the Project Block Definition Editor

Ribbon: FireCAD > Edit > Project Block Definitions

Prerequisites

  • A FireCAD project must be open

Overview

The ATEDIT_PROJECT_BLOCK_DEFINITIONS command opens the Block Definition Editor dialog, which lets you view and edit the block definitions stored in your project database. These are the device and component blocks that are available for placement in your project drawings.

Steps

  1. Type ATEDIT_PROJECT_BLOCK_DEFINITIONS in the AutoCAD command line
  2. The Block Definition Editor dialog opens
  3. Browse, edit, or manage the block definitions in your project
  4. Close the dialog when finished

Tips

  • Project block definitions are copies of master blocks imported during project creation or via ATUPDATE_PROJECT
  • Changes here affect only this project — the master database is not modified
  • To edit the master block library, use ATEDIT_MASTER_BLOCK_DEFINITIONS instead

Related Commands

  • Editing Master Block Definitions
  • Refreshing Block Definitions
  • Opening the Device Editor


Editing Master Block Definitions

Command

Command | Description
ATEDIT_MASTER_BLOCK_DEFINITIONS | Open the Master Block Definition Editor

Ribbon: FireCAD > Edit > Master Block Definitions

Prerequisites

  • FireCAD must be loaded and licensed
  • Does not require a project to be open

Overview

The ATEDIT_MASTER_BLOCK_DEFINITIONS command opens the Block Definition Editor for the master database. The master database contains the global library of device blocks, templates, and component definitions shared across all projects.

Steps

  1. Type ATEDIT_MASTER_BLOCK_DEFINITIONS in the AutoCAD command line
  2. The Block Definition Editor dialog opens (connected to the master database)
  3. Browse, edit, or manage master block definitions
  4. Close the dialog when finished

Important Notes

  • Changes to master block definitions affect all future projects that import from the master database
  • Existing projects are not automatically updated — use ATUPDATE_PROJECT to pull updated definitions into a project
  • This command does not require a project to be open, since it operates on the master database directly

Related Commands

  • Editing Project Block Definitions
  • Updating a Project
  • Opening the Device Editor


Replacing Block References

Command

Command | Description
ATREPLACE_BLOCKREFS | Replace selected block references with a different block

Ribbon: FireCAD > Devices > Replace Selection With Block

Prerequisites

  • A FireCAD project must be open
  • Block references must be selected or available for selection

Overview

The ATREPLACE_BLOCKREFS command replaces selected block references in the drawing with alternative blocks. You can configure how the replacement handles alignment, rotation, and scale to match the originals or use new values.

Steps

  1. Type ATREPLACE_BLOCKREFS in the AutoCAD command line
  2. You are prompted: "Select entities to replace or [ALIGNMENT/ROTATION/SCALE]"
  3. Select blocks to replace, or type a keyword to adjust settings first:

Setting Options

Before selecting blocks, you can configure replacement behavior using keywords:

Keyword | Options | Description
ALIGNMENT | CENTER or ORIGIN | Center: Align replacement block to the center of the original. Origin: Align to the insertion point
ROTATION | AUTO or NONE | Auto: Match the original block's rotation. None: Use the replacement block's default rotation
SCALE | Numeric value | Scale factor for the replacement. Enter 0 to use the replacement block's default scale
  4. Select the block references to replace
  5. FireCAD replaces each selected block with the new block definition, applying the configured alignment, rotation, and scale settings

Default Settings

The default values for alignment, rotation, and scale are stored in your project settings and can also be configured in the Options Editor under the Tools tab.

Tips

  • Use ALIGNMENT CENTER when replacing blocks of different sizes to keep them visually centered
  • Use SCALE 0 to preserve the replacement block's intended scale rather than stretching it to match
  • The replacement settings persist across uses within the same session
  • You can pre-select blocks before running the command (pickset is supported)

Related Commands

  • Resizing Blocks
  • Refreshing Block Definitions


Resizing Blocks

Command

Command | Description
ATRESIZE_BLOCKS | Resize selected block definitions to a specified height

Prerequisites

  • FireCAD must be loaded and licensed
  • Block references must be selected or available for selection

Overview

The ATRESIZE_BLOCKS command scales selected block definitions to a target height. All geometry within the block definition is scaled proportionally, and all instances of that block in the drawing are updated.

Steps

  1. Type ATRESIZE_BLOCKS in the AutoCAD command line
  2. Select the block references you want to resize
  3. Enter the desired block height when prompted:
    • "Enter preferred block height:"
    • Default value: 15
    • Must be a positive number
  4. FireCAD calculates the required scale factor and applies it to each block definition
  5. Attributes are synced to match the new geometry (ATTSYNC is run automatically)
  6. The drawing regenerates to show the updated blocks

How It Works

For each selected block:

  1. The block's bounding box is calculated
  2. A scale factor is computed: target height / current height
  3. All entities within the block definition are scaled by this factor
  4. The ATTSYNC command synchronizes attributes across all instances

Important Notes

  • This modifies the block definition, not individual block references. All instances of the resized block in the drawing will update.
  • The scaling is proportional — width scales by the same factor as height
  • Only the height dimension is used as the reference for calculating the scale factor

Tips

  • Use this to standardize device block sizes across your drawing
  • The default height of 15 works well for most fire alarm device symbols at standard drawing scales
  • If you need to resize individual block references (not the definition), use AutoCAD's native scale tools instead

Related Commands

  • Replacing Block References
  • Refreshing Block Definitions


Layout Detail Blocks

Command

Command | Description
ATLAYOUT_DETAIL_BLOCKS | Automatically arrange selected blocks using graph layout

Prerequisites

  • FireCAD must be loaded and licensed
  • Entities must be selected or available for selection

Overview

The ATLAYOUT_DETAIL_BLOCKS command uses an automatic graph layout algorithm to arrange selected block entities in an organized, readable layout. This is useful for creating detail sheets or organizing device blocks in a structured arrangement.

Steps

  1. Select the block entities you want to arrange (or pre-select them before running the command)
  2. Type ATLAYOUT_DETAIL_BLOCKS in the AutoCAD command line
  3. FireCAD creates a graph from the selected entities
  4. The graph layout algorithm calculates optimal positions
  5. Block positions are updated in the drawing

How It Works

The command uses the yFiles graph layout engine to:

  1. Build a graph representation of the selected entities and their relationships
  2. Calculate an optimal layout that minimizes overlaps and crossing connections
  3. Update each block's position in the drawing to match the computed layout

Tips

  • This works best with related blocks that have logical connections (e.g., panel detail blocks)
  • Pre-select only the blocks you want to arrange — unrelated blocks may produce unexpected layouts
  • Use ATSAVE_PROJECT_BLOCKS_TO_FILE to create a complete detail drawing with automatic layout

Related Commands

  • Saving Project Blocks to File
  • Replacing Block References


Saving Project Blocks to File

Command

Command | Description
ATSAVE_PROJECT_BLOCKS_TO_FILE | Export all project blocks to a drawing file with automatic layout

Prerequisites

  • A FireCAD project must be open

Overview

The ATSAVE_PROJECT_BLOCKS_TO_FILE command creates a drawing file containing all project device blocks, automatically arranged using graph layout optimization. This produces a reference drawing showing all available device blocks in the project.

Steps

  1. Type ATSAVE_PROJECT_BLOCKS_TO_FILE in the AutoCAD command line
  2. FireCAD automatically:
    • Creates a new drawing with all project block definitions
    • Arranges the blocks using graph layout optimization
    • Zooms to fit all blocks in the view

What Gets Created

  • A drawing file containing every device block definition in the project
  • Blocks are arranged in an organized layout (not overlapping)
  • The layout uses the yFiles graph engine for clean positioning

Tips

  • Use this to create a reference sheet for all available devices in your project
  • The output is a standard .dwg file that can be plotted or shared
  • Run this after importing new devices via ATUPDATE_PROJECT to generate an updated reference

Related Commands

  • Layout Detail Blocks
  • Write Block All


Write Block All

Command

Command | Description
ATWBLOCK_ALL | Export all block definitions as individual .dwg files

Prerequisites

  • A FireCAD project must be open

Overview

The ATWBLOCK_ALL command exports every block definition in the current drawing as a separate .dwg file. Each block becomes its own drawing file, saved to a folder you select. This is useful for creating a block library or sharing individual device definitions.

Steps

  1. Type ATWBLOCK_ALL in the AutoCAD command line
  2. A folder selection dialog appears
  3. Select the target folder where block files should be saved
  4. Click OK
  5. A progress dialog shows the export progress
  6. Each block definition is saved as an individual .dwg file named after the block

What Gets Exported

  • Every non-standard block definition in the current drawing
  • Each file contains a single block definition
  • External references and overlay references are excluded
  • Layout blocks are excluded

File Format

Files are saved in AutoCAD 2013 format (.dwg) for broad compatibility.

Tips

  • Create a dedicated folder for the export to keep files organized
  • Invalid filename characters in block names are automatically sanitized
  • Use this to build a reusable block library outside of the FireCAD project system
  • The progress dialog shows estimated time remaining for large block collections

Related Commands

  • Saving Project Blocks to File
  • Editing Project Block Definitions


Refreshing Block Definitions

Command

Command | Description
ATREFRESH_BLOCKS | Reset all block definitions from the project database

Ribbon: FireCAD > Validation > Reset Device Block Definitions

Prerequisites

  • A FireCAD project must be open

Overview

The ATREFRESH_BLOCKS command resets all block definitions in the current drawing to match the definitions stored in the project database. This is useful when block definitions have been accidentally modified in the drawing and you want to restore them to their database versions.

Steps

  1. Type ATREFRESH_BLOCKS in the AutoCAD command line

  2. A confirmation dialog appears:

    "This will reset all block definitions in the current drawing with the definitions stored in the project database. All attributes will be reset to default locations and orientation. Do you wish to continue?"

  3. Click Yes to proceed or No to cancel

  4. If you click Yes:

    • Block definitions are updated from the database
    • A progress dialog appears while device labels are refreshed
    • All block instances in the drawing update to reflect the restored definitions

Important Notes

  • This resets all block definitions, not just selected ones
  • Attribute positions and orientations are reset to their defaults as stored in the database
  • Any manual adjustments to block geometry or attribute placement in the drawing will be lost
  • Device labels are automatically refreshed after the block update

Tips

  • Use this after importing updated blocks via ATUPDATE_PROJECT to ensure the drawing uses the latest definitions
  • If you only need to update specific blocks, consider using ATREPLACE_BLOCKREFS instead
  • This is a safe operation — it restores from database rather than deleting anything

Related Commands

  • Refreshing Block Images
  • Replacing Block References
  • Editing Project Block Definitions


Refreshing Block Images

Command

Command | Description
ATREFRESH_BLOCK_IMAGES | Refresh block preview thumbnails in the current drawing

Ribbon: FireCAD > Validation > Update Cached Block Images

Prerequisites

  • A FireCAD project must be open

Overview

The ATREFRESH_BLOCK_IMAGES command regenerates the preview thumbnails for all block definitions in the current drawing. These thumbnails are used in the Device Palette and other UI elements that show block previews.

Steps

  1. Type ATREFRESH_BLOCK_IMAGES in the AutoCAD command line
  2. Block preview images are regenerated automatically

When to Use

  • Block thumbnails appear blank or outdated in the Device Palette
  • After modifying block definitions, the previews don't reflect the changes
  • After importing new blocks into the project

Related Commands

  • Refreshing Block Definitions


Opening the Device Editor

Command

Command | Description
ATOPEN_DEVICE_EDITOR | Launch the Master Template Editor application

Ribbon: FireCAD > Edit > Launch Project Device Editor

Prerequisites

  • A FireCAD project must be open
  • The Master Template Editor application must be installed

Overview

The ATOPEN_DEVICE_EDITOR command launches the Master Template Editor as a separate application. The Master Template Editor is a standalone tool for creating and editing device definitions, circuit templates, and block configurations in the project database.

Steps

  1. Type ATOPEN_DEVICE_EDITOR in the AutoCAD command line
  2. The Master Template Editor opens in a new window
  3. The editor automatically connects to your project's database
  4. Make your changes in the editor
  5. Close the editor when finished — changes are saved to the database

What the Master Template Editor Provides

The Master Template Editor is a full-featured database management application for:

  • Device definitions — Part numbers, descriptions, electrical properties
  • Circuit templates — Circuit types, wire configurations, current limits
  • Block configurations — Associate AutoCAD blocks with device definitions
  • Assembly configurations — Multi-component device assemblies

Important Notes

  • The editor runs as a separate application — it is not embedded in AutoCAD
  • Changes made in the editor are written directly to the project database
  • After making changes, return to AutoCAD and run ATREFRESH_LABELS or ATUPDATE_PROJECT to see the effects in your drawings
  • The editor connects using your local SQL Server LocalDB instance

Tips

  • Use the Master Template Editor for detailed database work that goes beyond what the Project Parts Update dialog offers
  • The editor must be installed separately — check your FireCAD installation for the Master Template Editor component
  • If the editor fails to launch, verify the installation path in the Windows registry

Related Commands

  • Updating a Project
  • Editing Project Block Definitions
  • Editing Master Block Definitions


Connecting Devices to a Circuit

Command

Command | Description
ATCONNECT | Connect selected devices to the active circuit

Prerequisites

  • A FireCAD project must be open
  • An active circuit must be selected in the Circuits palette
  • The active drawing must be part of the project

Overview

The ATCONNECT command adds selected devices to the currently active circuit. Connected devices become part of the circuit's topology, receiving wire labels, addresses, and appearing in circuit-based reports.

Steps

  1. Select the target circuit in the Circuits palette (it becomes the active circuit)
  2. Type ATCONNECT in the AutoCAD command line
  3. You are prompted: "Select devices to connect to '[Circuit Name]':"
  4. Select one or more compatible devices in the drawing
  5. Press Enter to confirm the selection
  6. The devices are added to the circuit
  7. You can continue selecting more devices (press Escape to finish)

How It Works

  • Selected devices are added to the circuit as non-origin devices (they are endpoints or intermediate devices, not the circuit source)
  • Each device receives a sequence number (MasterSequence) in the order it was connected
  • Compatible devices are highlighted during selection to help you identify valid targets
  • After connection, device labels and wirepath labels update automatically

Tips

  • Only devices compatible with the circuit's type can be connected — incompatible devices won't be selectable
  • To connect a device at a specific position in the circuit sequence, use ATINSERT_IN_CIRCUIT instead
  • To change the circuit a device is on, disconnect it first with ATDISCONNECT, then reconnect
  • After connecting devices, use ATAUTO_DRAW_ACTIVE_WIREPATH to draw the wirepath between them

Related Commands

  • Disconnecting Devices
  • Inserting a Device in Circuit
  • Creating a Branch
  • Resequencing Circuit Devices


Disconnecting Devices from a Circuit

Command

Command | Description
ATDISCONNECT | Remove selected devices from the active circuit

Prerequisites

  • A FireCAD project must be open
  • An active circuit must be selected in the Circuits palette
  • The active drawing must be part of the project

Overview

The ATDISCONNECT command removes selected devices from the currently active circuit. The devices remain in the drawing but are no longer part of the circuit's topology.

Steps

  1. Select the target circuit in the Circuits palette
  2. Type ATDISCONNECT in the AutoCAD command line
  3. You are prompted: "Select devices to disconnect from '[Circuit Name]':"
  4. Select one or more devices currently on the circuit
  5. Press Enter to confirm
  6. The devices are removed from the circuit
  7. You can continue selecting more devices (press Escape to finish)

What Happens

  • The selected devices' circuit connection records are removed from the database
  • Wire labels and addresses for disconnected devices are cleared
  • Remaining devices on the circuit retain their connections
  • The physical block references remain in the drawing — only the circuit relationship is removed

Tips

  • Disconnecting a device does not delete it from the drawing — it only removes the circuit association
  • After disconnecting, the device can be connected to a different circuit with ATCONNECT
  • If you disconnect a device that has a branch, the branch and its devices may also be affected

Related Commands

  • Connecting Devices
  • Removing a Branch


Creating a Branch

Command

Command | Description
ATBRANCH | Create a branch circuit from a device on the active circuit

Prerequisites

  • A FireCAD project must be open
  • An active circuit must be selected in the Circuits palette
  • The active drawing must be part of the project

Overview

The ATBRANCH command creates a new child circuit (branch) that originates from a device on the active circuit. This is used for circuit topologies where a device acts as a passthrough, feeding a sub-circuit of additional devices.

Steps

  1. Select the parent circuit in the Circuits palette
  2. Type ATBRANCH in the AutoCAD command line
  3. You are prompted: "Select a device on circuit '[Circuit Name]' to branch from:"
  4. Select the device that will be the branch origin (passthrough device)
  5. You are prompted to select devices to connect to the new branch
  6. Select one or more compatible devices
  7. Press Enter to confirm
  8. The branch circuit is created with the selected devices connected

How It Works

  • A new circuit record is created in the database
  • The branching device becomes the origin of the new child circuit
  • Selected devices are connected to the new branch circuit
  • The branch inherits properties from the parent circuit's template
  • The branch appears as a child in the circuit hierarchy

Example

A common use case is a notification appliance circuit (NAC) where a power supply feeds several branches:

Panel → NAC Circuit
         └── Strobe 1 (passthrough)
              └── Branch 1: Strobe 2, Strobe 3
         └── Strobe 4 (passthrough)
              └── Branch 2: Strobe 5, Strobe 6

Tips

  • The branching device must already be on the active circuit
  • Branch circuits have their own sequence numbering independent of the parent
  • Use ATRELOCATE_BRANCH to move devices between branches
  • Use ATREMOVE_BRANCH to remove a branch and its connections

Related Commands

  • Relocating a Branch
  • Removing a Branch
  • Connecting Devices


Relocating a Branch

Command

Command | Description
ATRELOCATE_BRANCH | Move devices from one branch point to another on the same circuit

Prerequisites

  • A FireCAD project must be open
  • An active circuit must be selected in the Circuits palette
  • The active drawing must be part of the project

Overview

The ATRELOCATE_BRANCH command moves selected devices from their current position on a circuit to a branch off a different device on the same circuit. This effectively changes which device the selected devices branch from.

Steps

  1. Select the circuit in the Circuits palette
  2. Type ATRELOCATE_BRANCH in the AutoCAD command line
  3. Connected devices on the circuit are highlighted
  4. You are prompted: "Select devices to relocate to a branch on '[Circuit Name]':"
  5. Select the devices you want to move
  6. Press Enter
  7. You are prompted: "Select a device on circuit '[Circuit Name]' to branch from:"
  8. Select the new branching point device
  9. The devices are moved to the new branch

Tips

  • Both the devices being moved and the new branch point must be on the same circuit
  • This is useful for reorganizing circuit topology without disconnecting and reconnecting devices manually

Related Commands

  • Creating a Branch
  • Removing a Branch


Removing a Branch

Command

Command | Description
ATREMOVE_BRANCH | Remove selected devices from a branch circuit

Prerequisites

  • A FireCAD project must be open
  • An active circuit must be selected (the branch circuit)
  • The active drawing must be part of the project

Overview

The ATREMOVE_BRANCH command removes selected devices from a branch circuit. This disconnects the devices from the branch.

Steps

  1. Select the branch circuit in the Circuits palette
  2. Type ATREMOVE_BRANCH in the AutoCAD command line
  3. You are prompted: "Select devices to remove from branch '[Circuit Name]':"
  4. Select one or more devices on the branch
  5. Press Enter to confirm
  6. The devices are removed from the branch
  7. You can continue selecting more devices (press Escape to finish)

Tips

  • Removed devices remain in the drawing but are no longer connected to the branch circuit
  • After removal, devices can be reconnected to a different circuit with ATCONNECT
  • If all devices are removed from a branch, the branch circuit record may remain in the database — use ATDELETE_ORPHANS to clean up empty circuits if needed

Related Commands

  • Creating a Branch
  • Relocating a Branch
  • Disconnecting Devices


Relocating Circuit Origin

Command

Command | Description
ATRELOCATE | Move all circuits from one origin device to another

Ribbon: FireCAD > Circuits > Relocate Device Circuit

Prerequisites

  • A FireCAD project must be open
  • The active drawing must be part of the project

Overview

The ATRELOCATE command transfers all circuits originating from one device to a different device in the same drawing. This changes which device is the source (panel, power supply, etc.) for those circuits.

Steps

  1. Type ATRELOCATE in the AutoCAD command line
  2. You are prompted: "Select a device to relocate circuit(s) from:"
  3. Select the current origin device (the panel or device that currently owns the circuits)
  4. You are prompted: "Select a device to relocate circuit(s) to:"
  5. Select the new origin device
  6. All circuits from the source device are transferred to the destination device
  7. You can continue relocating more circuits (press Escape to finish)

When to Use

  • You need to reassign circuits to a different panel
  • A panel device was replaced and circuits need to point to the new block
  • Circuit origins were accidentally assigned to the wrong device

Tips

  • Both devices must be in the same drawing
  • All circuits from the source device are relocated — you cannot selectively move individual circuits with this command
  • For more control over which circuits to move, use ATRELOCATE_CIRCUIT which provides a dialog interface

Related Commands

  • Relocating an Entire Circuit
  • Project Circuits Editor


Relocating an Entire Circuit

Command

Command | Description
ATRELOCATE_CIRCUIT | Open a dialog to relocate circuits between devices

Ribbon: FireCAD > Circuits > Relocate Panel Circuit

Prerequisites

  • A FireCAD project must be open
  • The active drawing must be part of the project

Overview

The ATRELOCATE_CIRCUIT command opens a dialog-based interface for relocating circuits between devices. Unlike ATRELOCATE (which moves all circuits from one device to another via command-line prompts), this command provides a visual interface where you can select specific circuits and target devices.

Steps

  1. Type ATRELOCATE_CIRCUIT in the AutoCAD command line
  2. The Relocate Circuit dialog opens
  3. Select the circuit(s) you want to relocate
  4. Select the destination device
  5. Click OK to apply the relocation
  6. Device and wirepath labels are updated automatically

When to Use

  • You need to move specific circuits (not all circuits from a device)
  • You want a visual overview of circuit assignments before making changes
  • You're reorganizing circuits across multiple devices in the project

Tips

  • This command provides more granular control than ATRELOCATE
  • Labels are automatically refreshed after the operation completes
  • The dialog shows the current circuit-to-device assignments for easy reference

Related Commands

  • Relocating Circuit Origin
  • Project Circuits Editor


Inserting a Device in Circuit

Command

Command | Description
ATINSERT_IN_CIRCUIT | Insert a device at a specific position in the circuit sequence

Prerequisites

  • A FireCAD project must be open
  • An active circuit must be selected in the Circuits palette
  • The active drawing must be part of the project

Overview

The ATINSERT_IN_CIRCUIT command adds a device to the active circuit at a specific position — before an existing device. Unlike ATCONNECT which adds devices at the end of the sequence, this command lets you control exactly where in the circuit order the new device appears.

Steps

  1. Select the target circuit in the Circuits palette
  2. Type ATINSERT_IN_CIRCUIT in the AutoCAD command line
  3. Connected devices on the circuit are highlighted
  4. You are prompted: "Select a device on circuit '[Circuit Name]' to insert before:"
  5. Select the device that the new device should be placed before
  6. You are prompted to select the device(s) to insert
  7. Select one or more compatible devices
  8. Press Enter to confirm
  9. The device is inserted and sequence numbers for downstream devices are adjusted

How It Works

  • The new device is inserted before the selected reference device
  • All devices after the insertion point have their sequence numbers (MasterSequence) incremented
  • Wire labels and addresses update to reflect the new order

Tips

  • Use this when device addressing depends on circuit order (e.g., SLC addressing)
  • For adding devices to the end of a circuit, ATCONNECT is simpler
  • After insertion, you may want to run ATAUTO_DRAW_ACTIVE_WIREPATH to update the wirepath routing

Related Commands

  • Connecting Devices
  • Resequencing Circuit Devices


Removing a Circuit Pair

Command

Command | Description
ATREMOVE_CIRCUIT_PAIR | Remove circuit pair associations from selected segments

Prerequisites

  • A FireCAD project must be open
  • An active circuit must be selected in the Circuits palette

Overview

The ATREMOVE_CIRCUIT_PAIR command removes circuit pair associations from selected wirepath segments. Circuit pairs are used when two circuits share the same physical conduit or cable pathway.

Steps

  1. Select the active circuit in the Circuits palette
  2. Type ATREMOVE_CIRCUIT_PAIR in the AutoCAD command line
  3. Select the segment entities to remove pairing from
  4. Press Enter to confirm
  5. The circuit pair associations are removed from the selected segments

Related Commands

  • Adding a Circuit Pair


Adding a Circuit Pair

Command

Command | Description
ATADD_CIRCUIT_PAIR | Add circuit pair associations to selected segments

Prerequisites

  • A FireCAD project must be open
  • An active circuit must be selected in the Circuits palette

Overview

The ATADD_CIRCUIT_PAIR command creates circuit pair associations on selected wirepath segments. This is used when two circuits share the same physical conduit or cable pathway, allowing FireCAD to track shared routing for wire fill calculations and conduit sizing.

Steps

  1. Select the active circuit in the Circuits palette
  2. Type ATADD_CIRCUIT_PAIR in the AutoCAD command line
  3. Select the segment entities to pair
  4. Press Enter to confirm
  5. The segments are associated as circuit pairs

Tips

  • Circuit pairing affects wire fill and conduit fill calculations
  • Paired segments share physical pathway information for accurate fill reporting

Related Commands

  • Removing a Circuit Pair


Setting Active Circuit from Device

Command

Command | Description
ATSET_ACTIVE_CIRCUIT_FROM_DEVICE | Set the active circuit by selecting a device in the drawing

Ribbon: FireCAD > Circuits > Set Active Circuit From Device

Prerequisites

  • A FireCAD project must be open
  • The active drawing must be part of the project

Overview

The ATSET_ACTIVE_CIRCUIT_FROM_DEVICE command lets you quickly set the active circuit by clicking on a device in the drawing. If the device originates a circuit, that circuit becomes active. If the device is connected to a circuit, that circuit becomes active.

This is a convenient alternative to navigating the Circuits palette to find and select a circuit.

Steps

  1. Type ATSET_ACTIVE_CIRCUIT_FROM_DEVICE in the AutoCAD command line
  2. You are prompted: "Select a panel or module to select circuit from:"
  3. Click on a device in the drawing
  4. The circuit associated with that device becomes the active circuit in the Circuits palette

How It Works

  • If the selected device originates a circuit (it's a panel or power supply), that circuit is activated
  • If the selected device is connected to a circuit (it's a field device), the circuit it's on is activated
  • The Circuits palette updates to highlight the newly active circuit

Tips

  • This is the fastest way to switch active circuits when you can see the device in the drawing
  • Useful when working with densely populated drawings where finding circuits in the palette is slower than clicking a device
  • If a device is on multiple circuits, the first matching circuit is selected

Related Commands

  • Connecting Devices
  • Project Circuits Editor


Resequencing Circuit Devices

Command

Command | Description
ATRESEQUENCE_CIRCUIT | Reorder devices on a circuit by selecting them in the desired order

Prerequisites

  • A FireCAD project must be open
  • An active circuit must be selected in the Circuits palette
  • The active drawing must be part of the project
  • The circuit must not be locked

Overview

The ATRESEQUENCE_CIRCUIT command lets you redefine the order of devices on the active circuit. Device order determines addressing sequence, wire label numbering, and the order devices appear in reports.

Steps

  1. Select the circuit in the Circuits palette
  2. Type ATRESEQUENCE_CIRCUIT in the AutoCAD command line
  3. Connected devices on the circuit are highlighted in the drawing
  4. Click devices in the order you want them sequenced:
    • Click the first device (becomes sequence #1)
    • Click the second device (becomes sequence #2)
    • Continue until all devices are ordered
  5. Press Escape when finished
  6. Sequence numbers are updated and labels refresh

How It Works

  • Each device you click is assigned a new MasterSequence value in the order you select it
  • Device addresses, wire labels, and report ordering update to reflect the new sequence
  • The operation is recorded in the database immediately

Important Notes

  • Locked circuits cannot be resequenced — unlock the circuit first if needed
  • You don't need to click every device — unselected devices retain their relative positions
  • The circuit's origin device is not part of the sequence (it's always the starting point)

Tips

  • Use this after rearranging device positions in the drawing to match the physical layout order
  • Resequencing affects address assignment — verify addresses after reordering
  • For SLC (Signaling Line Circuit) type circuits, device order typically follows the physical wiring path

Related Commands

  • Connecting Devices
  • Inserting a Device in Circuit
  • Locking Circuit Addresses


Resetting Circuit Templates

Command

Command | Description
ATRESET_CIRCUIT_TEMPLATES | Reapply circuit and device type templates to the entire project

Prerequisites

  • A FireCAD project must be open

Overview

The ATRESET_CIRCUIT_TEMPLATES command reapplies all circuit and device type templates to the project, syncing template-defined properties and current values across all circuits and device types. This effectively resets circuit configurations to match their template definitions.

Steps

  1. Type ATRESET_CIRCUIT_TEMPLATES in the AutoCAD command line
  2. A progress dialog appears with three phases:
    • "Applying Circuit and Device Type Templates..."
    • "Updating Device Labels..."
    • "Updating Wirepath Labels..."
  3. The operation completes and labels are updated

What Happens

  1. Circuit validation — All circuit records are validated against their template definitions
  2. Device type validation — All device type records are validated against their templates
  3. Current value sync — Device types configured to use device-level battery current values are synced from the device table
  4. Cache refresh — The entire entity cache is reloaded to reflect changes
  5. Label update — Device and wirepath labels are regenerated on the active drawing

When to Use

  • After importing updated templates via ATUPDATE_PROJECT
  • When circuit properties appear incorrect or out of sync with templates
  • After manual database edits that may have introduced inconsistencies
  • As a troubleshooting step when circuits aren't behaving as expected

Tips

  • This is a project-wide operation — it affects all circuits and device types, not just the active drawing
  • The operation may take a few seconds on large projects
  • You can cancel during the label update phases if needed
  • After completion, verify your circuits in the Circuits palette

Related Commands

  • Updating a Project
  • Project Circuits Editor


Project Circuits Editor

Command

Command | Description
ATPROJECT_CIRCUITS_EDITOR | Open the Project Circuits Editor dialog

Prerequisites

  • A FireCAD project must be open
  • The active drawing must be part of the project

Overview

The ATPROJECT_CIRCUITS_EDITOR command opens a comprehensive dialog for managing all circuit properties, limits, and configurations in your project. This is the primary interface for circuit-level configuration beyond simple connect/disconnect operations.

Steps

  1. Type ATPROJECT_CIRCUITS_EDITOR in the AutoCAD command line
  2. The Project Circuits Editor dialog opens
  3. View and modify circuit configurations:
    • Circuit names and descriptions
    • Current limits and thresholds
    • Circuit template assignments
    • Reporting flags (include in reports, etc.)
    • Circuit properties and settings
  4. Click OK to apply changes, or Cancel to discard
  5. If changes were applied:
    • Device labels are updated on the active drawing
    • Wirepath labels are updated on the active drawing

What You Can Configure

The Project Circuits Editor provides access to circuit properties that are not easily accessible through other commands, including:

  • Current limits — Maximum standby and alarm current for the circuit
  • Current thresholds — Warning thresholds (e.g., 80% of limit)
  • Report inclusion — Which reports should include this circuit
  • Circuit template — Which template defines the circuit's behavior
  • Circuit name and description — Display names used in labels and reports

Tips

  • Changes made here are reflected in Design Assistant validation (current limit checks, report fingerprinting)
  • After making changes, the Design Assistant may flag reports as out-of-date if circuit data has changed
  • Use this editor for bulk circuit configuration rather than editing circuits one at a time

Related Commands

  • Resetting Circuit Templates
  • Connecting Devices
  • Design Assistant


Setting Device Input Circuits

Command

Command | Description
ATSET_DEVICE_INPUT_CIRCUITS | Assign input circuits to selected devices

Ribbon: FireCAD > Circuits > Set Device Input Circuits

Prerequisites

  • A FireCAD project must be open
  • Devices must be selected or available for selection

Overview

The ATSET_DEVICE_INPUT_CIRCUITS command opens the Input Circuit Selection dialog for the selected devices, allowing you to configure which circuit inputs each device uses. This is relevant for devices that can accept multiple circuit types (e.g., a speaker/strobe that connects to both NAC and SLC circuits).

Steps

  1. Type ATSET_DEVICE_INPUT_CIRCUITS in the AutoCAD command line
  2. Select one or more devices in the drawing (or pre-select before running the command)
  3. The Input Circuit Selection dialog opens
  4. Configure the circuit input assignments for the selected devices
  5. Click OK to apply
  6. Device labels are updated to reflect the new assignments

Related Commands

  • Setting All Device Input Circuits
  • Connecting Devices


Setting All Device Input Circuits

Command

Command | Description
ATSET_ALL_DEVICE_INPUT_CIRCUITS | Assign input circuits to all devices in the active drawing

Prerequisites

  • A FireCAD project must be open
  • The active drawing must contain entities

Overview

The ATSET_ALL_DEVICE_INPUT_CIRCUITS command applies input circuit assignments to all devices in the active drawing at once, rather than requiring you to select individual devices. This opens the same Input Circuit Selection dialog as ATSET_DEVICE_INPUT_CIRCUITS but operates on the entire drawing.

Steps

  1. Type ATSET_ALL_DEVICE_INPUT_CIRCUITS in the AutoCAD command line
  2. The Input Circuit Selection dialog opens with all drawing devices
  3. Configure the circuit input assignments
  4. Click OK to apply
  5. Device labels are updated across the entire drawing

When to Use

  • Initial setup of a drawing where all devices need input circuit configuration
  • After importing devices that need bulk circuit assignment
  • When changing circuit types across an entire drawing

Related Commands

  • Setting Device Input Circuits


Editing Assembly Properties

Command

Command | Description
ATEDIT_ASSEMBLY | Edit assembly configuration for a selected device

Ribbon: FireCAD > Edit > Assembly Editor

Prerequisites

  • A FireCAD project must be open

Overview

The ATEDIT_ASSEMBLY command opens the Assembly Editor for a selected device. Assemblies are multi-component devices (e.g., a combination speaker/strobe) where multiple device components are grouped into a single physical unit.

Steps

  1. Type ATEDIT_ASSEMBLY in the AutoCAD command line
  2. Select a single device in the drawing
  3. The Assembly Editor dialog opens with the device's assembly configuration
  4. Edit the assembly components and settings
  5. Close the dialog to apply changes

Tips

  • Assemblies affect how devices are represented in reports (grouped vs. individual components)
  • Assembly changes may affect circuit connections if component types change

Related Commands

  • Viewing Entity Properties
  • Replacing Devices


Replacing Devices

Command

Command | Description
ATREPLACE_DEVICES | Replace selected block references with a project device

Ribbon: FireCAD > Devices > Replace Selection With Device

Prerequisites

  • A FireCAD project must be open
  • Block references must be selected or available for selection

Overview

The ATREPLACE_DEVICES command replaces selected block references with a device from the current project. This is similar to ATREPLACE_BLOCKREFS but specifically handles device replacement, maintaining circuit connections and entity data where possible.

Like ATREPLACE_BLOCKREFS, this command supports ALIGNMENT, ROTATION, and SCALE keyword options for controlling how the replacement block is positioned.

Steps

  1. Type ATREPLACE_DEVICES in the AutoCAD command line
  2. Select the block references to replace (or pre-select them)
  3. Optionally adjust replacement settings using keywords:
    • ALIGNMENT — CENTER or ORIGIN
    • ROTATION — AUTO or NONE
    • SCALE — Numeric factor (0 = use target block scale)
  4. The selected blocks are replaced with the project device
  5. Block attributes and XData are synced to the new references

Tips

  • This command updates the AutoCAD drawing and syncs database records
  • Device labels update automatically after replacement

Related Commands

  • Replacing Block References
  • Editing Assembly Properties


Viewing Entity Properties

Command

Command | Description
ATVIEW_ENTITY_PROPERTIES | View all properties set on a selected device

Ribbon: FireCAD > Entity Properties > View Entity Properties

Prerequisites

  • A FireCAD project must be open

Overview

The ATVIEW_ENTITY_PROPERTIES command displays a read-only view of all properties assigned to a selected device, including database fields, computed values, and custom properties. This is useful for inspecting device data without opening an editor.

Steps

  1. Type ATVIEW_ENTITY_PROPERTIES in the AutoCAD command line
  2. Select a device in the drawing
  3. A properties dialog displays all data associated with the device

Tips

  • This is a read-only view — to edit properties, use ATSET_ENTITY_PROPERTIES or ATPROPERTIES
  • Useful for troubleshooting when device labels or report values seem incorrect

Related Commands

  • Entity Properties Dialog
  • Entity Properties (Command Line)


Device Coverage Display

Commands

Command | Description
ATSHOWCOVERAGE | Show coverage visualization for selected devices
ATHIDECOVERAGE | Hide coverage visualization for selected devices

Prerequisites

  • A FireCAD project must be open

Overview

These commands control the visibility of device coverage overlays in the drawing. Coverage visualizations show the detection or notification range of devices such as smoke detectors, heat detectors, or notification appliances.

Showing Coverage

  1. Type ATSHOWCOVERAGE in the AutoCAD command line
  2. Select the devices to display coverage for
  3. Press Enter to confirm
  4. Coverage indicators appear around each selected device

Hiding Coverage

  1. Type ATHIDECOVERAGE in the AutoCAD command line
  2. Select the devices to hide coverage for
  3. Press Enter to confirm
  4. Coverage indicators are removed from the selected devices

How It Works

Coverage visibility is stored as metadata (XRecord) on each block reference. The ShowCoverage flag toggles the visibility of coverage geometry associated with the device block.

Tips

  • Coverage transparency can be adjusted in Options & Configuration under the Circuits tab (Device Coverage Transparency setting)
  • Coverage is per-device — you can show coverage for specific devices while hiding others
  • Use coverage display during design review to verify spacing requirements

Related Commands

  • Options & Configuration


Importing Device Data

Command

Command | Description
ATIMPORT_DEVICE_DATA | Import device data from an Excel or CSV file

Prerequisites

  • A FireCAD project must be open

Overview

The ATIMPORT_DEVICE_DATA command imports device data from an Excel (.xlsx) or CSV file into the project database. This is useful for bulk-updating device information from external sources such as equipment schedules or submittals.

Steps

  1. Type ATIMPORT_DEVICE_DATA in the AutoCAD command line
  2. A file browser dialog appears (filtered to Excel and CSV files)
  3. Select the import file and click Open
  4. FireCAD imports the data into the project database
  5. A progress dialog appears:
    • "Updating Device Labels..."
    • "Updating Wirepath Labels..."
  6. Labels on the active drawing update to reflect the imported data

File Format

The import file should follow the FireCAD device data format. You can use the output from ATEXPORT_ALL_DEVICE_DATA as a template.

Tips

  • Always back up your project before bulk importing data
  • Review the imported data by running ATVALIDATE after import
  • The import updates the database — labels and reports regenerate automatically

Related Commands

  • Exporting All Device Data
  • Importing Entity Properties


Listing Device Summary

Command

Command | Description
ATLIST | Display a summary of selected devices' electrical properties

Ribbon: FireCAD > Selection > List Device Circuit Requirements

Prerequisites

  • A FireCAD project must be open

Overview

The ATLIST command calculates and displays a summary of the electrical properties for selected devices, including total watts, standby current, alarm current, and device count. The results are displayed in the AutoCAD command line.

Steps

  1. Type ATLIST in the AutoCAD command line
  2. Select one or more devices in the drawing
  3. Press Enter to confirm
  4. The command line displays totals:
    • Total watts
    • Total standby current
    • Total alarm current
    • Device quantity

When to Use

  • Quick check of power requirements for a group of devices
  • Verifying current draw before connecting devices to a circuit
  • Estimating load during design

Tips

  • This is a quick-reference tool — for detailed reports, use the export commands
  • The values come from the device type definitions in the database

Related Commands

  • Viewing Entity Properties
  • Battery Calculations Report


Device Properties Palette

Command

Command | Description
ATPROPERTIES | Open the entity properties editor for selected devices

Ribbon: FireCAD > Devices > Device Property Editor

Prerequisites

  • A FireCAD project must be open

Overview

The ATPROPERTIES command opens a properties editor dialog for selected devices. This provides access to device-specific properties stored in the entity properties table, such as custom fields, location data, and project-specific attributes.

Steps

  1. Type ATPROPERTIES in the AutoCAD command line
  2. Select one or more devices in the drawing
  3. The Entity Properties dialog opens
  4. View and edit the properties for the selected devices
  5. Apply changes when finished

What You Can Edit

The properties editor shows all entity properties associated with the selected devices, including:

  • Custom property fields defined in the project
  • Device-specific metadata
  • Location and identification information

Tips

  • For quick property edits, use ATSET_ENTITY_PROPERTIES_CL (command-line version)
  • To edit a specific property like panel name or location, use the dedicated commands (ATSET_PANEL_NAME, ATSET_LOCATION, etc.)

Related Commands

  • Entity Properties Dialog
  • Viewing Entity Properties


Inspect Point Integration

Command

Command | Description
ATSEND_INSPECT_POINT | Open the Inspect Point integration dialog

Ribbon: FireCAD > Export > Send to Inspect Point

Prerequisites

  • A FireCAD project must be open

Overview

The ATSEND_INSPECT_POINT command opens the Inspect Point integration window, which provides connectivity to the Inspect Point inspection and commissioning platform. This allows you to export device and project data for field inspection workflows.

Steps

  1. Type ATSEND_INSPECT_POINT in the AutoCAD command line
  2. The Inspect Point Integration dialog opens
  3. Follow the authentication and export prompts
  4. Close the dialog when finished

Related Commands

  • Exporting Project Data


Locking All Circuit Addresses

Command

Command | Description
ATLOCK_ALL_CIRCUIT_ADDRESSES | Lock all existing addresses on the active circuit

Prerequisites

  • A FireCAD project must be open
  • An active circuit must be selected in the Circuits palette

Overview

The ATLOCK_ALL_CIRCUIT_ADDRESSES command locks all current device addresses on the active circuit. Locked addresses remain fixed even when devices are added, removed, or resequenced on the circuit. This prevents automatic re-addressing from changing established device addresses.

Steps

  1. Select the target circuit in the Circuits palette
  2. Type ATLOCK_ALL_CIRCUIT_ADDRESSES in the AutoCAD command line
  3. All addresses on the circuit are locked
  4. Device labels update automatically

When to Use

  • After finalizing device addressing on a circuit
  • Before making circuit changes that would trigger re-addressing
  • When field devices have already been programmed with specific addresses

Tips

  • Locked addresses are preserved through resequencing and device additions
  • To unlock addresses later, use ATUNLOCK_ALL_CIRCUIT_ADDRESSES
  • To manage individual locked addresses, use ATMANAGE_LOCKED_CIRCUIT_ADDRESSES

Related Commands

  • Unlocking All Circuit Addresses
  • Managing Locked Addresses
  • Setting Address Overrides


Unlocking All Circuit Addresses

Command

Command | Description
ATUNLOCK_ALL_CIRCUIT_ADDRESSES | Unlock all addresses on the active circuit

Prerequisites

  • A FireCAD project must be open
  • An active circuit must be selected in the Circuits palette

Overview

The ATUNLOCK_ALL_CIRCUIT_ADDRESSES command removes address locks from all devices on the active circuit. After unlocking, addresses will be recalculated automatically when devices are added, removed, or resequenced.

Steps

  1. Select the target circuit in the Circuits palette
  2. Type ATUNLOCK_ALL_CIRCUIT_ADDRESSES in the AutoCAD command line
  3. All addresses on the circuit are unlocked
  4. Device labels update automatically (addresses may change if the sequence has been modified)

Tips

  • Use this when you need to re-address an entire circuit from scratch
  • Unlocking triggers automatic addressing based on current device sequence order

Related Commands

  • Locking All Circuit Addresses
  • Managing Locked Addresses


Managing Locked Addresses

Command

Command | Description
ATMANAGE_LOCKED_CIRCUIT_ADDRESSES | Open the Locked Address Editor for the active circuit

Prerequisites

  • An active circuit must be selected in the Circuits palette

Overview

The ATMANAGE_LOCKED_CIRCUIT_ADDRESSES command opens the Locked Address Editor dialog, which provides a detailed view of all locked addresses on the active circuit. You can view, edit, or remove individual address locks from this interface.

Steps

  1. Select the target circuit in the Circuits palette
  2. Type ATMANAGE_LOCKED_CIRCUIT_ADDRESSES in the AutoCAD command line
  3. The Locked Address Editor dialog opens
  4. View and manage locked addresses:
    • Edit individual locked address values
    • Remove locks from specific devices
    • Review the current lock status of all circuit devices
  5. Click OK to apply changes, or Cancel to discard
  6. Device labels update to reflect any changes

When to Use

  • You need to change a specific locked address without unlocking the entire circuit
  • You want to review which addresses are locked and which are dynamic
  • You need to fix an address conflict between locked addresses

Related Commands

  • Locking All Circuit Addresses
  • Unlocking All Circuit Addresses
  • Setting Address Overrides


Setting Address Overrides

Command

Command | Description
ATSET_OVERRIDE_ADDRESS | Set a manual address override on selected devices

Ribbon: FireCAD > Circuits > Override Device Address

Prerequisites

  • A FireCAD project must be open

Overview

The ATSET_OVERRIDE_ADDRESS command sets a manual address override on selected devices. Unlike locked addresses (which preserve the automatically calculated address), an override replaces the address entirely with a user-specified value.

Steps

  1. Type ATSET_OVERRIDE_ADDRESS in the AutoCAD command line
  2. Select the device(s) to override
  3. Enter the override address value
  4. Device labels update to show the overridden address

Address Override vs. Locked Address

Feature | Locked Address | Address Override
Source | Preserves the auto-calculated address | Replaces with a custom value
Scope | Circuit-level (lock all at once) | Device-level (per device)
Resequencing | Keeps the address it had when locked | Always shows the override value
Use case | Freeze current addressing | Assign a specific non-standard address

Tips

  • Overrides take precedence over both automatic addressing and locked addresses
  • Use overrides sparingly — they bypass the automatic addressing system
  • To remove an override, use ATREMOVE_OVERRIDE_ADDRESS

Related Commands

  • Removing Address Overrides
  • Locking All Circuit Addresses


Removing Address Overrides

Command

Command | Description
ATREMOVE_OVERRIDE_ADDRESS | Remove manual address overrides from selected devices

Ribbon: FireCAD > Circuits > Unlock Device Address

Prerequisites

  • A FireCAD project must be open

Overview

The ATREMOVE_OVERRIDE_ADDRESS command removes any manual address overrides from selected devices, restoring automatic address calculation (or the locked address, if the circuit has locked addresses).

Steps

  1. Type ATREMOVE_OVERRIDE_ADDRESS in the AutoCAD command line
  2. Select the device(s) to remove overrides from
  3. Device labels update to show the automatically calculated or locked address

Tips

  • After removing an override, the device returns to normal addressing behavior
  • If the circuit has locked addresses, the device shows its locked address
  • If the circuit has no locks, the device shows its auto-calculated address based on sequence position

Related Commands

  • Setting Address Overrides
  • Managing Locked Addresses


Entity Properties Dialog

Command

Command | Description
ATSET_ENTITY_PROPERTIES | Open the Device Properties dialog for selected devices

Ribbon: FireCAD > Entity Properties > Set Entity Properties

Prerequisites

  • A FireCAD project must be open

Overview

The ATSET_ENTITY_PROPERTIES command opens the Device Properties window, which provides a comprehensive interface for viewing and editing all properties associated with selected devices. This is the primary way to configure device-level data in FireCAD.

Steps

  1. Type ATSET_ENTITY_PROPERTIES in the AutoCAD command line
  2. Select one or more devices in the drawing (or pre-select before running)
  3. The Device Properties dialog opens
  4. Edit the desired properties
  5. Click OK or Apply to save changes
  6. Device labels and XData update to reflect changes

Tips

  • For a faster, command-line-only version, use ATSET_ENTITY_PROPERTIES_CL
  • This dialog shows all properties — for editing a specific property, use the dedicated commands listed below

Related Commands

  • Entity Properties (Command Line)
  • Setting Panel Name
  • Setting Location


Entity Properties (Command Line)

Command

Command | Description
ATSET_ENTITY_PROPERTIES_CL | Set entity properties via command line (no dialog)

Ribbon: FireCAD > Entity Properties > Set Entity Properties (Command Line)

Prerequisites

  • A FireCAD project must be open

Overview

The ATSET_ENTITY_PROPERTIES_CL command provides a lightweight, command-line-based way to set entity properties on selected devices without opening a dialog window. This is faster for quick property edits.

Steps

  1. Type ATSET_ENTITY_PROPERTIES_CL in the AutoCAD command line
  2. Select the devices to modify
  3. Follow the command-line prompts to set property values
  4. Properties are applied and labels update

When to Use

  • Quick property changes that don't need a full dialog
  • Scripted or repetitive property assignments
  • When working primarily in the command line

Related Commands

  • Entity Properties Dialog


Importing Entity Properties

Command

Command | Description
ATIMPORT_ENTITY_PROPERTIES | Import entity properties from an Excel or CSV file

Ribbon: FireCAD > Entity Properties > Import Entity Properties

Prerequisites

  • A FireCAD project must be open

Overview

The ATIMPORT_ENTITY_PROPERTIES command imports entity property values from an Excel (.xlsx) or CSV file. This allows you to bulk-update device properties from external data sources.

Steps

  1. Type ATIMPORT_ENTITY_PROPERTIES in the AutoCAD command line
  2. A file browser dialog appears (filtered to Excel and CSV files)
  3. Select the import file and click Open
  4. FireCAD imports the property data
  5. A progress dialog appears:
    • "Updating Device Labels..."
    • "Updating Wirepath Labels..."
  6. Labels update to reflect the imported properties

File Format

The import file should match the format produced by ATEXPORT_ENTITY_PROPERTIES_TO_EXCEL. Use an exported file as a template.

Tips

  • Back up your project before bulk importing properties
  • Verify the import by running ATVALIDATE afterward

Related Commands

  • Entity Properties Dialog
  • Exporting Entity Properties
  • Clearing Entity Properties


Clearing Entity Properties

Command

Command | Description
ATCLEAR_ENTITY_PROPERTIES | Clear all custom properties from selected devices

Ribbon: FireCAD > Entity Properties > Clear Entity Properties

Prerequisites

  • A FireCAD project must be open

Overview

The ATCLEAR_ENTITY_PROPERTIES command removes all custom entity properties from selected devices, resetting them to a clean state.

Steps

  1. Type ATCLEAR_ENTITY_PROPERTIES in the AutoCAD command line
  2. Select the devices to clear
  3. All custom properties are removed from the selected devices

Tips

  • This removes custom properties only — device type, circuit connections, and other system data are not affected
  • Use this to clean up devices before reassigning properties via import or the properties dialog

Related Commands

  • Entity Properties Dialog
  • Importing Entity Properties


Setting Panel Name

Command

Command | Description
ATSET_PANEL_NAME | Set the panel name property on a selected device

Ribbon: FireCAD > Circuits > Set Device Name

Prerequisites

  • A FireCAD project must be open

Overview

The ATSET_PANEL_NAME command opens the Set Device Information dialog configured for panel name entry. This assigns or changes the panel designation (e.g., "FA-1", "FA-2") for the selected device.

Steps

  1. Type ATSET_PANEL_NAME in the AutoCAD command line
  2. Select the target device
  3. The Set Device Information dialog opens
  4. Enter the panel name
  5. Click OK to apply

Tips

  • Panel names appear in device labels and circuit reports
  • Consistent panel naming helps with report organization and Design Assistant validation

Related Commands

  • Entity Properties Dialog
  • Setting Location


Setting Location

Command

Command | Description
ATSET_LOCATION | Set the location property on selected devices

Prerequisites

  • A FireCAD project must be open

Overview

The ATSET_LOCATION command sets the physical location description for selected devices. Location information appears in device labels, schedules, and inspection reports.

Steps

  1. Type ATSET_LOCATION in the AutoCAD command line
  2. Select one or more devices
  3. The location-specific properties dialog opens
  4. Enter the location information
  5. Click OK to apply

Tips

  • Location values are used in device schedule reports and inspection forms
  • Setting consistent location descriptions improves report readability

Related Commands

  • Setting Panel Name
  • Entity Properties Dialog


Setting Node Name

Command

Command | Description
ATSET_NODE_NAME | Set the node/assembly name on a selected device

Prerequisites

  • A FireCAD project must be open

Overview

The ATSET_NODE_NAME command sets the node or assembly name for a selected device. This command opens the Assembly Editor to configure the device's assembly designation.

Steps

  1. Type ATSET_NODE_NAME in the AutoCAD command line
  2. Select the target device
  3. The Assembly Editor opens
  4. Configure the node/assembly name
  5. Close the editor to apply

Related Commands

  • Editing Assembly Properties
  • Entity Properties Dialog


Setting Riser Column

Command

Command | Description
ATSET_RISER_COLUMN | Set the riser column property on selected devices

Ribbon: FireCAD > Riser > Set Riser Columns

Prerequisites

  • A FireCAD project must be open

Overview

The ATSET_RISER_COLUMN command assigns a riser column designation to selected devices. This property identifies which vertical riser path the device is associated with, used in riser diagram generation.

Steps

  1. Type ATSET_RISER_COLUMN in the AutoCAD command line
  2. Select one or more devices
  3. Enter or select the riser column value
  4. The property is applied to the selected devices

Tips

  • Riser column values are used when generating riser diagrams with ATRISER
  • Consistent riser column assignment ensures devices appear in the correct column of the riser drawing

Related Commands

  • Creating a Riser
  • Entity Properties Dialog


Setting Elevations

Command

Command | Description
ATSET_ELEVATIONS | Set elevation properties on selected devices

Ribbon: FireCAD > Riser > Set Device Elevations

Prerequisites

  • A FireCAD project must be open

Overview

The ATSET_ELEVATIONS command sets the elevation (height) property for selected devices. Elevation data is used in voltage drop calculations, wire length estimates, and riser diagrams.

Steps

  1. Type ATSET_ELEVATIONS in the AutoCAD command line
  2. Select one or more devices
  3. Enter the elevation value
  4. The property is applied to the selected devices

Tips

  • Elevation values affect wire length calculations when vertical distances are considered
  • Set elevations for devices on different floors to get accurate riser calculations

Related Commands

  • Setting Vertical Constraints
  • Setting Riser Column


Setting Vertical Constraints

Command

Command | Description
ATSET_VERTICAL_CONSTRAINTS | Set vertical constraint properties on selected devices

Ribbon: FireCAD > Riser > Set Vertical Constraints

Prerequisites

  • A FireCAD project must be open

Overview

The ATSET_VERTICAL_CONSTRAINTS command defines vertical spacing or distance constraints for selected devices. These constraints inform wire length calculations and riser diagram generation.

Steps

  1. Type ATSET_VERTICAL_CONSTRAINTS in the AutoCAD command line
  2. Select one or more devices
  3. Enter the vertical constraint values
  4. The constraints are applied to the selected devices

Related Commands

  • Setting Elevations
  • Setting Riser Column


Marking Devices as Existing

Commands

Command | Description
ATSET_EXISTING | Mark selected devices as "existing"
ATCLEAR_EXISTING | Clear the "existing" status from selected devices

Prerequisites

  • A FireCAD project must be open

Overview

These commands control the "existing" flag on devices. Existing devices represent equipment that is already installed in the building (as opposed to new devices being added as part of the current project). This distinction affects reports, legends, and bill of materials calculations.

Marking Devices as Existing

  1. Type ATSET_EXISTING in the AutoCAD command line
  2. Select one or more devices in the drawing
  3. Press Enter to confirm
  4. The selected devices are marked as existing
  5. Device labels update to reflect the status

Clearing Existing Status

  1. Type ATCLEAR_EXISTING in the AutoCAD command line
  2. Select one or more devices
  3. Press Enter to confirm
  4. The existing flag is removed
  5. Device labels update

How "Existing" Affects Reports

Report | Behavior
Device Legend | Existing devices included/excluded based on Options setting: "Include Existing Devices in Legend"
Bill of Materials | Existing devices included/excluded based on Options setting: "Include Existing Devices in BOM"
Device Schedule | Existing status shown as a column value
Battery Calculations | Existing devices still contribute to current calculations

Tips

  • Use existing markers on renovation projects to distinguish new work from existing infrastructure
  • The Options Editor controls whether existing devices appear in legends and BOMs
  • Existing status is stored per-entity, so the same device type can have both existing and new instances

Related Commands

  • Options & Configuration
  • Entity Properties Dialog


Setting Conduit Type

Commands

Command | Description
ATSET_CONDUIT_TYPE | Assign a conduit type to selected wirepath segments
ATCLEAR_CONDUIT_TYPE | Remove conduit type assignment from selected segments

Prerequisites

  • A FireCAD project must be open
  • Conduit types must be defined in the project database

Overview

These commands manage conduit type assignments on wirepath segments. Conduit types define the physical conduit specifications (size, material, type) used for wire routing, which affects conduit fill calculations and conduit fill schedule reports.

Setting Conduit Type

  1. Type ATSET_CONDUIT_TYPE in the AutoCAD command line
  2. Select one or more wirepath segments in the drawing
  3. The Conduit Selection dialog opens
  4. Select the conduit type to assign
  5. Click OK to apply
  6. Wirepath labels update to reflect the conduit assignment

Clearing Conduit Type

  1. Type ATCLEAR_CONDUIT_TYPE in the AutoCAD command line
  2. Select one or more wirepath segments
  3. Press Enter to confirm
  4. The conduit type is removed from the selected segments
  5. Wirepath labels update

Tips

  • Conduit types affect conduit fill percentage calculations
  • Use the Conduit Fill Schedule report to verify fill percentages after assignment
  • Segments without a conduit type assignment will not appear in conduit fill reports

Related Commands

  • Conduit Fill Display
  • Conduit Fill Schedule Report


Auto-Draw Active Wirepath

Command

Command | Description
ATAUTO_DRAW_ACTIVE_WIREPATH | Automatically draw the wirepath for the active circuit

Prerequisites

  • A FireCAD project must be open
  • An active circuit must be selected in the Circuits palette

Overview

The ATAUTO_DRAW_ACTIVE_WIREPATH command uses a graph layout algorithm to automatically draw wirepath segments connecting all devices on the active circuit. Segments are created between devices based on their positions and circuit topology.

Steps

  1. Select the target circuit in the Circuits palette
  2. Type ATAUTO_DRAW_ACTIVE_WIREPATH in the AutoCAD command line
  3. FireCAD calculates the optimal routing between circuit devices
  4. Wirepath segments are drawn in the drawing
  5. Labels are applied to the new segments

Tips

  • Run this after connecting all devices to a circuit to create the physical routing
  • For routing all circuits at once, use ATAUTO_DRAW_CIRCUIT_WIREPATH
  • After drawing, you can manually adjust segment positions if the automatic routing isn't optimal

Related Commands

  • Auto-Draw Circuit Wirepath
  • Rerouting Wirepaths


Auto-Draw Circuit Wirepath

Command

Command | Description
ATAUTO_DRAW_CIRCUIT_WIREPATH | Draw wirepaths for all circuits in the active drawing

Ribbon: FireCAD > Draw > Draw Circuit Wirepath

Prerequisites

  • A FireCAD project must be open
  • The active drawing must be part of the project

Overview

The ATAUTO_DRAW_CIRCUIT_WIREPATH command draws wirepath segments for all circuits in the active drawing. This comprehensive command offers options for handling existing segments and controlling the routing process.

Steps

  1. Type ATAUTO_DRAW_CIRCUIT_WIREPATH in the AutoCAD command line
  2. The command offers several options:
    • Delete existing segments or reuse them
    • Set maximum time for the routing algorithm
    • Reroute problematic paths that couldn't be calculated
  3. FireCAD processes each circuit and draws wirepath segments
  4. Progress is displayed during the operation

Options

Option | Description
Delete segments | Remove all existing segments before redrawing
Reuse segments | Keep existing segments and only draw missing paths
Max time | Set a time limit for the routing algorithm per circuit
Reroute | Attempt to fix circuits that failed initial routing

Tips

  • This can take significant time on drawings with many circuits
  • Use ATAUTO_DRAW_ACTIVE_WIREPATH for a single circuit instead
  • After drawing, review the routing and make manual adjustments as needed

Related Commands

  • Auto-Draw Active Wirepath
  • Auto-Draw Shared Wirepath
  • Rerouting Wirepaths


Auto-Draw Shared Wirepath

Command

Command | Description
ATAUTO_DRAW_SHARED_WIREPATH | Draw shared wirepaths that cross-connect between circuit types

Ribbon: FireCAD > Draw > Draw Shared Wirepath

Prerequisites

  • A FireCAD project must be open
  • The active drawing must be part of the project

Overview

The ATAUTO_DRAW_SHARED_WIREPATH command draws wirepath segments that can span across different circuit types. Unlike the standard wirepath drawing commands that route within a single circuit, shared wirepaths handle scenarios where multiple circuit types share physical conduit or cable pathways.

Steps

  1. Type ATAUTO_DRAW_SHARED_WIREPATH in the AutoCAD command line
  2. FireCAD calculates cross-type routing paths
  3. Shared wirepath segments are created in the drawing

When to Use

  • When multiple circuit types (e.g., SLC and NAC) share the same conduit run
  • When devices on different circuits are physically routed through shared pathways
  • For complex routing scenarios where standard per-circuit routing is insufficient

Related Commands

  • Auto-Draw Active Wirepath
  • Auto-Draw Circuit Wirepath


Rerouting Polylines

Command

Command | Description
ATREROUTE_POLYLINES | Re-route selected polyline segments using graph layout

Ribbon: FireCAD > Draw > Reroute Polylines

Prerequisites

  • A FireCAD project must be open

Overview

The ATREROUTE_POLYLINES command re-routes selected polyline segments using the graph layout algorithm. This provides an alternative routing approach for specific segments.

Steps

  1. Type ATREROUTE_POLYLINES in the AutoCAD command line
  2. Select the polyline segments to reroute
  3. FireCAD recalculates the routing for the selected segments

Related Commands

  • Rerouting Wirepaths
  • Auto-Draw Circuit Wirepath


Rerouting Wirepaths

Command

Command | Description
ATREROUTE_WIREPATHS | Re-route all wirepaths in the active drawing

Ribbon: FireCAD > Draw > Reroute Wirepaths

Prerequisites

  • A FireCAD project must be open

Overview

The ATREROUTE_WIREPATHS command recalculates and redraws all wirepath routes in the active drawing. This is useful when device positions have changed and the existing wirepath routing is no longer optimal.

Steps

  1. Type ATREROUTE_WIREPATHS in the AutoCAD command line
  2. FireCAD recalculates all wirepath routes
  3. A full label refresh runs automatically (since rerouting modifies segment data in the database)

When to Use

  • After moving devices to new positions in the drawing
  • When wirepath routing has become tangled or suboptimal
  • After restoring a missing drawing to recalculate routes

Tips

  • This command performs a full cache reload after rerouting because segment data is modified in the database
  • For large drawings, this operation may take some time
  • If only specific circuits need rerouting, consider using ATAUTO_DRAW_ACTIVE_WIREPATH for individual circuits instead

Related Commands

  • Auto-Draw Active Wirepath
  • Auto-Draw Circuit Wirepath


Updating All Circuit Paths

Command

Command | Description
ATUPDATE_ALL_CIRCUIT_PATHS | Recalculate wirepath labels for all circuits

Ribbon: FireCAD > Wirepath > Update All Wire Labels

Prerequisites

  • A FireCAD project must be open

Overview

The ATUPDATE_ALL_CIRCUIT_PATHS command recalculates wirepath labels for all circuits in the active drawing using the shortest-path algorithm. It validates segments and devices, purges any orphaned records, and then updates all wirepath labels.

Steps

  1. Type ATUPDATE_ALL_CIRCUIT_PATHS in the AutoCAD command line
  2. FireCAD validates all segments and devices
  3. Orphaned records are purged
  4. Wirepath labels are recalculated for all circuits
  5. The drawing updates with new labels

When to Use

  • After making significant changes to multiple circuits
  • When wirepath labels appear incorrect or out of sync
  • As a comprehensive refresh of all circuit path calculations

Tips

  • For updating a single circuit's paths, use ATUPDATE_CIRCUIT_PATHS instead
  • This performs more work than ATREFRESH_LABELS — it recalculates paths, not just regenerates labels

Related Commands

  • Updating Specific Circuit Paths
  • Refreshing Labels


Updating Specific Circuit Paths

Command

Command | Description
ATUPDATE_CIRCUIT_PATHS | Recalculate wirepath labels for the active circuit

Prerequisites

  • A FireCAD project must be open
  • An active circuit must be selected

Overview

The ATUPDATE_CIRCUIT_PATHS command recalculates wirepath labels for the currently active circuit only. This is a targeted version of ATUPDATE_ALL_CIRCUIT_PATHS that processes a single circuit.

Steps

  1. Select the target circuit in the Circuits palette
  2. Type ATUPDATE_CIRCUIT_PATHS in the AutoCAD command line
  3. FireCAD validates and recalculates the path labels for the active circuit
  4. The drawing updates with new labels

Tips

  • Faster than updating all circuits when you only need to fix one
  • Use ATUPDATE_ALL_CIRCUIT_PATHS when multiple circuits need updating

Related Commands

  • Updating All Circuit Paths


Wire Fill Display

Commands

Command | Description
ATSHOW_WIREFILL | Show wire fill information on selected segments
ATHIDE_WIREFILL | Hide wire fill information on selected segments
ATDELETE_ALL_WIREFILL | Delete all wire fill labels from the drawing

Prerequisites

  • A FireCAD project must be open

Overview

Wire fill shows the number and type of wires running through each wirepath segment. These commands toggle wire fill visibility on individual segments.

Showing Wire Fill

  1. Type ATSHOW_WIREFILL in the AutoCAD command line
  2. Select one or more wirepath segments
  3. Press Enter to confirm
  4. Wire fill information appears on the selected segments
  5. Wirepath labels refresh to include fill data

Hiding Wire Fill

  1. Type ATHIDE_WIREFILL in the AutoCAD command line
  2. Select one or more wirepath segments
  3. Press Enter to confirm
  4. Wire fill information is hidden on the selected segments

Deleting All Wire Fill

  1. Type ATDELETE_ALL_WIREFILL in the AutoCAD command line
  2. All wire fill labels are removed from the entire drawing

Tips

  • Wire fill display can also be configured globally in Options & Configuration ("Show Segment ID In Wirepath Labels Instead Of Wirefill")
  • To generate line types instead of text labels for wire fill, enable "Generate Line Types For Wirefill Instead Of Labels" in Options

Related Commands

  • Conductor Count Display
  • Conduit Fill Display


Conductor Count Display

Commands

Command | Description
ATSHOW_CONDUCTOR_COUNT | Show conductor count labels on selected segments
ATHIDE_CONDUCTOR_COUNT | Hide conductor count labels on selected segments

Prerequisites

  • A FireCAD project must be open

Overview

Conductor count displays the total number of individual conductors running through each wirepath segment. This is useful for conduit sizing and wire management calculations.

Showing Conductor Count

  1. Type ATSHOW_CONDUCTOR_COUNT in the AutoCAD command line
  2. Select one or more wirepath segments
  3. Press Enter
  4. Conductor count labels appear on the selected segments

Hiding Conductor Count

  1. Type ATHIDE_CONDUCTOR_COUNT in the AutoCAD command line
  2. Select one or more wirepath segments
  3. Press Enter
  4. Conductor count labels are removed from the selected segments

Related Commands

  • Wire Fill Display
  • Conduit Fill Display


Conduit Fill Display

Commands

Command | Description
ATSHOW_CONDUIT_FILL | Show conduit fill percentage on selected segments
ATHIDE_CONDUIT_FILL | Hide conduit fill percentage on selected segments

Prerequisites

  • A FireCAD project must be open
  • Segments must have conduit types assigned (see Setting Conduit Type)

Overview

Conduit fill shows the percentage of conduit capacity used by the wires running through each segment. This helps verify compliance with NEC conduit fill requirements.

Showing Conduit Fill

  1. Type ATSHOW_CONDUIT_FILL in the AutoCAD command line
  2. Select one or more wirepath segments
  3. Press Enter
  4. Conduit fill percentages appear on the selected segments

Hiding Conduit Fill

  1. Type ATHIDE_CONDUIT_FILL in the AutoCAD command line
  2. Select one or more wirepath segments
  3. Press Enter
  4. Conduit fill percentages are removed

Tips

  • Segments without a conduit type assignment won't show fill percentages
  • Use ATSELECT_SEGMENTS_OVER_40_PERCENT to quickly find segments exceeding 40% fill

Related Commands

  • Wire Fill Display
  • Setting Conduit Type
  • Conduit Fill Schedule Report


Segment ID Display

Commands

Command | Description
ATSHOW_SEGMENT_ID | Show segment/conduit IDs on selected segments
ATHIDE_SEGMENT_ID | Hide segment/conduit IDs on selected segments

Prerequisites

  • A FireCAD project must be open

Overview

Segment IDs are unique identifiers assigned to each wirepath segment. Displaying them helps when referencing specific segments in reports or during field coordination.

Showing Segment IDs

  1. Type ATSHOW_SEGMENT_ID in the AutoCAD command line
  2. Select one or more segments
  3. Press Enter
  4. Segment IDs appear on the selected segments

Hiding Segment IDs

  1. Type ATHIDE_SEGMENT_ID in the AutoCAD command line
  2. Select one or more segments
  3. Press Enter
  4. Segment IDs are hidden

Related Commands

  • Wire Fill Display
  • Wirepath Length Display


Wirepath Length Display

Commands

Command | Description
ATSHOW_WIREPATH_LENGTH | Show wirepath length on selected segments
ATHIDE_WIREPATH_LENGTH | Hide wirepath length on selected segments

Prerequisites

  • A FireCAD project must be open

Overview

Wirepath length displays the calculated distance (in drawing units) for each wirepath segment. This information is used for wire quantity estimation and voltage drop calculations.

Showing Wirepath Length

  1. Type ATSHOW_WIREPATH_LENGTH in the AutoCAD command line
  2. Select one or more segments
  3. Press Enter
  4. Length values appear on the selected segments

Hiding Wirepath Length

  1. Type ATHIDE_WIREPATH_LENGTH in the AutoCAD command line
  2. Select one or more segments
  3. Press Enter
  4. Length values are hidden

Tips

  • Wire length calculations include the Additional Wire Length Factor configured in Options
  • Length precision (decimal places) is controlled in Options under the Reports tab

Related Commands

  • Segment ID Display
  • Options & Configuration


Updating Segment Layer Colors

Command

Command | Description
ATUPDATE_SEGMENT_LAYER_COLORS | Assign segments to circuit-specific layers with appropriate colors

Ribbon: FireCAD > Cleanup > Update Wirepath Layers and Colors

Prerequisites

  • A FireCAD project must be open

Overview

The ATUPDATE_SEGMENT_LAYER_COLORS command assigns wirepath segments to AutoCAD layers based on their circuit assignments and applies circuit-specific colors. This makes it easy to visually distinguish different circuit paths in the drawing.

Steps

  1. Type ATUPDATE_SEGMENT_LAYER_COLORS in the AutoCAD command line
  2. FireCAD processes all segments in the active drawing
  3. Each segment is moved to a layer named after its circuit
  4. Layer colors are set based on circuit type

How It Works

  • For each circuit, FireCAD finds the origin device and creates/updates a layer
  • Segments are moved from their current layer to the circuit-specific layer
  • Layer colors correspond to the circuit type for visual differentiation

Tips

  • Run this after routing wirepaths to apply color-coding
  • Circuit-specific layers help with layer visibility management — freeze/thaw circuits by layer
  • Layer color settings can be influenced by the "Use True Colors for Device Layers" option

Related Commands

  • Auto-Draw Circuit Wirepath
  • Options & Configuration


Formatting Wirepath Labels

Command

Command | Description
ATFORMAT_WIREPATH_LABELS | Open the wirepath label formatting dialog

Ribbon: FireCAD > Attributes > Format Wirepath Labels

Prerequisites

  • A FireCAD project must be open

Overview

The ATFORMAT_WIREPATH_LABELS command opens a dialog for configuring how wirepath labels are displayed in the drawing. You can control which information appears in labels, text sizing, and formatting options.

Steps

  1. Type ATFORMAT_WIREPATH_LABELS in the AutoCAD command line
  2. The Format Wirepath Labels dialog opens
  3. Configure label display options (visibility, formatting, content)
  4. Click OK to apply
  5. Wirepath labels update throughout the active drawing

Tips

  • This dialog provides per-drawing control over label formatting — global defaults are set in Options & Configuration
  • After formatting, labels regenerate without re-validating the drawing data

Related Commands

  • Formatting Device Labels
  • Refreshing Labels
  • Options & Configuration


Formatting Device Labels

Command

Command | Description
ATFORMAT_DEVICE_LABELS | Open the device label formatting dialog for selected devices

Ribbon: FireCAD > Attributes > Format Device Labels

Prerequisites

  • A FireCAD project must be open

Overview

The ATFORMAT_DEVICE_LABELS command opens a dialog for configuring how device labels are displayed for selected devices. You can control attribute visibility, text properties, and label content.

Steps

  1. Type ATFORMAT_DEVICE_LABELS in the AutoCAD command line
  2. Select the devices to format (or pre-select them)
  3. The Format Device Labels dialog opens
  4. Configure label display options
  5. Click OK to apply
  6. Device labels update for the selected devices

Tips

  • Changes apply only to the selected devices, not the entire drawing
  • The cache is invalidated after changes to ensure labels regenerate correctly

Related Commands

  • Formatting Wirepath Labels
  • Refreshing Labels


Refreshing Labels

Command

Command | Description
ATREFRESH_LABELS | Fast label refresh — regenerate labels from cached data

Ribbon: FireCAD > Validation > Refresh All Labels

Prerequisites

  • A FireCAD project must be open

Overview

The ATREFRESH_LABELS command regenerates all device and wirepath labels on the active drawing using cached data. This is a fast operation that recalculates computed values (labels, addresses, summaries) without reloading entity data from the database.

Steps

  1. Type ATREFRESH_LABELS in the AutoCAD command line
  2. Labels regenerate throughout the active drawing

When to Use

  • After making formatting changes that affect label display
  • When labels appear stale or incorrect
  • After operations that modify computed values but not underlying entity data
  • As a general "refresh" when labels don't look right

Tips

  • This is the fast version — it does not reload data from the database
  • If labels are still incorrect after ATREFRESH_LABELS, use ATREFRESH_LABELS_FULL instead

Related Commands

  • Full Label Refresh
  • Formatting Wirepath Labels
  • Formatting Device Labels


Full Label Refresh

Command

Command | Description
ATREFRESH_LABELS_FULL | Full label refresh — reload all data from database and regenerate labels

Prerequisites

  • A FireCAD project must be open

Overview

The ATREFRESH_LABELS_FULL command performs a complete data reload from the database followed by label regeneration. This is slower than ATREFRESH_LABELS but ensures all data is current by reloading entities, segments, circuits, and device types from the database before recalculating labels.

Steps

  1. Type ATREFRESH_LABELS_FULL in the AutoCAD command line
  2. FireCAD reloads all entity data from the database
  3. All labels regenerate from the fresh data

When to Use

  • After operations that create new data in the database (duplicating drawings, restoring drawings)
  • When ATREFRESH_LABELS doesn't fix label issues (data may be stale in the cache)
  • After external database modifications
  • As a troubleshooting step for persistent label problems

ATREFRESH_LABELS vs ATREFRESH_LABELS_FULL

Feature | ATREFRESH_LABELS | ATREFRESH_LABELS_FULL
Speed | Fast | Slower
Data source | Existing cache | Database reload
When to use | Labels need recalculating | Cache data may be stale
After drawing duplication | No | Yes
After drawing restore | No | Yes
After wirepath rerouting | No | Yes

Related Commands

  • Refreshing Labels


Design Assistant Overview

Commands

Command | Description
ATDESIGN_ASSISTANT | Open the Design Assistant validation palette
ATAI_REVIEW | Alias for ATDESIGN_ASSISTANT

Prerequisites

  • A FireCAD project must be open

Overview

The Design Assistant is FireCAD's automated validation system. It checks your drawings for common design issues, data inconsistencies, and out-of-date reports. Results are displayed in a dockable palette with categorized findings and severity levels.

Steps

  1. Type ATDESIGN_ASSISTANT in the AutoCAD command line
  2. The Design Assistant palette opens (or becomes visible if already open)
  3. Validation runs automatically against the active drawing
  4. Results are displayed with severity indicators:
    • High (Red) — Critical issues that must be addressed
    • Medium (Yellow) — Warnings that should be reviewed
    • Pass (Green) — Checks that passed successfully

What Gets Validated

The Design Assistant runs multiple validation rules, including:

Device Connection Checks

  • Unconnected devices that should have circuit connections
  • Devices missing required input connections
  • Circuit topology issues

Current Limit Checks

  • Standby current exceeding circuit limits
  • Alarm current exceeding circuit limits
  • Current threshold warnings (approaching limits)

Battery Capacity Checks

  • Required battery capacity vs. panel charging capacity
  • Battery sizing validation per NFPA 72

Report Validation

  • Out-of-date reports (data has changed since report was generated)
  • Report fingerprint comparison for:
    • Battery Calculations
    • Point-to-Point
    • Lump Sum
    • dB Loss
    • Speaker Schedule
    • Device Schedule
    • Device Legend
    • Bill of Materials

Circuit Quantity Limits

  • Device counts exceeding circuit quantity limits
  • Recursive counting through child circuits (passthrough devices)

Rechecking Validation

After making changes to your drawing, you can recheck validation in several ways:

  1. Click the Recheck button in the Design Assistant palette
  2. Run ATDESIGN_ASSISTANT_REFRESH from the command line
  3. Close and reopen the Design Assistant

Each recheck gets fresh data from the database to ensure accurate results.

Tips

  • The Design Assistant validates based on database state, not drawing geometry — run ATAUTO_DRAW_CIRCUIT_WIREPATH before validation if you've changed wire routing
  • Keep the Design Assistant palette open while working to quickly catch issues
  • Use the validation results to navigate directly to problem devices in the drawing

Related Commands

  • Refreshing Validation
  • Validating the Active Drawing


Refreshing Validation

Command

Command | Description
ATDESIGN_ASSISTANT_REFRESH | Re-run Design Assistant validation with fresh data

Prerequisites

  • The Design Assistant palette must be open

Overview

The ATDESIGN_ASSISTANT_REFRESH command triggers a fresh validation run in the Design Assistant. This ensures the results reflect the latest database state, including any changes made since the last validation run.

Steps

  1. Type ATDESIGN_ASSISTANT_REFRESH in the AutoCAD command line
  2. The Design Assistant re-runs all validation rules with fresh database data
  3. Updated results appear in the palette

When to Use

  • After modifying circuit configurations in the Project Circuits Editor
  • After connecting or disconnecting devices
  • After updating device properties that affect validation (current limits, battery sizes)
  • After generating or updating reports

Tips

  • This command blocks until validation is complete
  • Each refresh creates a new database context to ensure fresh data (not cached values)

Related Commands

  • Design Assistant Overview
  • Validating the Active Drawing


Validating the Active Drawing

Command

Command | Description
ATVALIDATE | Run comprehensive validation on the active drawing

Ribbon: FireCAD > Validation > Validate Devices

Prerequisites

  • A FireCAD project must be open
  • A drawing must be open in AutoCAD

Overview

The ATVALIDATE command performs a comprehensive validation of the active drawing. This includes segment validation, device validation, property synchronization, and a full label refresh. Unlike the Design Assistant (which checks design rules), this command validates the underlying data integrity.

Steps

  1. Type ATVALIDATE in the AutoCAD command line
  2. FireCAD validates:
    • All segments in the drawing
    • All devices and their database records
    • Project property synchronization
  3. All device and wirepath labels refresh automatically

What Gets Validated

  • Entity database records match the drawing geometry
  • Segment data integrity
  • Project properties are synced to drawing custom properties
  • Orphaned records are identified

When to Use

  • After importing or restoring data
  • When devices or segments appear to have incorrect data
  • As a general health check on the drawing
  • Before generating reports to ensure data is consistent

Tips

  • ATVALIDATE focuses on data integrity; use ATDESIGN_ASSISTANT for design rule validation
  • After validation, labels are automatically refreshed

Related Commands

  • Validating Selected Devices
  • Validating Segments
  • Design Assistant Overview


Validating Selected Devices

Command

Command | Description
ATVALIDATE_SELECTION | Validate only selected devices and wirepaths

Ribbon: FireCAD > Validation > Validate Selection

Prerequisites

  • A FireCAD project must be open

Overview

The ATVALIDATE_SELECTION command runs validation on only the selected devices and wirepath segments, then updates their labels. This is a lightweight alternative to ATVALIDATE when you only need to check specific elements.

Steps

  1. Type ATVALIDATE_SELECTION in the AutoCAD command line
  2. Select the devices and/or wirepath segments to validate
  3. Press Enter to confirm
  4. FireCAD validates the selected elements
  5. Labels update for the validated selection

When to Use

  • After making changes to specific devices
  • When you need a quick validation of a few elements without processing the entire drawing
  • For troubleshooting issues with specific devices

Tips

  • Much faster than ATVALIDATE for targeted checks
  • Only validates and updates labels for the selected elements

Related Commands

  • Validating the Active Drawing
  • Validating Segments


Validating Segments

Command

Command | Description
ATVALIDATE_SEGMENTS | Validate all segments and update wirepath labels

Ribbon: FireCAD > Validation > Validate Segments

Prerequisites

  • A FireCAD project must be open

Overview

The ATVALIDATE_SEGMENTS command validates segment data integrity and updates wirepath labels. Unlike ATVALIDATE, this command focuses specifically on segments and does not update device labels.

Steps

  1. Type ATVALIDATE_SEGMENTS in the AutoCAD command line
  2. FireCAD validates all segments in the active drawing
  3. Wirepath labels update to reflect the validated data

When to Use

  • After routing or rerouting wirepaths
  • When wirepath labels appear incorrect
  • When segment data needs to be validated without touching device data

Tips

  • Faster than ATVALIDATE when you only need segment validation
  • Device labels are not affected by this command

Related Commands

  • Validating the Active Drawing
  • Refreshing Labels


Device Schedule Report

Command

Command | Description
ATEXPORT_DEVICE_SCHEDULE_REPORTS | Export device schedule reports to Excel

Ribbon: FireCAD > Reports > Export Device Schedules To Excel

Prerequisites

  • A FireCAD project must be open

Overview

Exports a device schedule report listing all devices, their circuit assignments, properties, and electrical data. You select which circuits to include.

Steps

  1. Type ATEXPORT_DEVICE_SCHEDULE_REPORTS in the AutoCAD command line
  2. Select the circuits to include in the report
  3. Choose a save location
  4. The report is generated as an Excel file

Related Commands

  • Device Inspection Form
  • Project Data Export


Device Inspection Form

Command

Command | Description
ATEXPORT_DEVICE_INSPECTION_FORM | Export a device inspection form to Excel

Prerequisites

  • A FireCAD project must be open

Overview

Exports a device inspection form for all devices in the project. This form is used during field inspections to verify device installation and operation.

Steps

  1. Type ATEXPORT_DEVICE_INSPECTION_FORM in the AutoCAD command line
  2. The inspection form is generated as an Excel file

Related Commands

  • Device Schedule Report


Speaker Schedule Report

Command

Command | Description
ATEXPORT_SPEAKER_SCHEDULE_REPORTS | Export speaker schedule reports to Excel

Ribbon: FireCAD > Reports > Export Speaker Schedules To Excel

Prerequisites

  • A FireCAD project must be open

Overview

Exports speaker schedule reports listing speaker devices, their circuit assignments, and audio specifications.

Steps

  1. Type ATEXPORT_SPEAKER_SCHEDULE_REPORTS in the AutoCAD command line
  2. Select the circuits to include
  3. The report is generated as an Excel file

Related Commands

  • dB Loss Report


Point-to-Point Report

Command

Command | Description
ATEXPORT_POINT_TO_POINT_REPORTS | Export point-to-point voltage drop reports to Excel

Ribbon: FireCAD > Reports > Export Point-To-Point Reports To Excel

Prerequisites

  • A FireCAD project must be open

Overview

Exports point-to-point reports showing the wiring path between devices, including wire lengths, voltage drop calculations, and cumulative data along the circuit path. This report follows the physical wiring order.

Steps

  1. Type ATEXPORT_POINT_TO_POINT_REPORTS in the AutoCAD command line
  2. Select the circuits to include
  3. The report is generated as an Excel file

Tips

  • Point-to-point reports preserve hierarchical device ordering (wiring path order)
  • Voltage drop calculations are cumulative along the circuit path

Related Commands

  • Lump Sum Report
  • Battery Calculations


Lump Sum Report

Command

Command | Description
ATEXPORT_LUMP_SUM_REPORTS | Export lump sum voltage drop reports to Excel

Ribbon: FireCAD > Reports > Export Lump Sum Reports To Excel

Prerequisites

  • A FireCAD project must be open

Overview

Exports lump sum reports showing aggregate circuit data including total wire lengths, total current draw, and overall voltage drop for each circuit.

Steps

  1. Type ATEXPORT_LUMP_SUM_REPORTS in the AutoCAD command line
  2. Select the circuits to include
  3. The report is generated as an Excel file

Related Commands

  • Point-to-Point Report
  • Panel Summary Report


dB Loss Report

Command

Command | Description
ATEXPORT_DB_LOSS_REPORTS | Export decibel loss reports to Excel

Ribbon: FireCAD > Reports > Export Db Loss Reports To Excel

Prerequisites

  • A FireCAD project must be open

Overview

Exports decibel (dB) loss reports for speaker circuits, calculating signal attenuation along the wire path. This helps verify that speaker circuits meet minimum sound level requirements at each device location.

Steps

  1. Type ATEXPORT_DB_LOSS_REPORTS in the AutoCAD command line
  2. Select the speaker circuits to include
  3. The report is generated as an Excel file

Related Commands

  • Speaker Schedule Report
  • Point-to-Point Report


Battery Calculations

Command

Command | Description
ATEXPORT_BATTERY_CALCULATIONS | Export battery calculation reports to Excel

Prerequisites

  • A FireCAD project must be open

Overview

Exports battery calculation reports per NFPA 72 requirements, showing standby current, alarm current, required battery capacity, and derating calculations for each panel.

Steps

  1. Type ATEXPORT_BATTERY_CALCULATIONS in the AutoCAD command line
  2. Select the panels to include
  3. The report is generated as an Excel file

Calculation Formula

Required Ah = (Standby Current x Standby Hours + Alarm Current x Alarm Minutes/60) x Derating Factor

Default values (configurable in Options):

  • Standby: 24 hours
  • Alarm: 5 minutes
  • Derating Factor: 1.2

Report Options

The Select Circuits dialog includes a Battery Calculation Settings tab with options specific to this report:

  • Show Speaker Currents (W ÷ V = A) — Converts speaker wattage to alarm current using the circuit voltage, so speakers appear in battery calculations alongside current-based devices
  • Show Only Circuit Current Totals (Hide Part Details) — Collapses individual devices to circuit-level totals
  • Include Cell Formulas — Embeds Excel formulas for standby/alarm current totals
  • Include Circuits Without Current — Shows circuits that have zero standby and alarm current
  • Ignore Spare Circuits — Excludes spare/unused circuits from the report

Tips

  • Battery calculation parameters are configured in Options & Configuration under the Reports tab
  • NFPA 72 Section 10.6.7.2 defines the 24-hour standby + alarm time requirements

Related Commands

  • Panel Summary Report
  • Options & Configuration


Project Data Export

Commands

Command | Description
ATEXPORT_PROJECT_DATA | Export current drawing's project data to Excel
ATEXPORT_ALL_PROJECT_DATA | Export all project data (all drawings) to Excel

Prerequisites

  • A FireCAD project must be open

Overview

These commands export project data to Excel. ATEXPORT_PROJECT_DATA exports data for the active drawing only, while ATEXPORT_ALL_PROJECT_DATA exports data across all project drawings.

Steps

  1. Type the command in the AutoCAD command line
  2. Choose a save location
  3. The data is exported as an Excel file

Related Commands

  • Device Schedule Report
  • Exporting All Device Data


Device Legend

Command

Command | Description
ATEXPORT_DEVICE_LEGEND | Export device legend to Excel

Prerequisites

  • A FireCAD project must be open

Overview

Exports a device legend showing all device types used in the project with their symbols, part numbers, and descriptions. The legend can optionally include or exclude existing devices based on the Options setting.

Steps

  1. Type ATEXPORT_DEVICE_LEGEND in the AutoCAD command line
  2. The legend is generated as an Excel file

Tips

  • The "Include Existing Devices in Legend" option in the Options Editor controls whether devices marked as existing are included

Related Commands

  • Cable Legend
  • Bill of Materials


Cable Legend

Command

Command | Description
ATEXPORT_CABLE_LEGEND | Export cable and wire legend to Excel

Prerequisites

  • A FireCAD project must be open

Overview

Exports a cable legend listing all cable and wire types used in the project with their specifications.

Steps

  1. Type ATEXPORT_CABLE_LEGEND in the AutoCAD command line
  2. The legend is generated as an Excel file

Related Commands

  • Device Legend


Bill of Materials

Command

Command | Description
ATEXPORT_BOM_REPORT | Export Bill of Materials report to Excel

Ribbon: FireCAD > Reports > Export BOM Report

Prerequisites

  • A FireCAD project must be open

Overview

Exports a Bill of Materials (BOM) report listing all components, quantities, and part numbers for the project. The BOM can optionally include or exclude existing devices.

Steps

  1. Type ATEXPORT_BOM_REPORT in the AutoCAD command line
  2. Select the circuits to include
  3. The BOM is generated as an Excel file

Tips

  • The "Include Existing Devices in BOM" option in the Options Editor controls whether existing devices are counted

Related Commands

  • Device Legend
  • Device Schedule Report


Conduit Fill Schedule

Commands

Command | Description
ATEXPORT_CONDUIT_FILL_SCHEDULE | Export conduit fill schedule to Excel
ATREPORT_CONDUIT_FILL_SCHEDULE | Generate conduit fill schedule in drawing

Prerequisites

  • A FireCAD project must be open
  • Segments must have conduit types assigned

Overview

Generates a conduit fill schedule showing conductor counts, wire sizes, and fill percentages for each conduit run. This helps verify NEC conduit fill compliance.

Steps

  1. Type the command in the AutoCAD command line
  2. The schedule is generated (Excel file or drawing table depending on command)

Related Commands

  • Conduit Fill Display
  • Setting Conduit Type


Panel Summary Report

Command

Command | Description
ATREPORT_PANEL_SUMMARY | Generate panel summary tables in the drawing

Ribbon: FireCAD > Reports > Panel Summary

Prerequisites

  • A FireCAD project must be open

Overview

Generates panel summary tables showing circuit information, current draw, and device counts for selected panels. The calculation method (Point-to-Point or Lump Sum) is configured in Options.

Steps

  1. Type ATREPORT_PANEL_SUMMARY in the AutoCAD command line
  2. Select the panels to include
  3. Summary tables are placed in the drawing

Tips

  • The calculation method is set in Options & Configuration under Reports: "Panel Summary Calculation Method"

Related Commands

  • Battery Calculations
  • Lump Sum Report


Title Block Report

Command

Command | Description
ATREPORT_TITLEBLOCK | Generate and place a title block on the active drawing

Ribbon: FireCAD > Reports > Generate Title Block

Prerequisites

  • A FireCAD project must be open

Overview

Generates and places a title block containing project properties and metadata on the active drawing.

Steps

  1. Type ATREPORT_TITLEBLOCK in the AutoCAD command line
  2. Configure title block settings (if prompted)
  3. The title block is placed in the drawing

Related Commands

  • Editing Project Properties


Entity Properties Export

Command

Command | Description
ATEXPORT_ENTITY_PROPERTIES_TO_EXCEL | Export device entity properties to Excel

Ribbon: FireCAD > Entity Properties > Export Entity Properties

Prerequisites

  • A FireCAD project must be open

Overview

Exports device entity properties (location, building, subscript, and other custom properties) to an Excel file. This file can be edited externally and re-imported using ATIMPORT_ENTITY_PROPERTIES.

Steps

  1. Type ATEXPORT_ENTITY_PROPERTIES_TO_EXCEL in the AutoCAD command line
  2. Select devices to export (or all devices)
  3. Choose a save location
  4. The properties are exported as an Excel file

Related Commands

  • Importing Entity Properties


Project Completion Report

Command

Command | Description
ATEXPORT_PROJECT_COMPLETION_REPORT | Export project completion status report

Prerequisites

  • A FireCAD project must be open

Overview

Exports a project completion status report showing work progress, device counts, and completion metrics.

Steps

  1. Type ATEXPORT_PROJECT_COMPLETION_REPORT in the AutoCAD command line
  2. The report is generated as an Excel file

Related Commands

  • Project Data Export


Potter Data Export

Command

Command | Description
ATEXPORT_POTTER_DATA | Export Potter Electric device data to Excel

Ribbon: FireCAD > Export > Export Potter Data

Prerequisites

  • A FireCAD project must be open

Overview

Exports device data in a format compatible with Potter Electric systems.

Steps

  1. Type ATEXPORT_POTTER_DATA in the AutoCAD command line
  2. The data is exported as an Excel file

Related Commands

  • Exporting All Device Data


Exporting All Device Data

Command

Command | Description
ATEXPORT_ALL_DEVICE_DATA | Export all device and connection data to Excel

Prerequisites

  • A FireCAD project must be open

Overview

Exports a comprehensive dataset of all devices and their circuit connections in the project to an Excel file. This can be used as a template for the ATIMPORT_DEVICE_DATA command.

Steps

  1. Type ATEXPORT_ALL_DEVICE_DATA in the AutoCAD command line
  2. The data is exported as an Excel file

Related Commands

  • Importing Device Data
  • Project Data Export


Refreshing Reports

Command

Command | Description
ATREFRESH_REPORT | Regenerate a report table at its current location

Prerequisites

  • A FireCAD project must be open
  • A report table must exist in the drawing

Overview

The ATREFRESH_REPORT command deletes an existing report table at a marked location and regenerates it with current data. This is typically triggered from the Design Assistant when a report is flagged as out-of-date.

Steps

  1. Type ATREFRESH_REPORT in the AutoCAD command line
  2. The existing report table is removed
  3. A new report table is generated with current data at the same location

When to Use

  • When the Design Assistant indicates a report is out-of-date
  • After making changes to circuit data or device properties that affect reports

Related Commands

  • Design Assistant Overview


Select by Keyword

Command

Command | Description
ATSELECT_BY_KEYWORD | Select devices matching a keyword search

Ribbon: FireCAD > Selection > Select Devices By Keyword

Prerequisites

  • A FireCAD project must be open

Overview

Searches for and selects all devices in the active drawing that match a keyword. The search checks manufacturer names, part numbers, and custom properties.

Steps

  1. Type ATSELECT_BY_KEYWORD in the AutoCAD command line
  2. Enter the search keyword
  3. All matching devices are selected in the drawing

Tips

  • Useful for quickly finding and selecting all instances of a specific device type
  • The selection can then be used with other FireCAD commands

Related Commands

  • Select Segments Over 40%


Select Segments Over 40% Fill

Command

Command | Description
ATSELECT_SEGMENTS_OVER_40_PERCENT | Select all segments exceeding 40% conduit fill

Prerequisites

  • A FireCAD project must be open
  • Segments must have conduit types assigned

Overview

Selects all wirepath segments in the active drawing that have a conduit fill percentage exceeding 40%. This threshold is a common NEC compliance checkpoint.

Steps

  1. Type ATSELECT_SEGMENTS_OVER_40_PERCENT in the AutoCAD command line
  2. All segments over 40% fill are selected in the drawing

Tips

  • Use this for quick NEC compliance checking
  • After selection, review individual segment fill with ATSHOW_CONDUIT_FILL

Related Commands

  • Select Undefined Segments
  • Conduit Fill Display


Select Undefined Segments

Command

Command | Description
ATSELECT_SEGMENTS_UNDEFINED | Select all segments without conduit type assignment

Ribbon: FireCAD > Selection > Select Undefined Segments

Prerequisites

  • A FireCAD project must be open

Overview

Selects all wirepath segments that have not been assigned a conduit type. These segments cannot participate in conduit fill calculations.

Steps

  1. Type ATSELECT_SEGMENTS_UNDEFINED in the AutoCAD command line
  2. All segments without conduit assignments are selected

Tips

  • Use this to find segments that need conduit type assignment
  • After selection, assign conduit types with ATSET_CONDUIT_TYPE

Related Commands

  • Setting Conduit Type
  • Select Segments Over 40%


Select Wire Labels

Command

Command | Description
ATSELECT_WIRELABELS | Select all wire label entities in the drawing

Ribbon: FireCAD > Selection > Select Wire Labels

Prerequisites

  • A FireCAD project must be open

Overview

Selects all wire label entities (MLeaders) on the active drawing. Useful for bulk formatting or repositioning wire labels.

Steps

  1. Type ATSELECT_WIRELABELS in the AutoCAD command line
  2. All wire label MLeader entities are selected

Related Commands

  • Formatting Wirepath Labels


Circuit Type Filters

Command

Command | Description
ATSET_CIRCUIT_TYPE_FILTERS | Set circuit type visibility filters on selected segments

Ribbon: FireCAD > Wirepath > Set Circuit Type Filters

Prerequisites

  • A FireCAD project must be open

Overview

Opens a dialog to filter which circuit types are visible on selected wirepath segments. This helps reduce visual clutter when working with segments that carry multiple circuit types.

Steps

  1. Type ATSET_CIRCUIT_TYPE_FILTERS in the AutoCAD command line
  2. Select the wirepath segments to filter
  3. The circuit type filter dialog opens
  4. Select which circuit types to show or hide
  5. Apply the filter

Related Commands

  • Circuit Name Filters


Circuit Name Filters

Command

Command | Description
ATSET_CIRCUIT_NAME_FILTERS | Set circuit name visibility filters on selected segments

Ribbon: FireCAD > Wirepath > Set Circuit Name Filters

Prerequisites

  • A FireCAD project must be open

Overview

Opens a dialog to filter which circuit names are visible on selected wirepath segments. This lets you show only specific named circuits on shared segments.

Steps

  1. Type ATSET_CIRCUIT_NAME_FILTERS in the AutoCAD command line
  2. Select the wirepath segments to filter
  3. The circuit name filter dialog opens
  4. Select which circuit names to show or hide
  5. Apply the filter

Related Commands

  • Circuit Type Filters


Default Text Style

Command

Command | Description
ATSET_DEFAULT_TEXTSTYLE | Set the default text style for device attributes

Ribbon: FireCAD > Cleanup > Set Default Text Style

Prerequisites

  • A FireCAD project must be open

Overview

Sets the default AutoCAD text style used for device attribute text in the active drawing.

Steps

  1. Type ATSET_DEFAULT_TEXTSTYLE in the AutoCAD command line
  2. The default text style is applied to the drawing

Related Commands

  • Options & Configuration


Multileader Style

Commands

Command | Description
ATSET_DEFAULT_MLEADERSTYLE | Set the default multileader style for wirepath labels
ATUPDATE_DEFAULT_MLEADERSTYLE | Update multileader style on existing wirepath labels

Prerequisites

  • A FireCAD project must be open

Overview

These commands manage the AutoCAD MLeader (multileader) style used for wirepath labels. MLeaders are the text objects that display wire information along wirepath segments.

Steps

Setting Default Style

  1. Type ATSET_DEFAULT_MLEADERSTYLE in the AutoCAD command line
  2. The default MLeader style is configured for the drawing

Updating Existing Labels

  1. Type ATUPDATE_DEFAULT_MLEADERSTYLE in the AutoCAD command line
  2. All existing wirepath label MLeaders are updated to the current default style

Related Commands

  • Default Text Style
  • Formatting Wirepath Labels


PSLTSCALE Setting

Command

Command | Description
ATSET_PSLTSCALE | Set Paper Space Line Type Scale to 0 for all layouts

Prerequisites

  • A drawing must be open

Overview

Sets the AutoCAD PSLTSCALE system variable to 0 for all layouts in the drawing. This ensures that line type scaling is consistent between model space and paper space viewports.

Steps

  1. Type ATSET_PSLTSCALE in the AutoCAD command line
  2. PSLTSCALE is set to 0 on all layouts

Tips

  • Setting PSLTSCALE to 0 makes line type patterns appear at the same scale regardless of viewport zoom
  • This is recommended for consistent line type display across viewports at different scales


Leveling Attributes

Command

Command | Description
ATLEVEL_ATTRIBUTES | Reset attribute rotation on selected devices

Ribbon: FireCAD > Attributes > Set Attribute Rotation

Prerequisites

  • A FireCAD project must be open

Overview

Resets the rotation angle of attribute text on selected devices to a specified angle. This is useful when device blocks have been rotated but you want the attribute text to remain horizontal (or at a consistent angle).

Steps

  1. Type ATLEVEL_ATTRIBUTES in the AutoCAD command line
  2. Select the devices to adjust
  3. Enter the desired rotation angle (typically 0 for horizontal)
  4. Attribute text is rotated to the specified angle

Tips

  • Use angle 0 to make all attribute text horizontal regardless of block rotation
  • This affects the visual rotation only, not the attribute values


ByBlock and ByLayer Properties

Commands

Command | Description
ATSET_ALL_BYBLOCK | Set all entity colors and linetypes to ByBlock
ATSET_ALL_BYLAYER | Set all entity colors and linetypes to ByLayer
ATSET_ALL_LINEWEIGHTS_BYBLOCK | Set all entity lineweights to ByBlock
ATSET_ALL_LINEWEIGHTS_BYLAYER | Set all entity lineweights to ByLayer

Prerequisites

  • A drawing must be open

Overview

These commands set the color, linetype, and lineweight properties of drawing entities to either ByBlock or ByLayer mode. This standardizes how entities inherit their visual properties.

  • ByBlock: Entities inherit properties from the block reference they belong to
  • ByLayer: Entities inherit properties from their assigned layer

Steps

  1. Type the desired command in the AutoCAD command line
  2. All entities in the drawing are updated to the specified property mode

When to Use

  • Standardizing a drawing received from an external source
  • Cleaning up inconsistent property assignments
  • Preparing blocks for consistent color-by-layer display

Related Commands

  • Removing Global Widths
  • Device Attribute Colors


Removing Global Widths

Command

Command | Description
ATREMOVE_ALL_GLOBAL_WIDTHS | Remove all global polyline width settings

Prerequisites

  • A drawing must be open

Overview

Removes global width settings from all polylines in the drawing, resetting them to zero-width (thin) lines.

Steps

  1. Type ATREMOVE_ALL_GLOBAL_WIDTHS in the AutoCAD command line
  2. All polyline global widths are set to zero

When to Use

  • Cleaning up drawings with inconsistent polyline widths
  • Preparing drawings for plotting where polyline widths cause display issues


Device Attribute Colors

Commands

Command | Description
ATSET_DEVICE_ATTRIBUTES_COLOR_WHITE | Set all device attribute text colors to white
ATSET_DEVICE_ATTRIBUTES_COLOR_BYLAYER | Set all device attribute text colors to ByLayer

Prerequisites

  • A FireCAD project must be open

Overview

These commands set the color of all device attribute text in the drawing. Attribute colors affect how device labels appear on screen and in prints.

Steps

  1. Type the desired command in the AutoCAD command line
  2. All device attribute text colors are updated

When to Use

  • White: When working on a dark background and want all attribute text visible
  • ByLayer: When you want attribute text to follow layer color assignments for printing


AutoCAD Index Color to Hex Value Lookup Table

AutoCAD Color Index (ACI) Reference

The AutoCAD Color Index (ACI) is a standardized palette of 256 colors numbered 0–255 used throughout AutoCAD drawings and DWG files.

Each color below shows the ACI number and its hex value in #AARRGGBB format:

  • AA = Alpha (transparency) — always FF (fully opaque)
  • RR = Red value (00–FF)
  • GG = Green value (00–FF)
  • BB = Blue value (00–FF)
ACI # | Hex ARGB | Color
0 | #FF000000 |
1 | #FFFF0000 |
2 | #FFFFFF00 |
3 | #FF00FF00 |
4 | #FF00FFFF |
5 | #FF0000FF |
6 | #FFFF00FF |
7 | #FFFFFFFF |
8 | #FF414141 |
9 | #FF808080 |
10 | #FFFF0000 |
11 | #FFFFAAAA |
12 | #FFBD0000 |
13 | #FFBD7E7E |
14 | #FF810000 |
15 | #FF815656 |
16 | #FF680000 |
17 | #FF684545 |
18 | #FF4F0000 |
19 | #FF4F3535 |
20 | #FFFF3F00 |
21 | #FFFFBFAA |
22 | #FFBD2E00 |
23 | #FFBD8D7E |
24 | #FF811F00 |
25 | #FF816056 |
26 | #FF681900 |
27 | #FF684E45 |
28 | #FF4F1300 |
29 | #FF4F3B35 |
30 | #FFFF7F00 |
31 | #FFFFD4AA |
32 | #FFBD5E00 |
33 | #FFBD9D7E |
34 | #FF814000 |
35 | #FF816B56 |
36 | #FF683400 |
37 | #FF685645 |
38 | #FF4F2700 |
39 | #FF4F4235 |
40 | #FFFFBF00 |
41 | #FFFFEAAA |
42 | #FFBD8D00 |
43 | #FFBDAD7E |
44 | #FF816000 |
45 | #FF817656 |
46 | #FF684E00 |
47 | #FF685F45 |
48 | #FF4F3B00 |
49 | #FF4F4935 |
50 | #FFFFFF00 |
51 | #FFFFFFAA |
52 | #FFBDBD00 |
53 | #FFBDBD7E |
54 | #FF818100 |
55 | #FF818156 |
56 | #FF686800 |
57 | #FF686845 |
58 | #FF4F4F00 |
59 | #FF4F4F35 |
60 | #FFBFFF00 |
61 | #FFEAFFAA |
62 | #FF8DBD00 |
63 | #FFADBD7E |
64 | #FF608100 |
65 | #FF768156 |
66 | #FF4E6800 |
67 | #FF5F6845 |
68 | #FF3B4F00 |
69 | #FF494F35 |
70 | #FF7FFF00 |
71 | #FFD4FFAA |
72 | #FF5EBD00 |
73 | #FF9DBD7E |
74 | #FF408100 |
75 | #FF6B8156 |
76 | #FF346800 |
77 | #FF566845 |
78 | #FF274F00 |
79 | #FF424F35 |
80 | #FF3FFF00 |
81 | #FFBFFFAA |
82 | #FF2EBD00 |
83 | #FF8DBD7E |
84 | #FF1F8100 |
85 | #FF608156 |
86 | #FF196800 |
87 | #FF4E6845 |
88 | #FF134F00 |
89 | #FF3B4F35 |
90 | #FF00FF00 |
91 | #FFAAFFAA |
92 | #FF00BD00 |
93 | #FF7EBD7E |
94 | #FF008100 |
95 | #FF568156 |
96 | #FF006800 |
97 | #FF456845 |
98 | #FF004F00 |
99 | #FF354F35 |
100 | #FF00FF3F |
101 | #FFAAFFBF |
102 | #FF00BD2E |
103 | #FF7EBD8D |
104 | #FF00811F |
105 | #FF568160 |
106 | #FF006819 |
107 | #FF45684E |
108 | #FF004F13 |
109 | #FF354F3B |
110 | #FF00FF7F |
111 | #FFAAFFD4 |
112 | #FF00BD5E |
113 | #FF7EBD9D |
114 | #FF008140 |
115 | #FF56816B |
116 | #FF006834 |
117 | #FF456856 |
118 | #FF004F27 |
119 | #FF354F42 |
120 | #FF00FFBF |
121 | #FFAAFFEA |
122 | #FF00BD8D |
123 | #FF7EBDAD |
124 | #FF008160 |
125 | #FF568176 |
126 | #FF00684E |
127 | #FF45685F |
128 | #FF004F3B |
129 | #FF354F49 |
130 | #FF00FFFF |
131 | #FFAAFFFF |
132 | #FF00BDBD |
133 | #FF7EBDBD |
134 | #FF008181 |
135 | #FF568181 |
136 | #FF006868 |
137 | #FF456868 |
138 | #FF004F4F |
139 | #FF354F4F |
140 | #FF00BFFF |
141 | #FFAAEAFF |
142 | #FF008DBD |
143 | #FF7EADBD |
144 | #FF006081 |
145 | #FF567681 |
146 | #FF004E68 |
147 | #FF455F68 |
148 | #FF003B4F |
149 | #FF35494F |
150 | #FF007FFF |
151 | #FFAAD4FF |
152 | #FF005EBD |
153 | #FF7E9DBD |
154 | #FF004081 |
155 | #FF566B81 |
156 | #FF003468 |
157 | #FF455668 |
158 | #FF00274F |
159 | #FF35424F |
160 | #FF003FFF |
161 | #FFAABFFF |
162 | #FF002EBD |
163 | #FF7E8DBD |
164 | #FF001F81 |
165 | #FF566081 |
166 | #FF001968 |
167 | #FF454E68 |
168 | #FF00134F |
169 | #FF353B4F |
170 | #FF0000FF |
171 | #FFAAAAFF |
172 | #FF0000BD |
173 | #FF7E7EBD |
174 | #FF000081 |
175 | #FF565681 |
176 | #FF000068 |
177 | #FF454568 |
178 | #FF00004F |
179 | #FF35354F |
180 | #FF3F00FF |
181 | #FFBFAAFF |
182 | #FF2E00BD |
183 | #FF8D7EBD |
184 | #FF1F0081 |
185 | #FF605681 |
186 | #FF190068 |
187 | #FF4E4568 |
188 | #FF13004F |
189 | #FF3B354F |
190 | #FF7F00FF |
191 | #FFD4AAFF |
192 | #FF5E00BD |
193 | #FF9D7EBD |
194 | #FF400081 |
195 | #FF6B5681 |
196 | #FF340068 |
197 | #FF564568 |
198 | #FF27004F |
199 | #FF42354F |
200 | #FFBF00FF |
201 | #FFEAAAFF |
202 | #FF8D00BD |
203 | #FFAD7EBD |
204 | #FF600081 |
205 | #FF765681 |
206 | #FF4E0068 |
207 | #FF5F4568 |
208 | #FF3B004F |
209 | #FF49354F |
210 | #FFFF00FF |
211 | #FFFFAAFF |
212 | #FFBD00BD |
213 | #FFBD7EBD |
214 | #FF810081 |
215 | #FF815681 |
216 | #FF680068 |
217 | #FF684568 |
218 | #FF4F004F |
219 | #FF4F354F |
220 | #FFFF00BF |
221 | #FFFFAAEA |
222 | #FFBD008D |
223 | #FFBD7EAD |
224 | #FF810060 |
225 | #FF815676 |
226 | #FF68004E |
227 | #FF68455F |
228 | #FF4F003B |
229 | #FF4F3549 |
230 | #FFFF007F |
231 | #FFFFAAD4 |
232 | #FFBD005E |
233 | #FFBD7E9D |
234 | #FF810040 |
235 | #FF81566B |
236 | #FF680034 |
237 | #FF684556 |
238 | #FF4F0027 |
239 | #FF4F3542 |
240 | #FFFF003F |
241 | #FFFFAABF |
242 | #FFBD002E |
243 | #FFBD7E8D |
244 | #FF81001F |
245 | #FF815660 |
246 | #FF680019 |
247 | #FF68454E |
248 | #FF4F0013 |
249 | #FF4F353B |
250 | #FF333333 |
251 | #FF505050 |
252 | #FF696969 |
253 | #FF828282 |
254 | #FFBEBEBE |
255 | #FFFFFFFF |

Colors 0–9 are standard colors • Colors 10–249 follow a systematic pattern • Colors 250–255 are grayscale


Converting Dynamic Blocks

Command

Command | Description
ATCONVERT_DYNAMIC | Convert dynamic blocks to static blocks

Prerequisites

  • A drawing must be open

Overview

Converts AutoCAD dynamic blocks to standard static blocks. For each dynamic block, the current visibility state is extracted and saved as a new static block variant. This is useful when dynamic block functionality is not needed and static blocks are preferred for performance or compatibility.

Steps

  1. Type ATCONVERT_DYNAMIC in the AutoCAD command line
  2. Dynamic blocks in the drawing are converted to static equivalents
  3. Each visibility state becomes a separate block definition

When to Use

  • Preparing drawings for export to systems that don't support dynamic blocks
  • Reducing drawing complexity
  • Converting imported drawings that use dynamic blocks

Related Commands

  • Converting Proxy Objects


Converting Proxy Objects

Command

Command | Description
ATCONVERT_PROXY_OBJECTS | Convert proxy objects to native AutoCAD objects

Prerequisites

  • A drawing must be open

Overview

Converts proxy objects (objects created by applications not currently loaded) to native AutoCAD objects. The drawing is saved as a new DWG file with the conversions applied.

Steps

  1. Type ATCONVERT_PROXY_OBJECTS in the AutoCAD command line
  2. Proxy objects are converted to native equivalents
  3. The result is saved as a new DWG file

When to Use

  • Opening drawings created with third-party applications that left proxy objects
  • Cleaning up drawings with "proxy object" warnings
  • Preparing drawings for users who don't have the originating application

Related Commands

  • Converting Dynamic Blocks


Polyline and Spline Conversion

Commands

Command | Description
ATCONVERT_PLINES_TO_SPLINES | Convert selected polylines to splines
ATCONVERT_SPLINES_TO_PLINES | Convert selected splines to polylines

Prerequisites

  • A drawing must be open

Overview

These commands convert between polyline and spline geometry types. This is useful when you need to change the entity type for compatibility with specific tools or workflows.

Converting Polylines to Splines

  1. Type ATCONVERT_PLINES_TO_SPLINES in the AutoCAD command line
  2. Select the polylines to convert
  3. The polylines are replaced with spline equivalents

Converting Splines to Polylines

  1. Type ATCONVERT_SPLINES_TO_PLINES in the AutoCAD command line
  2. Select the splines to convert
  3. The splines are replaced with polyline equivalents

When to Use

  • When wirepath routing needs a different entity type
  • For compatibility with tools that only work with one geometry type


Panel Layout

Command

Command | Description
ATPANEL_LAYOUT | Generate a panel layout schematic

Prerequisites

  • A FireCAD project must be open

Overview

Opens the panel layout dialog for designing panel schematic layouts. Panel layouts show the internal arrangement of circuits and components within a fire alarm control panel.

Steps

  1. Type ATPANEL_LAYOUT in the AutoCAD command line
  2. The Panel Layout dialog opens
  3. Configure the panel layout settings
  4. Generate the layout
  5. The panel schematic is placed in the drawing

Related Commands

  • Panel Layout Properties
  • Panel Layout from Excel
  • Panel Summary Report


Panel Layout Properties

Command

Command | Description
ATPANEL_LAYOUT_PROPERTIES | Create panel layout using entity properties

Prerequisites

  • A FireCAD project must be open

Overview

Creates a panel layout using entity properties (location, building, etc.) to organize and group devices in the layout.

Steps

  1. Type ATPANEL_LAYOUT_PROPERTIES in the AutoCAD command line
  2. The panel layout is generated based on entity properties

Related Commands

  • Panel Layout


Panel Layout from Excel

Command

Command | Description
ATPANEL_LAYOUT_EXCEL | Import panel layout configuration from Excel

Prerequisites

  • A FireCAD project must be open

Overview

Imports panel layout configuration from an Excel file and generates the panel schematic based on the imported data.

Steps

  1. Type ATPANEL_LAYOUT_EXCEL in the AutoCAD command line
  2. Select the Excel file containing panel layout data
  3. The layout is generated based on the imported configuration

Related Commands

  • Panel Layout


Creating a Riser

Command

Command | Description
ATRISER | Open the riser diagram creation dialog

Ribbon: FireCAD > Riser > Create Riser Diagram

Prerequisites

  • A FireCAD project must be open

Overview

Opens the riser diagram creation dialog, which generates a hierarchical visualization of circuit connections across floors or building levels. Riser diagrams show the vertical routing of circuits and the devices at each level.

Steps

  1. Type ATRISER in the AutoCAD command line
  2. The Riser Options dialog opens
  3. Configure riser settings:
    • Select circuits and panels to include
    • Set column assignments
    • Configure display options
  4. Generate the riser diagram
  5. The diagram is placed in the drawing

Tips

  • Device riser column assignments (ATSET_RISER_COLUMN) and elevations (ATSET_ELEVATIONS) determine device placement in the diagram
  • Riser text height and block scale are configured in Options & Configuration
  • The riser layer is configurable in Options under the Layers tab

Related Commands

  • Riser Diagram V2 — Redesigned riser with per-circuit layout controls, dynamic color preview, and improved algorithms
  • Riser from Selection
  • Setting Riser Column
  • Setting Elevations


Riser from Selection

Command

Command | Description
ATRISER_SELECTION | Create a riser diagram from selected devices

Ribbon: FireCAD > Riser > Create Riser Diagram From Selection

Prerequisites

  • A FireCAD project must be open

Overview

Creates a riser diagram using only selected passthrough devices as the basis. This provides more control over which devices appear in the riser compared to the full ATRISER command.

Steps

  1. Type ATRISER_SELECTION in the AutoCAD command line
  2. Select the devices (passthrough devices) to include in the riser
  3. The riser diagram is generated based on the selection

Tips

  • Select passthrough devices that define the circuit hierarchy for the riser
  • This is useful when you only need a partial riser showing specific circuits

Related Commands

  • Creating a Riser


Riser Diagram V2

Command

Command | Description
ATRISER | Open the Riser Options dialog to create a riser diagram
ATRISER_SELECTION | Create a riser diagram from selected passthrough devices

Ribbon: FireCAD > Riser > Create Riser Diagram

Overview

The Riser V2 update introduces a redesigned options dialog, per-circuit layout controls, dynamic color preview, and improved layout algorithms. This article covers all settings and features available in the Riser Options dialog.

Riser Options Dialog

The dialog is split into two panels. The left panel contains layout settings and display options. The right panel contains the circuit selection TreeView with per-circuit settings.

Riser Options dialog

Left Panel — Layout Settings

Device Layout Style

Controls the overall layout algorithm for the riser diagram.

Device Layout Style dropdown

Style | Description
Non-Duplicating (A) | Devices and panels shown once. Default for most projects.
Legacy (B) | Devices duplicated per circuit, panels shown once
Duplicating (C) | All circuits and panels duplicated
Wirepath (D) | Devices follow floorplan wirepath layout
Summary (E) | Devices summarized by elevation with quantities

Device Label Position

Controls where labels appear relative to device blocks.

Device Label Position dropdown

Position | Description
Top Left | Labels above and to the left of the device
Top Center | Labels centered above the device
Top Right | Labels above and to the right of the device
Bottom Left | Labels below and to the left of the device
Bottom Center | Labels centered below the device
Bottom Right | Labels below and to the right of the device
Distributed | Labels split into four corners around each device (default)

Distributed Label Mode

When Distributed is selected, device information is split across four corners of each device block for improved readability:

  • Lower-right — Circuit addresses and voltage at device
  • Upper-right — Settings (candela, watts, decibels)
  • Upper-left — Custom entity properties
  • Lower-left — Entity properties and EX (existing) marker

Distributed label example

Color Settings

Colors are resolved using a tiered cascade. Each tier is controlled by a checkbox.

Setting | Description
Assign Wirepath Colors | Master toggle — disables all color settings when unchecked
Apply Circuit Color Indexes | Uses the color assigned to the circuit in the database
Use Segment Color Overrides | Uses origin entity color overrides from the drawing
Auto Assign Missing Segment Colors | Automatically assigns colors by circuit type when no color is set
Use Device Color Overrides | Applies individual device color overrides

When Auto Assign Missing Segment Colors is enabled, circuits are colored by type:

Circuit Family | Color
SLC | Red
NAC / IDNAC / Horn / Strobe | Blue
IDC / IDNET | Cyan
Audio / Digital Audio | Magenta
Access Control / AOR / Card Reader | Green
Wireless / CWSI / SWIFT | Cyan-Green
Communication Bus (ARCNET, RS-485, P-LINK, etc.) | Violet

Combo circuits (containing multiple type families) receive a slightly shifted shade. Unknown types use a stable hash-based color from a built-in palette.

Display Options

Display Options continued

Setting | Description
Show Branch Connections On Riser | Display T-tap/branch connection markers
Combine Multiple Circuits | Merge shared segments between circuits
Show Circuit Quantity | Display device counts on circuit labels
Use Dashed Lines For Typical Circuits | Typical circuits use dashed line styles
Generate Settings Table | Place an AutoCAD Table alongside the riser showing the settings used
Use MLeader Labels | Use MLeader annotations for line type labels instead of linetypes
Show Voltage At Device | Display voltage values next to devices (see Voltage Display below)
Draw Dynamic Panel Boxes | Draw automatic panel grouping boxes around origin devices

Entity Properties

Click Select Entity Properties... to choose which custom entity properties to display on each device in the riser diagram. If any properties are selected, they appear in the label area corresponding to the selected label position (or in the upper-left corner when using Distributed mode).

Entity Properties selector

Column & Grid Settings

Column & Grid Settings

Setting | Description
Apply Device Elevation & Column Assignments | Enable grid-based layout mode (master toggle)
Automatically Assign Columns | Auto-assign column values when user assignment is not set
Isolate Riser Circuit Columns | Separate trunk device columns from branch columns
Draw Level Lines | Draw horizontal lines at floor/elevation boundaries
Draw Column Lines | Draw vertical lines at column boundaries
Draw Grid Outline | Draw outer grid frame
Bundle Inter-Floor Connections Into Trunk | Combine vertical inter-floor connections into a shared trunk
Show Separate Return Path For Trunk | Draw the return path separately from the supply path
Separate Trunk Per Circuit Type | Create individual trunk columns per circuit type instead of one shared trunk
Apply User Vertical Constraints | Honor user-specified same-level constraints

Spacing & Sizing

Spacing & Sizing

Setting | Default | Description
Minimum Device Spacing | 70 | Distance between devices
Minimum Segment Length | 5 | Minimum edge length
Length Between Segments | 10 | Inter-segment gap
Grid Spacing | 10 | Snap-to-grid interval
Label Height | varies | Riser text height
Device Block Scale | varies | Block reference scale factor
Segment Fillet Radius | 4 | Edge corner rounding radius
Line Type Label Spacing | 100 | Distance from edge to line type label
Line Type Label Height | 6 | Height of line type labels
Trunk Junction Box Width | 30 | Width of inter-floor trunk junction boxes
Panel Box Width | 100 | Width of dynamic panel boxes
Row & Column Padding | 10 | Grid cell padding

Additional Layout Options

Setting | Description
Snap To Grid | Snap riser elements to the configured grid spacing
Ignore Labels On Device Spacing | Exclude labels from device distance calculations
Ignore Labels On Segment Layout | Exclude labels from edge routing

Wrapping Direction

Controls how wrapped circuit rows flow when per-circuit wrapping is enabled.

Style | Description
Serpentine | Alternating left-to-right and right-to-left rows (zigzag pattern). This is the default.
Left to Right | All rows flow in the same direction

Right Panel — Circuit Selection

Panel-Grouped TreeView

Circuits are organized under their parent panel in a TreeView. This replaces the previous flat grid layout.

Circuit selection TreeView

Panel Row displays:

  • Three-state checkbox — Check/uncheck all circuits under the panel at once. Shows indeterminate when some circuits are selected.
  • Block image — Thumbnail of the panel's block definition
  • Panel name and part number

Circuit Row (nested under panel) displays:

  • Color swatch — Live preview of the resolved color (updates dynamically with color settings)
  • Include checkbox — Toggle circuit inclusion in the riser
  • Circuit name — Displayed in the resolved color, without the panel prefix
  • Device count — Number of non-origin devices on the circuit
  • Circuit types — Actual connection types from device data (e.g., SLC MODULES, NAC HORNS)

View Modes

Toggle between two views using the view selector:

View mode selector

Grouped by Panel view

Grouped by Part Number view

  • Grouped by Panel — Circuits grouped by panel (default)
  • Grouped by Part No — Circuits grouped by origin device part number
  • Compact — Circuits listed in flat list, no grouping

Search

A search box at the top filters circuits and panels by name or type as you type.

Per-Circuit Inline Settings

Each circuit row shows editable settings on a second line:

Per-circuit inline settings

Setting | Description
Wrap | Enable line wrapping for this circuit
Qty | Number of devices per row when wrapping (default: 20)
Draw Left | Draw this circuit right-to-left (see Draw Left / Right-to-Left Circuits below)
Priority | Numerical priority for layout ordering (1 = highest, 0 = no priority)
Typical | Mark as typical wiring — drawn with dashed lines, does not drive layout

Toolbar

Button | Description
Select All / Unselect All / Invert | Bulk selection controls
Expand All / Collapse All | Control TreeView expansion
Include Initiating / NAC & Aux / Audio / Other | Quick-select circuits by type family
Set Default Priorities | Auto-assign: SLC/IDC = 1, NAC/Aux = 2, Audio = 3
Bulk Edit Highlighted Circuits | Edit settings for multiple Ctrl/Shift-selected circuits at once

Feature Details

Typical Circuit Wiring

Circuits marked as Typical represent standard wiring patterns without duplicating devices in the riser diagram.

  • Typical circuits are drawn with dashed lines and display only the circuit name
  • Normal circuits continue to drive device placement and layout
  • Toggle per-circuit via the Typical checkbox
  • The Use Dashed Lines For Typical Circuits global setting controls the dashed vs solid style

Typical circuit with dashed lines

Dynamic Color Preview

The circuit list shows a live preview of each circuit's resolved color. Colors update in real time when you toggle the color checkboxes in the settings panel. The preview matches the color the riser drawing engine will produce.

Dynamic color preview

Voltage Display

When Show Voltage At Device is enabled, voltage values are displayed next to each non-origin device in the riser diagram.

  • Voltage labels appear below the circuit address on each device
  • When voltage drops below the circuit's MinVoltage threshold, the label is displayed in red as a visual warning
  • Voltage is calculated per-circuit — multi-circuit devices show voltage only for selected circuits
  • Voltage is not shown on Summary (E) risers since summarized devices do not have meaningful individual voltage values

Voltage display with red warning

Draw Left / Right-to-Left Circuits

The Draw Left per-circuit setting reverses the layout direction for individual circuits, drawing them from right to left instead of the default left to right.

  • When enabled, the circuit's column assignments are mirrored so the circuit flows in the opposite direction
  • Child circuits automatically inherit the Draw Left setting from their parent circuit through passthrough device relationships
  • When a riser contains both left-to-right and right-to-left circuits, trunk bundles are split so each direction gets its own isolated trunk column
  • The C riser (Duplicating layout) also supports Draw Left with proper column mirroring

Draw Left example

Entity Properties on Riser

Custom entity properties can be displayed on device labels in the riser diagram. This feature works across all layout styles:

  • A/B risers — Entity properties shown in the device label area
  • C riser (Duplicating) — Entity properties shown on duplicated device labels
  • D riser (Wirepath) — Entity properties shown alongside wirepath device labels
  • E riser (Summary) — Entity properties are not shown (not meaningful for summarized devices)

When using Distributed label mode, entity properties appear in the upper-left corner of each device.

Dynamic Panel Boxes

When Draw Dynamic Panel Boxes is enabled, origin/assembly devices are drawn with automatic panel grouping boxes. The box width is controlled by the Panel Box Width setting.

Dynamic Panel Boxes

MLeader Labels

When Use MLeader Labels is enabled, line type labels use AutoCAD MLeader annotations instead of inline linetypes. This provides better control over label placement and readability, especially in dense riser diagrams.

Settings Table

When Generate Settings Table is enabled, an AutoCAD Table is placed alongside the riser diagram listing all the settings used to generate it. Only settings accessible through the UI are included. This is useful for documentation and quality control.

Notes

  • Segment Color Overrides are not previewed in the dialog because they require reading entity colors from the AutoCAD drawing. The actual riser output will include these overrides.
  • The circuit panel is resizable. Drag the splitter to adjust the width.
  • Device riser column assignments (Setting Riser Column) and elevations (Setting Elevations) determine device placement in grid-based layouts.
  • Trunk inter-floor connections are bundled by direction — right-to-left and left-to-right circuits get separate trunk columns when both are present.

Related Commands

  • Creating a Riser
  • Riser from Selection
  • Setting Riser Column
  • Setting Elevations
  • Passthrough Devices & Circuit Hierarchy
  • Setting Vertical Constraints


Attribute Search

Command

Command | Description
ATATT_SEARCH | Search for attributes by keyword

Prerequisites

  • A drawing must be open

Overview

Searches block attributes in the drawing for a specified keyword and selects or highlights matching blocks. Supports filtering by layout.

Steps

  1. Type ATATT_SEARCH in the AutoCAD command line
  2. Enter the search keyword
  3. Matching blocks are found and highlighted

Related Commands

  • Attribute Visibility
  • Select by Keyword


Attribute Visibility

Command

Command | Description
ATATT_VISIBILITY | Open the Attribute Visibility Editor

Ribbon: FireCAD > Attributes > Set Property Visibility

Prerequisites

  • A FireCAD project must be open

Overview

Opens the Attribute Visibility Editor dialog, which lets you control which attribute tags are visible or hidden on device blocks. This provides fine-grained control over what information is displayed on each device in the drawing.

Steps

  1. Type ATATT_VISIBILITY in the AutoCAD command line
  2. The Attribute Visibility Editor dialog opens
  3. Toggle visibility for individual attribute tags
  4. Apply changes

Tips

  • Hidden attributes still exist in the block — they just aren't displayed
  • This affects the drawing display, not database values or report output

Related Commands

  • Attribute Search
  • Formatting Device Labels


Exporting Attributes

Commands

Command | Description
ATEXATTDATATOEXCEL | Export selected block attributes to Excel
ATEXATTDATATOCSV | Export selected block attributes to CSV
ATEXATTDATATOEXCEL_BYBLOCK | Export all attributes of a selected block type to Excel
ATEXATTDATATOCSV_BYBLOCK | Export all attributes of a selected block type to CSV
ATEXATTDATATOEXCEL_BYSEL | Export attributes for all selected objects to Excel
ATEXATTDATATOCSV_BYSEL | Export attributes for all selected objects to CSV

Prerequisites

  • A drawing must be open

Overview

These commands export block attribute data to Excel or CSV files. Different variants let you export by selection, by block type, or for all selected objects.

Export Variants

By Selection (Standard)

  • ATEXATTDATATOEXCEL / ATEXATTDATATOCSV
  • Select specific blocks, then export their attributes

By Block Type

  • ATEXATTDATATOEXCEL_BYBLOCK / ATEXATTDATATOCSV_BYBLOCK
  • Select one block, then all blocks of that type are exported

By Selection (All)

  • ATEXATTDATATOEXCEL_BYSEL / ATEXATTDATATOCSV_BYSEL
  • Export attributes for all currently selected objects

Tips

  • Exported data can be edited in Excel and re-imported with ATIMPORTATTRIBUTEDATA
  • CSV format is useful for data processing workflows

Related Commands

  • Importing Attribute Data


Importing Attribute Data

Command

Command | Description
ATIMPORTATTRIBUTEDATA | Import attribute data from Excel or CSV

Ribbon: FireCAD > Attributes > Import Title Block Attributes

Prerequisites

  • A drawing must be open

Overview

Imports attribute data from an Excel or CSV file and applies the values to matching block references in the drawing. Use exported attribute data (from ATEXATTDATATOEXCEL or similar commands) as the import template.

Steps

  1. Type ATIMPORTATTRIBUTEDATA in the AutoCAD command line
  2. Select the Excel or CSV file to import
  3. Attribute values are applied to matching blocks in the drawing

Tips

  • Blocks are matched by handle or block name — ensure the import file references the correct blocks
  • Always export first to get the correct file format and block references

Related Commands

  • Exporting Attributes


Locating Attributes

Command

Command | Description
ATLOCATE_ATTRIBUTES | Reposition attributes on selected devices

Ribbon: FireCAD > Attributes > Set Attribute Position

Prerequisites

  • A FireCAD project must be open

Overview

Repositions attribute text on selected device blocks to a specified corner or edge. This is useful for standardizing attribute placement across multiple devices.

Steps

  1. Type ATLOCATE_ATTRIBUTES in the AutoCAD command line
  2. Select the devices to adjust
  3. Specify the target position (corner or edge)
  4. Attributes are repositioned on the selected devices

Related Commands

  • Leveling Attributes
  • Attribute Visibility


Deleting Orphaned Records

Command

Command | Description
ATDELETE_ORPHANS | Delete orphaned database records and update labels

Ribbon: FireCAD > Validation > Purge Deleted Entities And Circuits

Prerequisites

  • A FireCAD project must be open

Overview

Validates all segments and devices in the active drawing, deletes any orphaned database records (records that no longer correspond to drawing entities), and updates all labels.

Steps

  1. Type ATDELETE_ORPHANS in the AutoCAD command line
  2. FireCAD scans for orphaned records
  3. Orphaned records are deleted from the database
  4. All device and wirepath labels are updated

When to Use

  • After deleting entities directly in AutoCAD (without using FireCAD commands)
  • When the database contains records for entities that no longer exist in the drawing
  • As a cleanup step after drawing modifications

Tips

  • This performs segment and device validation before cleanup
  • Labels refresh automatically after orphan deletion

Related Commands

  • Cleaning Up Repositories
  • Validating the Active Drawing


Cleaning Up Repositories

Command

Command | Description
ATCLEANUP_REPOSITORIES | Clean up orphaned database engine instances

Prerequisites

  • A FireCAD project must be open

Overview

Cleans up orphaned SQL Server LocalDB database instances that may have been left behind from previous sessions or crashed processes.

Steps

  1. Type ATCLEANUP_REPOSITORIES in the AutoCAD command line
  2. Orphaned database instances are cleaned up

When to Use

  • When you receive database connection errors
  • After a crash that may have left database instances in an inconsistent state
  • As periodic maintenance

Related Commands

  • Deleting Orphaned Records


Resetting Conduit IDs

Command

Command | Description
ATRESET_CONDUITIDS | Reset and recalculate all conduit IDs

Prerequisites

  • A FireCAD project must be open

Overview

Resets and recalculates all conduit IDs for segments on the active drawing. This renumbers conduit identifiers based on the current segment configuration.

Steps

  1. Type ATRESET_CONDUITIDS in the AutoCAD command line
  2. All conduit IDs are cleared
  3. New conduit IDs are calculated and assigned
  4. Labels refresh to show updated IDs

When to Use

  • When conduit IDs have become inconsistent or duplicated
  • After significant changes to wirepath routing
  • After merging or splitting conduit runs

Related Commands

  • Segment ID Display
  • Setting Conduit Type


Clearing XRecords

Command

Command | Description
ATUTILS_CLEAR_ALL_XRECORDS | Clear all extended records from drawing entities

Prerequisites

  • A drawing must be open

Overview

Clears all XRecord (extended record) data from entities in the drawing. XRecords store FireCAD metadata such as segment information, entity tracking data, and report fingerprints.

Steps

  1. Type ATUTILS_CLEAR_ALL_XRECORDS in the AutoCAD command line
  2. All XRecord data is removed from drawing entities

Important Notes

  • Use with caution — this removes all FireCAD metadata from drawing entities
  • After clearing XRecords, you will need to re-validate the drawing (ATVALIDATE) to rebuild the metadata
  • This is a maintenance/troubleshooting command, not for regular use

When to Use

  • When XRecord data has become corrupted
  • As a last resort troubleshooting step
  • When preparing a drawing to be stripped of all FireCAD data

Related Commands

  • Deleting Orphaned Records
  • Validating the Active Drawing


Deleting All Segments

Command

Command | Description
ATDELETE_ALL_SEGMENTS | Delete all wirepath segments from the active drawing

Prerequisites

  • A FireCAD project must be open

Overview

Erases all wirepath segment entities from the active drawing and deletes their corresponding database records. This is a destructive operation that requires confirmation.

Steps

  1. Type ATDELETE_ALL_SEGMENTS in the AutoCAD command line
  2. A confirmation prompt appears
  3. Confirm to proceed
  4. All segment entities are erased from the drawing
  5. All segment database records for the drawing are deleted

Important Notes

  • This operation is destructive — all wirepath segments and their data are permanently removed
  • Circuit connections remain intact; only the physical wirepath geometry is removed
  • After deletion, you would need to redraw wirepaths using ATAUTO_DRAW_CIRCUIT_WIREPATH

When to Use

  • Starting fresh with wirepath routing
  • When segment data has become severely corrupted
  • Before reimporting or recreating all wirepaths

Related Commands

  • Auto-Draw Circuit Wirepath
  • Deleting Orphaned Records


KNOWN ISSUE - SYMBOL NOT ROTATING WITH ROTATION GRIP

WHEN A FIRECAD SYMBOL IS SELECTED IN MODEL SPACE, CERTAIN GRIPS APPEAR. IN THE EXAMPLE BELOW, THE SQUARE GRIPS ASSIST IN MOVING ATTRIBUTES OR THE BLOCK ITSELF.

THE ROUND GRIP ABOVE THE SYMBOL IS USED TO ROTATE THE SYMBOL WITHOUT ROTATING THE ATTRIBUTE.

THERE ARE TIMES, AFTER USING THE "RESET DEVICE BLOCK DEFINITIONS" COMMAND, THAT THE BLOCK WILL NOT ROTATE. THIS IS A KNOWN ISSUE AND WILL BE RESOLVED IN AN UPCOMING RELEASE.

MEANWHILE, PLEASE EMAIL support@cadgen.com EXPLAINING THE ISSUE AND WE WILL REPAIR THE .DWG FILE FOR YOU.


FireCAD Palette disappears and cannot be found.

There are times when the FireCAD Palette disappears and cannot be found. Take the following steps to restore it.

Note that this process is the same whether you are using the FireCAD standalone or the AutoCAD add-in version.

An overview of the process is below followed by step-by-step screenshots.

This article explains how to reset FireCAD 2024 but the process will be the same for other versions. Simply use the appropriate version name when navigating to the folders.

STEP-BY-STEP SCREENSHOTS:

NAVIGATE TO THE APPROPRIATE USER FOLDER ON YOUR C DRIVE:

HERE IS HOW TO SHOW HIDDEN ITEMS:

OPEN THE "AppData" FOLDER:

NAVIGATE TO THE "Local" FOLDER AND OPEN IT:

FIND THE APPLICABLE FOLDER FOR YOUR INSTALLED VERSION OF FireCAD

DELETE THE APPLICABLE FOLDER:

NOW NAVIGATE BACK TO THE "AppData" FOLDER AND REPEAT THE PROCESS BY DELETING THE APPROPRIATE FOLDER WITHIN THE "Roaming" FOLDER.

TO MAKE THE FIRECAD PALETTE REAPPEAR, USE THE "Open Project Palette" SELECTION FROM THE VIEW PANEL OF THE FireCAD Tools RIBBON OR TYPE THE "ATSHOW" COMMAND ON THE COMMAND LINE.

IN CASE THE FIRECAD TOOLS RIBBON IS MISSING:

THE "MENU" COMMAND PROVIDES THE DIALOG BELOW. CHOOSE THE "CGFCADxx.CUIX" OR THE "ACAD.CUIX" COMMAND, DEPENDING ON YOUR VERSION:


Drawing Polylines

Commands

Command | Description
ATPOLY | Interactive polyline drawing with automatic device trimming
ATQUICK_POLY | Quick polyline between two devices

Prerequisites

  • A FireCAD project must be open

Overview

FireCAD provides enhanced polyline drawing tools that automatically trim and fillet polylines at device block boundaries.

ATPOLY — Interactive Polyline

  1. Type ATPOLY in the AutoCAD command line
  2. Click to place vertices along the desired path
  3. The polyline automatically trims at device block boundaries
  4. Fillet radius is applied at corners (configurable in Options under Tools: "ATPoly Fillet Radius")
  5. Press Enter or Escape to finish

ATQUICK_POLY — Quick Polyline

  1. Type ATQUICK_POLY in the AutoCAD command line
  2. Select the starting device
  3. Select the ending device
  4. An orthogonal polyline is automatically created between the two devices with 4 vertices and filleted corners

Tips

  • ATQUICK_POLY is ideal for fast routing between two adjacent devices
  • ATPOLY gives you full control over the routing path with automatic device trimming
  • The fillet radius can be configured in Options & Configuration

Related Commands

  • Drawing Splines
  • Adding Polylines


Drawing Splines

Commands

Command | Description
ATSPLINE | Interactive spline drawing with automatic device trimming
ATQUICK_SPLINE | Quick spline between two devices

Prerequisites

  • A FireCAD project must be open

Overview

FireCAD provides enhanced spline drawing tools that automatically trim at device block boundaries. Splines create smooth curved paths between devices.

ATSPLINE — Interactive Spline

  1. Type ATSPLINE in the AutoCAD command line
  2. Click to place control points along the desired path
  3. The spline automatically trims at device block boundaries
  4. Press Enter or Escape to finish

ATQUICK_SPLINE — Quick Spline

  1. Type ATQUICK_SPLINE in the AutoCAD command line
  2. Select the starting device
  3. Select the ending device
  4. A spline is created between the two devices with tangent control vectors

Tips

  • Splines provide smoother curves than polylines for organic routing paths
  • Use ATCONVERT_SPLINES_TO_PLINES to convert splines to polylines if needed later

Related Commands

  • Drawing Polylines
  • Polyline and Spline Conversion


Adding Polylines

Command

Command | Description
ATADD_POLYLINES | Add polylines with specific properties to the drawing

Prerequisites

  • A FireCAD project must be open

Overview

Adds polylines to the drawing with specific FireCAD-managed properties.

Steps

  1. Type ATADD_POLYLINES in the AutoCAD command line
  2. Follow the prompts to create the polylines

Related Commands

  • Drawing Polylines


Project Creation Wizard

Command

Command | Description
ATCREATE_PROJECT | Open the Project Creation Wizard to create a new FireCAD project

Ribbon: FireCAD > File > Create Project

Prerequisites

  • FireCAD plugin must be loaded in AutoCAD
  • Access to a FireCAD master database

Overview

The Project Creation Wizard guides you through setting up a new FireCAD project in two steps: Project Setup (required) and Project Properties (optional). The wizard creates your project folder, copies drawing files, connects to the database, and imports selected device templates.

Page 1: Project Setup

Project Creation Wizard — Page 1

Project Name

Enter a name for your project. This is a required field and cannot contain invalid file path characters.

Project Directory

Click Browse to select the folder where your project will be stored. The wizard remembers your last-used directory.

Settings Template (Optional)

Click Browse to select an XML settings template file (circuitsettings.xml). This pre-populates circuit and label formatting settings for the new project.

Project Drawings (Optional)

Click Browse to select one or more .dwg or .dwt drawing files to include in the project. Selected files appear as removable tags — click the x on any tag to remove it. You can browse multiple times to add more drawings.

Database Connection

The wizard automatically tests the database connection on load. The status indicator shows:

  • Green checkmark — Connected successfully
  • Red X — Not connected

Click Configure to open the database connection settings. A valid database connection is required before you can proceed.

Device and Template Selection

This section becomes available after a successful database connection.

Device and Template Selection area with selected items shown as tags

Selected Devices — Click Add Devices to open a searchable list of available device parts. Check the devices you want to include and click Add Selected. Each device appears as a removable tag showing its part number.

Project Templates — Click Add Templates to open a searchable list of available circuit templates. Check the templates to include and click Add Selected. Each template appears as a removable tag showing its name.

At least one device or template must be selected to proceed.

Navigation

Click Next to validate your entries and move to Page 2.

Page 2: Project Properties

Project Creation Wizard — Page 2

Project Information

Field | Required | Description
Project Type | Yes | Type of project (New Construction, Retrofit, Tenant Improvement, etc.)
Industry Type | Yes | Building industry category (Healthcare, Education, Commercial, etc.)
Construction Type | Yes | IBC construction type (Type I through Type V)
Occupancy Classification | Yes | IBC occupancy group (Group A through Group U)
Project Number | No | Your internal project number
Contract Number | No | Contract reference number

Project Address

Google Maps autocomplete dropdown with address suggestions

Type in the Search Address field to use Google Maps autocomplete. Select an address from the dropdown to auto-fill the street, city, state, and zip fields. You can also enter the address manually.

Field | Required
Project Address | No
City | Yes
State | Yes
Zip | Yes

Scope of Work

Enter a description of the project scope (up to 2,000 characters). A character counter shows your remaining space.

Codes and Standards

Select the applicable code editions for your project:

Field | Options
NFPA | N/A, NFPA 2013 through NFPA 2025
IFC | N/A, IFC 2009 through IFC 2024
IBC | N/A, IBC 2009 through IBC 2024
NEC | N/A, NEC 2008 through NEC 2023

Owner/Occupant Information

Optional fields for the building owner or occupant: Name, Phone, Email, and Address (with Google Maps autocomplete).

Contractor Information

Optional fields for the installing contractor: Company Title, Company Name, Address, Phone, License Number, Contact Name, and Contact Phone.

Engineer Information

Optional fields for the engineer of record: Company, and Address.

Navigation

  • Click Create Project to validate all fields and create the project
  • Click Skip for Now to create the project without filling in properties (you can edit them later with ATUPDATE_PROJECT)
  • Click Back to return to Page 1

What Happens During Project Creation

  1. The wizard checks for file conflicts in the target directory
  2. Creates the project folder and .atpx project file
  3. Copies drawing files and settings template (if provided)
  4. Creates the working database and imports selected templates and devices
  5. Opens the new project in AutoCAD

Tips

  • Use the Skip for Now button on Page 2 if you want to fill in project properties later
  • Google Maps address autocomplete requires an API key configured in your FireCAD settings
  • The wizard remembers your last-used project directory and settings template path
  • If a project already exists in the selected directory, the wizard will warn you about file conflicts

Related Commands

  • Opening a Project — ATOPEN_PROJECT
  • Updating a Project — ATUPDATE_PROJECT
  • Editing Project Properties — ATEDIT_PROJECT_PROPERTIES


Select Circuits Dialog

Overview

The Select Circuits dialog appears when generating circuit-based reports. It lets you choose which panels and circuits to include in the report and configure report-specific settings such as column layout, formatting, and calculation options.

How to Access

This dialog opens automatically when you run any of the following report commands:

  • ATEXPORT_BATTERY_CALCULATIONS
  • ATEXPORT_POINT_TO_POINT_REPORTS
  • ATEXPORT_SPEAKER_SCHEDULE_REPORTS
  • ATEXPORT_LUMP_SUM_REPORTS
  • ATEXPORT_DB_LOSS_REPORTS
  • ATEXPORT_DEVICE_SCHEDULE_REPORTS
  • ATEXPORT_BOM_REPORT
  • ATEXPORT_DEVICE_LEGEND
  • ATEXPORT_CABLE_LEGEND

Layout

The dialog is split into two panes:

  • Left pane — Circuit selection tree
  • Right pane — Report settings and column customization

Circuit Selection (Left Pane)

Select Circuits dialog — circuit tree (left) and report settings (right)

A hierarchical tree view displays all panels and their circuits:

  • Panels (top level) — Shown with a block image, panel name, and part number
  • Circuits (nested under panels) — Shown with circuit name and device count

Check or uncheck panels and circuits to include or exclude them from the report. All circuits are selected by default.

Toolbar Buttons

Button | Action
Select All | Check all panels and circuits
Unselect All | Uncheck all panels and circuits
Expand All | Expand all tree nodes
Collapse All | Collapse all tree nodes

Child circuits (connected through passthrough devices) appear at the bottom of the tree with a reference label and are not individually selectable.

Report Settings (Right Pane)

The available settings vary by report type. Common options include:

General Options

Option | Description
Generate Previous Version Report Style | Use legacy report format without column customization
Show Internal Assembly Components | Display sub-components of assembly devices
Group Assembly Components Last | Move assembly parts to end of each circuit group
Force Uppercase Text | Convert all report text to uppercase
Include Card Totals | Show subtotals per card/node
Include Existing Parts | Include devices marked as existing
Include Child Circuit Devices | Include devices from child circuits with hierarchy markers
Show Part Number in Hierarchy | Display part numbers in hierarchical report views
Automatic Decimal Precision | Let the report engine determine decimal places
Shorten Description | Truncate long device descriptions

Layout Options

Option | Description
Symbol Scale Factor | Scale factor for device symbols in the report (default: 1.0)
Report Text Height | Text height in drawing units (default: 9)
Report Width Override | Override the automatic report width (with Reset button)

Column Customization

When not using the legacy report style, you can customize report columns:

  1. Available Columns (left list) — All columns that can be added, with a search box
  2. Arrow buttons — Move columns between Available and Selected lists
  3. Selected Columns (right list) — Columns included in the report, drag to reorder
  4. Column Width Factor — Adjust the width of the selected column
  5. Sort Column — Enable sorting by the selected column

Battery Calculation Settings

When generating a battery calculation report (ATEXPORT_BATTERY_CALCULATIONS), a separate Battery Calculation Settings tab appears with additional options:

Option | Description
Generate Previous Version Report Style | Use legacy report format without column customization
Force Uppercase Text | Convert all report text to uppercase
Include Cell Formulas | Embed Excel formulas for standby/alarm current totals
Include Components Without Current | Show assembly sub-components even when they draw no current
Include Circuits Without Current | Show circuits that have zero standby and alarm current
Ignore Spare Circuits | Exclude spare/unused circuits from the report
Include Child Circuit Devices | Include devices from child circuits with hierarchy markers
Show Part Number in Hierarchy | Display part numbers in hierarchical report views
Show Speaker Currents (W ÷ V = A) | Convert speaker wattage to alarm current using the circuit voltage
Include Card Totals | Show subtotals per card/node
Automatic Decimal Precision | Let the report engine determine decimal places
Shorten Description | Truncate long device descriptions
Show Only Circuit Current Totals (Hide Part Details) | Collapse individual devices to circuit-level totals

The battery calc tab also includes the same layout options (Symbol Scale Factor, Report Text Height, Report Width Override) and column customization as the general report settings tab.

Buttons

Button | Action
Accept | Generate the report with current selections and settings
Close | Cancel without generating a report

Tips

  • The dialog remembers your column selections and settings between sessions
  • Report-specific settings tabs appear based on which report type you're generating
  • For Legend and BOM reports, the circuit selection pane is hidden since those reports include all devices

Related Commands

  • Device Schedule Report
  • Battery Calculations
  • Point-to-Point Report


Bulk Edit Circuits Dialog

Overview

The Bulk Edit Circuits dialog allows you to modify properties across multiple circuits at once. Instead of editing each circuit individually in the Project Circuits Editor, you can select several circuits and apply common changes in a single operation.

How to Access

  1. Open the Project Circuits Editor with ATPROJECT_CIRCUITS_EDITOR
  2. Select multiple circuits in the grid (hold Ctrl or Shift to multi-select)
  3. Click Bulk Edit Selected...

Layout

Bulk Edit Circuits dialog showing all property sections

The dialog is organized into four sections, each with a checkbox to enable or disable editing for that group of properties.

Cable Selection

Check the box next to Cable to enable cable editing. Select a cable from the searchable dropdown list. Leave unchecked to keep each circuit's existing cable assignment.

Default Color

Check the box next to Default Color to enable color editing. Click Choose Color... to open the AutoCAD color picker. The color preview rectangle shows the currently selected color with its index number and name (e.g., "256 - ByLayer").

Boolean Properties

Toggle switches for circuit behavior. Each property uses a three-state checkbox:

  • Checked — Set to enabled on all selected circuits
  • Unchecked — Set to disabled on all selected circuits
  • Indeterminate (dash) — Leave each circuit's current value unchanged
Property | Description
Is Locked | Prevent modifications to the circuit
Is Hidden | Hide the circuit from normal views
Show EOL | Display end-of-line indicators
Voltage Drop Report | Include in voltage drop reports
Address Schedule | Include in device schedule reports
Speaker Schedule | Include in speaker/decibel reports
T-Tap Wirefill | Enable T-tap wirefill calculation
Use Current Limits On Battery Calc | Apply current limits to battery calculations

Numeric Properties

Each numeric field has its own checkbox. Check the box to apply the value to all selected circuits:

Property | Unit | Description
Standby Current Max | Amps | Maximum standby current limit
Alarm Current Max | Amps | Maximum alarm current limit
Watt Limit | Watts | Maximum circuit wattage
Starting Calculation Voltage | Volts | Initial voltage for voltage drop calculations
Min Voltage | Volts | Minimum acceptable voltage at end of circuit
Max Circuit Length | Feet | Maximum allowed wire run length
Current Max Threshold % | 0-100% | Warning threshold for current (e.g., 80%)
Watt Max Threshold % | 0-100% | Warning threshold for wattage

Buttons

Button | Action
Apply to Selected | Save changes to all selected circuits (only for checked properties)
Cancel | Discard changes and close

How Mixed Values Work

When the selected circuits have different values for a property:

  • Boolean fields show an indeterminate (dash) state
  • Numeric fields appear empty
  • Color shows no preview
  • Cable shows no selection

Only properties where you explicitly check the enable box and set a value will be modified.

Tips

  • Use this dialog to quickly set current limits or reporting flags across multiple circuits
  • The three-state checkboxes let you change some boolean properties while leaving others untouched
  • After applying, a confirmation message shows how many circuits were updated

Related Commands

  • Project Circuits Editor
  • Resetting Circuit Templates


Move Circuits Dialog

Overview

The Move Circuits dialog lets you relocate circuit devices from one panel to another. It shows a side-by-side view of source circuits and compatible destinations, filtering destinations to only show circuits with matching connection types.

How to Access

The Move Circuits dialog is available from circuit management context menus or palette actions when you need to reassign devices between panels.

Layout

Move Circuits dialog — source circuits (left) and compatible destinations (right)

The dialog uses a two-pane layout:

  • Left pane — "Select Circuit To Relocate" — Source panel/circuit tree
  • Right pane — "Select Compatible Destination Circuit" — Filtered destination tree

Source Circuit Selection (Left Pane)

A hierarchical tree view displays all panels and their circuits:

  • Panels (top level) — Block image, panel name (bold), and part number (green)
  • Circuits (nested under panels) — Circuit display name with device count

Click on a circuit to select it as the source for relocation.

Destination Circuit Selection (Right Pane)

This pane populates automatically when you select a source circuit. It shows only compatible destination circuits — those with a matching connection type (e.g., SLC to SLC, NAC to NAC).

The tree structure mirrors the left pane but is filtered to show:

  • Only panels that have compatible circuit types
  • Only circuits with matching LimitType (connection type)
  • Empty circuits that could receive devices

Steps

  1. Select a source circuit in the left pane
  2. The right pane auto-populates with compatible destinations
  3. Select a destination circuit in the right pane
  4. Click Apply to move the devices
  5. A status message confirms the move
  6. Repeat for additional moves or click Close

Buttons

Button | Action
Apply | Move devices from selected source to selected destination
Close | Close the dialog

Tips

  • You can perform multiple moves in a single dialog session — after each move, both trees refresh
  • Only circuits with matching connection types appear as destinations
  • The dialog updates the database and cache after each move
  • Both trees auto-expand on load for easy navigation

Related Commands

  • Relocating an Entire Circuit — ATRELOCATE_CIRCUIT
  • Project Circuits Editor


Input Circuit Selection Dialog

Command

Command | Description
ATSET_DEVICE_INPUT_CIRCUITS | Assign input circuit templates to selected devices

Ribbon: FireCAD > Circuits > Set Device Input Circuits

Prerequisites

  • A FireCAD project must be open
  • One or more devices must be selected in the drawing

Overview

The Input Circuit Selection dialog lets you assign circuit template configurations to devices. It shows available circuit options organized by device part, card/assembly component, and selection group. You can configure circuits for multiple devices of the same type simultaneously.

Layout

Input Circuit Selection — circuit template options (left) and device list (right)

The dialog uses a two-pane layout:

  • Left pane — "Available Input Circuit Settings" — Hierarchical tree of circuit template options
  • Right pane — "Select a Device to Edit" — List of selected devices

Device List (Right Pane)

Displays all devices from your selection. Each device shows:

  • Device block image
  • Device description
  • Manufacturer name
  • Part number (bold, green)

Click a device to load its available circuit options in the left pane.

Circuit Options (Left Pane)

A three-level hierarchical tree showing available circuit configurations:

Level 1: Part Groups

Shows the device's parts. For assembly devices, each card or internal component appears as a separate group:

  • Main part: "Part No: XYZ (x5)" — part number with quantity
  • Assembly parts: "Part No: XYZ (Card A)" or "Part No: XYZ (Internal)"

Level 2: Selection Groups

Within each part, options are grouped by circuit type:

  • "Selection Group: SLC"
  • "Selection Group: NAC"

Level 3: Circuit Options

Individual circuit template options shown as radio buttons:

  • Select a radio button to choose that configuration
  • Leave unselected to keep the device's existing circuit assignment
  • Options show descriptive names (e.g., "4A @ 12VDC", "8A @ 24VDC")

Within each selection group, only one option can be selected at a time.

Steps

  1. Type ATSET_DEVICE_INPUT_CIRCUITS in the AutoCAD command line
  2. Select one or more devices in the drawing and press Enter
  3. The dialog opens showing selected devices in the right pane
  4. Click a device in the right pane to see its circuit options
  5. Select the desired circuit template option in each selection group
  6. Click Apply to assign the selected templates

Buttons

Button | Action
Apply | Save circuit template selections and apply to all devices of the same type
Cancel | Close without applying changes

Tips

  • Circuit settings apply to all devices of the same type in your selection — you don't need to configure each device individually
  • Groups with no selection will keep each device's existing circuit settings
  • The tree auto-expands to show all available options
  • For multi-address or multi-circuit devices, each card or selection group can be configured independently

Related Commands

  • Setting All Device Input Circuits — ATSET_ALL_DEVICE_INPUT_CIRCUITS
  • Resetting Circuit Templates — ATRESET_CIRCUIT_TEMPLATES


Device Properties Palette

Command

Command | Description
ATPROPERTIES | Open the Device Properties palette for selected devices

Ribbon: FireCAD > Devices > Device Property Editor

Prerequisites

  • A FireCAD project must be open
  • One or more devices must be selected in the drawing

Overview

The Device Properties palette displays a grid of custom properties that can be applied to selected devices. Properties are used for device labeling, riser diagrams, and reports. You can add new properties, edit values, and control visibility and display order.

Layout

Device Properties Palette showing property grid with values

The palette contains a data grid with the following columns:

Column | Description
Property Name | Name of the custom property (e.g., "PNL", "Location", "Floor")
Property Value | Value to apply to the selected devices
Is Visible | Checkbox — when checked, the property appears on device labels
Display Order | Numeric value controlling the order properties appear on labels
Keep Value | Checkbox — when checked, the value persists when the palette reloads

Built-In Properties

Several preset properties are included by default:

  • PNL — Panel name (used as circuit prefix)
  • Additional preset properties based on your project configuration

Built-in property names cannot be changed, but their values are editable.

Auto Increment Device Names

A checkbox at the bottom of the palette enables automatic incrementing of numeric suffixes in property values. When applying properties to multiple devices, each device receives a sequentially incremented value:

  • Example: "FA-1" becomes "FA-1", "FA-2", "FA-3" for three selected devices

Multiple Device Selection

When multiple devices are selected and they have different values for the same property, the Property Value column shows "(multiple values selected)". Setting a new value replaces all selected devices' values.

Buttons

Button | Action
Add New Property | Add a custom property row to the grid
Clear Values | Clear all property values (names remain)
Apply | Save changes to the database and close
Cancel | Discard changes and close

Steps

  1. Select one or more devices in the drawing
  2. Type ATPROPERTIES in the AutoCAD command line
  3. Edit property values in the grid
  4. Optionally check Is Visible to display properties on device labels
  5. Set Display Order to control label positioning
  6. Click Apply to save

Tips

  • The Keep Value checkbox is useful when applying the same value across multiple batches of devices
  • Property names must be unique — you cannot create a custom property with the same name as a built-in property
  • After applying, device labels refresh automatically to reflect property changes

Related Commands

  • Entity Properties Dialog — ATSET_ENTITY_PROPERTIES
  • Setting Panel Name — ATSET_PANEL_NAME
  • Formatting Device Labels — ATFORMAT_DEVICE_LABELS


Entity Properties Editor

Command

Command | Description
ATSET_ENTITY_PROPERTIES | Open the Entity Properties Editor for a selected device

Ribbon: FireCAD > Entity Properties > Set Entity Properties

Prerequisites

  • A FireCAD project must be open
  • A single device must be selected in the drawing

Overview

The Entity Properties Editor provides direct editing of custom properties for an individual device entity. Unlike the Device Properties palette, this editor shows the raw property records from the database and allows full CRUD (create, read, update, delete) operations.

Layout

Entity Properties Editor with property grid

A compact window (546 x 300 pixels) containing:

  • An instruction label at the top
  • A data grid occupying most of the window
  • Action buttons along the bottom

Data Grid Columns

Column | Description
Entity Property Name | The name identifier for the property
Entity Property Value | The value assigned to this property
Is Attribute | Checkbox — when checked, the property generates an AutoCAD attribute
Label Order | Numeric value controlling the display order on device labels

Buttons

Button | Action
Add Entity Property | Create a new property row with default values
Delete Selected | Remove selected property rows (with confirmation)
Apply | Save all changes and close
Cancel | Discard changes and close

Steps

  1. Select a device in the drawing
  2. Type ATSET_ENTITY_PROPERTIES in the AutoCAD command line
  3. The editor opens with existing properties for the selected device
  4. Add, edit, or delete properties as needed
  5. Click Apply to save changes

Tips

  • New properties are created with default values — edit the name and value after adding
  • Multiple rows can be selected for deletion using Shift+Click or Ctrl+Click
  • If you close the window with unsaved changes, a confirmation prompt appears
  • This editor modifies properties for a single entity; use ATPROPERTIES for bulk operations across multiple devices

Related Commands

  • Device Properties Palette — ATPROPERTIES
  • Entity Properties (Command Line) — ATSET_ENTITY_PROPERTIES_CL
  • Importing Entity Properties — ATIMPORT_ENTITY_PROPERTIES


Assembly Editor

Command

Command | Description
ATEDIT_ASSEMBLY | Open the Assembly Editor for a selected assembly device

Ribbon: FireCAD > Edit > Assembly Editor

Prerequisites

  • A FireCAD project must be open
  • An assembly device (panel, power supply, or other multi-component device) must be selected

Overview

The Assembly Editor lets you manage the internal components of an assembly device. You can add sub-parts (cards, modules, internal components), set card names, and remove components. Changes affect the device's circuit configuration and available circuit types.

Layout

Assembly Editor showing device list and components grid

The editor window contains:

  • A device list showing available assembly devices
  • A device name input field
  • A component grid showing the assembly's internal parts
  • Action buttons along the bottom

Device List

A vertical list of assembly devices showing:

  • Device block image
  • Device description
  • Manufacturer name
  • Part number (bold, green)

Click a device to view and edit its assembly components.

Device Name

Device Name (Output Circuit Prefix) — Enter a name that serves as the prefix for circuits originating from this device (e.g., "FA-1" would produce circuits named "FA-1:L1 SLC").

Assembly Components Grid

Column | Editable | Description
Card Name | Yes | Name identifier for this component (e.g., "Card A", "Internal")
Manufacturer | No | Manufacturer of the sub-part
Part No | No | Part number of the sub-part
Model | No | Model number
Description | No | Component description

Buttons

Button | Action
Add Component | Open part selection to add a new sub-part to the assembly
Delete Selection | Remove selected components (with confirmation)
Apply | Save changes, run circuit and device type validation, close
Cancel | Discard changes and close

Steps

  1. Select an assembly device in the drawing
  2. Type ATEDIT_ASSEMBLY in the AutoCAD command line
  3. The editor opens showing the device's current components
  4. To add a component, click Add Component and select a part
  5. Set the Card Name for each component
  6. Click Apply to save

Important Notes

  • Deleting a component is destructive — removing a component also deletes its associated device types, circuits, circuit devices, and circuit limits
  • After applying changes, the editor automatically runs circuit and device type validation to ensure consistency
  • A full cache reload occurs after assembly modifications

Tips

  • Card names appear in circuit labels (e.g., "FA-1:Card A:L1 SLC")
  • Only parts compatible with the assembly type can be added as components
  • Double-click a row in the components grid to select it

Related Commands

  • Viewing Entity Properties — ATVIEW_ENTITY_PROPERTIES
  • Resetting Circuit Templates — ATRESET_CIRCUIT_TEMPLATES


Panel Name Editor

Command

Command | Description
ATSET_PANEL_NAME | Open the Panel Name Editor for a selected assembly device

Ribbon: FireCAD > Circuits > Set Device Name

Prerequisites

  • A FireCAD project must be open
  • An assembly device (panel or power supply) must be selected

Overview

The Panel Name Editor is a simple dialog for setting the device name (panel name) on an assembly device. The panel name is used as the prefix for all circuits originating from the device.

Layout

Panel Name Editor dialog

A compact window (351 x 185 pixels) with a single input field:

  • An instruction label explaining the purpose
  • A Device Name text field
  • Apply and Cancel buttons

Fields

Field | Description
Device Name | The name to assign to the device, used as the circuit prefix

Example

Setting the device name to "FA-1" means circuits from this panel will be named:

  • FA-1:L1 SLC
  • FA-1:L2 NAC
  • etc.

Buttons

Button | Action
Apply | Save the panel name and close
Cancel | Close without saving

Steps

  1. Select a panel or power supply device in the drawing
  2. Type ATSET_PANEL_NAME in the AutoCAD command line
  3. Enter the desired device name
  4. Click Apply

Tips

  • The panel name is stored as the "PNL" entity property
  • This is a quick alternative to using the full Entity Properties Editor when you only need to set the panel name
  • The text field receives focus automatically when the dialog opens

Related Commands

  • Device Properties Palette — ATPROPERTIES
  • Entity Properties Dialog — ATSET_ENTITY_PROPERTIES


Block Selection Dialog

Overview

The Block Selection dialog lets you choose a block definition from the active drawing. It includes a live preview of the selected block's geometry alongside an alphabetically sorted list of available blocks.

How to Access

This dialog appears when using commands that require you to select a replacement block, such as ATREPLACE_BLOCKREFS.

Layout

Block Selection dialog with preview and block list

A two-column window (500 x 400 pixels):

  • Left column — Block preview area showing a graphical preview of the selected block
  • Right column — Scrollable list of block names from the current drawing

Block Preview

A 125 x 125 pixel preview window that renders the selected block's AutoCAD geometry in real-time. The preview updates automatically when you click a different block in the list.

Block List

An alphabetically sorted list of all block definitions in the active drawing. The list excludes:

  • Layout blocks
  • External reference blocks
  • Overlay reference blocks

Select a block by clicking its name. The first block is automatically selected when the dialog opens.

Buttons

Button | Action
Apply | Confirm the selected block and close
Cancel | Close without selecting a block

Tips

  • Double-click a block name to select it immediately (equivalent to selecting and clicking Apply)
  • Only blocks defined in the currently active drawing are shown
  • If no blocks are available, the list appears empty

Related Commands

  • Replacing Block References — ATREPLACE_BLOCKREFS
  • Editing Project Block Definitions — ATEDIT_PROJECT_BLOCK_DEFINITIONS


Project Circuits Editor

Command

Command | Description
ATPROJECT_CIRCUITS_EDITOR | Open the full Project Circuits Editor window

Prerequisites

  • A FireCAD project must be open

Overview

The Project Circuits Editor is a comprehensive window for managing all circuit properties in your project. It provides a two-grid layout: the top grid displays circuit settings and the bottom grid shows circuit type limits for the selected circuit. This is the primary tool for configuring circuit electrical parameters, reporting flags, and display options.

Layout

Project Circuits Editor — circuit properties grid (top) and circuit limits grid (bottom)

The editor contains two main areas:

  • Top grid — Circuit properties (one row per circuit)
  • Bottom grid — Circuit limits for the selected circuit (one row per limit type)

Circuit Properties Grid (Top)

The circuit grid includes a search panel for finding specific circuits. Each row represents one circuit with the following columns:

Read-Only Columns

Column | Description
Panel | Panel name (computed from cache)
Card | Card/node name (computed from cache)
Origin Part Number | Part number of the circuit's origin device
Device Properties | Description of entity properties
Circuit Types | Associated circuit types

Editable Columns

Column | Type | Description
Circuit Name | Text | Circuit identifier
Locked | Checkbox | Lock circuit to prevent modifications
Hidden | Checkbox | Hide circuit from normal views
Default Color | Color picker | Circuit display color in AutoCAD
Wirepath Label | Text | Custom wirepath label format
Show EOL | Checkbox | Display end-of-line indicators
EOL Value String | Text | Custom EOL display value
Voltage Drop Report | Checkbox | Include in voltage drop (PTP) reports
Address Schedule | Checkbox | Include in device schedule reports
Speaker Schedule | Checkbox | Include in speaker/decibel reports
T-Tap Wirefill | Checkbox | Enable T-tap wirefill calculation
Standby Current Max (A) | Decimal | Maximum standby current limit
Alarm Current Max (A) | Decimal | Maximum alarm current limit
Use Current Limits On Battery Calc | Checkbox | Apply limits to battery calculations
Watt Limit | Decimal | Maximum circuit wattage
Starting Calculation Voltage | Decimal | Initial voltage for calculations (default 20.4V)
Min Voltage | Decimal | Minimum acceptable voltage
Max Circuit Length (ft) | Decimal | Maximum wire run length
Current Max Threshold % | Percentage | Warning threshold for current (default 80%)
Watt Max Threshold % | Percentage | Warning threshold for wattage
Report Order | Integer | Display order in reports

Circuit Limits Grid (Bottom)

Circuit limits grid showing limit types for the selected circuit

When you select a circuit in the top grid, the bottom grid shows its limit types:

Column | Type | Description
Circuit Type | Dropdown | Limit type (SLC, NAC, etc.)
Address Start Override | Text | Starting address for this type
Quantity Limit | Integer | Maximum device count for this type
Quantity Threshold % | Percentage | Warning threshold (default 80%)

Buttons

Button | Action
Bulk Edit Selected... | Open the Bulk Edit Circuits dialog for selected circuits
Apply | Validate and save all changes
Cancel | Discard changes and close

Validation

When you click Apply, the editor validates that:

  • All circuits have cables assigned
  • Default voltage values are set (20.4V if missing)

If validation fails, the grid scrolls to the first problematic row.

Tips

  • Use the search panel at the top of the circuit grid to find specific circuits by name, panel, or part number
  • Click the Default Color cell to open the AutoCAD color picker
  • Select multiple circuits (Ctrl+Click or Shift+Click) and use Bulk Edit Selected... to modify common properties across all of them
  • Circuit limits auto-filter to show only the selected circuit's limits

Related Commands

  • Bulk Edit Circuits
  • Project Circuits Palette
  • Resetting Circuit Templates — ATRESET_CIRCUIT_TEMPLATES


Project Circuits Palette

Overview

The Project Circuits Palette is a dockable panel in AutoCAD that provides live circuit management, real-time calculations, and quick access to circuit operations. It persists across AutoCAD sessions and updates dynamically as you work.

How to Access

The palette opens automatically as part of the FireCAD interface, or can be toggled from the FireCAD ribbon.

Layout

Project Circuits Palette overview with circuit selected

The palette is organized into collapsible sections, arranged vertically:

Circuit Selection

A searchable dropdown at the top of the palette lets you select the active circuit. Type to filter circuits by name, voltage, or connection types.

Action Buttons

Two rows of buttons for common circuit operations:

Primary Actions

Button | Description
Connect | Connect devices to the selected circuit
Disconnect | Remove devices from the circuit
Insert | Insert a device into the circuit sequence
Branch | Create a branch circuit

Secondary Actions

Button | Description
Relocate Branch | Move a branch point to a different device
Remove Branch | Eliminate a branch configuration

Additional Commands (Expandable)

An expandable section with less frequently used operations:

Button | Description
Refresh Data | Reload circuit and device data from the database
Select Circuit Path | Manually select circuit geometry in the drawing
Update Wirepath Labels | Recalculate and sync wirepath labels
Resequence Circuit | Re-order device sequence on the circuit
Draw Circuit Path | Auto-draw the circuit's wirepath geometry
Lock All Addresses | Lock all circuit addresses
Unlock All Addresses | Unlock all circuit addresses
Manage Addresses | Open the Locked Address Editor
Add Circuit Pair | Create a paired circuit configuration
Remove Circuit Pair | Delete a circuit pair
Project Circuits Editor... | Open the full Project Circuits Editor

Toggle Switches

Performance toggles that enable or disable live calculations:

Toggle | Description
PTP Preview | Enable/disable point-to-point voltage calculations
Lump Sum Preview | Enable/disable lump sum calculations
Label Update | Enable/disable automatic device and wirepath label regeneration

Disabling these toggles improves performance on large projects (500+ devices).

Connected Device List

A grid showing all devices on the selected circuit:

Column | Description
Order | Sequence number on the circuit
Label | Device address label
Part No | Device part number
Location | Device location string
Calc Length From Previous | Calculated wire length from the previous device
Override Length | Manual length override
Use Override Length | Checkbox to enable the override

Right-click a device for context menu options:

  • Zoom To... — Pan and zoom to the device in the drawing
  • Select... — Select the device in AutoCAD
  • Disconnect — Remove the device from the circuit

Usage Summary

Displays circuit limit usage in two views:

Graph View

Usage summary graph showing green, yellow, and red capacity bars

Horizontal bar graphs showing capacity usage for each limit type. Colors indicate status:

  • Green — Within limits
  • Yellow — Exceeds warning threshold
  • Red — Exceeds limit

Table View

Detailed grid showing:

Column | Description
Limit Type | Connection type (SLC, NAC, etc.)
Start/End Voltage | Voltage range
Limit/Capacity | Maximum allowed value
Total Used | Current usage
Threshold % | Warning threshold percentage
Total Used % | Current usage as percentage of limit

Point-to-Point Calculations (Expandable)

When PTP Preview is enabled, shows per-device voltage calculations:

Column | Description
Order | Device sequence number
Resistance From Previous | Wire resistance in ohms
Total Remaining Current | Remaining current in amps
Voltage At Device | Calculated voltage at the device

Decibel Loss (Expandable)

Shows per-device power loss calculations:

Column | Description
Order | Device sequence number
Resistance From Previous | Wire resistance in ohms
Total Remaining Watts | Remaining power in watts
Power At Device | Calculated power at the device

Tips

  • The palette loads data asynchronously to keep AutoCAD responsive
  • Circuit usage graphs provide at-a-glance status — red means immediate attention needed
  • Disable calculation toggles when working on large projects for better performance
  • The palette automatically refreshes when circuit data changes in other windows
  • Locked circuits disable most action buttons to prevent accidental modifications

Related Commands

  • Project Circuits Editor — ATPROJECT_CIRCUITS_EDITOR
  • Connecting Devices — ATCONNECT
  • Disconnecting Devices — ATDISCONNECT


Design Assistant

Command

Command | Description
ATDESIGN_ASSISTANT | Open the Design Assistant validation panel

Prerequisites

  • A FireCAD project must be open

Overview

The Design Assistant is a dockable panel that performs automated validation and quality assessment of your fire alarm system design. It runs a series of precheck rules against your drawing data and reports issues with severity levels, helping you catch problems before construction documents are finalized.

Layout

Design Assistant panel showing validation results and score

The panel has three main areas:

  • Header — Title, drawing name, and summary statistics
  • Validation Results — Scrollable list of validation rule cards
  • Score Section — Overall design score with action buttons

Header Section

Displays the FireCAD logo, "FireCAD Design Assistant" title, and the current drawing name.

Pre-Check Summary

A statistics bar showing:

  • Checks Passed (green) — Number of rules with no issues
  • Issues Found (orange) — Number of rules with warnings or failures
  • Auto-refresh checkbox — When enabled, validation reruns automatically after each save

Validation Results

Validation result cards showing green (pass), yellow (warning), and red (critical) severity

Each validation rule displays as a card with:

  • Rule name and category
  • Severity indicator:
    • Green — Passed, no issues
    • Yellow/Orange — Warning, medium severity
    • Red — Critical issue, requires attention
  • Detailed message describing the issue
  • Action buttons (when applicable)

Validation Categories

The Design Assistant checks for issues including:

  • Battery Capacity — Required capacity vs. panel charging capacity
  • Current Limits — Standby and alarm current vs. circuit limits
  • Circuit Quantity Limits — Device count vs. maximum allowed per circuit type
  • Unconnected Devices — Devices with missing required connections
  • Report Validation — Out-of-date reports (via fingerprint comparison)
  • Additional rules as configured

Score Section

A fixed footer showing:

  • Score Badge — Circular indicator (0-100) with color gradient
  • Score Message — Summary of design quality
  • Score Explanation — Detailed description of what the score means

Action Buttons

Button | Action
Recheck | Run all validation rules again with fresh data
PDF Report | Generate a PDF validation report
Share | Copy a shareable link

Recheck Behavior

Clicking Recheck creates a fresh database connection to ensure the validation uses the latest data. This means:

  • Changes made in the Project Circuits Editor are immediately reflected
  • Database values updated in other windows are picked up
  • No need to close and reopen the Design Assistant

Auto-Refresh

When the Auto-refresh checkbox is enabled:

  • The Design Assistant automatically reruns validation after save operations
  • Rapid saves are coalesced into a single validation run to prevent excessive refreshes
  • The setting persists across sessions

Tips

  • Run the Design Assistant before submitting construction documents to catch common issues
  • Use the auto-refresh feature during active design to get continuous feedback
  • Red (critical) issues should be addressed before finalizing the design
  • Yellow (warning) issues are advisory and may be acceptable depending on project requirements
  • The Recheck button always uses fresh database data, so you can make changes and recheck without restarting

Related Commands

  • Refreshing Validation — ATDESIGN_ASSISTANT_REFRESH
  • Validating the Active Drawing — ATVALIDATE


Locked Address Editor

Command

Command | Description
ATMANAGE_LOCKED_CIRCUIT_ADDRESSES | Open the Locked Address Editor for the active circuit

Prerequisites

  • A FireCAD project must be open
  • A circuit must be selected (active)

Overview

The Locked Address Editor lets you reserve specific device addresses on a circuit. Locked addresses are excluded from automatic address sequencing, ensuring that specific address numbers remain assigned to particular devices even when the circuit is modified.

Layout

Locked Address Editor with address grid

A simple dialog with:

  • A data grid showing locked addresses for the current circuit
  • Action buttons along the bottom

Data Grid

Column | Editable | Description
Locked Address | Yes | The reserved address number (e.g., 1, 2, 5)
Part No | No | Part number of the device at this address (informational)
Circuit Type | Yes | Connection type this address applies to (SLC, NAC, etc.)

Addresses are sorted by number, then by type.

Buttons

Button | Action
Add | Create a new locked address row with the next available address
Delete Selected | Remove selected locked address rows (with confirmation)
Apply | Validate and save changes, then recompute all addresses
Cancel | Discard changes and close

Steps

  1. Select a circuit in the Project Circuits Palette or use ATMANAGE_LOCKED_CIRCUIT_ADDRESSES
  2. The editor opens showing existing locked addresses for the circuit
  3. Click Add to reserve a new address
  4. Set the Locked Address number and select a Circuit Type
  5. Click Apply to save

Validation

The editor prevents saving if:

  • Duplicate address and circuit type combinations exist on the same circuit
  • An error message guides you to fix duplicates before saving

What Happens on Apply

  1. Changes are saved to the database
  2. The address sequencing algorithm runs, respecting all locked addresses
  3. Device labels update to reflect the new address assignments

Tips

  • Use locked addresses to ensure critical devices (like annunciators or specific detectors) keep their assigned addresses
  • The Circuit Type dropdown is required — each locked address must be associated with a specific type
  • After saving, all addresses on the circuit are recomputed around the locked positions

Related Commands

  • Locking All Circuit Addresses — ATLOCK_ALL_CIRCUIT_ADDRESSES
  • Unlocking All Circuit Addresses — ATUNLOCK_ALL_CIRCUIT_ADDRESSES


Format Device Labels Dialog

Command

Command | Description
ATFORMAT_DEVICE_LABELS | Configure which label components display on selected devices

Ribbon: FireCAD > Attributes > Format Device Labels

Prerequisites

  • A FireCAD project must be open
  • One or more devices must be selected in the drawing

Overview

The Format Device Labels dialog controls which pieces of information appear on device labels in the drawing. You can show or hide individual label components like the panel name, address, candela rating, and more.

Layout

Format Device Labels dialog with checkbox groups

The dialog contains three groups of checkboxes organized in a tabbed panel:

Circuit Label Options

Control which circuit-related information appears on device labels:

Option | Description
Show Device Name | Display the device/panel name
Show Card Name | Display the card or node name
Show Circuit Name | Display the circuit identifier
Show Branch Number | Display the branch number (if applicable)
Show Address | Display the device address number
Show Sub-Address | Display sub-addresses for multi-address devices
Show EOL | Display end-of-line indicator

Device Setting Options

Control which device specification data appears:

Option | Description
Show Candela | Display luminous intensity rating (for visual notification devices)
Show Watts | Display wattage consumption
Show Decibels | Display decibel output (for speakers and audible devices)

Global Options

Application-wide label formatting settings:

Option | Description
Show Properties On Single Line | Compress multi-line properties onto a single line
Create Multiple Device Attributes | Generate separate AutoCAD attributes for each property instead of a single concatenated attribute

Multiple Device Selection

When multiple devices are selected with different formatting:

  • Checked — All selected devices have this option enabled
  • Unchecked — All selected devices have this option disabled
  • Indeterminate (dash) — Mixed values across selected devices

Buttons

Button | Action
Apply | Save formatting options and update device labels
Cancel | Close without changes

Steps

  1. Select one or more devices in the drawing
  2. Type ATFORMAT_DEVICE_LABELS in the AutoCAD command line
  3. Check the label components you want to display
  4. Uncheck components you want to hide
  5. Click Apply to update the labels

Tips

  • Use this dialog to create clean drawings by hiding unnecessary label components
  • Settings apply only to the selected devices, not globally
  • After applying, device labels in the drawing update automatically
  • For wirepath label formatting, use ATFORMAT_WIREPATH_LABELS instead

Related Commands

  • Format Wirepath Labels
  • Formatting Device Labels — ATFORMAT_DEVICE_LABELS
  • Refreshing Labels — ATREFRESH_LABELS


Format Wirepath Labels Dialog

Command

Command | Description
ATFORMAT_WIREPATH_LABELS | Configure wirepath label format and display options

Ribbon: FireCAD > Attributes > Format Wirepath Labels

Prerequisites

  • A FireCAD project must be open

Overview

The Format Wirepath Labels dialog controls how circuit wirepath labels appear on drawing segments. You can customize the label format using template tokens, adjust text height, and configure display options like segment IDs and line type patterns.

Layout

Format Wirepath Labels dialog with all fields and options

A single-tab dialog with controls arranged in rows:

Fields

Field | Type | Description
Wirepath Label Format | Text | Template string using tokens to define label content
Wirepath Label Text Height | Numeric spinner | Text size in drawing units
Hide Wirepath Label Text | Numeric spinner | Hide labels on segments shorter than this length
Mask Wirepath Label Text | Checkbox | Obscure label text for security or clarity
Show Segment ID In Wirepath Labels | Checkbox | Display segment conduit ID instead of wirefill
Show Circuit Quantity In Wirepath Labels | Checkbox | Display device count on the circuit
Generate Line Types For Wirefill | Checkbox | Use AutoCAD line type patterns instead of text labels
Line Type Text Spacing | Numeric spinner | Distance between line type pattern repetitions

Format Tokens

Use these tokens in the Wirepath Label Format field to build custom labels:

Token | Description
[LBL] | Circuit label (wirepath identifier)
[PNL] | Panel name
[CKT] | Circuit number
[AWG] | Wire gauge
[COND] | Conductor count

Examples

Format String | Sample Output
[LBL] | L1-SLC
[LBL]:[AWG] | L1-SLC:14/2
[PNL] [CKT] [AWG] | FA-1 01 14/2

Buttons

Button | Action
Apply | Save settings and regenerate all wirepath labels in the project
Cancel | Close without changes

Steps

  1. Type ATFORMAT_WIREPATH_LABELS in the AutoCAD command line
  2. Configure the format template and display options
  3. Click Apply
  4. A progress dialog appears while labels are regenerated across all circuits

Important Notes

  • Apply updates ALL circuits — wirepath label format changes apply to every circuit in the project, not just the active drawing
  • A progress dialog shows during label regeneration, which may take a moment on large projects
  • Settings are saved to your project settings file and persist across sessions

Tips

  • Start with a simple format like [LBL] and add tokens as needed
  • Use the Hide Wirepath Label Text threshold to avoid cluttering short wire segments
  • Enable Generate Line Types For Wirefill for a visual alternative to text-based labels
  • The Mask Wirepath Label Text option is useful for preliminary or security-sensitive drawings

Related Commands

  • Format Device Labels
  • Formatting Wirepath Labels — ATFORMAT_WIREPATH_LABELS
  • Refreshing Labels — ATREFRESH_LABELS


Attribute Visibility Editor

Command

Command | Description
ATATT_VISIBILITY | Open the Attribute Visibility Editor for selected devices

Ribbon: FireCAD > Attributes > Set Property Visibility

Prerequisites

  • A FireCAD project must be open
  • One or more devices must be selected in the drawing

Overview

The Attribute Visibility Editor provides a grid-based interface for toggling the visibility of individual AutoCAD attributes on device block references. Each attribute can be shown or hidden without modifying the underlying data.

Layout

Attribute Visibility Editor with visibility checkboxes

A data grid displaying all attributes for the selected devices:

Column | Description
Attribute Tag | The tag name of the AutoCAD attribute
Visible | Checkbox to toggle visibility on/off

Steps

  1. Select one or more devices in the drawing
  2. Type ATATT_VISIBILITY in the AutoCAD command line
  3. The editor opens showing all attributes for the selected devices
  4. Check or uncheck the Visible column for each attribute
  5. Click Apply to update visibility in the drawing

Buttons

Button | Action
Apply | Save visibility settings and update the drawing
Cancel | Close without changes

Tips

  • This is useful for hiding informational attributes that clutter the drawing without deleting their data
  • Visibility changes are immediate and affect the AutoCAD drawing directly
  • To show or hide attributes in bulk across many devices, consider using the Format Device Labels dialog instead

Related Commands

  • Attribute Search — ATATT_SEARCH
  • Locating Attributes — ATLOCATE_ATTRIBUTES


Workflow: Your First Project

Overview

This guide walks you through creating a new FireCAD project, configuring it, and preparing your first drawing for design work. By the end, you'll have a validated drawing with devices ready to connect to circuits.

Phase 1: Create the Project

Project Creation Wizard — Page 1

  1. Type ATCREATE_PROJECT in the AutoCAD command line
  2. The Project Creation Wizard opens

Page 1 — Project Setup

  • Enter a Project Name
  • Click Browse to select a Project Directory
  • Optionally select a Settings Template (XML file with pre-configured circuit settings)
  • Optionally select Project Drawings (.dwg files to copy into the project)
  • Click Configure to connect to the Master Database (required)
  • Click Add Devices to select device parts from the database
  • Click Add Templates to select circuit templates
  • Click Next

Page 2 — Project Properties

  • Fill in project type, industry, construction type, and occupancy classification
  • Enter the project address (use Google Maps autocomplete or type manually)
  • Select applicable codes (NFPA, IFC, IBC, NEC)
  • Optionally enter owner, contractor, and engineer information
  • Click Create Project (or Skip for Now to fill in later)

The project creates automatically and opens in AutoCAD.

Phase 2: Configure Block Definitions

  1. Type ATEDIT_PROJECT_BLOCK_DEFINITIONS to review and edit device block attribute layouts
  2. Type ATREFRESH_BLOCKS to apply block definitions to the active drawing

This ensures all device blocks display attributes correctly (position, rotation, visibility).

Phase 3: Apply Circuit Templates

  1. Type ATRESET_CIRCUIT_TEMPLATES in the AutoCAD command line
  2. A progress dialog runs through:
    • Applying circuit templates (creates circuit records from templates)
    • Applying device type templates (assigns device types to devices)
    • Syncing device current values
    • Reloading the cache
    • Updating device and wirepath labels

This step is required before connecting devices to circuits.

Phase 4: Validate the Drawing

  1. Type ATVALIDATE in the AutoCAD command line
  2. Validation performs four steps:
    • Validates wirepath segment intersections
    • Validates devices and creates database records for new entities
    • Syncs project properties to the drawing
    • Refreshes all labels

Run this after placing or moving devices to keep the database in sync with the drawing.

Phase 5: Configure Options (Optional)

  1. Type ATOPTIONS to open the Options dialog
  2. Review settings across all tabs:
    • Text/Attributes — Label formatting preferences
    • Tools — Fillet radius, layout settings
    • Layers — Layer naming conventions
    • Circuits — Wire overage, delimiter settings
    • Reports — Report formatting options
    • Drawing — Drawing-specific settings
    • Project — Project-wide settings

What's Next

Your project is now set up and ready for active design work:

  • Building Circuits — Connect devices to circuits and draw wirepaths
  • Managing Device Properties — Set panel names, locations, and custom properties
  • Generating Reports — Create device schedules, battery calculations, and more

Quick Reference

Step | Command | Purpose
1 | ATCREATE_PROJECT | Create the project
2 | ATEDIT_PROJECT_BLOCK_DEFINITIONS | Configure block attributes
3 | ATREFRESH_BLOCKS | Apply block definitions to drawing
4 | ATRESET_CIRCUIT_TEMPLATES | Initialize circuits and device types
5 | ATVALIDATE | Sync drawing with database
6 | ATOPTIONS | Configure project settings


Workflow: Building Circuits

Overview

This guide walks you through the complete process of building circuits — from placing devices in a drawing to having fully connected, labeled circuits with drawn wirepaths.

Prerequisites

  • A FireCAD project must be open
  • Circuit templates must be applied (run ATRESET_CIRCUIT_TEMPLATES if not done)
  • The drawing must be validated (run ATVALIDATE after placing devices)

Phase 1: Place Devices

  1. Insert device blocks into your AutoCAD drawing (panels, detectors, notification appliances, etc.)
  2. Position devices at their intended locations
  3. Type ATVALIDATE to register all placed devices in the database

Validation creates database records for each device, which is required before any circuit operations.

Phase 2: Assign Circuit Templates

Choose one of these approaches:

Option A: Assign to Selected Devices

  1. Select specific devices in the drawing
  2. Type ATSET_DEVICE_INPUT_CIRCUITS
  3. The Input Circuit Selection dialog opens
  4. Click a device in the right pane to see its available circuit options
  5. Select the desired circuit template for each selection group
  6. Click Apply

Option B: Assign to All Devices

  1. Type ATSET_ALL_DEVICE_INPUT_CIRCUITS
  2. All devices in the active drawing are processed at once
  3. Follow the same selection process as Option A

Consolidate Templates

After assigning, type ATRESET_CIRCUIT_TEMPLATES to:

  • Create circuit records from assigned templates
  • Apply device type configurations
  • Sync current values
  • Update all labels

Phase 3: Connect Devices to Circuits

Project Circuits Palette during a connect operation

Using the Project Circuits Palette

  1. Open the Project Circuits Palette from the FireCAD ribbon
  2. Select a circuit from the dropdown at the top
  3. Click Connect
  4. Select devices in the drawing to add them to the circuit
  5. Press Enter to confirm

The palette shows connected devices in real-time as you add them.

Using the Command Line

  1. Type ATCONNECT
  2. Follow the prompts to select the circuit and devices

Creating Branches

To create a sub-circuit branching from a device:

  1. Select a circuit in the palette
  2. Click Branch
  3. Select the device that will serve as the branch origin
  4. The new child circuit appears in the circuit dropdown

Inserting a Device Mid-Circuit

  1. Type ATINSERT_IN_CIRCUIT
  2. Select the device already on the circuit (the new device will be inserted before it)
  3. Select the device to insert
  4. The circuit resequences automatically

Phase 4: Resequence Devices (Optional)

If devices need to be in a specific order on the circuit:

  1. Type ATRESEQUENCE_CIRCUIT
  2. Click devices in the drawing in the desired order
  3. Addresses and labels update to reflect the new sequence

Phase 5: Draw Wirepaths

Drawing with auto-drawn wirepaths and labels

Auto-Draw for All Circuits

  1. Type ATAUTO_DRAW_CIRCUIT_WIREPATH
  2. Select which circuits to draw wirepaths for
  3. Choose options:
    • Delete existing segments or Reuse them
    • Set a time limit for the layout algorithm
  4. The routing algorithm calculates optimal paths and draws them

Auto-Draw for Active Circuit Only

  1. Select a circuit in the palette
  2. Type ATAUTO_DRAW_ACTIVE_WIREPATH
  3. Wirepaths are drawn for the selected circuit only

Rerouting

If wirepath routing needs improvement:

  1. Type ATREROUTE_WIREPATHS to recalculate all routes
  2. Or type ATREROUTE_POLYLINES and select specific segments to reroute

Phase 6: Validate and Label

  1. Type ATVALIDATE to run a final integrity check
  2. Labels refresh automatically after validation

If labels need manual refresh:

  • ATREFRESH_LABELS — Fast refresh (labels only, no database reload)
  • ATREFRESH_LABELS_FULL — Full refresh (reloads data from database first)

Monitoring Circuit Status

The Project Circuits Palette provides live feedback:

  • Connected Device List — See all devices on the active circuit with sequence order
  • Usage Summary — Bar graphs showing capacity usage (green/yellow/red)
  • Point-to-Point Calculations — Voltage at each device
  • Decibel Loss — Power loss at each device

Toggle the PTP Preview and Lump Sum Preview switches for real-time calculations (disable on large projects for better performance).

Quick Reference

Step | Command | Purpose
1 | Place devices | Insert blocks in drawing
2 | ATVALIDATE | Register devices in database
3 | ATSET_DEVICE_INPUT_CIRCUITS | Assign circuit templates
4 | ATRESET_CIRCUIT_TEMPLATES | Create circuits from templates
5 | ATCONNECT | Connect devices to circuits
6 | ATAUTO_DRAW_CIRCUIT_WIREPATH | Draw wirepath routing
7 | ATVALIDATE | Final integrity check

What's Next

  • Generating Reports — Create device schedules and calculations
  • Validating Your Design — Run the Design Assistant
  • Wirepath Routing — Advanced routing and segment management


Workflow: Generating Reports

Overview

This guide covers generating FireCAD reports, from selecting circuits to placing report tables in your drawing. It also explains how report validation works and how to keep reports up-to-date.

Prerequisites

  • A FireCAD project must be open
  • Devices must be connected to circuits
  • Run ATVALIDATE to ensure the database reflects the current drawing state

Step 1: Choose a Report Type

FireCAD provides several report types, each with its own command:

Report | Command | Selection
Device Schedule | ATEXPORT_DEVICE_SCHEDULE_REPORTS | By circuit
Battery Calculations | ATEXPORT_BATTERY_CALCULATIONS | By panel
Point-to-Point | ATEXPORT_POINT_TO_POINT_REPORTS | By circuit
Lump Sum Voltage Drop | ATEXPORT_LUMP_SUM_REPORTS | By circuit
dB Loss | ATEXPORT_DB_LOSS_REPORTS | By circuit
Speaker Schedule | ATEXPORT_SPEAKER_SCHEDULE_REPORTS | By circuit
Bill of Materials | ATEXPORT_BOM_REPORT | All devices
Device Legend | ATEXPORT_DEVICE_LEGEND | All devices
Cable Legend | ATEXPORT_CABLE_LEGEND | All devices
Conduit Fill Schedule | ATEXPORT_CONDUIT_FILL_SCHEDULE | All segments

Step 2: Select Output File

When you run a report command, a Save File dialog appears. Choose where to save the Excel file.

Step 3: Select Circuits/Panels

Select Circuits dialog configured for a report

The Select Circuits Dialog opens for circuit-based reports:

  1. Left pane — Check the panels and circuits to include
  2. Right pane — Configure report settings:
    • Column selection and ordering
    • Assembly component display options
    • Text formatting (uppercase, decimal precision)
    • Scale and text height
  3. Click Accept to generate

For BOM and Legend reports, the circuit selection pane is hidden since all devices are included.

Step 4: Review the Report

Report table placed in AutoCAD drawing

After generation:

  • Report tables are placed in the AutoCAD drawing
  • The Excel file opens automatically
  • A fingerprint is embedded in the report's XData for future validation

Keeping Reports Up-to-Date

How Fingerprinting Works

When a report is generated, FireCAD calculates a hash (fingerprint) of the data and embeds it in the report table. Later, the Design Assistant can recalculate the fingerprint from current database values and compare — if they differ, the report is flagged as out-of-date.

Detecting Out-of-Date Reports

  1. Type ATDESIGN_ASSISTANT to open the Design Assistant
  2. Validation automatically checks all placed reports
  3. Out-of-date reports show as yellow or red warnings

Refreshing a Report

When the Design Assistant flags a report as out-of-date:

  1. Click the Refresh button on the validation result card
  2. The old report table is deleted from the drawing
  3. A new report is generated with the same selections and settings
  4. The new report is placed at the same location as the original

You can also manually refresh any report by running ATREFRESH_REPORT.

Report-Specific Notes

Battery Calculations

  • Requires panel devices with AssemblyBatterySizeList configured in the database
  • Calculates: (Standby Current x 24hr + Alarm Current x 5min) x 1.2 derating factor
  • Validates against NFPA 72 Section 10.6.7.2

Point-to-Point / Voltage Drop

  • Requires cables assigned to circuits (set in Project Circuits Editor)
  • Uses Starting Calculation Voltage and Min Voltage from circuit settings
  • Device order matters — hierarchical order is preserved (not sorted)

Bill of Materials / Device Legend

  • Includes all devices in the project, not filtered by circuit
  • No circuit selection needed

Tips

  • Always run ATVALIDATE before generating reports to ensure data is current
  • Use the Design Assistant's auto-refresh feature to catch out-of-date reports immediately after saving
  • Column selections and report settings are remembered between sessions
  • Use the Previous Version Report Style checkbox for legacy report formatting without column customization

Quick Reference

Step | Action | Purpose
1 | ATVALIDATE | Ensure data is current
2 | Run report command | Start report generation
3 | Save File dialog | Choose output location
4 | Select Circuits dialog | Choose circuits and settings
5 | Review output | Check drawing tables and Excel file
6 | ATDESIGN_ASSISTANT | Monitor report validity
7 | Click Refresh | Update out-of-date reports

What's Next

  • Validating Your Design — Full design validation workflow
  • Data Maintenance — Clean up and maintain data integrity


Workflow: Validating Your Design

Overview

This guide covers the complete validation workflow using the Design Assistant and validation commands. Validation ensures your fire alarm system design meets NFPA requirements, circuit limits are not exceeded, and all reports are current.

Prerequisites

  • A FireCAD project must be open
  • Devices should be connected to circuits
  • Wirepaths should be drawn

Step 1: Run Drawing Validation

Before using the Design Assistant, validate your drawing to ensure the database is synchronized:

  1. Type ATVALIDATE in the AutoCAD command line
  2. Validation runs through four steps:
    • Validate segment intersections
    • Validate devices and entities
    • Sync project properties
    • Refresh labels

This creates and updates database records for all devices and segments in the drawing.

Step 2: Open the Design Assistant

  1. Type ATDESIGN_ASSISTANT in the AutoCAD command line
  2. The Design Assistant panel opens
  3. Validation runs automatically on first open

Step 3: Review Results

Design Assistant with mixed validation results

The Design Assistant displays results as cards grouped by category:

Severity Levels

Color | Severity | Meaning
Green | Pass | No issues found
Yellow | Medium | Warning — review recommended
Red | High | Critical issue — must be addressed

Common Validation Categories

Battery Capacity — Checks that required battery amp-hours don't exceed the panel's charging capacity

  • Red: Required capacity exceeds maximum battery size
  • Yellow: No battery sizes configured in database

Current Limits — Checks standby and alarm current against circuit limits

  • Red: Current exceeds the circuit limit
  • Yellow: Current exceeds the warning threshold (default 80%)

Circuit Quantity Limits — Checks device count against maximum allowed per circuit type

  • Includes recursive counting through passthrough devices and child circuits

Unconnected Devices — Finds devices with required connections that aren't connected to circuits

  • Checks RequiredConnectionQty on each device type

Report Validation — Checks if placed reports match current database state

  • Uses fingerprint comparison to detect out-of-date reports

Step 4: Fix Issues

For each issue, the Design Assistant provides:

  • A description of what's wrong
  • The affected device or circuit
  • Specific values (e.g., "Used 1.250A but maximum is 1.000A")

Common Fixes

Issue | Fix
Current limit exceeded | Reduce devices on circuit or increase limit in Project Circuits Editor
Battery capacity exceeded | Add larger battery option in database or reduce standby/alarm current
Unconnected device | Connect device to a circuit using ATCONNECT
Quantity limit exceeded | Move devices to another circuit or increase quantity limit
Out-of-date report | Click Refresh on the validation card

Step 5: Recheck

After fixing issues:

  1. Click the Recheck button in the Design Assistant header
  2. Validation reruns with fresh database data
  3. Results update to reflect your changes

The Recheck button always creates a fresh database connection, so changes made in other windows (like the Project Circuits Editor) are immediately reflected.

Step 6: Enable Auto-Refresh (Optional)

Check the Auto-refresh checkbox in the Design Assistant to automatically rerun validation after each save. Rapid saves are coalesced into a single validation run.

Understanding the Score

The Design Assistant calculates an overall score (0-100):

  • 90-100 — Design is ready for production
  • 70-89 — Minor issues to review
  • 50-69 — Several issues need attention
  • Below 50 — Significant issues must be addressed

Validation Commands Reference

Command | Scope | When to Use
ATVALIDATE | Full drawing | After placing, moving, or deleting devices
ATVALIDATE_SELECTION | Selected devices | Quick check on specific devices
ATVALIDATE_SEGMENTS | Segments only | After segment modifications
ATDESIGN_ASSISTANT | Design rules | Comprehensive design quality check
ATDESIGN_ASSISTANT_REFRESH | Design rules | Force Design Assistant to rerun

Tips

  • Run ATVALIDATE before opening the Design Assistant to ensure data is current
  • The Design Assistant checks database state, not drawing geometry — run ATAUTO_DRAW_CIRCUIT_WIREPATH before validation if circuit connections have changed
  • Use ATVALIDATE_SELECTION for quick spot-checks on a few devices without validating the entire drawing
  • Red (critical) issues should always be resolved before finalizing construction documents

Quick Reference

Step | Action | Purpose
1 | ATVALIDATE | Sync drawing with database
2 | ATDESIGN_ASSISTANT | Run design validation
3 | Review cards | Identify issues by severity
4 | Fix issues | Address each problem
5 | Click Recheck | Verify fixes
6 | Enable Auto-refresh | Continuous validation

What's Next

  • Generating Reports — Generate reports once validation passes
  • Data Maintenance — Clean up data integrity issues


Workflow: Wirepath Routing

Overview

This guide covers drawing, managing, and maintaining wirepath segments — the lines that represent circuit wiring paths between devices in your fire alarm system drawings.

Prerequisites

  • A FireCAD project must be open
  • Devices must be connected to circuits (see Building Circuits)

Drawing Wirepaths

Drawing with auto-drawn wirepaths and segment labels

Auto-Draw All Circuit Wirepaths

  1. Type ATAUTO_DRAW_CIRCUIT_WIREPATH
  2. Select which circuits to include
  3. Choose options:
    • Delete existing — Remove old segments and draw fresh
    • Reuse existing — Keep segments that are still valid
    • Time limit — Maximum seconds for the layout algorithm
  4. The routing algorithm calculates optimal paths and draws polyline segments

Auto-Draw Active Circuit Only

  1. Select a circuit in the Project Circuits Palette
  2. Type ATAUTO_DRAW_ACTIVE_WIREPATH
  3. Wirepaths are drawn for the selected circuit only

Draw Shared Wirepaths

  1. Type ATAUTO_DRAW_SHARED_WIREPATH
  2. Shared segments (where multiple circuits run together) are drawn as a single path

Rerouting Wirepaths

Reroute All Wirepaths

  1. Type ATREROUTE_WIREPATHS
  2. All wirepath routes are recalculated using the layout algorithm
  3. Labels refresh automatically with a full data reload

Use this after moving devices to new positions or when routing is suboptimal.

Reroute Selected Polylines

  1. Type ATREROUTE_POLYLINES
  2. Select the specific polyline segments to reroute
  3. Only selected segments are recalculated

Manual Drawing Tools

For manual control over wirepath geometry:

Command | Description
ATPOLY | Draw polylines with automatic device trimming and filleted corners
ATQUICK_POLY | Draw an orthogonal polyline between two devices
ATSPLINE | Draw splines with automatic device trimming
ATQUICK_SPLINE | Draw a spline between two devices

Segment Display Options

Segments showing wire fill and conductor count annotations

Control what information appears on wirepath segments:

Wire Fill

  • ATSHOW_WIREFILL — Display wire fill percentage on segments
  • ATHIDE_WIREFILL — Hide wire fill display
  • ATDELETE_ALL_WIREFILL — Remove all wire fill annotations

Conductor Count

  • ATSHOW_CONDUCTOR_COUNT — Show number of conductors
  • ATHIDE_CONDUCTOR_COUNT — Hide conductor count

Conduit Fill

  • ATSHOW_CONDUIT_FILL — Display conduit fill percentage
  • ATHIDE_CONDUIT_FILL — Hide conduit fill

Segment ID

  • ATSHOW_SEGMENT_ID — Display segment/conduit ID
  • ATHIDE_SEGMENT_ID — Hide segment ID

Wirepath Length

  • ATSHOW_WIREPATH_LENGTH — Display wire run length
  • ATHIDE_WIREPATH_LENGTH — Hide wirepath length

Segment Layer Colors

  • ATUPDATE_SEGMENT_LAYER_COLORS — Color segments by their circuit assignment

Formatting Wirepath Labels

  1. Type ATFORMAT_WIREPATH_LABELS
  2. The Format Wirepath Labels dialog opens
  3. Configure:
    • Label format using tokens: [LBL], [PNL], [CKT], [AWG], [COND]
    • Text height for label display
    • Hide threshold to suppress labels on short segments
    • Masking and line type options
  4. Click Apply — all wirepath labels in the project update

Converting Between Polylines and Splines

Command | Description
ATCONVERT_PLINES_TO_SPLINES | Convert selected polylines to splines
ATCONVERT_SPLINES_TO_PLINES | Convert selected splines to polylines

Validating Segments

  1. Type ATVALIDATE_SEGMENTS to run segment-specific validation
  2. This checks segment intersections and updates segment data
  3. Wirepath labels are recalculated

Starting Over

If wirepath routing needs a complete restart:

  1. Type ATDELETE_ALL_SEGMENTS to remove all segments and their database records
  2. Confirm the destructive operation
  3. Type ATAUTO_DRAW_CIRCUIT_WIREPATH to redraw all wirepaths from scratch

Circuit connections remain intact — only the physical wirepath geometry is removed.

Tips

  • Use ATAUTO_DRAW_CIRCUIT_WIREPATH for initial routing, then ATREROUTE_POLYLINES for targeted adjustments
  • The fillet radius for ATPOLY corners can be configured in Options under Tools
  • Enable segment display options selectively — showing everything at once can clutter the drawing
  • After rerouting wirepaths, a full label refresh runs automatically (this takes a few seconds on large projects)

Quick Reference

Step | Command | Purpose
1 | ATAUTO_DRAW_CIRCUIT_WIREPATH | Initial wirepath routing
2 | ATREROUTE_WIREPATHS | Recalculate all routes
3 | ATFORMAT_WIREPATH_LABELS | Configure label format
4 | ATSHOW_WIREFILL | Display wire fill data
5 | ATVALIDATE_SEGMENTS | Validate segment data

What's Next

  • Managing Device Properties — Configure device labels and properties
  • Generating Reports — Create reports with current wirepath data


Workflow: Managing Device Properties and Labels

Overview

This guide covers setting device properties (panel names, locations, custom fields), formatting how labels display on devices, and refreshing labels across your drawing.

Prerequisites

  • A FireCAD project must be open
  • Devices must be placed and validated in the drawing

Setting Panel Names

Panel names serve as circuit prefixes (e.g., "FA-1" produces "FA-1:L1 SLC"):

  1. Select a panel or power supply device
  2. Type ATSET_PANEL_NAME
  3. Enter the device name in the Panel Name Editor
  4. Click Apply

Setting Device Properties

Using the Properties Palette (Multiple Devices)

  1. Select one or more devices in the drawing
  2. Type ATPROPERTIES
  3. The Device Properties Palette opens
  4. Edit property values in the grid
  5. Check Is Visible to display properties on labels
  6. Set Display Order to control label positioning
  7. Enable Auto Increment to automatically number sequential devices
  8. Click Apply

Using the Entity Properties Editor (Single Device)

  1. Select a single device
  2. Type ATSET_ENTITY_PROPERTIES
  3. The Entity Properties Editor opens
  4. Add, edit, or delete individual properties
  5. Click Apply

Quick Property Commands

Command | Property | Description
ATSET_LOCATION | Location | Set the device location string
ATSET_NODE_NAME | Node | Set the node/card name
ATSET_RISER_COLUMN | Riser Column | Assign to a riser column
ATSET_ELEVATIONS | Elevation | Set floor elevation values
ATSET_EXISTING | Existing | Mark devices as existing
ATCLEAR_EXISTING | Existing | Remove existing flag
ATSET_CONDUIT_TYPE | Conduit Type | Assign conduit type
ATCLEAR_CONDUIT_TYPE | Conduit Type | Remove conduit type
ATSET_VERTICAL_CONSTRAINTS | Vertical | Set vertical position constraints

Importing Properties from Excel

  1. Type ATIMPORT_ENTITY_PROPERTIES
  2. Select an Excel file with property data
  3. Properties are matched to devices and imported in bulk

Command-Line Property Setting

  1. Type ATSET_ENTITY_PROPERTIES_CL
  2. Follow command-line prompts to set properties without opening a dialog

Formatting Device Labels

Before and after formatting device labels — default label vs. customized label showing only address and candela

Control which label components display on devices:

  1. Select one or more devices
  2. Type ATFORMAT_DEVICE_LABELS
  3. The Format Device Labels dialog opens
  4. Check/uncheck label components:
    • Circuit info — Device name, card name, circuit name, branch, address, sub-address, EOL
    • Device specs — Candela, watts, decibels
    • Global options — Single line display, multiple attributes
  5. Click Apply

Formatting Wirepath Labels

Control how circuit wirepath labels appear:

  1. Type ATFORMAT_WIREPATH_LABELS
  2. The Format Wirepath Labels dialog opens
  3. Set the format template using tokens ([LBL], [PNL], [CKT], [AWG], [COND])
  4. Configure text height, hide threshold, and display options
  5. Click Apply — all wirepath labels in the project update

Controlling Attribute Visibility

Toggle visibility of individual AutoCAD attributes:

  1. Select devices
  2. Type ATATT_VISIBILITY
  3. The Attribute Visibility Editor opens
  4. Check or uncheck each attribute's visibility
  5. Click Apply

Refreshing Labels

After making property or formatting changes:

Command | Speed | When to Use
ATREFRESH_LABELS | Fast | Labels need recalculating, data hasn't changed
ATREFRESH_LABELS_FULL | Slower | Database data has changed, need full reload

Labels also refresh automatically after validation (ATVALIDATE) and circuit operations (ATCONNECT, ATDISCONNECT).

Tips

  • Use Auto Increment in the Properties Palette when naming sequential devices (e.g., "SD-1", "SD-2", "SD-3")
  • The ATIMPORT_ENTITY_PROPERTIES command is efficient for large projects with property data in spreadsheets
  • Format Device Labels settings apply per-device — different devices can show different label components
  • Format Wirepath Labels settings apply project-wide to all circuits

Quick Reference

Task | Command
Set panel name | ATSET_PANEL_NAME
Set properties (bulk) | ATPROPERTIES
Set properties (single) | ATSET_ENTITY_PROPERTIES
Set location | ATSET_LOCATION
Import from Excel | ATIMPORT_ENTITY_PROPERTIES
Format device labels | ATFORMAT_DEVICE_LABELS
Format wirepath labels | ATFORMAT_WIREPATH_LABELS
Toggle attributes | ATATT_VISIBILITY
Refresh labels | ATREFRESH_LABELS

What's Next

  • Building Circuits — Connect devices after setting properties
  • Generating Reports — Reports use device properties for labels and descriptions


Workflow: Replacing Devices and Blocks

Overview

This guide covers replacing device types and block definitions in your drawing — whether you need to swap a device for a different model or replace block references with a different block definition.

Prerequisites

  • A FireCAD project must be open
  • Devices or blocks must be placed in the drawing

Replacing Devices with a Project Device

Use this when you need to swap devices for a different model from your project database:

  1. Type ATREPLACE_DEVICES
  2. Select the block references to replace (or pre-select them before running the command)
  3. Adjust options using command-line keywords:
    • ALIGNMENT — Choose CENTER (center on original) or ORIGIN (align by origin point)
    • ROTATION — Choose AUTO (auto-adjust) or NONE (keep original rotation)
    • SCALE — Enter a scale factor (0 = use the target block's natural scale)
  4. A device selection window opens showing available project devices
  5. Select the replacement device
  6. All selected blocks are replaced and labels update automatically

Replacing Block References

Use this when you need to swap blocks with a different block definition from the current drawing:

  1. Type ATREPLACE_BLOCKREFS
  2. Select the block references to replace (or pre-select them)
  3. Adjust alignment, rotation, and scale options as needed
  4. The Block Selection Dialog opens with a preview pane
  5. Select the replacement block from the list
  6. Click Apply (or double-click the block name)

Blocks on locked layers are automatically skipped to prevent accidental changes.

Resizing Blocks

To uniformly resize selected blocks:

  1. Type ATRESIZE_BLOCKS
  2. Select the blocks to resize
  3. Enter the new scale factor
  4. Blocks resize while maintaining their positions

Editing Assembly Devices

To modify internal components of an assembly device (panel, power supply):

  1. Select an assembly device
  2. Type ATEDIT_ASSEMBLY
  3. The Assembly Editor opens
  4. Add or remove components using the grid
  5. Set card names for each component
  6. Click Apply

Removing a component deletes its associated circuits, circuit devices, and device types.

Refreshing Block Definitions

After modifying block definitions in the database:

  1. Type ATREFRESH_BLOCKS
  2. Confirm the operation
  3. All block definitions in the active drawing reset to their database defaults
  4. Attributes reset to default positions and values
  5. Labels regenerate automatically

Tips

  • Use ATREPLACE_DEVICES when the replacement is a FireCAD-managed device with circuit templates
  • Use ATREPLACE_BLOCKREFS for general block swaps that don't involve FireCAD device data
  • After replacing devices, run ATRESET_CIRCUIT_TEMPLATES to update circuit and device type configurations
  • The alignment option CENTER is usually best for same-category replacements; use ORIGIN when the new block has a different anchor point

Quick Reference

Task | Command
Replace with project device | ATREPLACE_DEVICES
Replace with drawing block | ATREPLACE_BLOCKREFS
Resize blocks | ATRESIZE_BLOCKS
Edit assembly components | ATEDIT_ASSEMBLY
Refresh block definitions | ATREFRESH_BLOCKS
Reset circuit templates | ATRESET_CIRCUIT_TEMPLATES

What's Next

  • Building Circuits — Reconnect replaced devices to circuits
  • Validating Your Design — Verify changes pass validation


Workflow: Data Maintenance and Troubleshooting

Overview

This guide covers maintaining data integrity, restoring missing items, and troubleshooting common issues in FireCAD projects.

Routine Maintenance

Deleting Orphaned Records

Orphaned records are database entries for entities that no longer exist in the drawing:

  1. Type ATDELETE_ORPHANS
  2. FireCAD automatically:
    • Validates all segments and devices
    • Removes orphaned circuit devices, circuits, device types, and assembly configurations
    • Updates all labels

Run this periodically, especially after deleting entities directly in AutoCAD (bypassing FireCAD commands).

Cleaning Up Database Instances

If you experience database connection errors:

  1. Type ATCLEANUP_REPOSITORIES
  2. Orphaned SQL Server LocalDB instances are cleaned up

Resetting Conduit IDs

If conduit IDs become inconsistent or duplicated:

  1. Type ATRESET_CONDUITIDS
  2. All conduit IDs are cleared and recalculated
  3. Labels refresh automatically

Restoring Missing Items

Restoring a Missing Drawing

If a .dwg file is lost or corrupted but the project database still has the data:

  1. Type ATRESTORE_MISSING_DRAWING
  2. Select a template (.dwt) or drawing (.dwg) file as the base
  3. FireCAD recreates all devices and segments from the database
  4. Wirepaths are rerouted and labels regenerated

What gets restored: Devices, segments, circuits, connections What is NOT restored: Custom geometry, annotations, title block customizations

Restoring Missing Devices

If device blocks were accidentally erased but database records remain:

  1. Type ATRESTORE_MISSING_DEVICES
  2. FireCAD scans for discrepancies and recreates missing device blocks
  3. Devices appear at their original positions with original attributes
  4. Run ATVALIDATE afterward to verify integrity

Restoring Missing Segments

If wirepath segments were accidentally erased:

  1. Type ATRESTORE_MISSING_SEGMENTS
  2. Missing segment blocks are recreated from database records
  3. Run ATREROUTE_WIREPATHS to recalculate routing
  4. Run ATREFRESH_LABELS to update labels

Tip: If both devices and segments are missing, restore devices first, then segments.

Troubleshooting Decision Tree

Troubleshooting decision flowchart

Symptom | Action
Missing drawing file | ATRESTORE_MISSING_DRAWING
Devices disappeared from drawing | ATRESTORE_MISSING_DEVICES then ATVALIDATE
Segments disappeared from drawing | ATRESTORE_MISSING_SEGMENTS then ATREROUTE_WIREPATHS
Orphaned database records | ATDELETE_ORPHANS
Corrupted metadata/XData | ATUTILS_CLEAR_ALL_XRECORDS then ATVALIDATE
Incorrect conduit IDs | ATRESET_CONDUITIDS
Database connection errors | ATCLEANUP_REPOSITORIES
Labels not displaying correctly | ATREFRESH_LABELS or ATREFRESH_LABELS_FULL
Wirepath routing is tangled | ATREROUTE_WIREPATHS
Design rule violations | ATDESIGN_ASSISTANT
Need to restart wirepaths | ATDELETE_ALL_SEGMENTS then ATAUTO_DRAW_CIRCUIT_WIREPATH

Standard Troubleshooting Sequence

When data integrity issues arise, follow this sequence:

  1. Validate — Type ATVALIDATE to sync drawing with database
  2. Clean up — Type ATDELETE_ORPHANS to remove orphaned records
  3. Check design — Type ATDESIGN_ASSISTANT to identify remaining issues
  4. Fix issues — Address each problem identified
  5. Revalidate — Click Recheck in the Design Assistant to confirm fixes

Clearing XRecords (Last Resort)

If metadata is severely corrupted:

  1. Type ATUTILS_CLEAR_ALL_XRECORDS
  2. All FireCAD metadata is removed from drawing entities
  3. Immediately run ATVALIDATE to rebuild metadata

Use this only as a last resort — it removes all FireCAD extended data from the drawing.

Deleting All Segments (Fresh Start)

If segment data is severely corrupted and needs a complete restart:

  1. Type ATDELETE_ALL_SEGMENTS
  2. Confirm the destructive operation
  3. All segment entities and database records are permanently removed
  4. Circuit connections remain intact
  5. Type ATAUTO_DRAW_CIRCUIT_WIREPATH to redraw all wirepaths

Label Refresh Options

Command | Speed | Use When
ATREFRESH_LABELS | Fast (~100ms) | Labels need recalculating, data hasn't changed
ATREFRESH_LABELS_FULL | Slower (~3-5s) | Database data has changed, need full reload

ATREFRESH_LABELS_FULL is automatically used after operations that create new data (restoring drawings, rerouting wirepaths, duplicating drawings).

Tips

  • Run ATDELETE_ORPHANS after any session where you deleted entities directly in AutoCAD
  • Always validate (ATVALIDATE) before generating reports
  • Back up important drawings before running destructive operations
  • The Design Assistant provides the most comprehensive view of project health
  • When in doubt, the sequence Validate → Delete Orphans → Refresh Labels resolves most data consistency issues

Quick Reference

Task | Command
Delete orphaned records | ATDELETE_ORPHANS
Clean up database instances | ATCLEANUP_REPOSITORIES
Reset conduit IDs | ATRESET_CONDUITIDS
Clear XRecords (last resort) | ATUTILS_CLEAR_ALL_XRECORDS
Delete all segments | ATDELETE_ALL_SEGMENTS
Restore missing drawing | ATRESTORE_MISSING_DRAWING
Restore missing devices | ATRESTORE_MISSING_DEVICES
Restore missing segments | ATRESTORE_MISSING_SEGMENTS
Fast label refresh | ATREFRESH_LABELS
Full label refresh | ATREFRESH_LABELS_FULL

What's Next

  • Validating Your Design — Run the Design Assistant after maintenance
  • Your First Project — Review the initial setup workflow


Riser Circuit Features (Passthrough Devices)

Riser Circuit Features (Passthrough Devices)

Overview

Riser circuit features allow child circuits to inherit specific properties from their parent riser circuits when connected through a passthrough device (such as control modules, isolators, or relays). This enables accurate calculations and addressing across circuit hierarchies.

Quick Reference

These settings appear in the Master Template Editor under the "Circuit Types" tab with the following column headers:

Column Header in Master Template Editor | Technical Name | Summary
Include Length In Riser Circuit | PassthroughLength | Aggregates child circuit wire length into parent totals
Apply Start Voltage From Riser Circuit | PassthroughVoltage | Child circuit starts at parent circuit's voltage
Include Current In Riser Circuit | PassthroughCurrent | Adds child circuit current to parent calculations
Include Watts In Riser Circuit | PassthroughWatts | Adds child circuit watts to parent calculations
Continue Addressing From Riser Circuit | PassthroughAddressing | Device addresses continue from parent circuit

The Five Passthrough Options

1. Include Length In Riser Circuit (PassthroughLength)

What it does:
When enabled, the wire length of the child circuit is included in the parent circuit's total length calculations for reporting and analysis purposes.

Why you need it:
Wire length is often reported for material takeoffs, cost estimating, and compliance documentation. In complex hierarchical systems with multiple branching circuits, you may want to aggregate all downstream wire lengths back to the riser circuit for total material calculations.

Example - Audio System with Supervised Speaker Circuits:

  • An amplifier panel supplies an audio riser circuit that runs vertically through a building (500 feet of wire)
  • The riser connects to control modules on different floors (3rd, 5th, and 7th floors)
  • Each control module has type-matching child supervised circuits that control speakers on that specific floor:
    • 3rd floor supervised circuit: 200 feet to speakers
    • 5th floor supervised circuit: 150 feet to speakers
    • 7th floor supervised circuit: 180 feet to speakers
  • With Include Length In Riser Circuit enabled: Audio riser circuit shows 1,030 feet total (500 + 200 + 150 + 180)
  • With Include Length In Riser Circuit disabled: Audio riser circuit shows only 500 feet (just the riser itself)

Common use cases:

  • Material quantity reports where you need total wire footage for an entire riser system
  • Cost estimating for wire and conduit across multi-floor systems
  • Complex audio or NAC systems where you want to track all wire originating from a source amplifier or power supply

Important note:
This setting is not commonly used and is typically disabled by default. It's more of a reporting preference rather than a calculation requirement. Most systems track wire lengths per circuit rather than aggregating child circuit lengths back to the parent riser. Enable this only when you specifically need total material calculations for hierarchical circuit systems.

Visual Example:

Audio Riser System - Length Aggregation

                     ┌─── 200 ft ─── [Speakers 3rd Floor]
                     │
[Amplifier] ─── 500 ft (riser) ─── [Control Module 3rd]
                     │              [Control Module 5th] ─── 150 ft ─── [Speakers 5th Floor]
                     │              [Control Module 7th] ─── 180 ft ─── [Speakers 7th Floor]
                     │
                     └─ Child Supervised Circuits

With "Include Length In Riser Circuit" ENABLED:
  Audio Riser Total = 500 + 200 + 150 + 180 = 1,030 feet

With "Include Length In Riser Circuit" DISABLED:
  Audio Riser Total = 500 feet (child circuits not aggregated)

2. Apply Start Voltage From Riser Circuit (PassthroughVoltage)

What it does:
When enabled, a child circuit will use the actual voltage available at the passthrough device (control module) on the parent riser circuit as its starting voltage for voltage drop calculations, rather than using a fixed default starting voltage.

Why you need it:
Voltage drops as it travels through wire and devices on the riser circuit. Control modules located far from the source panel experience lower voltage than those near the panel. For accurate voltage drop calculations on child circuits, you need to start with the actual voltage available at each control module's location, not the system default.

Example - NAC Riser Circuit with Remote Control Modules:

  • A fire alarm panel supplies a NAC riser circuit that runs through a building
  • The riser connects to control modules in various areas (near end of building, different floors)
  • Each control module has supervised type-matching child circuits controlling strobes, horns, or powered devices in different rooms or floors
  • The NAC riser starts at 20.4V at the panel
  • After 800 feet of wire and several devices, voltage drops to 19.4V at a control module
  • That control module has a child circuit with strobes covering a specific area
  • With Apply Start Voltage From Riser Circuit enabled: The child circuit starts its voltage drop calculation at 19.4V (the actual voltage at the control module)
  • With Apply Start Voltage From Riser Circuit disabled: The child circuit starts its voltage drop calculation at the default starting voltage of 20.4V (ignoring the riser voltage drop)

Result: With this option enabled, you get accurate end-of-line voltage calculations that account for the cumulative voltage drop through the entire riser system plus the child circuits.

Common use cases:

  • NAC riser circuits feeding control modules with supervised notification circuits
  • AUX power riser circuits feeding control modules with powered device circuits
  • Any hierarchical system where accurate voltage drop calculations are critical for code compliance
  • Remote control modules located far from the source panel

Visual Example:

NAC Riser System - Voltage Drop Calculation

[Fire Panel] ───────── 800 ft (NAC Riser, -1.0V drop) ───────── [Control Module] ─── 250 ft (-0.8V) ─── [Strobes]
   20.4V                                                              19.4V                                  18.6V
             ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
                               Voltage drops along riser                    Child circuit drop

With "Apply Start Voltage From Riser Circuit" ENABLED:
  Child Circuit Calculation:
    Starting Voltage: 19.4V (actual voltage at control module)
    Voltage at Strobes: 19.4V - 0.8V = 18.6V ✓ Accurate

  Total System Drop: 20.4V → 19.4V (riser) → 18.6V (child) = 1.8V drop total

With "Apply Start Voltage From Riser Circuit" DISABLED:
  Child Circuit Calculation:
    Starting Voltage: 20.4V (default, ignores riser drop)
    Voltage at Strobes: 20.4V - 0.8V = 19.6V ✗ Inaccurate!

  Actual Voltage: 18.6V (but calculation shows 19.6V - error of 1.0V)

3. Include Current In Riser Circuit (PassthroughCurrent)

What it does:
When enabled, the current load of all devices on child circuits is added to the parent riser circuit's current calculations at the point where each control module connects. This allows the riser circuit to accurately calculate voltage drop based on the actual current flowing through each segment of the riser.

Why you need it:
The riser circuit must carry the current for all downstream child circuits. As current increases along the riser, so does voltage drop. Without including child circuit current, the riser's voltage drop calculations will be inaccurate, potentially leading to under-sized wire or voltage violations.

Example - NAC Riser Circuit with Multiple Control Modules:

  • A fire alarm panel supplies a NAC riser circuit running through a building
  • The riser connects to control modules at various locations, each with supervised type-matching child circuits controlling strobes and horns in different areas
  • Control Module A (near panel): Child circuit has 4 strobes = 200mA
  • Control Module B (mid-building): Child circuit has 6 strobes = 300mA
  • Control Module C (far end): Child circuit has 3 strobes = 150mA
  • With Include Current In Riser Circuit enabled:
    • Segment 1 (panel to Module A): 200mA flows through riser
    • Segment 2 (Module A to Module B): 500mA flows through riser (200mA + 300mA)
    • Segment 3 (Module B to Module C): 650mA flows through riser (200mA + 300mA + 150mA)
    • Voltage drop accurately calculated for each segment based on actual current
  • With Include Current In Riser Circuit disabled:
    • All riser segments: 0mA (only direct riser devices counted, child circuit current ignored)
    • Voltage drop calculations on riser are inaccurate

Result: This setting allows the riser circuit to accurately calculate voltage drop, which is critical for proper wire sizing and code compliance.

Common use cases:

  • NAC riser circuits feeding control modules with supervised notification circuits (default ON)
  • AUX power riser circuits feeding control modules with powered device circuits (default ON)
  • Any hierarchical system where riser voltage drop depends on downstream loads
  • Battery backup calculations that need to include all downstream current loads

Important note:
This setting is enabled by default for NAC and AUX circuit types because accurate voltage drop calculation on the riser is essential for these power-limited circuits.

Visual Example:

NAC Riser System - Current Flow and Voltage Drop

[Fire Panel] ────── 300 ft ────── [Module A] ────── 400 ft ────── [Module B] ────── 300 ft ────── [Module C]
   20.4V              200mA          19.9V              500mA          19.2V              650mA         18.8V
              (200mA from child)           (+ 300mA from child)           (+ 150mA from child)
                     │                              │                              │
                     └─ Child: 4 strobes            └─ Child: 6 strobes            └─ Child: 3 strobes
                        (200mA)                        (300mA)                        (150mA)

With "Include Current In Riser Circuit" ENABLED (Default for NAC/AUX):
  Riser Segment 1: 200mA × 300 ft = 0.5V drop → 19.9V at Module A ✓ Accurate
  Riser Segment 2: 500mA × 400 ft = 0.7V drop → 19.2V at Module B ✓ Accurate
  Riser Segment 3: 650mA × 300 ft = 0.4V drop → 18.8V at Module C ✓ Accurate

  Total riser current load: 650mA (sum of all child circuits)

With "Include Current In Riser Circuit" DISABLED:
  Riser Segment 1: 0mA × 300 ft = 0V drop → 20.4V at Module A ✗ Inaccurate!
  Riser Segment 2: 0mA × 400 ft = 0V drop → 20.4V at Module B ✗ Inaccurate!
  Riser Segment 3: 0mA × 300 ft = 0V drop → 20.4V at Module C ✗ Inaccurate!

  Actual voltages at modules: 19.9V, 19.2V, 18.8V (but calculated as 20.4V everywhere)

4. Include Watts In Riser Circuit (PassthroughWatts)

What it does:
When enabled, the wattage consumption of all devices on child circuits is added to the parent riser circuit's wattage calculations. This allows the riser circuit to accurately track total power consumption against the source device's wattage capacity limits.

Why you need it:
Power sources like amplifiers, power supplies, and panels have maximum wattage ratings. The riser circuit must account for all downstream child circuit loads to ensure you don't exceed the source capacity. Without including child circuit watts, you could overload the amplifier or power supply.

Example - Audio Riser Circuit with Control Modules:

  • An audio amplifier supplies an audio riser circuit running through a building (50W max capacity)
  • The riser connects to control modules at various locations, each with type-matching child circuits controlling speakers in different areas
  • Control Module A: Child circuit has 4 speakers = 12W
  • Control Module B: Child circuit has 6 speakers = 18W
  • Control Module C: Child circuit has 5 speakers = 15W
  • With Include Watts In Riser Circuit enabled:
    • Audio riser circuit total: 45W (12W + 18W + 15W)
    • Amplifier capacity check: 45W / 50W = 90% capacity ✓ Within limits
    • System knows exactly how much of the amplifier's capacity is being used
  • With Include Watts In Riser Circuit disabled:
    • Audio riser circuit total: 0W (child circuit watts not reported back)
    • Amplifier capacity check: 0W / 50W = 0% capacity ✗ Inaccurate!
    • System doesn't know the amplifier is actually at 90% capacity

Result: This setting allows the riser circuit to accurately track total wattage consumption, which is critical for ensuring you don't exceed amplifier or power supply capacity limits.

Common use cases:

  • Audio riser circuits feeding control modules with speaker circuits (default ON)
  • Mass notification systems with amplifier capacity limits
  • Any audio system where amplifier wattage capacity must be monitored

Important note:
This setting is enabled by default for Audio circuit types because amplifiers have wattage capacity limits that must not be exceeded.

Visual Example:

Audio Riser System - Wattage Aggregation

[Amplifier] ──────────────────────── Audio Riser ──────────────────────── [Module A] [Module B] [Module C]
  50W Max                                                                       │          │          │
                                                                                │          │          │
                                                                    Child: 4 speakers  6 speakers  5 speakers
                                                                           (12W)      (18W)      (15W)

With "Include Watts In Riser Circuit" ENABLED (Default for Audio):
  Audio Riser Total Watts: 12W + 18W + 15W = 45W

  Amplifier Capacity Check:
    Used: 45W / Available: 50W = 90% capacity ✓ Within limits
    Remaining: 5W available for additional devices

  System accurately tracks amplifier load for capacity management

With "Include Watts In Riser Circuit" DISABLED:
  Audio Riser Total Watts: 0W (child watts not reported)

  Amplifier Capacity Check:
    Used: 0W / Available: 50W = 0% capacity ✗ Incorrect!
    System shows 50W available (but actually only 5W available)

  Risk: Could add more devices and exceed amplifier capacity

5. Continue Addressing From Riser Circuit (PassthroughAddressing)

What it does:
When enabled, devices on the child circuit will continue the address sequence from the parent riser circuit rather than starting over at address 1. This ensures sequential addressing across the entire system and counts child circuit devices toward the riser circuit's device limits.

Why you need it:
Fire alarm systems require unique addresses for all devices on a signaling line circuit (SLC). When isolator modules supply their own child SLC circuits, those child devices must continue the address sequence from the riser and count toward the riser's total device limit. This prevents address conflicts and ensures the system stays within SLC capacity limits.

Example - SLC Riser Circuit with Isolator Modules:

  • A fire alarm panel supplies an SLC riser circuit running through a building
  • The riser connects to isolator modules at various locations for short circuit protection
  • Some isolators optionally supply their own child SLC circuits to branch off to additional devices
  • SLC riser has devices addressed 1-12, then an isolator (no address)
  • That isolator supplies a child SLC circuit with 5 devices (smoke detectors, pull stations)
  • Next device on the riser after the isolator would be address 18
  • With Continue Addressing From Riser Circuit enabled:
    • Isolator child circuit devices: addresses 13-17 (continuing from riser)
    • Next riser device: address 18
    • Total SLC device count: 17 devices (12 on riser + 5 on child)
    • System properly tracks device count against SLC limit (e.g., 127 devices max)
  • With Continue Addressing From Riser Circuit disabled:
    • Isolator child circuit devices: addresses 1-5 (starting over)
    • Next riser device: address 13
    • Address conflict! Child devices 1-5 conflict with riser devices 1-5
    • Device count incorrect: System doesn't know about the 5 child devices

Result: This setting ensures proper sequential addressing across the entire SLC system and accurate device counting for capacity management.

Common use cases:

  • SLC riser circuits with isolator modules that supply child SLC circuits (default ON)
  • Any addressable system where devices on child circuits must have globally unique addresses
  • Systems where child circuit device counts must be tracked against parent circuit limits

Important note:
This setting is enabled by default for SLC circuit types because address uniqueness and device count limits are critical for proper system operation.

Visual Example:

SLC Riser System - Sequential Addressing with Isolator Child Circuits

[Fire Panel] ─────────── SLC Riser (127 device limit) ─────────── [Devices 1-12] ─── [Isolator] ─── [Devices 18-24]
                                                                                │
                                                                                └─ Child SLC Circuit
                                                                                [Devices 13-17]
                                                                                (5 detectors)

With "Continue Addressing From Riser Circuit" ENABLED (Default for SLC):
  Riser devices: 1-12
  Isolator: (no address)
  Child circuit: 13-17 (continues from riser)
  Riser continues: 18-24

  Total device count: 24 devices (tracked against 127 limit)
  Addresses: All unique (1-24) ✓ No conflicts
  System knows: 24/127 devices used (103 remaining capacity)

With "Continue Addressing From Riser Circuit" DISABLED:
  Riser devices: 1-12
  Isolator: (no address)
  Child circuit: 1-5 (starts over - CONFLICT!)
  Riser continues: 13-19

  Total device count: 19 devices (child devices not counted)
  Addresses: CONFLICTS between riser 1-5 and child 1-5 ✗
  System shows: 19/127 devices (but actually 24 devices)

  Result: Address conflicts and incorrect capacity tracking!

Device-Level Setting: Enable Riser Connection Features

What it does:

This is a checkbox setting on individual device templates that controls whether that specific device is allowed to act as a passthrough device and pass current, watts, voltage, or addressing from its child circuits back to the parent (riser) circuit.

Important: Even if circuit type passthrough options are enabled, a device must have this setting enabled to actually function as a passthrough device.

Why it matters:

Not all devices should act as passthrough devices. This setting should be enabled on devices that connect to a riser circuit AND supply their own child circuits. For example:

  • Control modules that connect to a NAC or AUX riser and supply child circuits to devices in specific areas should have this enabled
  • Isolators that connect to an SLC riser and optionally supply child SLC circuits should have this enabled
  • Relays that connect to a riser and supply child circuits should have this enabled
  • Simple devices like smoke detectors, pull stations, horn/strobes, or end-of-line devices should NOT have this enabled

Where to find it:

In the Master Template Editor, on the Device Table tab, there's a column called "Enable Riser Connection Features".

Step-by-Step Configuration Guide

Step 1: Configure Circuit Type Passthrough Settings (Master Template Editor)

  1. Open the Master Template Editor
  2. Navigate to the "Circuit Types" tab (LimitTypes)
  3. Find the circuit type you want to configure (e.g., "NAC", "SLC Types", "AUX POWER")
  4. Enable the appropriate passthrough options:
Circuit Type | Length | Voltage | Current | Watts | Addressing | Reasoning
NAC | ✗ | ✓ | ✓ | ✗ | ✗ | NAC circuits fed from remote control modules need voltage/current passthrough for accurate calculations
AUX POWER | ✗ | ✓ | ✓ | ✗ | ✗ | Auxiliary power circuits need voltage/current passthrough for accurate calculations
SLC Types | ✗ | ✗ | ✗ | ✗ | ✓ | SLC circuits with isolators need addressing passthrough to maintain sequential addressing
ISO (Isolator) | ✗ | ✗ | ✗ | ✗ | ✓ | Isolator circuits need addressing passthrough to maintain sequential addressing
Audio 25V | ✗ | ✓ | ✗ | ✓ | ✗ | Audio circuits need voltage passthrough and watts aggregation for amplifier capacity management
Audio 70V | ✗ | ✓ | ✗ | ✓ | ✗ | Audio circuits need voltage passthrough and watts aggregation for amplifier capacity management
  5. Click Save to apply changes

Step 2: Configure Device Template Passthrough Permission (Master Template Editor)

  1. In the Master Template Editor, go to the "Device Table" tab
  2. Scroll to find the "Enable Riser Connection Features" column
  3. Enable this checkbox for devices that should act as passthrough devices:

Devices that should have it ENABLED:

  • Control modules (NAC control modules, AUX control modules, audio control modules)
  • Isolator modules (that can supply child SLC circuits)
  • Relay modules (that supply child circuits)
  • Any device that connects to a riser circuit AND supplies its own child circuit outputs

Devices that should have it DISABLED:

  • Smoke detectors
  • Pull stations
  • Horn/strobes
  • Speakers
  • Duct detectors
  • End-of-line devices
  • Any device that does NOT supply child circuits
  4. Click Save to apply changes

Step 3: Verify Passthrough Behavior

  1. Check a parent circuit that has a passthrough device:
    • Look at the circuit calculations (current, watts, voltage)
    • Verify that child circuit loads are included (if passthrough options are enabled)
  2. Check device addressing:
    • Generate an addressable device report
    • Verify that addresses continue properly through passthrough devices (if "Continue Addressing From Riser Circuit" is enabled)
  3. Review battery calculations:
    • Run a battery calculation report
    • Ensure all downstream loads are properly included in the calculation

How Passthrough Options Work Together

The Two-Level Check System

For passthrough to work, BOTH conditions must be met:

  1. Circuit Type Level: The circuit type (LimitType) must have the passthrough option enabled
  2. Device Level: The specific device must have "Enable Riser Connection Features" enabled

Example:

  • NAC circuit type has "Include Current In Riser Circuit" = enabled (TRUE)
  • Control module device has "Enable Riser Connection Features" = enabled (TRUE)
  • Result: ✓ Current from child NAC circuits will pass through to the parent NAC riser circuit

Counter-example:

  • NAC circuit type has "Include Current In Riser Circuit" = enabled (TRUE)
  • Control module device has "Enable Riser Connection Features" = disabled (FALSE)
  • Result: ✗ Current from child circuits will NOT pass through to the riser (device blocks it)

Cross-Type Passthrough

Important: Passthrough works across different circuit types if the parent circuit supports the child circuit's type.

Example that WORKS:

  • Parent circuit: NAC (has LimitTypes: NAC, AUX POWER, NAC Trigger)
  • Child circuit: AUX POWER (has LimitTypes: AUX POWER, SURGE PROTECTION)
  • Result: ✓ Works because parent NAC circuit supports "AUX POWER" type

Example that DOESN'T WORK:

  • Parent circuit: SLC (has LimitTypes: SLC SENSORS, SLC MODULES, ISO)
  • Child circuit: AUX POWER (has LimitTypes: AUX POWER, SURGE PROTECTION)
  • Result: ✗ Doesn't work because parent SLC circuit doesn't support "AUX POWER" type

Common Configurations by Circuit Type

NAC (Notification Appliance Circuit)

  • Include Length In Riser Circuit: ✗ Disabled
  • Apply Start Voltage From Riser Circuit: ✓ Enabled
  • Include Current In Riser Circuit: ✓ Enabled
  • Include Watts In Riser Circuit: ✗ Disabled
  • Continue Addressing From Riser Circuit: ✗ Disabled
  • Reason: NAC riser circuits feeding control modules need voltage and current passthrough for accurate voltage drop calculations. NAC circuits are typically not addressable and don't use wattage limits.

AUX Power

  • Include Length In Riser Circuit: ✗ Disabled
  • Apply Start Voltage From Riser Circuit: ✓ Enabled
  • Include Current In Riser Circuit: ✓ Enabled
  • Include Watts In Riser Circuit: ✗ Disabled
  • Continue Addressing From Riser Circuit: ✗ Disabled
  • Reason: AUX power riser circuits feeding control modules need voltage and current passthrough for accurate voltage drop calculations. AUX circuits don't use addressing or wattage limits.

SLC Types (SLC Sensors, SLC Modules, etc.)

  • Include Length In Riser Circuit: ✗ Disabled
  • Apply Start Voltage From Riser Circuit: ✗ Disabled
  • Include Current In Riser Circuit: ✗ Disabled
  • Include Watts In Riser Circuit: ✗ Disabled
  • Continue Addressing From Riser Circuit: ✓ Enabled
  • Reason: SLC circuits with isolator modules need addressing passthrough to maintain sequential addressing across the riser and child circuits. Voltage and current are not passed through as isolators don't impact these calculations.

ISO (Isolator Circuit)

  • Include Length In Riser Circuit: ✗ Disabled
  • Apply Start Voltage From Riser Circuit: ✗ Disabled
  • Include Current In Riser Circuit: ✗ Disabled
  • Include Watts In Riser Circuit: ✗ Disabled
  • Continue Addressing From Riser Circuit: ✓ Enabled
  • Reason: Isolator circuits need addressing passthrough to maintain sequential addressing across the entire SLC system.

Audio 25V / Audio 70V Circuits

  • Include Length In Riser Circuit: ✗ Disabled
  • Apply Start Voltage From Riser Circuit: ✓ Enabled
  • Include Current In Riser Circuit: ✗ Disabled
  • Include Watts In Riser Circuit: ✓ Enabled
  • Continue Addressing From Riser Circuit: ✗ Disabled
  • Reason: Audio riser circuits need voltage passthrough for accurate voltage drop calculations and wattage aggregation for amplifier capacity management. Audio systems don't use device addressing.

Troubleshooting

Problem: Child circuit loads are not showing up in parent circuit calculations

Solution:

  1. Check that the circuit type has "Include Current In Riser Circuit" and/or "Include Watts In Riser Circuit" enabled
  2. Verify the passthrough device has "Enable Riser Connection Features" enabled
  3. Ensure the parent circuit's LimitTypes include the child circuit's types
  4. Re-validate the drawing to refresh calculations

Problem: Addresses are not continuing from parent to child circuit

Solution:

  1. Check that "Continue Addressing From Riser Circuit" is enabled for the circuit type
  2. Verify the passthrough device has "Enable Riser Connection Features" enabled
  3. If addresses are still not shown correctly on child devices after ensuring all passthrough settings are enabled, click "Refresh All Labels" on the Validation ribbon panel to force the labels to regenerate

Problem: Voltage is not passing through to child circuit

Solution:

  1. Check that "Apply Start Voltage From Riser Circuit" is enabled for the circuit type
  2. Verify the passthrough device has "Enable Riser Connection Features" enabled
  3. Ensure the parent circuit has a voltage calculation at the passthrough device location

Problem: Child circuit wire lengths are not included in parent circuit totals

Solution:

  1. Check that "Include Length In Riser Circuit" is enabled for the circuit type (if you want this behavior)
  2. Verify the passthrough device has "Enable Riser Connection Features" enabled
  3. Note: Most systems do NOT enable this option as length aggregation is typically not needed for reporting

Problem: Passthrough is working for some circuit types but not others

Solution:
This is likely a cross-type compatibility issue. Check that the parent circuit's LimitTypes include all the types used by the child circuit. If not, you may need to add the missing types to the parent circuit configuration.

Additional Notes

  • Passthrough settings are stored in the Master Database and sync to projects
  • Changing passthrough settings requires re-validating drawings to recalculate
  • Passthrough calculations are recursive - they work through multiple levels of hierarchy
  • The system prevents circular references where a circuit tries to pass through to itself
  • Passthrough only affects circuits where the device is both an input (IsOrigin=0) and output (IsOrigin=1)

Related Features

  • Circuit Hierarchy View: Use vw_CircuitDeviceHierarchy to see the complete circuit and device hierarchy
  • Battery Calculations: Include Current In Riser Circuit and Include Watts In Riser Circuit are essential for accurate battery backup calculations
  • Voltage Drop Calculations: Apply Start Voltage From Riser Circuit ensures accurate end-of-line voltage calculations
  • Device Addressing: Continue Addressing From Riser Circuit prevents address conflicts in multi-circuit systems
  • Material Takeoff Reports: Include Length In Riser Circuit can aggregate wire lengths for cost estimating (when enabled)

For more technical details, see:

  • Working Database/Migrations/Functions/dbo.GetParentVoltage_CircuitId.sql
  • Working Database/Migrations/Functions/dbo.CircuitDeviceRequiredCurrent.sql
  • Working Database/Migrations/Functions/dbo.CircuitDeviceRequiredWatts.sql
  • Working Database/Migrations/Procedures/UpdateSequences_CircutId.sql
  • Working Database/Migrations/Views/README_CircuitHierarchy.md


Point-to-Point (PTP) Reports - User Guide

Point-to-Point (PTP) Reports - User Guide

Overview

The Point-to-Point (PTP) Report feature generates detailed voltage drop calculations for fire alarm circuits, showing electrical characteristics from the power source through each device to the end of the line. These reports are essential for code compliance, demonstrating that all devices receive adequate voltage and current for proper operation.

What Do PTP Reports Calculate?

The PTP report determines:

  • Voltage at Each Device: Actual voltage available after accounting for wire resistance and distance
  • Voltage Drop: How much voltage is lost between devices due to wire resistance
  • Remaining Current: Available current at each point in the circuit
  • Wire Resistance: Electrical resistance based on wire gauge and distance
  • Code Compliance: Whether devices meet minimum voltage requirements

Key Concepts

Point-to-Point Analysis

Point-to-Point means the calculation proceeds sequentially from device to device along the circuit:

  1. Starts at the power source (panel or control module)
  2. Calculates voltage drop to the first device
  3. Subtracts that drop from starting voltage
  4. Uses the new voltage as the starting point for the next segment
  5. Continues until reaching the end-of-line device

This provides accurate, real-world voltage values at every device location.

Voltage Drop

Voltage Drop is the reduction in electrical potential caused by:

  • Wire Resistance: Resistance per unit length (Ω per 1000 feet)
  • Distance: Physical wire run length between devices
  • Current Load: Electrical current flowing through the wire

Formula:

Resistance (Ω) = Wire Resistance (Ω/kFt) × 2 × Distance (Ft)
Voltage Drop (V) = Resistance (Ω) × Current (A)

The "×2" factor accounts for both conductors in the cable (positive and negative).

Remaining Current

Remaining Current represents the total load (current draw) from all devices downstream from the current point in the circuit. This value is used in voltage drop calculations to determine how much current is flowing through each wire segment.

  • NAC/Notification Circuits: Remaining current decreases as you move through the circuit (each horn/strobe reduces the downstream load)
  • SLC/Initiating Circuits: Remaining current remains nearly constant (detectors draw minimal current)

The remaining current at each device determines the voltage drop in the wire segment leading to that device, as voltage drop is calculated by: Voltage Drop = Resistance × Remaining Current.

Minimum Voltage Requirements

Fire alarm devices must receive adequate voltage to operate correctly:

  • Typical Minimum Voltage: 16V for most devices (some may require higher)
  • Nominal Voltage: Typically 20.4V DC at the panel (calculation starting voltage)
  • Code Requirement: All devices must receive at least their minimum rated voltage

The PTP report highlights devices that fall below minimum voltage requirements.

Report Types

1. Detailed Point-to-Point Report

Shows every device with full electrical characteristics.

When to use:

  • Engineering design and analysis
  • Troubleshooting voltage drop issues
  • Detailed code compliance submittals
  • Understanding exact voltage at specific devices

Content:

  • One row per device
  • Full voltage drop calculations
  • Distance and resistance values
  • Configurable columns (50+ available)

2. Summary Point-to-Point Report

Shows circuit-level and card-level totals without individual device details.

When to use:

  • Quick circuit capacity overview
  • Card utilization analysis
  • Management summaries
  • Identifying circuits approaching limits

Content:

  • One row per circuit
  • Current totals (max, used, spare)
  • Voltage summary (start, end, drop)
  • Card capacity aggregates

Default Column Structure

The detailed PTP report uses the following default columns (12 total):

Column | Header | Description
1 | Device Label | Device address or label (e.g., "SD-1", "HS-2-3")
2 | Part No | Manufacturer part number
3 | Description | Device description/name
4 | Alarm Current (A) | Current drawn during alarm condition
5 | Candelas | Light output for visual devices (strobes)
6 | Remaining Alarm Current (A) | Remaining load from downstream devices at this point in circuit
7 | Distance From Previous | Wire run length to previous device (Ft or M)
8 | Resistance From Previous (Ω) | Electrical resistance of wire segment
9 | Voltage Drop From Previous | Voltage lost in this wire segment (V)
10 | Voltage At Device | Actual voltage available at this device (V)
11 | Total Voltage Drop | Cumulative voltage drop from circuit start (V)
12 | Voltage Drop Percent | Percentage of starting voltage lost

Additional Available Columns (40+ more)

Users can customize reports by adding/removing columns:

Identification: Symbol, Drawing ID, Device ID, Entity Handle, Block Name, Circuit Device ID

Properties: Manufacturer, Model, Building, Floor, Location, Category, Product Line, CSFM, Approvals

Device Specs: Size, Mounting, Trim, Box, Standby Current, Watts, Decibels, Nominal Voltage, Minimum Voltage, List Price

Calculations: Remaining Standby Current, Remaining Watts

Addressing: Address Quantity, Branch No, Connection Sequence, Address (First/Last), Sub Address (First/Last)

Documentation: PDF Path, Detail Drawing Path, Custom Properties, Entity Properties

Existing Conditions: Is Existing (flag for existing vs. new devices)

User-Configurable Options

Report Settings

Access these settings in Options Editor under Report Settings.

1. Include Child Circuits

Default: Enabled

Includes devices from child circuits connected through passthrough/riser devices.

  • What it means: If you have a NAC riser feeding control modules on multiple floors, child devices (floor-level strobes/horns) are included in the parent circuit's report
  • When to disable: If you want to see only devices directly connected to the circuit, excluding distributed loads

Example:

With child circuits enabled:
  Main Panel → NAC Riser
    Control Module Floor 1
      → Strobe 1-1
      → Strobe 1-2
    Control Module Floor 2
      → Strobe 2-1
      → Strobe 2-2

With child circuits disabled:
  Main Panel → NAC Riser
    Control Module Floor 1
    Control Module Floor 2

2. Show Hierarchy Part Number

Default: Disabled

Displays parent device part number before child device labels.

  • Enabled: Child device labels show as "PARENT_PARTNO → DEVICE_LABEL"
  • Disabled: Child device labels show with just "→ DEVICE_LABEL" prefix
  • Purpose: Helps identify which parent/riser each child device connects to

Example:

Disabled: → Strobe 2-1
Enabled:  NAC-4 → Strobe 2-1

3. All Caps

Default: Enabled

Converts all text in report to uppercase.

  • Enabled: "STROBE, RED, WALL MOUNT"
  • Disabled: "Strobe, Red, Wall Mount"

4. Use Short Description

Default: Disabled

Uses abbreviated device descriptions to save space.

  • Example: "Smoke Detector, Photoelectric, 4-Wire" becomes "Smoke Det, Photo, 4W"

5. Set Precision

Default: Enabled

Applies number formatting to maintain consistent decimal places.

  • Current values: 6 decimal places (0.150000 A)
  • Voltage values: 2 decimal places (23.45 V)
  • Length values: 0 decimal places (150 Ft)

6. Include Card Totals

Default: Enabled

Shows card/module capacity utilization in summary section.

  • Enabled: Displays MAX CARD CURRENT, TOTAL CARD CURRENT, SPARE CARD CURRENT
  • Disabled: Only shows circuit-level totals

7. Remove Empty Columns

Default: Enabled

Hides columns that contain no data for the current circuit.

  • Example: If no devices have candela values, the "Candelas" column is removed
  • Purpose: Reduces report width and clutter

8. Report Columns (Customizable List)

Default: 12 columns (see Default Column Structure above)

Allows adding, removing, and reordering report columns.

  • 50+ available columns to choose from
  • Drag-and-drop reordering in settings UI
  • Column width customization for each column
  • Sort options: Some columns can trigger data sorting

Project Settings

These global settings affect all reports:

9. Wire Overage Percent

Default: 15%

Additional wire length percentage to account for non-straight runs, vertical risers, and obstacles.

  • Formula: Actual Length = Straight-Line Distance × (1 + Overage%/100)
  • Example: 100 ft straight-line distance with 15% overage = 115 ft actual wire
  • Typical values: 10-20% for most installations, 25-30% for complex routing

10. Current Precision

Default: 6 decimal places

Number of decimal places for current values.

11. Voltage Precision

Default: 2 decimal places

Number of decimal places for voltage values.

12. Length Precision

Default: 0 decimal places

Number of decimal places for distance/length values.

Point-to-Point Calculation Method

Step-by-Step Process

The system calculates voltage drop sequentially through each device (9 steps total):

Step 1: Identify Circuit Starting Voltage

The calculation begins at the circuit origin (panel output or control module).

Starting Voltage = Nominal Panel Voltage (typically 20.4V)

For child circuits connected via passthrough devices, the starting voltage may be the actual voltage at the parent device location.

Step 2: Calculate Distance to Next Device

Distance is measured from the previous device to the current device.

Distance = Straight-Line Distance × (1 + Wire Overage Percent / 100)

Example (15% overage):

Straight-Line Distance: 80 ft
Wire Overage: 15%
Actual Distance: 80 × 1.15 = 92 ft

Step 3: Calculate Wire Resistance

Resistance is calculated based on wire gauge, distance, and the round-trip nature of electrical circuits.

Resistance (Ω) = Wire Resistance (Ω/kFt) × 2 × Distance (Ft) / 1000

Example (18 AWG wire, 92 ft run):

Wire Resistance: 6.385 Ω/kFt (18 AWG)
Distance: 92 ft
Resistance: 6.385 × 2 × 92 / 1000 = 1.175 Ω

The "×2" accounts for both conductors (positive and negative wires).

Step 4: Calculate Voltage Drop to Device

Voltage drop is determined by Ohm's Law: V = I × R

Voltage Drop (V) = Resistance (Ω) × Remaining Current (A)

Example:

Resistance: 1.175 Ω
Remaining Current: 2.5 A
Voltage Drop: 1.175 × 2.5 = 2.94 V

Step 5: Calculate Voltage at Device

Subtract the voltage drop from the previous device's voltage.

Voltage At Device = Previous Device Voltage - Voltage Drop From Previous

Example:

Previous Device Voltage: 20.40 V
Voltage Drop: 2.94 V
Voltage At Device: 20.40 - 2.94 = 17.46 V

Step 6: Update Remaining Current

As we pass each device, the remaining downstream load decreases by that device's current draw.

Remaining Current = Previous Remaining Current - Device Current Draw

This represents the total load still downstream from this point. The remaining current is what flows through the wire segment TO this device (used in the voltage drop calculation for this segment).

Example:

Previous Remaining Current: 2.5 A (total load downstream before this device)
Device Current Draw: 0.177 A (horn/strobe)
Remaining Current: 2.5 - 0.177 = 2.323 A (load remaining downstream after this device)

For initiating devices (smoke detectors, pull stations), current draw is negligible (< 0.001 A).

Step 7: Calculate Total Voltage Drop

Track cumulative voltage drop from circuit start.

Total Voltage Drop = Starting Voltage - Voltage At Device

Example:

Starting Voltage: 20.40 V
Voltage At Device: 17.46 V
Total Voltage Drop: 20.40 - 17.46 = 2.94 V

Step 8: Calculate Voltage Drop Percentage

Express total voltage drop as a percentage.

Voltage Drop % = (Total Voltage Drop / Starting Voltage) × 100%

Example:

Total Voltage Drop: 2.94 V
Starting Voltage: 20.40 V
Voltage Drop %: (2.94 / 20.40) × 100% = 14.41%

Step 9: Repeat for Next Device

Use the current device's voltage and remaining current as the starting values for the next device, repeating steps 2-8 until reaching the end-of-line.

Complete Calculation Example

Let's walk through a real-world NAC circuit with 3 horn/strobe devices.

Circuit Specifications

  • Circuit: L1.NAC-1
  • Wire Gauge: 18 AWG (6.385 Ω/kFt)
  • Wire Overage: 15%
  • Starting Voltage: 20.40 V
  • Starting Current: 3.0 A (circuit capacity)

Device Properties

Device | Type | Current Draw | Straight Distance
HS-1 | Horn/Strobe | 0.177 A | 50 ft from panel
HS-2 | Horn/Strobe | 0.177 A | 60 ft from HS-1
HS-3 | Horn/Strobe | 0.177 A | 45 ft from HS-2
EOL | End-of-Line | 0.000 A | 30 ft from HS-3

Calculations

Device 1: HS-1

Remaining Current (at this segment):

Total load from all devices downstream = 3 × 0.177 = 0.531 A

Distance:

Actual Distance = 50 × 1.15 = 57.5 ft

Resistance:

Resistance = 6.385 × 2 × 57.5 / 1000 = 0.734 Ω

Voltage Drop:

Voltage Drop = 0.734 × 0.531 = 0.390 V

Voltage at Device:

Voltage = 20.40 - 0.390 = 20.01 V

Remaining Current (after this device):

Remaining = 0.531 - 0.177 = 0.354 A

Device 2: HS-2

Remaining Current (at this segment):

Load from devices downstream = 2 × 0.177 = 0.354 A

Distance:

Actual Distance = 60 × 1.15 = 69.0 ft

Resistance:

Resistance = 6.385 × 2 × 69.0 / 1000 = 0.881 Ω

Voltage Drop:

Voltage Drop = 0.881 × 0.354 = 0.312 V

Voltage at Device:

Voltage = 20.01 - 0.312 = 19.70 V

Remaining Current (after this device):

Remaining = 0.354 - 0.177 = 0.177 A

Device 3: HS-3

Remaining Current (at this segment):

Load from devices downstream = 1 × 0.177 = 0.177 A

Distance:

Actual Distance = 45 × 1.15 = 51.75 ft

Resistance:

Resistance = 6.385 × 2 × 51.75 / 1000 = 0.661 Ω

Voltage Drop:

Voltage Drop = 0.661 × 0.177 = 0.117 V

Voltage at Device:

Voltage = 19.70 - 0.117 = 19.58 V

Remaining Current (after this device):

Remaining = 0.177 - 0.177 = 0 A

Device 4: EOL (End-of-Line)

Remaining Current (at this segment):

Load from devices downstream = 0 A (no devices after EOL)

Distance:

Actual Distance = 30 × 1.15 = 34.5 ft

Resistance:

Resistance = 6.385 × 2 × 34.5 / 1000 = 0.441 Ω

Voltage Drop:

Voltage Drop = 0.441 × 0 = 0 V

Voltage at Device:

Voltage = 19.58 - 0 = 19.58 V

Total Voltage Drop:

Total Drop = 20.40 - 19.58 = 0.82 V
Drop % = (0.82 / 20.40) × 100% = 4.02%

Final Report Table

PANEL A • L1.NAC-1 POINT-TO-POINT REPORT
Wire: 18 AWG (6.385 Ω/kFt) | Wire Overage: 15%

Device  Part No   Description      Alarm    Remaining  Distance  Resistance  Voltage  Voltage    Total      Voltage
Label                          Current (A)  Current (A)    From      From      Drop From   At      Voltage     Drop
                                              Previous  Previous  Previous   Device    Drop      Percent
                                              (Ft)      (Ω)       (V)        (V)      (V)

HS-1    P2RL     Horn/Strobe       0.177      0.531       58      0.734      0.39     20.01      0.39      1.91%
HS-2    P2RL     Horn/Strobe       0.177      0.354       69      0.881      0.31     19.70      0.70      3.43%
HS-3    P2RL     Horn/Strobe       0.177      0.177       52      0.661      0.12     19.58      0.82      4.02%
EOL     EOL-R    End of Line       0.000      0.000       35      0.441      0.00     19.58      0.82      4.02%

CURRENT SUMMARY                             POWER SUMMARY
Max. Circuit Current:      3.0 A             Starting Calc. Voltage:    20.40 V
Total Circuit Current:     0.531 A           Max. Voltage Drop:         0.82 V
Spare Circuit Current:     2.469 A           End Of Line Voltage:       19.58 V
Spare Circuit Current %:   82.3%             Voltage Drop %:            4.02%

Calculation Methods:
  Resistance = Wire Resistance × 2 × Distance
  Voltage Drop = Resistance × Remaining Current

Note: Remaining Current represents the total load from all devices downstream from that point.

Understanding the Report Sections

Header Section

Shows circuit identification and wire properties:

PANEL A • L1.NAC-1 POINT-TO-POINT REPORT
Wire: 18 AWG (6.385 Ω/kFt) | Wire Overage: 15% | Starting Voltage: 20.40V
  • Panel/Circuit ID: Identifies the specific circuit
  • Wire Gauge: AWG designation and resistance per 1000 feet
  • Wire Overage: Percentage added to straight-line distances

Current Summary (Right Panel)

Shows circuit capacity and utilization:

Metric | Description
Max. Circuit Current | Circuit current limit from database
Total Circuit Current | Sum of all device current draws
Spare Circuit Current | Available unused capacity (Max - Total)
Spare Circuit Current % | Percentage of capacity still available

Color Coding:

  • Green: Spare > 20% (adequate capacity)
  • Yellow: Spare 10-20% (approaching limit)
  • Red: Spare < 10% (near or over capacity)

Power Summary (Right Panel)

Shows voltage characteristics:

Metric | Description
Starting Calc. Voltage | Voltage at circuit origin
Max. Voltage Drop | Total voltage lost from start to end
End Of Line Voltage | Voltage at the last device
Voltage Drop % | Percentage of voltage lost

Color Coding:

  • Green: EOL voltage ≥ minimum requirement
  • Red: EOL voltage < minimum requirement (code violation)

Child Circuit Hierarchy

How Child Circuits Work

When circuits use passthrough/riser connections, child circuit devices appear in the parent circuit's PTP report.

Scenario: NAC riser circuit feeding control modules on multiple floors, each with local strobes.

Parent Circuit: L1.NAC-RISER

  • Control Module Floor 1
  • Control Module Floor 2
  • Control Module Floor 3

Child Circuits:

  • L1F1.NAC-LOCAL (Floor 1 strobes)
  • L2F1.NAC-LOCAL (Floor 2 strobes)
  • L3F1.NAC-LOCAL (Floor 3 strobes)

Report Display

L1.NAC-RISER POINT-TO-POINT REPORT

Device Label    Part No     Description         Alarm Current (A)   Voltage At Device
CM-1            NAC-4       Control Module      0.050               23.20
→ HS-1-1        P2RL        Horn/Strobe        0.177               22.80
→ HS-1-2        P2RL        Horn/Strobe        0.177               22.10
CM-2            NAC-4       Control Module      0.050               21.50
→ HS-2-1        P2RL        Horn/Strobe        0.177               21.10
→ HS-2-2        P2RL        Horn/Strobe        0.177               20.40
CM-3            NAC-4       Control Module      0.050               19.80
→ HS-3-1        P2RL        Horn/Strobe        0.177               19.40
→ HS-3-2        P2RL        Horn/Strobe        0.177               18.70

→ Indicates devices from child circuits.

Key Points:

  • Parent devices (CM-1, CM-2, CM-3) are listed first
  • Child devices immediately follow with "→" prefix
  • Voltage calculations account for all devices
  • Summary totals include both parent and child device currents

Troubleshooting

Issue: End-of-line voltage shows in red (below minimum)

Cause: Voltage drop is too high - devices at the end of the circuit receive insufficient voltage.

Solutions:

  1. Increase wire gauge: Use larger wire (lower AWG number)
    • 18 AWG → 16 AWG (reduces resistance ~37%)
    • 16 AWG → 14 AWG (reduces resistance ~37%)
  2. Reduce circuit length: Split into two shorter circuits
  3. Reduce current load: Move some devices to another circuit
  4. Increase starting voltage: Use 27.6V power supply (if panel supports)

Example Fix:

Problem: EOL voltage = 16.2V, minimum required = 16.8V
Solution: Change from 18 AWG to 16 AWG wire
Result: EOL voltage = 18.9V ✓ (meets requirement)

Issue: Spare circuit current shows red (negative or very low)

Cause: Total device current exceeds circuit capacity.

Solutions:

  1. Remove devices: Redistribute devices to other circuits
  2. Upgrade circuit card: Use higher-amperage card/module
  3. Add circuit: Install additional circuit for some devices
  4. Check device settings: Verify candela/watt settings aren't higher than needed

Issue: Child circuit devices not appearing in report

Cause 1: "Include Child Circuits" setting disabled

  • Solution: Enable in Report Settings

Cause 2: Passthrough device doesn't have "Enable Riser Connection Features" enabled

  • Solution: Enable this setting on the control module or passthrough device in Master Template Editor

Cause 3: Circuit type mismatch

  • Solution: Ensure parent and child circuits have compatible types (NAC-to-NAC, SLC-to-SLC)

Issue: Voltage calculations seem incorrect

Cause: Wire overage percentage not properly set.

Solution:

  • Verify wire overage matches your installation conditions
  • 10-15% for simple horizontal runs
  • 20-30% for complex routing with vertical risers
  • Check that actual field distances match drawing distances

Issue: Report shows no data or "empty" message

Cause 1: Circuit not marked for report generation

  • Solution: In circuit properties, enable "Generate Circuit Report"

Cause 2: Circuit has no devices

  • Solution: Add devices to circuit or verify circuit connections

Cause 3: All devices excluded from report

  • Solution: Check "Exclude From Report" flag on device properties

Issue: Report columns don't match expected layout

Cause: Custom column configuration active.

Solution:

  1. Open Options Editor → Report Settings → Report Columns
  2. Reset to default columns or customize as needed
  3. Regenerate report

Best Practices

1. Verify Wire Gauge and Resistance Values

Before generating reports, confirm wire specifications in your circuit properties:

  • Wire gauge (AWG)
  • Wire resistance (Ω per 1000 ft)
  • Wire type (FPLR, FPLP, etc.)

Incorrect wire resistance dramatically affects calculations.

2. Set Realistic Wire Overage

Use appropriate overage percentages:

  • 10-15%: Simple horizontal runs, open ceilings
  • 15-20%: Standard commercial installations
  • 20-30%: Complex routing, multiple floor penetrations, obstacles

Never use 0% overage - field installations always exceed straight-line distances.

3. Check Minimum Voltage Requirements

Verify device specifications before finalizing designs:

  • Most devices: 16V to 19V minimum
  • High-current devices (speakers, high-candela strobes): May require higher minimum
  • Check manufacturer cut sheets for exact requirements

4. Review Summary Before Detailed Report

Generate summary reports first to identify problem circuits:

  • Quickly spot circuits with low spare capacity
  • Identify high voltage drop circuits
  • Prioritize which circuits need detailed analysis

5. Document Child Circuit Relationships

For riser systems:

  • Clearly label parent and child circuits
  • Document which control modules feed which child circuits
  • Use consistent naming conventions (e.g., L1.NAC-RISER → L1F1.NAC-LOCAL)

6. Save Reports with Project Documentation

Export and archive PTP reports:

  • Include in design submittals
  • Provide to contractors for field verification
  • Keep for AHJ approval and inspections
  • Update after field changes or modifications

7. Use Custom Columns for Specific Needs

Customize report columns based on use case:

  • Installation: Add Building, Floor, Location columns
  • Commissioning: Add Address, Sequence columns
  • Maintenance: Add PDF Path, Detail Drawing columns

8. Regenerate After Design Changes

Always regenerate PTP reports when you:

  • Add or remove devices
  • Change wire gauge
  • Modify wire routing/distances
  • Adjust device current settings (candela, watts)
  • Change panel voltage or circuit capacity

Summary

The Point-to-Point (PTP) Report feature provides comprehensive voltage drop analysis for fire alarm circuits with:

  • Accurate voltage calculations at every device location
  • Customizable column selection from 50+ available fields
  • Hierarchical circuit support for riser and passthrough configurations
  • Summary and detailed views for different use cases
  • Color-coded warnings for code compliance issues
  • Professional Excel exports suitable for submittal documentation

The calculation method follows Ohm's Law and electrical engineering principles, accounting for:

  • Wire resistance based on gauge and material
  • Round-trip conductor paths (×2 factor)
  • Sequential voltage drops through the circuit
  • Current consumption by devices
  • Wire overage for realistic field conditions

By understanding the settings and calculation method, you can:

  • Design code-compliant fire alarm circuits
  • Troubleshoot voltage drop issues
  • Verify adequate capacity for all devices
  • Produce professional documentation for permitting and inspections
  • Ensure reliable operation of life safety systems

Point-to-point reports are essential for fire alarm system design, demonstrating compliance with NFPA 72 and local code requirements for voltage and current delivery to all devices.


Lump Sum Report - User Guide

FireCAD Lump Sum Report - User Guide

Overview

The Lump Sum Report aggregates fire alarm devices by part number, providing a simplified view of circuit current loads and capacity. Unlike point-to-point reports that show every device sequentially, lump sum reports group identical devices together with quantity counts, making them ideal for material takeoffs, circuit summaries, and quick capacity verification.

What is a Lump Sum Report?

A Lump Sum Report provides an aggregated view of devices on a circuit, showing:

  • Device quantities grouped by part number
  • Current consumption (Amps) per device and total
  • Circuit capacity vs. usage summary
  • Voltage drop analysis at circuit level
  • Spare capacity calculations

This format is ideal when you need to see "how many of what" rather than "where each one is located."

When to Use This Report

Use the Lump Sum report when:

  • Creating material takeoffs/bills of materials
  • Quickly verifying circuit capacity isn't exceeded
  • Comparing device quantities across circuits
  • Generating simplified reports for non-technical stakeholders
  • Performing cost estimates based on device counts
  • Reviewing overall circuit loading without location details

Report Structure

Each circuit generates a separate worksheet containing:

1. Circuit Header

  • Project name
  • Panel and circuit identification
  • Report title (e.g., "PANEL-1 NAC-1 LUMP SUM REPORT")

2. Current Summary Section

Field | Description
Max. Circuit Current (A) | Maximum current limit for the circuit
Total Circuit Current (A) | Sum of all device currents
Spare Circuit Current (A) | Remaining current capacity
Spare Circuit Current % | Percentage of unused capacity
Max. Card Current (A) (optional) | Maximum current for the panel card
Total Card Current (A) (optional) | Total current from all circuits on the card
Spare Card Current (A) (optional) | Remaining card capacity
Spare Card Current % (optional) | Percentage of unused card capacity

Color Coding:

  • 🟢 Green: Within limits (good)
  • 🔴 Red: Exceeds limits (bad)
  • ⚪ Gray: Calculated values

3. Power Summary Section

Field | Description
Starting Calc. Voltage | Voltage at circuit origin (typically 20.4V DC)
Max. Voltage Drop | Total voltage drop from start to end-of-line
Voltage Drop % | Percentage of voltage lost
Min. Operational Voltage | Minimum voltage required for devices
End Of Line Voltage | Actual voltage at the last device
Wire Resistance (Ω/kFt) | Resistance per 1000 feet for selected wire
Total Circuit Length | Total wire length including overage
Total Circuit Resistance | Total wire resistance for round-trip circuit

4. Device Summary Table

The report includes 7 default columns:

Default Columns:

1. Symbol: Device symbol (for drawing placement)

2. Quantity: Number of identical devices

3. Part No: Manufacturer part number (sorted alphabetically)

4. Description: Device description

5. Candelas: Light intensity rating (for strobes)

6. Alarm Current (A): Current per device

7. Total Current (A): Quantity × Alarm Current

Additional Available Columns (40+):

  • Drawing Id, Device Id, Entity Handle, Circuit Device Id
  • Block Name, Device Label, Is Existing
  • Manufacturer, Model, Building, Floor, Location
  • Category, Product Line, CSFM, Approvals
  • Size, Mounting, Trim, Box, Watts, Decibels
  • Nominal/Minimum Voltage, List Price
  • Remaining Standby/Alarm Current
  • Distance/Resistance From Previous
  • Address information, Branch numbers
  • PDF Path, Detail Drawing Path
  • Custom/Entity Properties

5. Circuit Wiring Properties

Shows the selected cable type and specifications

6. Distance Measurement Note

Displays wire overage percentage if configured

7. Calculation Methods

Total Resistance (Ω) = Wire Resistance (Ω/Ft) × 2 × Total Circuit Length (Ft)
Total Voltage Drop = Total Resistance (Ω) × Total Circuit Current (A)

8. Child Circuit Notation (optional)

If hierarchical circuits are included:

  • Asterisk (*) after part number indicates devices include child circuit quantities
  • Footnote explains aggregation includes parent and child totals

User-Configurable Options

Access settings through: FireCAD Report Settings Lump Sum Options

1. Report Column Selection

  • Default: 7 pre-selected columns
  • Available: 40+ additional columns
  • Customize: Add/remove columns, adjust widths, set sort order

2. Report Layout Options

Option | Description | Default
All Caps | Convert all text to uppercase | Off
Use Short Description | Abbreviate device descriptions | Off
Set Precision | Apply custom number formatting | Off
Overall Report Width Units | Unit for table sizing | Auto

3. Circuit Hierarchy Options

Option | Description
Default | Include Child Circuits
Aggregate devices from passthrough child circuits | Off

When enabled:

  • Devices from child circuits are included in quantity counts
  • Part numbers shared across parent/child show combined totals
  • Asterisk (*) marks part numbers with child circuit devices

4. Summary Options

Option | Description
Default | Include Card Totals
Show panel card capacity summary | Off

5. Circuit Filtering

Option | Description
Default | Ignore Empty Circuits
Skip circuits with no devices | Off

6. Project Settings (inherited)

  • Current Precision: Decimal places for amperage (typically 3)
  • Voltage Precision: Decimal places for voltage (typically 2)
  • Length Precision: Decimal places for distances (typically 1)
  • Wire Overage Percent: Additional length calculation (typically 15%)
  • Units: Feet or Meters

Calculation Methods Explained

1. Total Resistance Calculation

Total Resistance (Ω) = Wire Resistance (Ω/kFt) × 2 × Total Circuit Length (Ft) / 1000

The ×2 factor accounts for round-trip current flow.

Example:

  • Wire: 16 AWG (4.0 Ω/kFt)
  • Total Circuit Length: 350 feet
  • Total Resistance: 4.0 × 2 × 350 / 1000 = 2.8Ω

2. Total Voltage Drop Calculation

Total Voltage Drop (V) = Total Resistance (Ω) × Total Circuit Current (A)

Calculates worst-case voltage loss across entire circuit.

Example:

  • Total Resistance: 2.8Ω
  • Total Circuit Current: 1.2A
  • Total Voltage Drop: 2.8 × 1.2 = 3.36V

3. End of Line Voltage Calculation

End Of Line Voltage = Starting Voltage - Total Voltage Drop

Example:

  • Starting Voltage: 20.4V
  • Total Voltage Drop: 3.36V
  • End Of Line Voltage: 20.4 - 3.36 = 17.04V

Complete Example

Circuit Configuration:

  • Panel: FACP-1
  • Circuit: NAC-2
  • Starting Voltage: 20.4V DC
  • Wire: 16 AWG (4.0 Ω/kFt)
  • Total Circuit Length: 350 feet (includes 15% overage)
  • Max Circuit Current: 3.0A
  • Min Operational Voltage: 16V

Devices on Circuit:

  • 10× P2RL (Speaker/Strobe) @ 0.177A each
  • 5× HS24-15/75 (Horn/Strobe) @ 0.150A each
  • 8× S2-15/75 (Strobe Only) @ 0.050A each
  • 1× EOL-R (End of Line) @ 0A

Calculations:

Total Circuit Current:

= (10 × 0.177) + (5 × 0.150) + (8 × 0.050) + (1 × 0)
= 1.770 + 0.750 + 0.400 + 0
= 2.920 A

Total Resistance:

= 4.0 × 2 × 350 / 1000
= 2.8 Ω

Total Voltage Drop:

= 2.8 × 2.920
= 8.176 V

End Of Line Voltage:

= 20.4 - 8.176
= 12.224 V ❌ (Below 16V minimum!)

Lump Sum Report Table:

Symbol | Qty | Part No | Description | Candelas | Current (A) | Total (A)
[SYM] | 1 | EOL-R | End of Line | - | 0.000 | 0.000
[SYM] | 5 | HS24-15/75 | Horn/Strobe | 15/75 | 0.150 | 0.750
[SYM] | 10 | P2RL | Speaker/Strobe | - | 0.177 | 1.770
[SYM] | 8 | S2-15/75 | Strobe Only | 15/75 | 0.050 | 0.400

Summary Results:

  • ✅ Total Circuit Current: 2.920A (within 3.0A limit)
  • ❌ End Of Line Voltage: 12.22V (below 16V minimum)
  • ❌ Voltage Drop: 40.1% (exceeds 10-15% typical limit)

Action Required: Increase wire gauge or split circuit to reduce voltage drop.

Troubleshooting Common Issues

Issue 1: Voltage Drop Too High

Symptoms:

  • End of line voltage below minimum
  • Voltage drop percentage exceeds 10-15%

Solutions:

  • Increase wire gauge (16 AWG → 14 AWG → 12 AWG)
  • Reduce circuit length by splitting into multiple circuits
  • Reduce total current by removing devices or using lower-current alternatives

Issue 2: Circuit Current Exceeded

Symptoms:

  • Total Circuit Current exceeds Max Circuit Current
  • Red highlighting on current values

Solutions:

  • Split circuit into two circuits
  • Verify circuit limit is correctly configured
  • Reduce number of high-current devices

Issue 3: Device Quantities Don't Match Field Count

Symptoms:

  • Report shows different quantities than installed

Solutions:

  • Verify all devices are properly assigned to circuits
  • Check for duplicate devices with slightly different part numbers
  • Enable "Include Child Circuits" if using passthrough devices

Issue 4: Missing Part Numbers

Symptoms:

  • Some devices appear, others don't

Possible Causes:

  • Devices marked as "Exclude From Report" in device properties
  • Devices on wrong circuit
  • Missing or erased devices in drawing

Solutions:

  • Check device properties "Exclude From Report" flag
  • Verify circuit assignments
  • Use circuit editor to review device list

Best Practices

1. Wire Sizing

  • Size wire based on total circuit current, not individual devices
  • Keep voltage drop under 10% (15% maximum for some applications)
  • Account for worst-case scenario (all devices in alarm)

2. Circuit Planning

  • Leave 25% spare current capacity for future additions
  • Don't exceed circuit limits even with adequate voltage
  • Consider card capacity when using multiple circuits

3. Material Takeoffs

  • Export to Excel for cost estimates
  • Include spare devices in purchase orders
  • Cross-reference with point-to-point reports for verification

4. Documentation

  • Generate lump sum reports for submittal packages
  • Include with point-to-point reports for complete documentation
  • Update reports after field modifications

Understanding Lump Sum vs. Point-to-Point

Use Lump Sum Reports When:

  • Need device quantities for ordering
  • Performing cost estimates
  • Verifying overall circuit capacity
  • Creating simplified circuit summaries
  • Don't need device locations

Use Point-to-Point Reports When:

  • Need to verify voltage at each device location
  • Troubleshooting specific device issues
  • Optimizing wire routing
  • Detailed voltage drop analysis required
  • AHJ requires sequential device documentation

Use Both When:

  • Creating complete submittal packages
  • Both summary and detailed analysis needed
  • Verifying calculations from different perspectives

Frequently Asked Questions

Q1: Why don't quantities match my device count?

Check:

  • Devices may be on different circuits
  • Duplicate part numbers with slight variations
  • Devices marked "Exclude From Report"
  • Child circuits not included (if using passthrough devices)

Q2: What does the asterisk (*) on part numbers mean?

The asterisk indicates that devices from child circuits are included in the quantity count for that part number. Enable this feature with "Include Child Circuits" option.

Q3: Can I customize which columns appear?

Yes! Use Report Settings Lump Sum Options Column Selection to:

  • Add/remove columns
  • Change column order
  • Adjust column widths
  • Set sort preferences

Q4: How accurate is the voltage drop calculation?

Lump sum voltage drop is a worst-case approximation:

  • Assumes all wire length is at circuit extremes
  • Doesn't account for actual device positions
  • Use point-to-point reports for precise voltage analysis
  • Good for initial verification and capacity planning

Q5: Should I include card totals?

Include card totals when:

  • Using multi-circuit amplifier cards
  • Need to verify card isn't overloaded
  • Circuit is part of larger system

Exclude when:

  • Single circuit per output
  • Card capacity isn't a concern
  • Report becomes too cluttered

Technical Notes

Aggregation Method

Devices are grouped using:

GROUP BY PartNo, Description, Current

This means:

  • Identical part numbers are combined
  • Same devices with different descriptions stay separate
  • Devices with different currents (settings) stay separate

Calculation Accuracy

Lump sum calculations assume:

  • All current flows the full circuit length
  • Worst-case voltage drop scenario
  • No consideration of device positions
  • Conservative (safe) approach

For precise voltage analysis at each device, use point-to-point reports.

Child Circuit Aggregation

When "Include Child Circuits" is enabled:

1. System identifies passthrough devices

2. Finds child circuits originating from passthroughs

3. Aggregates all devices by part number

4. Marks part numbers with * if they span parent/child

Related Reports

  • Point-to-Point Reports: Device-by-device voltage analysis
  • Speaker Schedule: Point-to-point for speakers with dB loss
  • dB Loss Reports: Lump sum for speakers with decibel calculations
  • Battery Calculation: Backup power requirements

This guide is for FireCAD Automation Toolset users. Report formats may vary by version.


Speaker Schedule Report - User Guide

FireCAD Speaker Schedule Report - User Guide

Overview

The Speaker Schedule Report is a point-to-point electrical analysis tool designed specifically for 25V and 70V audio speaker circuits. This report is the audio circuit equivalent of the Point-to-Point Report, calculating voltage drop between each speaker and converting power loss into decibel (dB) loss to show acoustic signal attenuation. This ensures speakers will produce adequate audio output at their installed locations.

What is a Speaker Schedule?

A Speaker Schedule report shows every speaker on an audio circuit in sequential order (from amplifier to end-of-line device), calculating:

  • Wattage consumption at each speaker
  • Voltage levels throughout the circuit
  • Decibel (dB) loss from voltage drop (audio signal attenuation)
  • Wire resistance and voltage drop between speakers
  • Power summary showing circuit capacity vs. usage

Key Distinction: This report uses the same voltage drop calculation method as Point-to-Point Reports, but converts the electrical power loss into decibel loss for audio circuit analysis.

When to Use This Report

Use the Speaker Schedule report when:

  • Designing 25V or 70V audio speaker circuits
  • Verifying audio output levels (dB) will meet code requirements
  • Troubleshooting voltage drop issues on speaker circuits
  • Documenting speaker circuit performance for AHJ approval
  • Checking if speakers will receive adequate voltage/power
  • Analyzing circuits with mixed speaker wattages and tap settings

Report Structure

Each circuit generates a separate worksheet containing:

1. Circuit Header

  • Project name
  • Panel and circuit identification
  • Report title (e.g., "PANEL-1 SPEAKER-1 SPEAKER SCHEDULE")

2. Wattage Summary Section

Field | Description
Max. Circuit Watts | Maximum wattage limit for the audio circuit
Total Circuit Watts | Sum of all speaker wattages on the circuit
Spare Circuit Watts | Remaining wattage capacity (Max - Total)
Spare Circuit Watts % | Percentage of unused capacity
Max. Card Watts (optional) | Maximum wattage for the amplifier card
Total Card Watts (optional) | Total watts from all circuits on the amplifier
Spare Card Watts (optional) | Remaining amplifier capacity
Spare Card Watts % (optional) | Percentage of unused amplifier capacity

Color Coding:

  • 🟢 Green: Values within acceptable limits (good)
  • 🔴 Red: Values exceeding limits or below minimum (bad)
  • ⚪ Gray: Calculated/output values

3. Power Summary Section

Field | Description
Starting Calc. Voltage | Voltage at circuit origin (typically 25V or 70V)
Max. Voltage Drop | Total voltage drop from start to end-of-line
Voltage Drop % | Percentage of voltage lost
Min. Operational Voltage | Minimum voltage required for speakers to operate
End Of Line Voltage | Actual voltage at the last speaker
Max. dB Loss | Total decibel loss from start to end of circuit
Wire Resistance (Ω/kFt) | Resistance per 1000 feet for selected wire gauge
Total Circuit Length | Total wire length including overage percentage
Total Circuit Resistance | Total wire resistance for round-trip circuit

4. Device Table

The report includes 13 default columns showing detailed information for each speaker:

Default Columns:

1. Device Label: Speaker address/location label

2. Part No: Manufacturer part number

3. Description: Speaker description

4. Candelas: Light intensity rating (for speaker/strobes only)

5. Watts: Power consumption in watts (tap setting)

6. Remaining Watts: Total watts from downstream speakers

7. Distance From Previous: Wire distance to previous speaker

8. Resistance From Previous (Ω): Wire resistance to previous speaker

9. Voltage Drop From Previous: Voltage lost in wire segment

10. Voltage At Device: Voltage available at this speaker

11. Total Voltage Drop: Cumulative voltage drop from circuit start

12. dB Loss From Previous: Decibel loss in this wire segment

13. Total dB Loss: Cumulative dB loss from circuit start

Calculation Methods Explained

1. Watts To Amps Conversion

Why This Conversion is Necessary

Voltage drop calculations require current (Amperes) because of Ohm's Law: V = I × R. However, speakers are rated by power consumption (Watts), not current. This conversion bridges the gap between speaker specifications and electrical circuit analysis.

The fundamental relationship:

Power (Watts) = Voltage (Volts) × Current (Amps)
P = V × I

Therefore:
Current (Amps) = Power (Watts) / Voltage (Volts)
I = P / V

Understanding Constant Voltage Audio Systems

25V and 70V audio systems are constant voltage distribution systems where the amplifier maintains a fixed RMS voltage on the circuit, regardless of the number of speakers connected (within the amplifier's power capacity).

Key Characteristics:

  • 25V systems: Amplifier outputs 25V RMS continuously
  • 70V systems: Amplifier outputs 70V RMS continuously
  • Speakers connect in parallel across the constant voltage line
  • Each speaker draws current based on its wattage tap setting
  • Total current = sum of all individual speaker currents

This is fundamentally different from traditional audio systems where voltage varies with signal level.

Speaker Tap Settings

Most commercial speakers for fire alarm voice evacuation have multiple tap settings - internal transformers that allow you to select the power level:

Common 25V Speaker Taps:

  • 0.25W, 0.5W, 1W, 2W, 4W, 8W

Common 70V Speaker Taps:

  • 0.5W, 1W, 2W, 4W, 8W, 15W, 30W

Each tap setting draws a different current:

For 25V speakers:

0.25W tap: I = 0.25 / 25 = 0.010 A (10 mA)
0.5W tap:  I = 0.5 / 25  = 0.020 A (20 mA)
1.0W tap:  I = 1.0 / 25  = 0.040 A (40 mA)
2.0W tap:  I = 2.0 / 25  = 0.080 A (80 mA)
4.0W tap:  I = 4.0 / 25  = 0.160 A (160 mA)

For 70V speakers:

0.5W tap:  I = 0.5 / 70  = 0.007 A (7 mA)
1.0W tap:  I = 1.0 / 70  = 0.014 A (14 mA)
2.0W tap:  I = 2.0 / 70  = 0.029 A (29 mA)
4.0W tap:  I = 4.0 / 70  = 0.057 A (57 mA)
8.0W tap:  I = 8.0 / 70  = 0.114 A (114 mA)

Notice: 70V systems draw less current for the same wattage, which allows smaller wire gauges or longer circuit runs.

Practical Implications for Circuit Design

Higher wattage taps = More current = More voltage drop:

Example Circuit: 10 speakers, 400 feet of 18 AWG wire (6.5 Ω/kFt)

Scenario 1: All speakers at 1W tap (25V)

Total Watts: 10 × 1.0W = 10.0W
Total Current: 10.0W / 25V = 0.40A
Wire Resistance: 6.5 × 2 × 400 / 1000 = 5.2Ω
Voltage Drop: 5.2Ω × 0.40A = 2.08V
End Voltage: 25V - 2.08V = 22.92V ✅ (Good!)

Scenario 2: All speakers at 2W tap (25V)

Total Watts: 10 × 2.0W = 20.0W
Total Current: 20.0W / 25V = 0.80A
Wire Resistance: 6.5 × 2 × 400 / 1000 = 5.2Ω
Voltage Drop: 5.2Ω × 0.80A = 4.16V
End Voltage: 25V - 4.16V = 20.84V ⚠️ (Marginal)

Scenario 3: All speakers at 4W tap (25V)

Total Watts: 10 × 4.0W = 40.0W
Total Current: 40.0W / 25V = 1.60A
Wire Resistance: 6.5 × 2 × 400 / 1000 = 5.2Ω
Voltage Drop: 5.2Ω × 1.60A = 8.32V
End Voltage: 25V - 8.32V = 16.68V ❌ (Too low!)

Key Lesson: Selecting appropriate speaker taps is critical. Use the lowest tap setting that meets sound pressure level (SPL) requirements to minimize current draw and voltage drop.

Why Not Just Use Watts Directly?

You might wonder: "Why convert to amps at all? Why not calculate voltage drop directly from watts?"

Answer: Voltage drop is governed by Ohm's Law (V = I × R), which requires current and resistance. Wire resistance doesn't directly interact with power - it interacts with current flow. The conversion is a necessary step in the calculation chain:

Step 1: Watts → Amps (using circuit voltage)
Step 2: Amps + Wire Resistance → Voltage Drop (using Ohm's Law)
Step 3: Voltage Drop → dB Loss (using logarithmic formula)

Formula Summary

Current (A) = Speaker Watts / Starting Voltage

For Speaker Schedule reports:

  • Converts each individual speaker's watts to current
  • Used to calculate voltage drop in each wire segment
  • Accounts for "Remaining Watts" (downstream speakers)

Example:

  • Speaker: 2.0W (25V tap)
  • Starting Voltage: 25V
  • Current: 2.0 ÷ 25 = 0.08A (80 mA)

2. Wire Resistance Calculation

Resistance (Ω) = Wire Resistance (Ω/kFt) × 2 × Distance (Ft) / 1000

The ×2 factor accounts for round-trip current flow (out and back).

Example:

  • Wire: 18 AWG (6.5 Ω/kFt)
  • Distance: 75 feet
  • Resistance: 6.5 × 2 × 75 / 1000 = 0.975Ω

3. Voltage Drop Calculation

Voltage Drop (V) = Resistance (Ω) × Remaining Current (A)

Uses Ohm's Law with remaining downstream load.

Remaining Current = Total current from all speakers downstream from this point

Example:

  • Resistance: 0.975Ω
  • Remaining Current: 0.48A (6 speakers × 0.08A each)
  • Voltage Drop: 0.975 × 0.48 = 0.468V

4. dB Loss From Previous Device

dB Loss = 20 × Log₁₀(Voltage At Previous / Voltage At Device)

Calculates audio signal attenuation between speakers.

Example:

  • Voltage at previous speaker: 25.0V
  • Voltage at current speaker: 24.53V
  • dB Loss: 20 × Log₁₀(25.0 / 24.53) = 0.33 dB

5. Total dB Loss

Total dB Loss = 20 × Log₁₀(Voltage At Device / Starting Voltage)

Cumulative audio attenuation from circuit start.

Example:

  • Starting voltage: 25V
  • Voltage at speaker: 24.1V
  • Total dB Loss: 20 × Log₁₀(24.1 / 25) = -0.63 dB

Complete Example - 25V Speaker Circuit

Circuit Configuration:

  • Amplifier: Audio Amplifier Panel
  • Circuit: SPKR-1
  • Starting Voltage: 25V (constant voltage audio system)
  • Wire: 18 AWG (6.5 Ω/kFt)
  • Wire Overage: 15%
  • Max Circuit Watts: 100W
  • Min Operational Voltage: 19V

Devices (All Speakers):

1. SPK-1 (Ceiling Speaker): SP-C25, 2.0W tap, 75ft from amplifier

2. SPK-2 (Ceiling Speaker): SP-C25, 2.0W tap, 65ft from SPK-1

3. SPK-3 (Wall Speaker): SP-W15, 1.5W tap, 80ft from SPK-2

4. SPK-4 (Wall Speaker): SP-W15, 1.5W tap, 70ft from SPK-3

5. SPK-5 (Ceiling Speaker): SP-C10, 1.0W tap, 60ft from SPK-4

6. SPK-6 (Ceiling Speaker): SP-C10, 1.0W tap, 55ft from SPK-5

7. EOL (End of Line): EOL-R, 0W, 40ft from SPK-6

Calculations:

Speaker 1 (SPK-1):

Distance: 75 ft
Resistance: 6.5 × 2 × 75 / 1000 = 0.975 Ω
Remaining Current: (2+2+1.5+1.5+1+1) / 25 = 9.0W / 25V = 0.360 A
Voltage Drop: 0.975 × 0.360 = 0.351 V
Voltage at Device: 25.0 - 0.351 = 24.65 V
dB Loss: 20 × Log₁₀(25.0 / 24.65) = 0.25 dB

Speaker 2 (SPK-2):

Distance: 65 ft
Resistance: 6.5 × 2 × 65 / 1000 = 0.845 Ω
Remaining Current: (2+1.5+1.5+1+1) / 25 = 7.0W / 25V = 0.280 A
Voltage Drop: 0.845 × 0.280 = 0.237 V
Voltage at Device: 24.65 - 0.237 = 24.41 V
dB Loss: 20 × Log₁₀(24.65 / 24.41) = 0.17 dB

Speaker 3 (SPK-3):

Distance: 80 ft
Resistance: 6.5 × 2 × 80 / 1000 = 1.040 Ω
Remaining Current: (1.5+1.5+1+1) / 25 = 5.0W / 25V = 0.200 A
Voltage Drop: 1.040 × 0.200 = 0.208 V
Voltage at Device: 24.41 - 0.208 = 24.20 V
dB Loss: 20 × Log₁₀(24.41 / 24.20) = 0.15 dB

Speaker 4 (SPK-4):

Distance: 70 ft
Resistance: 6.5 × 2 × 70 / 1000 = 0.910 Ω
Remaining Current: (1.5+1+1) / 25 = 3.5W / 25V = 0.140 A
Voltage Drop: 0.910 × 0.140 = 0.127 V
Voltage at Device: 24.20 - 0.127 = 24.07 V
dB Loss: 20 × Log₁₀(24.20 / 24.07) = 0.09 dB

Speaker 5 (SPK-5):

Distance: 60 ft
Resistance: 6.5 × 2 × 60 / 1000 = 0.780 Ω
Remaining Current: (1+1) / 25 = 2.0W / 25V = 0.080 A
Voltage Drop: 0.780 × 0.080 = 0.062 V
Voltage at Device: 24.07 - 0.062 = 24.01 V
dB Loss: 20 × Log₁₀(24.07 / 24.01) = 0.04 dB

Speaker 6 (SPK-6):

Distance: 55 ft
Resistance: 6.5 × 2 × 55 / 1000 = 0.715 Ω
Remaining Current: 1.0W / 25V = 0.040 A
Voltage Drop: 0.715 × 0.040 = 0.029 V
Voltage at Device: 24.01 - 0.029 = 23.98 V
dB Loss: 20 × Log₁₀(24.01 / 23.98) = 0.02 dB

End of Line (EOL):

Distance: 40 ft
Remaining Current: 0 A (no speakers downstream)
Voltage Drop: 0 V
Voltage at Device: 23.98 V
Total Voltage Drop: 1.02 V (4.08%)
Total dB Loss: -0.15 dB

Final Report Table:

Device | Part No | Description | Watts | Remaining | Dist | Resistance | V Drop | Voltage | Total Drop | dB Loss | Total dB
SPK-1 | SP-C25 | Ceiling Speaker | 2.0 | 9.0 | 75 | 0.975 | 0.35 | 24.65 | 0.35 | 0.25 | -0.25
SPK-2 | SP-C25 | Ceiling Speaker | 2.0 | 7.0 | 65 | 0.845 | 0.24 | 24.41 | 0.59 | 0.17 | -0.42
SPK-3 | SP-W15 | Wall Speaker | 1.5 | 5.0 | 80 | 1.040 | 0.21 | 24.20 | 0.80 | 0.15 | -0.57
SPK-4 | SP-W15 | Wall Speaker | 1.5 | 3.5 | 70 | 0.910 | 0.13 | 24.07 | 0.93 | 0.09 | -0.66
SPK-5 | SP-C10 | Ceiling Speaker | 1.0 | 2.0 | 60 | 0.780 | 0.06 | 24.01 | 0.99 | 0.04 | -0.70
SPK-6 | SP-C10 | Ceiling Speaker | 1.0 | 1.0 | 55 | 0.715 | 0.03 | 23.98 | 1.02 | 0.02 | -0.72
EOL | EOL-R | End of Line | 0.0 | 0.0 | 40 | 0.520 | 0.00 | 23.98 | 1.02 | 0.00 | -0.15

Summary Results:

  • ✅ Total Circuit Watts: 9.0W (well under 100W limit)
  • ✅ End Of Line Voltage: 23.98V (above 19V minimum)
  • ✅ Max. dB Loss: -0.15 dB (excellent - well under -1.5 dB limit)
  • ✅ Voltage Drop: 4.08% (excellent - typically max 10-15%)

Understanding 25V vs. 70V Systems

25V Systems (Constant Voltage Audio)

  • Typical Starting Voltage: 25V RMS
  • Common Applications: Fire alarm voice evacuation, background music, paging
  • Typical Power Range: 0.25W to 10W per speaker
  • Wire Gauge: Usually 18-16 AWG for most installations
  • Max dB Loss: -1.5 dB typical, -1.0 dB for critical voice evacuation

70V Systems (Constant Voltage Audio)

  • Typical Starting Voltage: 70V RMS
  • Common Applications: Large buildings, long wire runs, high-power speakers
  • Typical Power Range: 0.5W to 30W per speaker
  • Wire Gauge: Can use smaller wire due to lower current
  • Max dB Loss: Same as 25V (-1.5 dB typical)

Advantage of 70V: Lower current for same wattage allows smaller wire gauge or longer runs.

Frequently Asked Questions

Q1: Why does my starting voltage show 25V instead of 24V?

25V and 70V are constant voltage audio distribution systems, not to be confused with:

  • 24V DC fire alarm notification circuits (NAC circuits)
  • These are different circuit types with different purposes
  • 25V/70V systems are specifically for audio/speaker distribution
  • Some panels may use 20.4V for audio circuits

Q2: What's the difference between Speaker Schedule and Point-to-Point Reports?

Speaker Schedule:

  • For 25V/70V audio speaker circuits only
  • Uses wattage-based calculations
  • Converts voltage drop to dB loss for audio analysis
  • Shows acoustic signal attenuation

Point-to-Point:

  • For standard 24V DC notification circuits (horns, strobes, horn/strobes)
  • Uses current (Amps) based calculations
  • Shows voltage drop only (no dB conversion)
  • No acoustic analysis needed

Both use the same voltage drop calculation method - Speaker Schedule just adds the dB loss conversion.

Q3: What is an acceptable dB loss?

Typical Limits:

  • Voice Evacuation Systems: -1.0 dB maximum
  • Standard Speaker Circuits: -1.5 dB maximum
  • General Audio/Paging: -2.0 dB may be acceptable

Best Practice: Target -1.0 dB or better to allow safety margin.

Q4: Can I use Speaker Schedule for horn/strobe circuits?

No. Speaker Schedule is specifically for audio speaker circuits. Use:

  • Speaker Schedule: Audio speakers on 25V/70V circuits
  • Point-to-Point: Horn/strobe/notification appliances on 24V DC circuits

Q5: What does "Remaining Watts" mean?

"Remaining Watts" represents the total power load from all speakers downstream from that point in the circuit. It's used to calculate equivalent current for voltage drop:

Remaining Current = Remaining Watts / Circuit Voltage

This is the audio circuit equivalent of "Remaining Current" in Point-to-Point reports.

Technical Notes

Relationship to Point-to-Point Reports

The Speaker Schedule uses identical voltage drop calculations to Point-to-Point Reports:

1. Calculate current from power: I = W / V

2. Calculate wire resistance: R = ρ × 2 × L

3. Calculate voltage drop: ΔV = R × I

The key difference: Speaker Schedule adds one more step:

4. Convert voltage drop to dB loss: dB = 20 × Log₁₀(V₁ / V₂)

This conversion is necessary because audio signal attenuation is measured in decibels, not volts.

Decibel Loss Formula

dB = 20 × Log₁₀(V₁ / V₂)

Why logarithmic?

  • Human hearing perceives sound logarithmically
  • -3 dB = 50% sound pressure (sounds "half as loud")
  • -6 dB = 25% sound pressure
  • -10 dB = ~30% perceived loudness

Related Reports

  • dB Loss Reports: Lump sum version of Speaker Schedule (aggregated by part number)
  • Point-to-Point Reports: Same calculation method for standard NAC circuits (no dB conversion)
  • Lump Sum Reports: Aggregated current-based for standard NAC circuits
  • Battery Calculation: Backup power requirements for all circuits

This guide is for FireCAD Automation Toolset users working with 25V/70V audio speaker circuits.


Decibel Loss Report - User Guide

FireCAD dB Loss Report - User Guide

Overview

The dB Loss Report is a lump sum-style aggregated report designed specifically for 25V and 70V audio speaker circuits. This report is the audio circuit equivalent of the Lump Sum Report, combining wattage-based calculations with decibel (dB) loss analysis. It groups speakers by part number while showing acoustic signal attenuation, making it ideal for speaker circuit material takeoffs with audio performance verification.

What is a dB Loss Report?

A dB Loss Report provides an aggregated view of speakers on an audio circuit, showing:

  • Speaker quantities grouped by part number
  • Wattage consumption per speaker and totals
  • Decibel (dB) loss from voltage drop
  • Circuit capacity vs. usage (watts-based)
  • Voltage drop summary with audio impact

Key Distinction: This report uses the same aggregation method as Lump Sum Reports, but for audio speaker circuits with wattage calculations and dB loss conversion.

When to Use This Report

Use the dB Loss report when:

  • Creating material takeoffs for 25V/70V speaker circuits
  • Verifying audio performance meets requirements
  • Quickly checking circuit wattage capacity
  • Generating simplified speaker circuit summaries
  • Performing cost estimates for speaker installations
  • Comparing speaker quantities across multiple circuits
  • Need both speaker counts AND audio performance verification

Report Structure

Each circuit generates a separate worksheet containing:

1. Circuit Header

  • Project name
  • Panel and circuit identification
  • Report title (e.g., "PANEL-1 SPKR-1 DB LOSS REPORT")

2. Wattage Summary Section

Field | Description
Max. Circuit Watts | Maximum wattage limit for the audio circuit
Total Circuit Watts | Sum of all speaker wattages
Spare Circuit Watts | Remaining wattage capacity
Spare Circuit Watts % | Percentage of unused capacity
Max. Card Watts (optional) | Maximum wattage for the amplifier card
Total Card Watts (optional) | Total watts from all circuits on amplifier
Spare Card Watts (optional) | Remaining amplifier capacity
Spare Card Watts % (optional) | Percentage of unused amplifier capacity

Color Coding:

  • 🟢 Green: Within limits (good)
  • 🔴 Red: Exceeds limits or below -1.5 dB (bad)
  • ⚪ Gray: Calculated values

3. Power Summary Section

Field | Description
Starting Calc. Voltage | Voltage at circuit origin (typically 25V or 70V)
Max. dB Loss | Total decibel loss from start to end-of-line
Voltage Drop % | Percentage of voltage lost
Min. Operational Voltage | Minimum voltage required for speakers
End Of Line Voltage | Actual voltage at the last speaker
Wire Resistance (Ω/kFt) | Resistance per 1000 feet for selected wire
Total Circuit Length | Total wire length including overage
Total Circuit Resistance | Total wire resistance for round-trip circuit

4. Device Summary Table

The report includes 6 default columns:

Default Columns:

1. Symbol: Speaker symbol (for drawing placement)

2. Quantity: Number of identical speakers

3. Part No: Manufacturer part number (sorted alphabetically)

4. Description: Speaker description

5. Watts: Power consumption per speaker (tap setting)

6. Total Watts: Quantity × Watts

Calculation Methods Explained

1. Watts To Amps Conversion

Why This Conversion is Necessary

Voltage drop calculations require current (Amperes) because of Ohm's Law: V = I × R. However, speakers are rated by power consumption (Watts), not current. This conversion bridges the gap between speaker specifications and electrical circuit analysis.

The fundamental relationship:

Power (Watts) = Voltage (Volts) × Current (Amps)
P = V × I

Therefore:
Current (Amps) = Power (Watts) / Voltage (Volts)
I = P / V

Understanding Constant Voltage Audio Systems

25V and 70V audio systems are constant voltage distribution systems where the amplifier maintains a fixed RMS voltage on the circuit, regardless of the number of speakers connected (within the amplifier's power capacity).

Key Characteristics:

  • 25V systems: Amplifier outputs 25V RMS continuously
  • 70V systems: Amplifier outputs 70V RMS continuously
  • Speakers connect in parallel across the constant voltage line
  • Each speaker draws current based on its wattage tap setting
  • Total current = sum of all individual speaker currents

This is fundamentally different from traditional audio systems where voltage varies with signal level.

Speaker Tap Settings

Most commercial speakers for fire alarm voice evacuation have multiple tap settings - internal transformers that allow you to select the power level:

Common 25V Speaker Taps:

  • 0.25W, 0.5W, 1W, 2W, 4W, 8W

Common 70V Speaker Taps:

  • 0.5W, 1W, 2W, 4W, 8W, 15W, 30W

Each tap setting draws a different current:

For 25V speakers:

0.25W tap: I = 0.25 / 25 = 0.010 A (10 mA)
0.5W tap:  I = 0.5 / 25  = 0.020 A (20 mA)
1.0W tap:  I = 1.0 / 25  = 0.040 A (40 mA)
2.0W tap:  I = 2.0 / 25  = 0.080 A (80 mA)
4.0W tap:  I = 4.0 / 25  = 0.160 A (160 mA)

For 70V speakers:

0.5W tap:  I = 0.5 / 70  = 0.007 A (7 mA)
1.0W tap:  I = 1.0 / 70  = 0.014 A (14 mA)
2.0W tap:  I = 2.0 / 70  = 0.029 A (29 mA)
4.0W tap:  I = 4.0 / 70  = 0.057 A (57 mA)
8.0W tap:  I = 8.0 / 70  = 0.114 A (114 mA)

Notice: 70V systems draw less current for the same wattage, which allows smaller wire gauges or longer circuit runs.

Practical Implications for Circuit Design

Higher wattage taps = More current = More voltage drop:

Example Circuit: 10 speakers, 400 feet of 18 AWG wire (6.5 Ω/kFt)

Scenario 1: All speakers at 1W tap (25V)

Total Watts: 10 × 1.0W = 10.0W
Total Current: 10.0W / 25V = 0.40A
Wire Resistance: 6.5 × 2 × 400 / 1000 = 5.2Ω
Voltage Drop: 5.2Ω × 0.40A = 2.08V
End Voltage: 25V - 2.08V = 22.92V ✅ (Good!)
dB Loss: 20 × Log₁₀(22.92 / 25) = -0.75 dB ✅

Scenario 2: All speakers at 2W tap (25V)

Total Watts: 10 × 2.0W = 20.0W
Total Current: 20.0W / 25V = 0.80A
Wire Resistance: 6.5 × 2 × 400 / 1000 = 5.2Ω
Voltage Drop: 5.2Ω × 0.80A = 4.16V
End Voltage: 25V - 4.16V = 20.84V ⚠️ (Marginal)
dB Loss: 20 × Log₁₀(20.84 / 25) = -1.58 dB ❌ (Exceeds -1.5 dB)

Scenario 3: All speakers at 4W tap (25V)

Total Watts: 10 × 4.0W = 40.0W
Total Current: 40.0W / 25V = 1.60A
Wire Resistance: 6.5 × 2 × 400 / 1000 = 5.2Ω
Voltage Drop: 5.2Ω × 1.60A = 8.32V
End Voltage: 25V - 8.32V = 16.68V ❌ (Too low!)
dB Loss: 20 × Log₁₀(16.68 / 25) = -3.53 dB ❌ (Far exceeds limit)

Key Lesson: Selecting appropriate speaker taps is critical. Use the lowest tap setting that meets sound pressure level (SPL) requirements to minimize current draw, voltage drop, and dB loss.

Advantages of 70V Systems

Same circuit with 70V instead of 25V:

70V System - All speakers at 2W tap:

Total Watts: 10 × 2.0W = 20.0W (same total power)
Total Current: 20.0W / 70V = 0.286A (much less current!)
Wire Resistance: 6.5 × 2 × 400 / 1000 = 5.2Ω
Voltage Drop: 5.2Ω × 0.286A = 1.49V
End Voltage: 70V - 1.49V = 68.51V ✅
dB Loss: 20 × Log₁₀(68.51 / 70) = -0.19 dB ✅ (Excellent!)

This demonstrates why 70V systems are preferred for long wire runs or high-power installations.

Why Not Just Use Watts Directly?

You might wonder: "Why convert to amps at all? Why not calculate voltage drop directly from watts?"

Answer: Voltage drop is governed by Ohm's Law (V = I × R), which requires current and resistance. Wire resistance doesn't directly interact with power - it interacts with current flow. The conversion is a necessary step in the calculation chain:

Step 1: Total Watts → Total Amps (using circuit voltage)
Step 2: Amps + Total Wire Resistance → Total Voltage Drop (using Ohm's Law)
Step 3: Voltage Drop → dB Loss (using logarithmic formula)

Formula Summary

Current (A) = Total Circuit Watts / Starting Voltage

For dB Loss reports:

  • Converts total circuit wattage to equivalent current
  • Used to calculate total voltage drop across entire circuit
  • Aggregated calculation (lump sum approach)

Example:

  • Total Circuit Watts: 53.0W
  • Starting Voltage: 25V
  • Equivalent Current: 53.0 ÷ 25 = 2.12A

2. Total Resistance Calculation

Total Resistance (Ω) = Wire Resistance (Ω/kFt) × 2 × Total Circuit Length (Ft) / 1000

The ×2 factor accounts for round-trip current flow.

Example:

  • Wire: 18 AWG (6.5 Ω/kFt)
  • Total Circuit Length: 460 feet
  • Total Resistance: 6.5 × 2 × 460 / 1000 = 5.98Ω

3. Total Voltage Drop Calculation

Total Voltage Drop (V) = Total Resistance (Ω) × Equivalent Current (A)

Calculates worst-case voltage loss across entire circuit.

Example:

  • Total Resistance: 5.98Ω
  • Equivalent Current: 1.2A
  • Total Voltage Drop: 5.98 × 1.2 = 7.18V

4. End Of Line Voltage Calculation

End Of Line Voltage = Starting Voltage - Total Voltage Drop

Example:

  • Starting Voltage: 25V
  • Total Voltage Drop: 7.18V
  • End Of Line Voltage: 25 - 7.18 = 17.82V

5. Max. dB Loss Calculation

Max. dB Loss = 20 × Log₁₀(End Of Line Voltage / Starting Voltage)

Calculates total acoustic signal attenuation.

Example:

  • End Of Line Voltage: 17.82V
  • Starting Voltage: 25V
  • Max. dB Loss: 20 × Log₁₀(17.82 / 25) = -2.51 dB ❌ (Exceeds -1.5 dB limit)

Complete Example - 25V Speaker Circuit

Circuit Configuration:

  • Amplifier: Audio Amplifier Panel
  • Circuit: SPKR-2
  • Starting Voltage: 25V (constant voltage audio system)
  • Wire: 18 AWG (6.5 Ω/kFt)
  • Total Circuit Length: 460 feet (includes 15% overage)
  • Max Circuit Watts: 100W
  • Min Operational Voltage: 19V

Devices on Circuit (All Speakers):

  • 15× SP-C25 (Ceiling Speaker 25V) @ 2.0W tap each
  • 10× SP-W15 (Wall Speaker 25V) @ 1.5W tap each
  • 8× SP-C10 (Ceiling Speaker 25V) @ 1.0W tap each
  • 1× EOL-R (End of Line) @ 0W

Calculations:

Total Circuit Watts:

= (15 × 2.0) + (10 × 1.5) + (8 × 1.0) + (1 × 0)
= 30.0 + 15.0 + 8.0 + 0
= 53.0 W

Watts To Amps Conversion:

= 53.0 / 25
= 2.12 A

Total Resistance:

= 6.5 × 2 × 460 / 1000
= 5.98 Ω

Total Voltage Drop:

= 5.98 × 2.12
= 12.68 V

End Of Line Voltage:

= 25 - 12.68
= 12.32 V ❌ (Below 19V minimum)

Max. dB Loss:

= 20 × Log₁₀(12.32 / 25)
= 20 × Log₁₀(0.493)
= 20 × (-0.307)
= -6.14 dB ❌ (Far exceeds -1.5 dB threshold)

dB Loss Report Table:

Symbol | Qty | Part No | Description | Watts | Total Watts
[SYM] | 1 | EOL-R | End of Line | 0.0 | 0.0
[SYM] | 8 | SP-C10 | Ceiling Speaker 25V | 1.0 | 8.0
[SYM] | 15 | SP-C25 | Ceiling Speaker 25V | 2.0 | 30.0
[SYM] | 10 | SP-W15 | Wall Speaker 25V | 1.5 | 15.0

Summary Results:

  • ✅ Total Circuit Watts: 53.0W (within 100W limit)
  • ❌ End Of Line Voltage: 12.32V (far below 19V minimum)
  • ❌ Max. dB Loss: -6.14 dB (far exceeds -1.5 dB maximum)
  • ❌ Voltage Drop: 50.7% (unacceptable - typically max 10-15%)

Action Required: Circuit design is not viable. Must increase wire gauge significantly (14 AWG or 12 AWG) or split into multiple circuits.

Corrected Example with Larger Wire

Same Configuration, Better Wire:

  • Wire: 14 AWG (2.5 Ω/kFt) instead of 18 AWG

New Calculations:

Total Resistance:

= 2.5 × 2 × 460 / 1000
= 2.30 Ω

Total Voltage Drop:

= 2.30 × 2.12
= 4.88 V

End Of Line Voltage:

= 25 - 4.88
= 20.12 V ✅ (Above 19V minimum)

Max. dB Loss:

= 20 × Log₁₀(20.12 / 25)
= -1.87 dB ⚠️ (Still exceeds -1.5 dB, but much better)

Using 12 AWG (1.6 Ω/kFt):

Total Resistance: 1.6 × 2 × 460 / 1000 = 1.47 Ω
Total Voltage Drop: 1.47 × 2.12 = 3.12 V
End Of Line Voltage: 25 - 3.12 = 21.88 V ✅
Max. dB Loss: 20 × Log₁₀(21.88 / 25) = -1.18 dB ✅ (Good!)
Voltage Drop: 12.5% (Acceptable)

Understanding Report Types

dB Loss Report (This Report)

  • Format: Lump sum (aggregated by part number)
  • Circuit Type: 25V/70V audio speaker circuits
  • Focus: Wattage and dB loss
  • Best For: Material takeoffs with audio verification
  • Shows: Quantities, watts, total dB loss
  • Equivalent To: Lump Sum Report (for NAC circuits)

Speaker Schedule Report

  • Format: Point-to-point (sequential)
  • Circuit Type: 25V/70V audio speaker circuits
  • Focus: Device-by-device voltage and dB loss
  • Best For: Detailed design verification
  • Shows: Every speaker location, incremental dB loss
  • Equivalent To: Point-to-Point Report (for NAC circuits)

Lump Sum Report

  • Format: Lump sum (aggregated by part number)
  • Circuit Type: 24V DC notification circuits (NAC)
  • Focus: Current (Amps)
  • Best For: Non-speaker notification device takeoffs
  • Shows: Quantities, current, voltage drop (no dB)

Point-to-Point Report

  • Format: Point-to-point (sequential)
  • Circuit Type: 24V DC notification circuits (NAC)
  • Focus: Current (Amps)
  • Best For: Detailed NAC design verification
  • Shows: Every device, voltage drop (no dB)

Key Relationships:

  • Speaker Schedule = Point-to-Point + dB conversion (for audio)
  • dB Loss = Lump Sum + dB conversion (for audio)

Frequently Asked Questions

Q1: What's the difference between dB Loss and Speaker Schedule?

dB Loss Report:

  • Aggregated by part number (lump sum)
  • Shows quantities and totals
  • Single dB loss value for entire circuit
  • Fast overview format
  • Audio equivalent of Lump Sum Report

Speaker Schedule:

  • Shows every speaker individually
  • Speaker locations and sequential analysis
  • Incremental dB loss at each speaker
  • Detailed troubleshooting format
  • Audio equivalent of Point-to-Point Report

Both calculate the same total dB loss, but show it differently.

Q2: Can I use dB Loss reports for horn/strobe circuits?

No. dB Loss reports are specifically for 25V/70V audio speaker circuits. Use:

  • dB Loss: Audio speakers on 25V/70V circuits only
  • Lump Sum: Horn/strobe/notification appliances on 24V DC NAC circuits

Q3: What starting voltage should I use?

25V Systems: Typical for most fire alarm voice evacuation

  • Starting voltage: 25V RMS
  • Common in smaller to medium buildings
  • Standard speaker tap settings: 0.25W, 0.5W, 1W, 2W, 4W

70V Systems: For large buildings or long wire runs

  • Starting voltage: 70V RMS
  • Allows smaller wire gauge for same wattage
  • Common speaker tap settings: 0.5W, 1W, 2W, 4W, 8W, 15W, 30W

Q4: Why is the dB loss so high in the first example?

The example intentionally shows a failed design to demonstrate:

  • 18 AWG wire is too small for 53W over 460 feet
  • High current (2.12A) causes excessive voltage drop (50.7%)
  • Voltage drop directly causes dB loss (-6.14 dB)
  • Solution: Use 12 AWG wire to reduce dB loss to -1.18 dB

This teaches the importance of proper wire sizing for audio circuits.

Q5: What is an acceptable dB loss for speaker circuits?

Typical Limits:

  • Voice Evacuation Systems: -1.0 dB maximum
  • Standard Speaker Circuits: -1.5 dB maximum
  • General Audio/Paging: -2.0 dB may be acceptable

Best Practice: Target -1.0 dB or better to allow safety margin.

Best Practices

1. Wire Sizing for Audio Circuits

  • Target: -1.0 dB or better
  • Maximum: -1.5 dB for most applications
  • Use larger wire for long runs or high-power speakers
  • Don't rely on minimum acceptable values

2. 25V vs. 70V Selection

Choose 25V when:

  • Shorter wire runs (<500>
  • Lower power speakers (<5w>
  • Standard office/commercial buildings

Choose 70V when:

  • Long wire runs (500 ft)
  • Higher power speakers (5W each)
  • Large buildings, warehouses, parking structures
  • Want to use smaller wire gauge

3. Speaker Tap Selection

  • Use lowest tap setting that meets SPL requirements
  • Higher tap = more wattage = more voltage drop = more dB loss
  • Many speakers have multiple tap options (0.5W / 1W / 2W / 4W)
  • Select appropriate tap during design phase

Technical Notes

Relationship to Lump Sum Reports

The dB Loss Report uses identical aggregation and calculation methods to Lump Sum Reports:

1. Group devices by part number: GROUP BY PartNo, Watts

2. Sum quantities and wattages

3. Calculate total resistance from circuit length

4. Calculate voltage drop from total current

The key difference: dB Loss adds one more step:

5. Convert voltage drop to dB loss: dB = 20 × Log₁₀(V₁ / V₂)

This is necessary because audio circuit performance is measured in decibels.

Wire Resistance Values for Audio Circuits

Common wire resistances (Ω per 1000 ft):

Wire Gauge | Resistance (Ω/kFt) | Typical Use
12 AWG | 1.6 | Long runs, high power
14 AWG | 2.5 | Medium runs, standard
16 AWG | 4.0 | Short runs, low power
18 AWG | 6.5 | Very short runs only

For 25V speaker circuits: 14 AWG or 12 AWG recommended for most installations.

Related Reports

  • Speaker Schedule: Point-to-point analysis for audio speaker circuits
  • Lump Sum Reports: Aggregated current-based for standard NAC circuits (no dB conversion)
  • Point-to-Point Reports: Sequential voltage analysis for NAC circuits (no dB conversion)
  • Battery Calculation: Backup power requirements for all circuits

This guide is for FireCAD Automation Toolset users working with 25V/70V audio speaker circuits.


Battery Calculation - User Guide

Battery Calculation - User Guide

Overview

The Battery Calculation feature helps you determine the correct backup battery size needed for fire alarm control panels (FACPs) and other fire safety equipment. The system automatically calculates power requirements based on your panel configuration and connected devices, then recommends appropriate battery sizes that meet code requirements.

What Does It Calculate?

The battery calculation determines:

  • Standby Current: How much power the system draws during normal operation
  • Alarm Current: How much power the system draws during a fire alarm event
  • Required Amp-Hours: Total battery capacity needed to power the system for the required standby and alarm periods
  • Battery Size Recommendation: Smallest battery that meets your requirements
  • Power Supply Capacity: Whether your power supply can handle the alarm load

Key Concepts

Standby vs. Alarm Current

  • Standby Current: The electrical current (amps) your system draws while monitoring but not in alarm. This is typically lower because devices like strobes and horns are off.
  • Alarm Current: The electrical current (amps) your system draws during an active alarm. This is typically higher because notification devices (strobes, horns, speakers) are activated.

Amp-Hours (AH)

Amp-hours measure battery capacity. It's calculated as:

Amp-Hours = Current (amps) × Time (hours)

Example: If your system draws 2 amps for 24 hours, you need at least 48 amp-hours of battery capacity.

Derating Factor

A safety multiplier (typically 1.25 or 25%) applied to your calculated battery requirement. This accounts for:

  • Battery aging and capacity loss over time
  • Temperature effects (batteries perform worse in cold conditions)
  • Manufacturing tolerances
  • Safety margin for reliability

User-Configurable Options

Global Project Settings

These settings are found in Options Editor and apply to all battery calculations in your project.

1. Battery Calc Standby (Hours)

Default: 24 hours

How long your system must operate on battery power during normal standby conditions.

  • What it means: Most fire codes require 24 hours of standby operation
  • When to change: Some jurisdictions require 60 hours or more for certain occupancies
  • Example: If set to 24 hours and your standby current is 1.5 amps, you need 1.5A × 24hrs = 36 amp-hours for standby

2. Battery Calc Alarm (Minutes)

Default: 5 minutes

How long your system must operate in full alarm condition on battery power.

  • What it means: Fire codes typically require 5 minutes of alarm operation (notification devices active)
  • When to change: Some codes require 15 minutes for certain applications or high-rise buildings
  • Example: If set to 5 minutes and your alarm current is 4 amps, you need 4A × (5/60)hrs = 0.333 amp-hours for alarm

3. Derating Factor

Default: 1.25 (25% safety margin)

Multiplier applied to the calculated battery requirement to ensure adequate capacity over the battery's lifetime.

  • What it means: Your final battery size will be 25% larger than the theoretical minimum
  • Common values:
    • 1.25 (25%) - Standard for most installations
    • 1.20 (20%) - Minimum acceptable for most codes
    • 1.30 (30%) - Conservative for harsh environments
  • Why it matters: Batteries lose capacity as they age. A new 100AH battery might only provide 80AH after several years of service.

4. Only Show Circuit Totals on Battery Calculation

Default: Unchecked (shows all device details)

Controls the level of detail shown in the battery calculation report.

Unchecked (Default): Shows every device with its individual current draw

Circuit: L1.NAC-1
  Strobe (Qty 4) - 0.150A each = 0.600A
  Horn (Qty 2) - 0.020A each = 0.040A
  Circuit Total: 0.640A

Checked (Compact): Shows only circuit totals

Circuit: L1.NAC-1
  Circuit Total: 0.640A
  • When to use compact: For large projects with hundreds of devices where you only need summary information

Report-Specific Settings

These advanced settings control report formatting and calculation details. Most users can leave these at default values.

5. Include Components With No Current

Default: Enabled

Shows panel cards and modules even if they don't draw current.

  • Why it matters: Some cards (like communication modules) may not have current values in your database but still need to be documented

6. Show Only Current Totals

Default: Disabled

Alternative to "Only Show Circuit Totals" - aggregates devices by part number.

  • Example: Instead of listing "Strobe at Address 1, Strobe at Address 2, Strobe at Address 3", shows "Strobe (Qty 3)"

7. Include Circuits With No Current

Default: Enabled

Shows circuits that have no devices or devices with zero current draw.

  • Why it matters: You may want to see unused/spare circuits for documentation purposes

8. Include Card Totals

Default: Enabled

Displays card capacity utilization columns (MAX/USED/SPARE) for circuits.

Example:

Circuit: L1.SLC-1   MAX: 25A   USED: 12.5A   SPARE: 12.5A

9. Use Short Description

Default: Disabled

Uses abbreviated device descriptions to save space in reports.

  • Example: "Smoke Detector, Photoelectric, 4-Wire" becomes "Smoke Det, Photo, 4W"

10. Set Precision

Default: Enabled

Applies number formatting to maintain consistent decimal places.

  • Current values: 6 decimal places (0.150000A)
  • Voltage values: 2 decimal places (23.45V)
  • Watt values: 3 decimal places (12.500W)

11. Include Formulas

Default: Enabled

Embeds Excel formulas in the output report instead of static values.

  • Enabled: Cells contain formulas like =B10*C10 (allows you to change values and see updated results)
  • Disabled: Cells contain static numbers like 0.600
  • Why it matters: Formulas let you perform "what-if" analysis in Excel

12. All Caps

Default: Enabled

Converts all text in the report to uppercase.

  • Enabled: "STROBE, RED, WALL MOUNT"
  • Disabled: "Strobe, Red, Wall Mount"

13. Include Child Circuits

Default: Enabled

Includes devices from child circuits connected through passthrough/riser devices.

  • What it means: If you have a NAC riser circuit feeding control modules that supply local NAC circuits on each floor, this setting includes all floor-level devices in the calculation
  • When to disable: If you want to calculate only the direct load on the panel, excluding distributed loads

Battery Calculation Method

Step-by-Step Calculation Process

The system performs calculations in this order (8 steps total):

Step 1: Calculate Standby Current

The system totals all standby current from:

Panel Components (cards installed in the panel chassis):

Component Current = Quantity × Device Standby Current

Circuit Devices (devices connected to panel circuits):

Device Current = Quantity × Device Standby Current

Total Standby Current:

Total Standby = Panel Components + All Circuit Devices

Example:

Panel CPU Card:        0.500A × 1 = 0.500A
Panel SLC Card:        0.100A × 2 = 0.200A
Smoke Detectors:       0.000350A × 50 = 0.0175A
Pull Stations:         0.000150A × 10 = 0.0015A
-------------------------------------------------
Total Standby Current:                  0.719A

Step 2: Calculate Alarm Current

The system totals all alarm current from the same sources:

Total Alarm Current:

Total Alarm = Panel Components + All Circuit Devices (during alarm)

Example:

Panel CPU Card:        0.500A × 1 = 0.500A
Panel SLC Card:        0.100A × 2 = 0.200A
Smoke Detectors:       0.000350A × 50 = 0.0175A  (same as standby)
Pull Stations:         0.000150A × 10 = 0.0015A  (same as standby)
Horn/Strobes:          0.177A × 20 = 3.540A      (only active in alarm)
-------------------------------------------------
Total Alarm Current:                    4.259A

Step 3: Calculate Standby Amp-Hours

Standby AH = Total Standby Current (A) × Standby Time (hours)

Example (with 24-hour standby requirement):

Standby AH = 0.719A × 24 hours = 17.256 AH

Step 4: Calculate Alarm Amp-Hours

Alarm AH = Total Alarm Current (A) × (Alarm Time in minutes ÷ 60)

Example (with 5-minute alarm requirement):

Alarm AH = 4.259A × (5 ÷ 60) hours = 0.355 AH

Step 5: Calculate Subtotal Amp-Hours

Subtotal AH = Standby AH + Alarm AH

Example:

Subtotal AH = 17.256 + 0.355 = 17.611 AH

Step 6: Apply Derating Factor

Required AH = Subtotal AH × Derating Factor

Example (with 1.25 derating factor):

Required AH = 17.611 × 1.25 = 22.014 AH

This is your final battery capacity requirement.

Step 7: Select Battery Size

The system looks at the recommended battery sizes for your panel (configured in the device template) and selects the smallest battery that meets or exceeds the requirement.

Example:

Panel supports batteries: 12AH, 18AH, 24AH, 33AH, 55AH
Required capacity: 22.014 AH
Selected battery: 24 AH (smallest size ≥ 22.014)

Step 8: Verify Battery Box Capacity (Optional)

This step only appears if the panel's battery box capacity is configured in the database.

The system checks if the selected battery fits in the panel's internal battery box.

If battery box capacity IS configured:

  • If selected battery fits: No message shown (battery can be installed internally)
  • If selected battery is too large:
    *PANEL MAY REQUIRE AN EXTERNAL BATTERY BOX. REFER TO MANUFACTURER DOCUMENTATION.

If battery box capacity is NOT configured:

*BATTERY BOX SIZE CAPACITY NOT SPECIFIED. REFER TO MANUFACTURER DOCUMENTATION.

Example:

Panel internal battery box max: 18AH
Selected battery: 24AH
Result: "*PANEL MAY REQUIRE AN EXTERNAL BATTERY BOX. REFER TO MANUFACTURER DOCUMENTATION."

Complete Calculation Example

Let's walk through a real-world example:

Project Specifications

  • Building: 3-story office building
  • Panel: Notifier NFS2-640 (6.0A power supply)
  • Code Requirements: 24 hours standby, 5 minutes alarm
  • Derating Factor: 1.25

System Load Breakdown

Panel Components (Standby/Alarm):

CPU-640 Main Board:           0.500A / 0.500A
LIB Interface Card:           0.100A / 0.100A
UDACT Dialer:                 0.025A / 0.025A
                             ----------------
Panel Subtotal:              0.625A / 0.625A

Circuit Devices (Standby/Alarm):

SLC Devices:
  50× Smoke Detectors        0.0175A / 0.0175A
  10× Pull Stations          0.0015A / 0.0015A

NAC Devices (Notification):
  20× Horn/Strobe Combo      0.040A / 3.540A
                             ------------------
Circuit Subtotal:            0.059A / 3.559A

Total System Load:

Total Standby Current: 0.625 + 0.059 = 0.684A
Total Alarm Current:   0.625 + 3.559 = 4.184A

Battery Calculation

Standby Requirement:

0.684A × 24 hours = 16.416 AH

Alarm Requirement:

4.184A × (5 minutes ÷ 60) = 0.349 AH

Subtotal:

16.416 + 0.349 = 16.765 AH

With Derating (1.25):

16.765 × 1.25 = 20.956 AH

Battery Selection (NFS2-640 supports: 12, 18, 24, 33, 55 AH):

Required: 20.956 AH
Selected: 24 AH ✓
Fits in internal box: Yes (max 33AH) ✓

Final Report Summary

BATTERY CALCULATION SUMMARY | Total Standby Current: 0.684 A
Total Alarm Current: 4.184 A | Standby Period: 24 hours
Alarm Period: 5 minutes | Standby Amp-Hours: 16.416 AH
Alarm Amp-Hours: 0.349 AH | Subtotal: 16.765 AH
Derating Factor: 1.25 | Required Battery Capacity: 20.956 AH

RECOMMENDED BATTERY SIZE: 24 AH

Battery Installation: Internal Box

Understanding the Excel Report

The battery calculation generates a detailed Excel spreadsheet with the following sections:

Report Header

  • Project name and information
  • Panel identification
  • Calculation title and date

Default Column Layout

The battery calculation report uses the following columns (with default settings):

Full Column Structure (12 columns total):

Column | Header | Description
1-2 | CIRCUIT | Circuit identifier (merged cells, e.g., "L1.NAC-1")
3 | MAX CARD AMPS | Maximum current capacity of the circuit card
4 | USED CARD AMPS | Total current used on this circuit
5 | SPARE CARD AMPS | Remaining available capacity
6 | QTY | Quantity of this device/component
7 | PART NO | Manufacturer part number
8 | DESCRIPTION | Device/component description
9 | CURRENT DRAW (A) | Standby current per device
10 | TOTAL (A) | Total standby current (QTY × CURRENT DRAW)
11 | CURRENT DRAW (A) | Alarm current per device
12 | TOTAL (A) | Total alarm current (QTY × CURRENT DRAW)

Section Headers:

  • Columns 9-10 are under the "STANDBY CURRENT" header
  • Columns 11-12 are under the "SECONDARY ALARM CURRENT" header

Conditional Columns:

  • Columns 3-5 (MAX/USED/SPARE CARD AMPS) only appear if "Include Card Totals" is enabled (default: enabled)
  • If "Include Card Totals" is disabled, the report has only 9 columns (CIRCUIT, QTY, PART NO, DESCRIPTION, and the 4 current columns)

Panel Components Section

Lists all cards and modules installed in the panel chassis:

                                              STANDBY CURRENT    SECONDARY ALARM CURRENT
PANEL COMPONENTS               QTY  PART NO     DESCRIPTION      CURRENT   TOTAL   CURRENT   TOTAL
                                                                 DRAW (A)   (A)    DRAW (A)   (A)
--------------------------------------------------------------------------------
  CPU-640 Main Board            1   CPU-640     Main Processor   0.500000  0.500   0.500000  0.500
  LIB Interface                 1   LIB-2      Interface Card    0.100000  0.100   0.100000  0.100
  UDACT Dialer                  1   UDACT      Dialer Module     0.025000  0.025   0.025000  0.025
--------------------------------------------------------------------------------
PANEL TOTAL:                                                                0.625             0.625

Circuit Details Section

Shows each circuit and its connected devices:

                                                                  STANDBY CURRENT    SECONDARY ALARM CURRENT
CIRCUIT    MAX CARD  USED CARD  SPARE CARD   QTY  PART NO     DESCRIPTION      CURRENT   TOTAL   CURRENT   TOTAL
           AMPS      AMPS       AMPS                                           DRAW (A)   (A)    DRAW (A)   (A)
--------------------------------------------------------------------------------------------------------
L1.SLC-1   25.0      12.5       12.5
  Smoke Detector                              50   2W-B       Photoelectric    0.000350  0.0175  0.000350  0.0175
  Pull Station                                10   M201       Manual Station   0.000150  0.0015  0.000150  0.0015
  ------------------------------------------------------------------------------------------------
  CIRCUIT TOTAL:                                                               0.019     0.019

L1.NAC-1   3.0       3.54       0.0 (NEAR CAPACITY)
  Horn/Strobe Combo                           20   P2RL       Wall Mount       0.040000  0.040   0.177000  3.540
  ------------------------------------------------------------------------------------------------
  CIRCUIT TOTAL:                                                               0.040     3.540

Summary Calculations Section

TOTAL STANDBY CURRENT:                        0.684 A
TOTAL ALARM CURRENT:                          4.184 A

REQUIRED STANDBY TIME:                        24 hours
REQUIRED ALARM TIME:                          5 minutes

SECONDARY STANDBY LOAD:                       16.416 AH   (formula: =STANDBY_CURRENT*STANDBY_HOURS)
SECONDARY ALARM LOAD:                         0.349 AH    (formula: =ALARM_CURRENT*ALARM_HOURS)

SUBTOTAL:                                     16.765 AH   (formula: =STANDBY_AH+ALARM_AH)
DERATING FACTOR:                              1.25
REQUIRED BATTERY CAPACITY:                    20.956 AH   (formula: =SUBTOTAL*DERATING)

RECOMMENDED BATTERY SIZE:                     24 AH

*Optional messages (if battery box capacity is configured):
  - No message if battery fits in internal box
  - "*PANEL MAY REQUIRE AN EXTERNAL BATTERY BOX..." if battery is too large
  - "*BATTERY BOX SIZE CAPACITY NOT SPECIFIED..." if not configured in database

Color Coding

  • Orange cells (RGB 255,204,153): User input values (you can modify these)
  • Gray cells (bold): Calculated outputs
  • Red/Pink cells: Warnings (capacity exceeded, battery too large for box)

Advanced Features

Hierarchical Circuit Support (Child Circuits)

The battery calculation automatically includes devices from child circuits when connected through passthrough/riser devices.

Example Scenario:

Main Panel → NAC Riser Circuit → Control Modules (Floors 1-5)
                                       ↓
                                  NAC Child Circuits (local strobes/horns per floor)

With "Include Child Circuits" enabled:

  • All strobes/horns on all 5 floors are included in the battery calculation
  • The system prevents infinite loops if circuits are cross-connected
  • Only includes child circuits where the passthrough device supports cross-type passthrough

With "Include Child Circuits" disabled:

  • Only the control modules are counted (not the floor-level devices)
  • Useful for calculating just the main riser load

Card Capacity Tracking

For addressable circuits (SLC, NAC with supervision), the report shows card capacity columns when "Include Card Totals" is enabled (default):

CIRCUIT    MAX CARD AMPS    USED CARD AMPS    SPARE CARD AMPS
L1.SLC-1   25.0             12.5              12.5
L1.NAC-1   3.0              3.54              0.0 (NEAR CAPACITY)

Column Definitions:

  • MAX CARD AMPS = Maximum current capacity of the circuit card
  • USED CARD AMPS = Sum of all device currents on this circuit
  • SPARE CARD AMPS = Remaining available capacity (MAX - USED)

This helps identify circuits approaching capacity limits. The system automatically flags circuits with low spare capacity.

Device vs. Device Type Current

The system supports two methods for determining device current:

Method 1: Device Type Current (default)

  • Uses generic current values from the device type definition
  • Example: "All photoelectric smoke detectors draw 0.350mA standby"

Method 2: Device-Specific Current Override

  • Uses current values specific to the exact device model
  • Example: "System Sensor 2W-B draws 0.275mA, while 4W-B draws 0.350mA"
  • Enable this in device properties when you need manufacturer-specific values

Troubleshooting

Issue: Battery size shows as "NONE" or "N/A"

Cause: The required amp-hours exceed all available battery sizes for this panel.

Solution:

  1. Check if you've selected the correct panel model
  2. Verify device current values are realistic (not inflated)
  3. Consider reducing standby time if code allows
  4. Consider adding a secondary power supply or larger panel

Issue: Message shows "Panel may require external battery box"

Cause: Calculated battery size is larger than the panel's internal battery box can hold.

Solution:

  • This is informational only - you'll need an external battery cabinet
  • Ensure your panel model supports external batteries
  • Document external battery cabinet requirement in project specifications
  • Coordinate with electricians for cabinet placement and mounting

Issue: Report shows devices with 0.000000 current

Cause: Device current values not configured in master database.

Solution:

  1. Open Master Template Editor
  2. Find the device type
  3. Enter correct standby and alarm current values (check manufacturer cut sheets)
  4. Regenerate battery calculation

Issue: Child circuit devices not appearing in calculation

Cause 1: "Include Child Circuits" setting disabled

  • Solution: Enable in report settings

Cause 2: Passthrough device doesn't have "Enable Riser Connection Features" enabled

  • Solution: Enable this setting on the control module or passthrough device

Cause 3: Circuit type mismatch

  • Solution: Ensure parent and child circuits have compatible types (NAC-to-NAC, SLC-to-SLC, etc.)

Issue: Excel formulas showing as #REF! or #VALUE!

Cause: Excel cells were moved or deleted.

Solution:

  • Regenerate the report (don't manually edit structure)
  • If you need to customize, work with a copy and convert formulas to values first

Best Practices

1. Verify Device Current Values

Before running calculations, ensure your device library has accurate current values from manufacturer data sheets. Incorrect values lead to undersized or oversized batteries.

2. Use Standard Derating

Stick with 1.25 derating factor unless you have specific engineering justification. Going below 1.20 may not meet code requirements for battery aging.

3. Review Alarm Current Carefully

The alarm current is critical for determining battery size. Verify all notification devices (horns, strobes, speakers) have accurate alarm current values, as these are typically the largest contributors to alarm load.

4. Document Battery Cabinet Requirements

If your calculation requires an external battery box, note this in your submittal documents and coordinate with electricians for cabinet placement.

5. Save Calculation Reports

Save battery calculation Excel files with your project documentation. Inspectors often request these during final inspection.

6. Run Calculations After Major Changes

Re-run battery calculations whenever you:

  • Add or remove notification devices
  • Change circuit configurations
  • Modify standby/alarm time requirements
  • Upgrade or downgrade panel models

7. Check Jurisdiction Requirements

Some jurisdictions require:

  • 60 hours or even 90 hours standby (instead of standard 24)
  • 15 minutes alarm (instead of standard 5)
  • Additional derating factors

Always verify local code requirements before finalizing calculations.

Summary

The Battery Calculation feature provides comprehensive, code-compliant battery sizing for fire alarm systems with:

  • Automatic current summation from all panel components and circuit devices
  • Flexible time periods for standby and alarm conditions
  • Derating factors to account for real-world battery performance
  • Battery size recommendations based on manufacturer specifications
  • Optional battery box verification when configured in device templates
  • Hierarchical circuit support for complex riser systems
  • Professional Excel reports with embedded formulas for "what-if" analysis

The calculation method follows industry standards and produces documentation suitable for:

  • Code compliance submittals
  • Engineering design reviews
  • Contractor coordination
  • Authority Having Jurisdiction (AHJ) approval
  • As-built documentation

By understanding the settings and calculation method, you can accurately size backup batteries for any fire alarm system from small single-panel installations to large multi-building campus deployments.


Complete Command Reference

All FireCAD commands accessible from the AutoCAD command line and the FireCAD Tools ribbon tab. Type any command at the AutoCAD command prompt to execute it directly.

File

Commands for project lifecycle — creating, opening, closing, and updating projects.

Command | Ribbon Button | Description
ATCREATE_PROJECT | Create Project | Create a new FireCAD project and associate it with the current drawing
ATOPEN_PROJECT | Open Project | Open an existing FireCAD project
ATCLOSE_PROJECT | Close Project | Close the current FireCAD project
ATUPDATE_PROJECT | Update Project | Update the current project to the latest database schema and block definitions
ATCHECK_FOR_UPDATES | Check For Updates | Check for available FireCAD software updates
ATLICENSE | License Status | Open the license activation and management window
ATCHECK_LICENSE | (command line only) | Check the current license status and display details
ATCHECK_LOCAL_LICENSE | (command line only) | Check the local (offline) license status

Edit

Commands for editing project settings, drawings, block definitions, and assemblies.

Command | Ribbon Button | Description
ATEDIT_PROJECT_DRAWINGS | Project Drawings | Open the Project Drawings manager to add, remove, or reorder drawings
ATEDIT_PROJECT_BLOCK_DEFINITIONS | Project Block Definitions | Open the block definition editor for the current project
ATEDIT_MASTER_BLOCK_DEFINITIONS | Master Block Definitions | Open the master block definition editor (shared across all projects)
ATOPEN_DEVICE_EDITOR | Launch Project Device Editor | Open the standalone Device Editor application
ATOPTIONS | Options | Open the FireCAD Options dialog for global settings
ATDUPLICATE_PROJECT_DRAWING | Duplicate Project Drawing | Create a copy of a project drawing with all device and circuit data
ATEDIT_ASSEMBLY | Assembly Editor | Open the Assembly Editor to configure panel components and sub-parts
ATEDIT_PROJECT_PROPERTIES | Edit Project Properties | View and modify project-level properties (name, number, address, etc.)

View

Commands for opening palettes and display windows.

Command | Ribbon Button | Description
ATPROPERTIES | Open Project Palette | Open the Device Properties palette showing device details for the selected entity
ATSHOW | (command line only) | Force a screen refresh and redraw of all FireCAD entities

Validation

Commands for validating project data, refreshing caches, and restoring missing data.

Command | Ribbon Button | Description
ATREFRESH_LABELS | Refresh All Labels | Recalculate and update all device and wirepath labels in the active drawing
ATREFRESH_LABELS_FULL | (command line only) | Full label refresh — regenerates all labels from scratch (slower but more thorough)
ATVALIDATE | Validate Devices | Run validation checks on all devices in the active drawing
ATVALIDATE_SEGMENTS | Validate Segments | Validate all wirepath segments for connectivity and data integrity
ATVALIDATE_SELECTION | Validate Selection | Validate only the currently selected devices
ATDESIGN_ASSISTANT | FireCAD Design Assistant | Open the Design Assistant palette for real-time design rule validation
ATDESIGN_ASSISTANT_REFRESH | (command line only) | Refresh the Design Assistant validation results
ATAI_REVIEW | (command line only) | Run Design Assistant review on the current pick set
ATRESTORE_MISSING_DRAWING | Restore Missing Drawing File | Restore a project drawing file that was deleted or moved
ATRESTORE_MISSING_DEVICES | Restore Missing Devices | Restore device data for blocks that exist in the drawing but are missing from the database
ATRESTORE_MISSING_SEGMENTS | Restore Missing Segments | Restore segment data for wirepaths that exist in the drawing but are missing from the database
ATRESTORE_FROM_DRAWING | Restore Project From Drawing | Rebuild the entire project database from embedded drawing data
ATDELETE_ORPHANS | Purge Deleted Entities And Circuits | Delete orphaned database records that no longer have corresponding drawing entities
ATREFRESH_BLOCK_IMAGES | Update Cached Block Images | Regenerate the cached thumbnail images for all block definitions
ATREFRESH_BLOCKS | Reset Device Block Definitions | Reload all device block definitions from the master library
ATBACKUP_INFO | Display Project Backup Info | Show the backup metadata embedded in the current drawing

Draw

Commands for creating and modifying polylines, splines, and wirepaths.

Command | Ribbon Button | Description
ATQUICK_POLY | Quick Poly | Draw a polyline with automatic right-angle routing
ATQUICK_SPLINE | Quick Spline | Draw a spline with automatic curve fitting
ATPOLY | Auto Poly | Draw a polyline with enhanced snapping and segment tracking
ATSPLINE | Auto Spline | Draw a spline with enhanced snapping and segment tracking
ATAUTO_DRAW_CIRCUIT_WIREPATH | Draw Circuit Wirepath | Automatically draw wirepaths for all devices on a circuit
ATAUTO_DRAW_SHARED_WIREPATH | Draw Shared Wirepath | Automatically draw a shared wirepath between two or more circuits
ATAUTO_DRAW_ACTIVE_WIREPATH | (command line only) | Automatically draw a wirepath for the currently active circuit only
ATREROUTE_POLYLINES | Reroute Polylines | Modify the route of selected polylines while maintaining connections
ATREROUTE_WIREPATHS | Reroute Wirepaths | Reroute selected wirepaths with automatic segment recalculation
ATCONVERT_PLINES_TO_SPLINES | Convert Polylines to Splines | Convert selected polylines to splines
ATCONVERT_SPLINES_TO_PLINES | Convert Splines to Polylines | Convert selected splines to polylines

Devices

Commands for inserting, replacing, and configuring devices.

Command | Ribbon Button | Description
ATINSERT | (Insert from palette) | Insert a device from the device palette into the drawing
ATINSERT_IN_CIRCUIT | (command line only) | Insert a device directly into an existing circuit at a specific point
ATREPLACE_BLOCKREFS | Replace Selection With Block | Replace selected block references with a different block definition
ATREPLACE_DEVICES | Replace Selection With Device | Replace selected devices with a different device (preserves circuit connections)
ATSET_DEVICE_PROPERTIES | Device Property Editor | Open the device property editor for selected devices
ATSET_DEVICE_INPUT_CIRCUITS | (Circuits panel) | Set the input circuit assignment for a selected device
ATSET_ALL_DEVICE_INPUT_CIRCUITS | (command line only) | Set input circuits for all unassigned devices in the drawing

Attributes

Commands for managing block attribute display, rotation, and data.

Command | Ribbon Button | Description
ATLEVEL_ATTRIBUTES | Set Attribute Rotation | Level (straighten) rotated attributes on selected devices
ATLOCATE_ATTRIBUTES | Set Attribute Position | Reposition attributes to their default locations on selected devices
ATATT_VISIBILITY | Set Property Visibility | Open the Attribute Visibility editor to show or hide specific attributes
ATSET_EXISTING | Set Devices To Existing | Mark selected devices as "existing" (not new construction)
ATCLEAR_EXISTING | Clear Existing | Remove the "existing" flag from selected devices
ATFORMAT_DEVICE_LABELS | Format Device Labels | Open the Format Device Labels dialog to customize label appearance
ATFORMAT_WIREPATH_LABELS | Format Wirepath Labels | Open the Format Wirepath Labels dialog to customize wirepath label appearance
ATEXPORT_ENTITY_PROPERTIES_TO_EXCEL | Export Title Block Attributes | Export entity properties to an Excel spreadsheet
ATIMPORT_ENTITY_PROPERTIES | Import Title Block Attributes | Import entity properties from a previously exported file

Entity Properties

Commands for viewing and editing entity-level properties (location, name, panel, etc.).

Command | Ribbon Button | Description
ATSET_ENTITY_PROPERTIES | Set Entity Properties | Open the Entity Properties dialog to set location, panel, node, and other properties
ATSET_ENTITY_PROPERTIES_CL | Set Entity Properties (Command Line) | Set entity properties via command-line prompts instead of a dialog
ATVIEW_ENTITY_PROPERTIES | View Entity Properties | View the current entity properties for selected devices (read-only)
ATCLEAR_ENTITY_PROPERTIES | Clear Entity Properties | Remove all entity properties from selected devices
ATEXPORT_ENTITY_PROPERTIES_TO_EXCEL | Export Entity Properties | Export entity properties for selected devices to Excel
ATIMPORT_ENTITY_PROPERTIES | Import Entity Properties | Import entity properties from a file and apply to matching devices

Circuits

Commands for circuit connections, addressing, and configuration.

Command | Ribbon Button | Description
ATCONNECT | (Circuits panel) | Create a new circuit by connecting a device to a panel or extend an existing circuit
ATDISCONNECT | (command line only) | Disconnect a device from its circuit
ATBRANCH | (command line only) | Create a branch (T-tap) from an existing circuit
ATRELOCATE_BRANCH | (command line only) | Move a branch connection point to a different location on the circuit
ATREMOVE_BRANCH | (command line only) | Remove a branch from a circuit
ATRELOCATE | (command line only) | Relocate the origin (first device) of a circuit
ATRELOCATE_CIRCUIT | Relocate Panel Circuit | Relocate an entire circuit from one panel to another
ATSET_ACTIVE_CIRCUIT_FROM_DEVICE | Set Active Circuit From Device | Set the active working circuit by selecting a device that belongs to it
ATSET_OVERRIDE_ADDRESS | Override Device Address | Override the auto-assigned address for a device
ATREMOVE_OVERRIDE_ADDRESS | (command line only) | Remove an address override and return to auto-addressing
ATSHOWCOVERAGE | Show Coverage Display | Display notification appliance coverage areas on the drawing
ATHIDECOVERAGE | Hide Coverage Display | Hide notification appliance coverage areas
ATSET_DEVICE_INPUT_CIRCUITS | Set Device Input Circuits | Assign input circuit connections for a selected device
ATSET_ALL_DEVICE_INPUT_CIRCUITS | (command line only) | Assign input circuits for all unassigned devices in bulk
ATRESEQUENCE_CIRCUIT | (command line only) | Resequence device addresses on a circuit
ATADD_CIRCUIT_PAIR | (command line only) | Add a circuit pair (Class A return path) to an existing circuit
ATREMOVE_CIRCUIT_PAIR | (command line only) | Remove a circuit pair from a circuit
ATRESET_CIRCUIT_TEMPLATES | (command line only) | Reset circuit templates to their default database values
ATPROJECT_CIRCUITS_EDITOR | (command line only) | Open the Project Circuits Editor to view and manage all circuits
ATLOCK_ALL_CIRCUIT_ADDRESSES | (command line only) | Lock all device addresses on all circuits (prevents auto-readdressing)
ATUNLOCK_ALL_CIRCUIT_ADDRESSES | (command line only) | Unlock all device addresses on all circuits
ATMANAGE_LOCKED_CIRCUIT_ADDRESSES | (command line only) | Open the Locked Address Editor to view and manage address locks

Wirepath

Commands for wirepath labels, segment display, conduit types, and circuit filters.

Command | Ribbon Button | Description
ATUPDATE_ALL_CIRCUIT_PATHS | Update All Wire Labels | Recalculate and update all wirepath labels and segments in the drawing
ATUPDATE_CIRCUIT_PATHS | (command line only) | Update wirepath labels for a specific circuit only
ATDELETE_ALL_WIREFILL | Delete All Wire Labels | Remove all wirefill display labels from the drawing
ATSET_CONDUIT_TYPE | Set Conduit Type | Assign a conduit type to selected wirepath segments
ATCLEAR_CONDUIT_TYPE | Clear Conduit Type | Remove the conduit type assignment from selected segments
ATRESET_CONDUITIDS | (command line only) | Reset all conduit IDs and reassign from scratch
ATSET_CIRCUIT_TYPE_FILTERS | Set Circuit Type Filters | Filter which circuit types are visible on the drawing
ATSET_CIRCUIT_NAME_FILTERS | Set Circuit Name Filters | Filter which circuits are visible by name
ATSHOW_WIREFILL | Show Wirefill | Display wire fill percentages on wirepath segments
ATHIDE_WIREFILL | Hide Wirefill | Hide wire fill percentage display
ATSHOW_CONDUCTOR_COUNT | Show Conductor Count | Display the conductor count on wirepath segments
ATHIDE_CONDUCTOR_COUNT | Hide Conductor Count | Hide conductor count display
ATSHOW_CONDUIT_FILL | Show Conduit Fill | Display conduit fill percentages on segments
ATHIDE_CONDUIT_FILL | Hide Conduit Fill | Hide conduit fill percentage display
ATSHOW_WIREPATH_LENGTH | Show Wirepath Length | Display the calculated length on wirepath segments
ATHIDE_WIREPATH_LENGTH | Hide Wirepath Length | Hide wirepath length display
ATSHOW_SEGMENT_ID | (command line only) | Display the internal segment ID on each wirepath segment
ATHIDE_SEGMENT_ID | (command line only) | Hide segment ID display

Selection

Commands for selecting entities by criteria.

Command | Ribbon Button | Description
ATSELECT_BY_KEYWORD | Select Devices By Keyword | Select all devices matching a keyword search (part number, description, etc.)
ATSELECT_SEGMENTS_OVER_40_PERCENT | Select Segments > 40% | Select all wirepath segments with wire fill exceeding 40%
ATSELECT_SEGMENTS_UNDEFINED | Select Undefined Segments | Select all wirepath segments that have no circuit assignment
ATSELECT_WIRELABELS | Select Wire Labels | Select all wire label entities in the drawing
ATLIST | List Device Circuit Requirements | Display a summary of device counts and circuit requirements

Cleanup

Commands for standardizing drawing properties, colors, and lineweights.

Command | Ribbon Button | Description
ATSET_DEFAULT_TEXTSTYLE | Set Default Text Style | Set the default text style for new FireCAD text entities
ATSET_ALL_BYBLOCK | Set Color Of Block Entities To 'ByBlock' | Set the color of all entities inside blocks to ByBlock
ATSET_ALL_BYLAYER | (command line only) | Set the color of all entities inside blocks to ByLayer
ATSET_ALL_LINEWEIGHTS_BYBLOCK | Set Block Entity Lineweights To 'ByBlock' | Set all block entity lineweights to ByBlock
ATSET_ALL_LINEWEIGHTS_BYLAYER | (command line only) | Set all block entity lineweights to ByLayer
ATUPDATE_SEGMENT_LAYER_COLORS | Update Wirepath Layers and Colors | Reassign wirepath segment layers and colors to match their circuit type
ATSET_DEVICE_ATTRIBUTES_COLOR_WHITE | (command line only) | Set all device attribute text colors to white
ATSET_DEVICE_ATTRIBUTES_COLOR_BYLAYER | (command line only) | Set all device attribute text colors to ByLayer
ATREMOVE_ALL_GLOBAL_WIDTHS | (command line only) | Remove global width from all polylines (resets to 0)
ATSET_PSLTSCALE | (command line only) | Set the PSLTSCALE system variable for paper space linetype scaling

Riser

Commands for creating riser diagrams and setting elevation properties.

Command | Ribbon Button | Description
ATRISER | Create Riser Diagram | Generate a riser diagram from the project's circuit data
ATRISER_SELECTION | Create Riser Diagram From Selection | Generate a riser diagram from selected devices only
ATSET_ELEVATIONS | Set Device Elevations | Set the mounting elevation for selected devices
ATSET_RISER_COLUMN | Set Riser Columns | Assign riser column positions to devices for riser diagram layout
ATSET_VERTICAL_CONSTRAINTS | Set Vertical Constraints | Set vertical wiring constraints between floors or zones
ATSET_PANEL_NAME | (Entity Properties panel) | Assign or change the panel name for selected devices
ATSET_NODE_NAME | (Entity Properties panel) | Assign or change the node name for selected devices
ATSET_LOCATION | (Entity Properties panel) | Assign or change the location for selected devices

Reports — Drawing Tables

Commands that insert report tables directly into the AutoCAD drawing.

Command | Ribbon Button | Description
ATREPORT_LEGEND | Device Legend | Insert a device legend table into the drawing
ATREPORT_BOM | Bill Of Material | Insert a bill of materials table into the drawing
ATREPORT_CABLE_LEGEND | Cable and Wire Legend | Insert a cable and wire legend table into the drawing
ATREPORT_SEGMENT_LABEL_SCHEDULE | Segment Label Schedule | Insert a segment label schedule table into the drawing
ATREPORT_CONDUIT_FILL_SCHEDULE | Conduit Fill Schedule | Insert a conduit fill schedule table into the drawing
ATREPORT_TITLEBLOCK | Generate Title Block | Insert or update the title block table in the drawing
ATREPORT_SCHEDULE | Device Schedule | Insert a device schedule table into the drawing
ATREPORT_POINT_TO_POINT | Point-To-Point Voltage Drop | Insert a point-to-point voltage drop report table into the drawing
ATREPORT_POINT_TO_POINT_SUMMARY | (command line only) | Insert a point-to-point voltage drop summary table into the drawing
ATREPORT_LUMP_SUM | Lump Sum Voltage Drop | Insert a lump sum voltage drop report table into the drawing
ATREPORT_LUMP_SUM_SUMMARY | (command line only) | Insert a lump sum voltage drop summary table into the drawing
ATREPORT_SPEAKER_SCHEDULE | Speaker Schedule | Insert a speaker schedule table into the drawing
ATREPORT_SPEAKER_SCHEDULE_SUMMARY | (command line only) | Insert a speaker schedule summary table into the drawing
ATREPORT_DB_LOSS | Decibel Loss Report | Insert a decibel loss report table into the drawing
ATREPORT_DB_LOSS_SUMMARY | (command line only) | Insert a decibel loss summary table into the drawing
ATREPORT_BATTERY_CALCS | Battery Calculation Report | Insert a battery calculation report table into the drawing
ATREPORT_PANEL_SUMMARY | Panel Summary | Insert a panel summary report table into the drawing
ATREPORT_ORIGIN_LOADING | (command line only) | Insert an origin loading report table into the drawing
ATREPORT_CONDUIT_SCHEDULE | (command line only) | Insert a conduit schedule table into the drawing
ATREFRESH_REPORT | (command line only) | Refresh all report tables in the drawing with current data
ATADDSCALE | Add Scale | Add a custom scale factor to the drawing's scale list

Reports — Excel Export

Commands that export report data to Excel spreadsheets.

Command | Ribbon Button | Description
ATEXPORT_DEVICE_SCHEDULE_REPORTS | Export Device Schedules To Excel | Export device schedule data to an Excel file
ATEXPORT_DEVICE_INSPECTION_FORM | (command line only) | Export a device inspection form to Excel
ATEXPORT_SPEAKER_SCHEDULE_REPORTS | Export Speaker Schedules To Excel | Export speaker schedule data to an Excel file
ATEXPORT_POINT_TO_POINT_REPORTS | Export Point-To-Point Reports To Excel | Export point-to-point voltage drop data to an Excel file
ATEXPORT_LUMP_SUM_REPORTS | Export Lump Sum Reports To Excel | Export lump sum voltage drop data to an Excel file
ATEXPORT_DB_LOSS_REPORTS | Export Db Loss Reports To Excel | Export decibel loss data to an Excel file
ATEXPORT_BATTERY_CALCULATIONS | (command line only) | Export battery calculation data to an Excel file
ATEXPORT_BOM_REPORT | Export Bill of Material to Excel | Export the bill of materials to an Excel file
ATEXPORT_CONDUIT_FILL_SCHEDULE | Export Conduit Fill Schedule to Excel | Export the conduit fill schedule to an Excel file
ATEXPORT_DEVICE_LEGEND | (command line only) | Export the device legend to a file
ATEXPORT_CABLE_LEGEND | (command line only) | Export the cable and wire legend to a file
ATEXPORT_PROJECT_COMPLETION_REPORT | (command line only) | Export a project completion summary report

Export & Integration

Commands for exporting project data and integrating with external tools.

Command | Ribbon Button | Description
ATEXPORT_PROJECT_DATA | Export Project Data To Excel | Export all project data for the active drawing to Excel
ATEXPORT_ALL_PROJECT_DATA | (command line only) | Export all project data across all drawings to Excel
ATEXPORT_ALL_DEVICE_DATA | (command line only) | Export all device data (catalog-level) to Excel
ATIMPORT_DEVICE_DATA | (command line only) | Import device data from an external file into the project
ATEXPORT_POTTER_DATA | Export Potter Data | Export project data in Potter panel programming format
ATSEND_INSPECT_POINT | Send to Inspect Point | Export project data to the Inspect Point inspection platform
ATREQUEST_QUOTE | Request Quote | Submit a quote request based on the current project's bill of materials

Panel Layout

Commands for generating panel interior layout drawings.

Command | Ribbon Button | Description
ATPANEL_LAYOUT | Panel Layout | Generate a panel interior layout drawing from assembly data
ATPANEL_LAYOUT_PROPERTIES | Panel Layout Properties | Edit the properties and settings for a panel layout
ATPANEL_LAYOUT_EXCEL | Panel Layout Excel | Generate a panel layout from an Excel configuration file

Block Definitions

Commands for managing block definitions and saving blocks to external files.

Command | Ribbon Button | Description
ATREPLACE_BLOCKREFS | (Devices panel) | Replace selected block references with a different block
ATRESIZE_BLOCKS | (command line only) | Resize selected blocks to a new scale factor
ATLAYOUT_DETAIL_BLOCKS | (command line only) | Arrange detail blocks in a grid layout on the drawing
ATSAVE_PROJECT_BLOCKS_TO_FILE | (command line only) | Save all project block definitions to individual DWG files
ATWBLOCK_ALL | (command line only) | Write all block definitions to individual DWG files (WBLOCK)
ATCONVERT_DYNAMIC | (command line only) | Convert AutoCAD dynamic blocks to standard blocks for FireCAD compatibility
ATCONVERT_PROXY_OBJECTS | (command line only) | Convert proxy objects (from third-party applications) to standard entities

Attribute Data Tools

Commands for searching, exporting, and importing block attribute data.

Command | Ribbon Button | Description
ATATT_SEARCH | (command line only) | Search for blocks by attribute value
ATEXATTDATATOEXCEL | (command line only) | Export all block attribute data in the drawing to Excel
ATEXATTDATATOCSV | (command line only) | Export all block attribute data in the drawing to CSV
ATEXATTDATATOEXCEL_BYBLOCK | (command line only) | Export attribute data grouped by block name to Excel
ATEXATTDATATOCSV_BYBLOCK | (command line only) | Export attribute data grouped by block name to CSV
ATEXATTDATATOEXCEL_BYSEL | (command line only) | Export attribute data for selected blocks to Excel
ATEXATTDATATOCSV_BYSEL | (command line only) | Export attribute data for selected blocks to CSV
ATIMPORTATTRIBUTEDATA | (command line only) | Import attribute data from a file and apply to matching blocks
ATLOCATE_ATTRIBUTES | (command line only) | Reset attribute positions to their default locations
ATQUERY_DEVICELABELS | (command line only) | Query and display the label configuration for selected devices

Data Maintenance

Commands for cleaning up orphaned data, resetting internal state, and fixing corruption.

Command | Ribbon Button | Description
ATDELETE_ORPHANS | (Validation panel) | Delete orphaned records — entities removed from the drawing but still in the database
ATCLEANUP_REPOSITORIES | (command line only) | Clean up internal data repositories and remove stale cache entries
ATRESET_CONDUITIDS | (command line only) | Reset all conduit IDs and force reassignment
ATUTILS_CLEAR_ALL_XRECORDS | (command line only) | Clear all FireCAD XRecord data from the drawing (use with caution)
ATDELETE_ALL_SEGMENTS | (command line only) | Delete all wirepath segment data from the project database
ATDELETE_ALL_WIREFILL | (command line only) | Delete all wire fill display labels from the drawing

News & Notifications

Command | Ribbon Button | Description
ATNEWS | (command line only) | Show the latest FireCAD news and notifications
ATNEWS_RESET | (command line only) | Reset news tracking so all notifications appear as unread

Optimization (Internal)

Command | Ribbon Button | Description
ATOPTIMIZE_ALL_CIRCUITS | (command line only) | Optimize addressing for all circuits in the project
ATOPTIMIZE_CIRCUIT | (command line only) | Optimize addressing for a single selected circuit

Alphabetical Index

Command | Section
ATADD_CIRCUIT_PAIR | Circuits
ATADDSCALE | Reports — Drawing Tables
ATAI_REVIEW | Validation
ATATT_SEARCH | Attribute Data Tools
ATATT_VISIBILITY | Attributes
ATAUTO_DRAW_ACTIVE_WIREPATH | Draw
ATAUTO_DRAW_CIRCUIT_WIREPATH | Draw
ATAUTO_DRAW_SHARED_WIREPATH | Draw
ATBACKUP_INFO | Validation
ATBRANCH | Circuits
ATCHECK_FOR_UPDATES | File
ATCHECK_LICENSE | File
ATCHECK_LOCAL_LICENSE | File
ATCLEAR_CONDUIT_TYPE | Wirepath
ATCLEAR_ENTITY_PROPERTIES | Entity Properties
ATCLEAR_EXISTING | Attributes
ATCLEANUP_REPOSITORIES | Data Maintenance
ATCLOSE_PROJECT | File
ATCONNECT | Circuits
ATCONVERT_DYNAMIC | Block Definitions
ATCONVERT_PLINES_TO_SPLINES | Draw
ATCONVERT_PROXY_OBJECTS | Block Definitions
ATCONVERT_SPLINES_TO_PLINES | Draw
ATCREATE_PROJECT | File
ATDELETE_ALL_SEGMENTS | Data Maintenance
ATDELETE_ALL_WIREFILL | Data Maintenance
ATDELETE_ORPHANS | Data Maintenance
ATDESIGN_ASSISTANT | Validation
ATDESIGN_ASSISTANT_REFRESH | Validation
ATDISCONNECT | Circuits
ATDUPLICATE_PROJECT_DRAWING | Edit
ATEDIT_ASSEMBLY | Edit
ATEDIT_MASTER_BLOCK_DEFINITIONS | Edit
ATEDIT_PROJECT_BLOCK_DEFINITIONS | Edit
ATEDIT_PROJECT_DRAWINGS | Edit
ATEDIT_PROJECT_PROPERTIES | Edit
ATEXATTDATATOCSV | Attribute Data Tools
ATEXATTDATATOCSV_BYBLOCK | Attribute Data Tools
ATEXATTDATATOCSV_BYSEL | Attribute Data Tools
ATEXATTDATATOEXCEL | Attribute Data Tools
ATEXATTDATATOEXCEL_BYBLOCK | Attribute Data Tools
ATEXATTDATATOEXCEL_BYSEL | Attribute Data Tools
ATEXPORT_ALL_DEVICE_DATA | Export & Integration
ATEXPORT_ALL_PROJECT_DATA | Export & Integration
ATEXPORT_BATTERY_CALCULATIONS | Reports — Excel Export
ATEXPORT_BOM_REPORT | Reports — Excel Export
ATEXPORT_CABLE_LEGEND | Reports — Excel Export
ATEXPORT_CONDUIT_FILL_SCHEDULE | Reports — Excel Export
ATEXPORT_DB_LOSS_REPORTS | Reports — Excel Export
ATEXPORT_DEVICE_INSPECTION_FORM | Reports — Excel Export
ATEXPORT_DEVICE_LEGEND | Reports — Excel Export
ATEXPORT_DEVICE_SCHEDULE_REPORTS | Reports — Excel Export
ATEXPORT_ENTITY_PROPERTIES_TO_EXCEL | Entity Properties
ATEXPORT_LUMP_SUM_REPORTS | Reports — Excel Export
ATEXPORT_POINT_TO_POINT_REPORTS | Reports — Excel Export
ATEXPORT_POTTER_DATA | Export & Integration
ATEXPORT_PROJECT_COMPLETION_REPORT | Reports — Excel Export
ATEXPORT_PROJECT_DATA | Export & Integration
ATEXPORT_SPEAKER_SCHEDULE_REPORTS | Reports — Excel Export
ATFORMAT_DEVICE_LABELS | Attributes
ATFORMAT_WIREPATH_LABELS | Attributes
ATHIDE_CONDUCTOR_COUNT | Wirepath
ATHIDE_CONDUIT_FILL | Wirepath
ATHIDECOVERAGE | Circuits
ATHIDE_SEGMENT_ID | Wirepath
ATHIDE_WIREFILL | Wirepath
ATHIDE_WIREPATH_LENGTH | Wirepath
ATIMPORT_DEVICE_DATA | Export & Integration
ATIMPORT_ENTITY_PROPERTIES | Entity Properties
ATIMPORTATTRIBUTEDATA | Attribute Data Tools
ATINSERT | Devices
ATINSERT_IN_CIRCUIT | Devices
ATLAYOUT_DETAIL_BLOCKS | Block Definitions
ATLEVEL_ATTRIBUTES | Attributes
ATLICENSE | File
ATLIST | Selection
ATLOCATE_ATTRIBUTES | Attribute Data Tools
ATLOCK_ALL_CIRCUIT_ADDRESSES | Circuits
ATMANAGE_LOCKED_CIRCUIT_ADDRESSES | Circuits
ATNEWS | News & Notifications
ATNEWS_RESET | News & Notifications
ATOPEN_DEVICE_EDITOR | Edit
ATOPEN_PROJECT | File
ATOPTIMIZE_ALL_CIRCUITS | Optimization
ATOPTIMIZE_CIRCUIT | Optimization
ATOPTIONS | Edit
ATPANEL_LAYOUT | Panel Layout
ATPANEL_LAYOUT_EXCEL | Panel Layout
ATPANEL_LAYOUT_PROPERTIES | Panel Layout
ATPOLY | Draw
ATPROPERTIES | View
ATPROJECT_CIRCUITS_EDITOR | Circuits
ATQUERY_DEVICELABELS | Attribute Data Tools
ATQUICK_POLY | Draw
ATQUICK_SPLINE | Draw
ATREFRESH_BLOCK_IMAGES | Validation
ATREFRESH_BLOCKS | Validation
ATREFRESH_LABELS | Validation
ATREFRESH_LABELS_FULL | Validation
ATREFRESH_REPORT | Reports — Drawing Tables
ATRELOCATE | Circuits
ATRELOCATE_BRANCH | Circuits
ATRELOCATE_CIRCUIT | Circuits
ATREMOVE_ALL_GLOBAL_WIDTHS | Cleanup
ATREMOVE_BRANCH | Circuits
ATREMOVE_CIRCUIT_PAIR | Circuits
ATREMOVE_OVERRIDE_ADDRESS | Circuits
ATREPLACE_BLOCKREFS | Block Definitions
ATREPLACE_DEVICES | Devices
ATREQUEST_QUOTE | Export & Integration
ATREROUTE_POLYLINES | Draw
ATREROUTE_WIREPATHS | Draw
ATRESET_CIRCUIT_TEMPLATES | Circuits
ATRESET_CONDUITIDS | Data Maintenance
ATRESEQUENCE_CIRCUIT | Circuits
ATRESIZE_BLOCKS | Block Definitions
ATRESTORE_FROM_DRAWING | Validation
ATRESTORE_MISSING_DEVICES | Validation
ATRESTORE_MISSING_DRAWING | Validation
ATRESTORE_MISSING_SEGMENTS | Validation
ATRISER | Riser
ATRISER_SELECTION | Riser
ATSAVE_PROJECT_BLOCKS_TO_FILE | Block Definitions
ATSELECT_BY_KEYWORD | Selection
ATSELECT_SEGMENTS_OVER_40_PERCENT | Selection
ATSELECT_SEGMENTS_UNDEFINED | Selection
ATSELECT_WIRELABELS | Selection
ATSEND_INSPECT_POINT | Export & Integration
ATSET_ACTIVE_CIRCUIT_FROM_DEVICE | Circuits
ATSET_ALL_BYBLOCK | Cleanup
ATSET_ALL_BYLAYER | Cleanup
ATSET_ALL_DEVICE_INPUT_CIRCUITS | Devices
ATSET_ALL_LINEWEIGHTS_BYBLOCK | Cleanup
ATSET_ALL_LINEWEIGHTS_BYLAYER | Cleanup
ATSET_CIRCUIT_NAME_FILTERS | Wirepath
ATSET_CIRCUIT_TYPE_FILTERS | Wirepath
ATSET_CONDUIT_TYPE | Wirepath
ATSET_DEFAULT_TEXTSTYLE | Cleanup
ATSET_DEVICE_ATTRIBUTES_COLOR_BYLAYER | Cleanup
ATSET_DEVICE_ATTRIBUTES_COLOR_WHITE | Cleanup
ATSET_DEVICE_INPUT_CIRCUITS | Circuits
ATSET_DEVICE_PROPERTIES | Devices
ATSET_ELEVATIONS | Riser
ATSET_ENTITY_PROPERTIES | Entity Properties
ATSET_ENTITY_PROPERTIES_CL | Entity Properties
ATSET_EXISTING | Attributes
ATSET_LOCATION | Riser
ATSET_NODE_NAME | Riser
ATSET_OVERRIDE_ADDRESS | Circuits
ATSET_PANEL_NAME | Riser
ATSET_PSLTSCALE | Cleanup
ATSET_RISER_COLUMN | Riser
ATSET_VERTICAL_CONSTRAINTS | Riser
ATSHOW | View
ATSHOW_CONDUCTOR_COUNT | Wirepath
ATSHOW_CONDUIT_FILL | Wirepath
ATSHOWCOVERAGE | Circuits
ATSHOW_SEGMENT_ID | Wirepath
ATSHOW_WIREFILL | Wirepath
ATSHOW_WIREPATH_LENGTH | Wirepath
ATSPLINE | Draw
ATUNLOCK_ALL_CIRCUIT_ADDRESSES | Circuits
ATUPDATE_ALL_CIRCUIT_PATHS | Wirepath
ATUPDATE_CIRCUIT_PATHS | Wirepath
ATUPDATE_PROJECT | File
ATUPDATE_SEGMENT_LAYER_COLORS | Cleanup
ATUTILS_CLEAR_ALL_XRECORDS | Data Maintenance
ATVALIDATE | Validation
ATVALIDATE_SEGMENTS | Validation
ATVALIDATE_SELECTION | Validation
ATVIEW_ENTITY_PROPERTIES | Entity Properties
ATWBLOCK_ALL | Block Definitions


FireCAD 2026 - Common Installation Issues

Frequent issues and solutions when installing FireCAD

Issue 1: FireCAD Add-in for AutoCAD 2026 starts with missing components or errors referencing missing dlls

When updating with FireCAD add-in, previous versions of the program may not be effectively removed causing instability and file mismatches in the program. This requires a manual removal and full reinstall of the FireCAD add-in.

Solution: Manually remove previous FireCAD Add-in installers and directories, and reinstall the latest production version

  • Open Add / Remove Programs in Windows Settings
  • Search for FireCAD and uninstall all entries that show up in the list-

  • Delete any FireCAD bundle folders remaining in the default autocad plugin locations-

"C:\ProgramData\Autodesk\ApplicationPlugins\Cadgen FireCAD.bundle"

"C:\Program Files\Autodesk\ApplicationPlugins\FireCAD .NET Add-in.bundle"

"C:\Users\[YOURUSERNAME]\AppData\Roaming\Autodesk\ApplicationPlugins\FireCAD .NET Add-in.bundle"

  • Download and install the latest version from this link -

https://www.cadgen.com/downloads/firecad-net-addin-en-x64.exe

Issue 2: FireCAD 2026 OEM (Standalone) starts with missing components and a similar message box when upgrading older projects-

FireCAD is a 2 part installation. The main installer is a self extracting executable that extracts all setup files and then launches the main installer, setup.exe. The second installer that should run is firecad-2026-en-x64.msi located in the same folder. If the second install fails or is cancelled then these components will be missing.

Solution: Download the FireCAD 2026 component installer directly from here - https://www.cadgen.com/downloads/firecad-2026-en-x64.msi.

Note: This requires that the main FireCAD 2026 application be installed first.